const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function AlienIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 900 900",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    d: "M452.306 0C300.946 0 92 95.504 92 343.998v2.548C93.733 593.918 345.386 900 452.306 900c107.327 0 360.306-307.509 360.306-556.002C812.612 95.504 603.665 0 452.306 0zM128.183 365.912c176.331 0 303.738 124.348 303.738 310.872-184.485 0-303.738-119.253-303.738-310.872zm654.36 0c0 191.62-121.698 310.872-309.852 310.872 0-186.524 129.955-310.872 309.853-310.872z"
  }));
}
const ForwardRef = React.forwardRef(AlienIcon);
module.exports = ForwardRef;