const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function ArxivMarkSmallIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 17.732 24.269",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    height: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#bdb9b4' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#bdb9b4') ? 'white' : 'currentColor'),
    d: "M6.565 9.368l2.266 2.738 6.674-7.84c.353-.47.52-.717.353-1.117a1.218 1.218 0 00-1.061-.748.953.953 0 00-.712.262z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#b31b1b' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#b31b1b') ? 'white' : 'currentColor'),
    d: "M12.541 10.677L1.935.503a1.413 1.413 0 00-.834-.5 1.09 1.09 0 00-1.027.66c-.167.4-.047.681.319 1.206l8.44 10.242-6.282 7.716a1.336 1.336 0 00-.323 1.3 1.114 1.114 0 001.04.69.992.992 0 00.748-.365l8.519-7.92a1.924 1.924 0 00.006-2.855z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#bdb9b4' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#bdb9b4') ? 'white' : 'currentColor'),
    d: "M17.336 22.364L8.811 12.089 6.546 9.352l-1.389 1.254a2.063 2.063 0 000 2.965L15.969 23.99a.925.925 0 00.742.282 1.039 1.039 0 00.953-.667 1.261 1.261 0 00-.328-1.241z"
  }));
}
const ForwardRef = React.forwardRef(ArxivMarkSmallIcon);
module.exports = ForwardRef;