const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function AwsS3BucketIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 70 70",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#146EB4' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#146EB4') ? 'white' : 'currentColor'),
    fillRule: "evenodd",
    d: "M63.95 15.786c0 4.006-12.963 7.238-28.949 7.238-15.988 0-28.951-3.232-28.951-7.238l9.65 43.839c0 2.672 8.637 4.826 19.301 4.826 10.662 0 19.299-2.154 19.299-4.826l9.65-43.839z",
    clipRule: "evenodd"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#146EB4' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#146EB4') ? 'white' : 'currentColor'),
    fillRule: "evenodd",
    d: "M63.95 12.786c0-4.004-12.963-7.237-28.949-7.237-15.988 0-28.951 3.233-28.951 7.237 0 4.006 12.963 7.238 28.951 7.238 15.986 0 28.949-3.232 28.949-7.238z",
    clipRule: "evenodd"
  }));
}
const ForwardRef = React.forwardRef(AwsS3BucketIcon);
module.exports = ForwardRef;