const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function AzureBwIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M22.379 23.343a1.62 1.62 0 001.536-2.14v.002L17.35 1.76A1.62 1.62 0 0015.816.657H8.184A1.62 1.62 0 006.65 1.76L.086 21.204a1.62 1.62 0 001.536 2.139h4.741a1.62 1.62 0 001.535-1.103l.977-2.892 4.947 3.675c.28.208.618.32.966.32m-3.084-12.531l3.624 10.739a.54.54 0 01-.51.713v-.001h-.03a.54.54 0 01-.322-.106l-9.287-6.9h4.853m6.313 7.006c.116-.326.13-.694.007-1.058L9.79 1.76a1.722 1.722 0 00-.007-.02h6.034a.54.54 0 01.512.366l6.562 19.445a.54.54 0 01-.338.684"
  }));
}
const ForwardRef = React.forwardRef(AzureBwIcon);
module.exports = ForwardRef;