const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function BinderIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 40 40",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    strokeMiterlimit: 10,
    strokeWidth: 4.834,
    transform: "matrix(.94164 0 0 .94164 -2.25 -11.28)"
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 27.879,
    cy: 23.939,
    r: 9.542,
    stroke: "#f5a252"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 27.879,
    cy: 42.499,
    r: 9.543,
    stroke: "#579aca"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 18.551,
    cy: 33.289,
    r: 9.543,
    stroke: "#e66581"
  }), /*#__PURE__*/React.createElement("path", {
    stroke: "#579aca",
    d: "M20.196 36.836a9.512 9.512 0 012.921-2.607c4.566-2.63 10.401-1.06 13.031 3.507"
  }), /*#__PURE__*/React.createElement("path", {
    stroke: "#f5a252",
    d: "M19.61 28.701c-2.63-4.566-1.061-10.401 3.507-13.032 4.567-2.63 10.401-1.059 13.031 3.508"
  })));
}
const ForwardRef = React.forwardRef(BinderIcon);
module.exports = ForwardRef;