const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function BookIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M0 3.75A.75.75 0 01.75 3h7.497c1.566 0 2.945.8 3.751 2.014A4.495 4.495 0 0115.75 3h7.5a.75.75 0 01.75.75v15.063a.752.752 0 01-.755.75l-7.682-.052a3 3 0 00-2.142.878l-.89.891a.75.75 0 01-1.061 0l-.902-.901a2.996 2.996 0 00-2.121-.879H.75a.75.75 0 01-.75-.75zm12.75 15.232a4.503 4.503 0 012.823-.971l6.927.047V4.5h-6.75a3 3 0 00-3 3zM11.247 7.497a3 3 0 00-3-2.997H1.5V18h6.947c1.018 0 2.006.346 2.803.98z"
  }));
}
const ForwardRef = React.forwardRef(BookIcon);
module.exports = ForwardRef;