const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function CameraIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 -2 18 18",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    d: "M0 3.002A.999.999 0 011 2h3.502a.88.88 0 00.72-.444L5.778.444C5.901.199 6.228 0 6.491 0h5.018c.271 0 .59.2.713.444l.556 1.112a.869.869 0 00.72.444H17c.552 0 1 .456 1 1.002v9.996A.998.998 0 0117.007 14H.993C.445 14 0 13.544 0 12.998V3.002zM1 3h4.437c.271 0 .588-.2.707-.444L6.9 1h4.25l.701 1.536c.117.256.437.464.703.464H17v10H1V3zm8 9a4 4 0 100-8 4 4 0 000 8zm0-1a3 3 0 100-6 3 3 0 000 6zm6-4a1 1 0 100-2 1 1 0 000 2zM2 1.5c0-.276.214-.5.505-.5h.99c.279 0 .505.232.505.5V2H2v-.5z"
  }));
}
const ForwardRef = React.forwardRef(CameraIcon);
module.exports = ForwardRef;