const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function CommandsIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    viewBox: "0 0 20 20",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M7.942 10.05l-5.966 5.966a.938.938 0 101.327 1.325l6.628-6.629a.938.938 0 000-1.325l-6.628-6.63a.937.937 0 00-1.325 1.327l5.965 5.966zm2.995 4.325a.938.938 0 000 1.875h6.876a.938.938 0 000-1.875h-6.875z"
  }));
}
const ForwardRef = React.forwardRef(CommandsIcon);
module.exports = ForwardRef;