const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function Datalayer3ColorsIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    viewBox: "0 0 50 50",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#e26d6d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#e26d6d') ? 'white' : 'currentColor'),
    strokeWidth: 2.5,
    d: "M0 0h50v10H0zm0 0"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#f9cb07' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f9cb07') ? 'white' : 'currentColor'),
    strokeWidth: 2.5,
    d: "M0 20h50v10H0zm0 0"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#49b3d9' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#49b3d9') ? 'white' : 'currentColor'),
    strokeWidth: 2.5,
    d: "M0 40h50v10H0zm0 0"
  }));
}
const ForwardRef = React.forwardRef(Datalayer3ColorsIcon);
module.exports = ForwardRef;