const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function DatalayerApiIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    id: "svg2",
    viewBox: "0 0 93.75 93.75",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("defs", {
    id: "defs4"
  }, /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Send",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path6174",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#fff",
    strokeOpacity: 1,
    strokeWidth: ".2pt",
    d: "M-1.2 0l-1 1 3.5-1-3.5-1z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-3",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-5",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker4371",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path4373",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-2",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-91",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-6",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-0",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Send-6",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path6174-2",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#fff",
    strokeOpacity: 1,
    strokeWidth: ".2pt",
    d: "M-1.2 0l-1 1 3.5-1-3.5-1z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-3-9",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-5-2",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker4371-0",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path4373-2",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-6",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-1",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-8",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-4",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Send-5",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path6174-0",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#fff",
    strokeOpacity: 1,
    strokeWidth: ".2pt",
    d: "M-1.2 0l-1 1 3.5-1-3.5-1z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-3-6",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-5-3",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker4371-2",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path4373-0",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-3-3",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-5-6",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker4437",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path4439",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker6271",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path6273",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lstart",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path4240",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6-2",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0-6",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6-8",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0-7",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6-8-0",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0-7-2",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6-2-7",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0-6-5",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6-2-2",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0-6-2",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Mend",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3877",
    fillRule: "evenodd",
    stroke: "#000",
    strokeWidth: ".4pt",
    d: "M-4 0l-2 2 7-2-7-2z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1333",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1331",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1281",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1279",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1235",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1233",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1195",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1193",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1161",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1159",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1133",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1131",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1111",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1109",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lstart-9",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path833",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#16a085",
    strokeOpacity: 0,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_6_",
    x1: -5652.281,
    x2: -5635.271,
    y1: 55.275,
    y2: 55.275,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop68",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop70",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_5_",
    x1: -5691.965,
    x2: -5652.281,
    y1: 55.275,
    y2: 55.275,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop61",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop63",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_4_",
    x1: -5663.62,
    x2: -5635.273,
    y1: 34.014,
    y2: 34.014,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop54",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop56",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_3_",
    x1: -5691.965,
    x2: -5663.62,
    y1: 34.015,
    y2: 34.015,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop47",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop49",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_2_",
    x1: -5674.958,
    x2: -5635.273,
    y1: 12.756,
    y2: 12.756,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop40",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop42",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_1_",
    x1: -5691.965,
    x2: -5674.958,
    y1: 12.756,
    y2: 12.756,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop33",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop35",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_3_-2",
    x1: 390.517,
    x2: 517.711,
    y1: 77.335,
    y2: 179.93,
    gradientTransform: "translate(-337.439 -6.817)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop52",
    offset: 0,
    stopColor: "#326de6"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop54-5",
    offset: 1,
    stopColor: "#10ffc6"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_3_-4",
    x1: 390.517,
    x2: 517.711,
    y1: 77.335,
    y2: 179.93,
    gradientTransform: "translate(11.05 11)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop52-7",
    offset: 0,
    stopColor: "#326de6"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop54-4",
    offset: 1,
    stopColor: "#10ffc6"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_2_-4",
    x1: 238.286,
    x2: 347.551,
    y1: 127.509,
    y2: 127.509,
    gradientTransform: "translate(-195.606 -31.557)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop45",
    offset: 0,
    stopColor: "#326de6"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop47-3",
    offset: 1,
    stopColor: "#10ffc6"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_1_-0",
    x1: 122.188,
    x2: 204.137,
    y1: 127.509,
    y2: 127.509,
    gradientTransform: "translate(11.05 11)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop38",
    offset: 0,
    stopColor: "#326de6"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop40-7",
    offset: 1,
    stopColor: "#10ffc6"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient6886",
    x1: 238.286,
    x2: 347.551,
    y1: 127.509,
    y2: 127.509,
    gradientTransform: "translate(-195.606 -31.557)",
    gradientUnits: "userSpaceOnUse",
    xlinkHref: "#SVGID_2_-4"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient6888",
    x1: 238.286,
    x2: 347.551,
    y1: 127.509,
    y2: 127.509,
    gradientTransform: "translate(-195.606 -31.557)",
    gradientUnits: "userSpaceOnUse",
    xlinkHref: "#SVGID_2_-4"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient6890",
    x1: 238.286,
    x2: 347.551,
    y1: 127.509,
    y2: 127.509,
    gradientTransform: "translate(-195.606 -31.557)",
    gradientUnits: "userSpaceOnUse",
    xlinkHref: "#SVGID_2_-4"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient12512"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop12513",
    offset: 0,
    stopColor: "#fff",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop12517",
    offset: 0.5,
    stopColor: "#fff520",
    stopOpacity: 0.891
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop12514",
    offset: 1,
    stopColor: "#fff300",
    stopOpacity: 0
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient2094"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop2096",
    offset: 0,
    stopColor: "#d6e3f0",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop2098",
    offset: 1,
    stopColor: "#95b1cf",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient2803"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop2805",
    offset: 0,
    stopColor: "#fff",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop2807",
    offset: 1,
    stopColor: "#cbcbcb",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient2795"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop2797",
    offset: 0,
    stopColor: "#000",
    stopOpacity: 0.069
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop2799",
    offset: 1,
    stopColor: "#fff",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_1_-6",
    x1: -5691.965,
    x2: -5674.958,
    y1: 12.756,
    y2: 12.756,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop33-75",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop35-3",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_2_-5",
    x1: -5674.958,
    x2: -5635.273,
    y1: 12.756,
    y2: 12.756,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop40-6",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop42-2",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_3_-9",
    x1: -5691.965,
    x2: -5663.62,
    y1: 34.015,
    y2: 34.015,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop47-1",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop49-2",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_4_-7",
    x1: -5663.62,
    x2: -5635.273,
    y1: 34.014,
    y2: 34.014,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop54-0",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop56-9",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_5_-3",
    x1: -5691.965,
    x2: -5652.281,
    y1: 55.275,
    y2: 55.275,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop61-6",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop63-0",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_6_-6",
    x1: -5652.281,
    x2: -5635.271,
    y1: 55.275,
    y2: 55.275,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop68-2",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop70-6",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_6_-5",
    x1: -5652.281,
    x2: -5635.271,
    y1: 55.275,
    y2: 55.275,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop68-1",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop70-0",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_5_-7",
    x1: -5691.965,
    x2: -5652.281,
    y1: 55.275,
    y2: 55.275,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop61-8",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop63-8",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_4_-6",
    x1: -5663.62,
    x2: -5635.273,
    y1: 34.014,
    y2: 34.014,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop54-3",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop56-5",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_3_-7",
    x1: -5691.965,
    x2: -5663.62,
    y1: 34.015,
    y2: 34.015,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop47-3-1",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop49-0",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_2_-3",
    x1: -5674.958,
    x2: -5635.273,
    y1: 12.756,
    y2: 12.756,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop40-2",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop42-3",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_1_-3",
    x1: -5691.965,
    x2: -5674.958,
    y1: 12.756,
    y2: 12.756,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop33-7",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop35-6",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328-3",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330-6",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125-7",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127-5",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328-7",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330-0",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125-9",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127-3",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328-3-6",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330-6-1",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125-7-8",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127-5-7",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328-31",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330-9",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125-4",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127-7",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328-3-3",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330-6-6",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125-7-1",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127-5-0",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("radialGradient", {
    id: "radialGradient278",
    cx: 55,
    cy: 125,
    r: 14.375,
    fx: 55,
    fy: 125,
    gradientUnits: "userSpaceOnUse",
    xlinkHref: "#linearGradient12512"
  })), /*#__PURE__*/React.createElement("g", {
    id: "layer1",
    transform: "translate(0 -609.449)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "g1812",
    transform: "matrix(.18346 0 0 .18346 -1.297 609.449)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "g1748"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1730",
    d: "M492.168 309.579l-17.626-10.177c2.96-14.723 4.458-29.466 4.458-43.902 0-14.646-1.474-29.403-4.384-43.946l17.552-10.134a23.342 23.342 0 0010.949-14.269 23.346 23.346 0 00-2.348-17.832l-48-83.139A23.345 23.345 0 00438.5 75.231a23.349 23.349 0 00-17.833 2.348l-17.566 10.142C380.912 68.2 354.798 53.092 327 43.692V23.5C327 10.542 316.458 0 303.5 0h-96C194.542 0 184 10.542 184 23.5v20.193c-27.65 9.362-53.728 24.49-75.999 44.088L90.332 77.579a23.345 23.345 0 00-17.833-2.348A23.349 23.349 0 0058.23 86.18l-48 83.139a23.346 23.346 0 00-2.348 17.832 23.342 23.342 0 0010.949 14.269l17.626 10.177C33.499 226.32 32 241.063 32 255.5c0 14.644 1.474 29.401 4.384 43.945l-17.552 10.134c-11.222 6.479-15.08 20.879-8.602 32.102l48 83.139c6.479 11.221 20.879 15.08 32.102 8.601l17.565-10.142c22.19 19.521 48.303 34.629 76.103 44.03V487.5c0 12.958 10.542 23.5 23.5 23.5h96c12.958 0 23.5-10.542 23.5-23.5v-20.193c27.651-9.362 53.729-24.49 76-44.087l17.668 10.201c11.221 6.479 25.623 2.62 32.102-8.601l48-83.139c6.478-11.223 2.62-25.623-8.602-32.102zm-4.389 24.602l-48 83.138c-2.343 4.06-7.552 5.455-11.611 3.111l-22.392-12.928a7.5 7.5 0 00-8.842.989c-22.893 21.173-50.437 37.148-79.653 46.199a7.5 7.5 0 00-5.281 7.164V487.5c0 4.687-3.813 8.5-8.5 8.5h-96c-4.687 0-8.5-3.813-8.5-8.5v-25.645a7.501 7.501 0 00-5.28-7.164c-29.396-9.107-56.974-25.062-79.755-46.139a7.494 7.494 0 00-8.843-.99l-22.29 12.868c-4.06 2.343-9.268.948-11.611-3.111l-48-83.138c-2.343-4.059-.947-9.268 3.111-11.612l22.272-12.859a7.499 7.499 0 003.566-8.146C48.739 286.357 47 270.858 47 255.5c0-15.1 1.765-30.584 5.247-46.022a7.5 7.5 0 00-3.566-8.145L26.332 188.43a8.445 8.445 0 01-3.96-5.161 8.448 8.448 0 01.849-6.45l48-83.139a8.44 8.44 0 015.162-3.96 8.444 8.444 0 016.45.849l22.392 12.928a7.498 7.498 0 008.842-.989c22.894-21.173 50.437-37.148 79.653-46.199a7.5 7.5 0 005.281-7.164V23.5c0-4.687 3.813-8.5 8.5-8.5h96c4.687 0 8.5 3.813 8.5 8.5v25.645a7.501 7.501 0 005.28 7.164c29.395 9.106 56.973 25.061 79.755 46.139a7.5 7.5 0 008.843.99l22.29-12.869a8.445 8.445 0 016.45-.849 8.45 8.45 0 015.162 3.96l48 83.139a8.444 8.444 0 01.849 6.45 8.445 8.445 0 01-3.96 5.161l-22.272 12.859a7.5 7.5 0 00-3.566 8.146c3.431 15.206 5.17 30.704 5.17 46.065 0 15.1-1.765 30.584-5.247 46.021a7.501 7.501 0 003.566 8.145l22.349 12.903c4.057 2.344 5.453 7.553 3.109 11.612z"
  }), /*#__PURE__*/React.createElement("path", {
    id: "path1732",
    d: "M255.5 104C171.962 104 104 171.963 104 255.5S171.962 407 255.5 407 407 339.037 407 255.5 339.038 104 255.5 104zm0 288C180.234 392 119 330.766 119 255.5c0-75.266 61.234-136.5 136.5-136.5 75.266 0 136.5 61.234 136.5 136.5 0 75.266-61.234 136.5-136.5 136.5z"
  }), /*#__PURE__*/React.createElement("path", {
    id: "path1734",
    d: "M283.5 216h-28a7.5 7.5 0 00-7.5 7.5v64a7.5 7.5 0 0015 0V271h20.5c15.164 0 27.5-12.336 27.5-27.5S298.664 216 283.5 216zm0 40H263v-25h20.5c6.893 0 12.5 5.607 12.5 12.5s-5.607 12.5-12.5 12.5z"
  }), /*#__PURE__*/React.createElement("path", {
    id: "path1736",
    d: "M214.522 220.867A7.5 7.5 0 00207.5 216h-8a7.498 7.498 0 00-7.022 4.867l-24 64a7.5 7.5 0 0014.045 5.267L186.697 279h33.605l4.175 11.133a7.503 7.503 0 007.023 4.869 7.5 7.5 0 007.021-10.135zM192.322 264l11.178-29.807L214.678 264z"
  }), /*#__PURE__*/React.createElement("path", {
    id: "path1738",
    d: "M327.5 216a7.5 7.5 0 00-7.5 7.5v64a7.5 7.5 0 0015 0v-64a7.5 7.5 0 00-7.5-7.5z"
  }), /*#__PURE__*/React.createElement("path", {
    id: "path1740",
    d: "M309.152 87.3a175.962 175.962 0 0115.421 5.726 7.473 7.473 0 002.934.601 7.5 7.5 0 002.941-14.402 191.008 191.008 0 00-16.742-6.216 7.5 7.5 0 00-4.554 14.291z"
  }), /*#__PURE__*/React.createElement("path", {
    id: "path1742",
    d: "M100.45 339.904a7.5 7.5 0 00-13.168 7.184 192.173 192.173 0 0010.239 16.677 7.492 7.492 0 006.189 3.255 7.5 7.5 0 006.176-11.746 177.217 177.217 0 01-9.436-15.37z"
  }), /*#__PURE__*/React.createElement("path", {
    id: "path1744",
    d: "M240.14 431.341c-40.189-3.463-78.337-20.879-107.416-49.041a7.5 7.5 0 10-10.435 10.775c31.55 30.555 72.947 49.452 116.563 53.21a7.501 7.501 0 008.116-6.828 7.501 7.501 0 00-6.828-8.116z"
  }), /*#__PURE__*/React.createElement("path", {
    id: "path1746",
    d: "M363.425 97.287a7.5 7.5 0 00-8.464 12.384c34.844 23.813 60.049 59.248 70.972 99.776a7.503 7.503 0 007.237 5.55 7.5 7.5 0 007.246-9.453c-11.852-43.98-39.195-82.426-76.991-108.257z"
  })))), /*#__PURE__*/React.createElement("style", {
    id: "style754",
    type: "text/css"
  }), /*#__PURE__*/React.createElement("style", {
    id: "style379",
    type: "text/css"
  }), /*#__PURE__*/React.createElement("style", {
    id: "style5786",
    type: "text/css"
  }), /*#__PURE__*/React.createElement("style", {
    id: "style5544",
    type: "text/css"
  }));
}
const ForwardRef = React.forwardRef(DatalayerApiIcon);
module.exports = ForwardRef;