const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function DatalayerCourseIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    id: "svg2",
    viewBox: "0 0 93.75 93.75",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("defs", {
    id: "defs4"
  }, /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Send",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path6174",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#fff",
    strokeOpacity: 1,
    strokeWidth: ".2pt",
    d: "M-1.2 0l-1 1 3.5-1-3.5-1z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-3",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-5",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker4371",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path4373",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-2",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-91",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-6",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-0",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Send-6",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path6174-2",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#fff",
    strokeOpacity: 1,
    strokeWidth: ".2pt",
    d: "M-1.2 0l-1 1 3.5-1-3.5-1z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-3-9",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-5-2",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker4371-0",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path4373-2",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-6",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-1",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-8",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-4",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Send-5",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path6174-0",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#fff",
    strokeOpacity: 1,
    strokeWidth: ".2pt",
    d: "M-1.2 0l-1 1 3.5-1-3.5-1z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-3-6",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-5-3",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker4371-2",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path4373-0",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-3-3",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-5-6",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker4437",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path4439",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker6271",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path6273",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lstart",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path4240",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6-2",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0-6",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6-8",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0-7",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6-8-0",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0-7-2",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6-2-7",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0-6-5",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6-2-2",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0-6-2",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Mend",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3877",
    fillRule: "evenodd",
    stroke: "#000",
    strokeWidth: ".4pt",
    d: "M-4 0l-2 2 7-2-7-2z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1333",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1331",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1281",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1279",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1235",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1233",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1195",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1193",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1161",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1159",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1133",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1131",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1111",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1109",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lstart-9",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path833",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#16a085",
    strokeOpacity: 0,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_6_",
    x1: -5652.281,
    x2: -5635.271,
    y1: 55.275,
    y2: 55.275,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop68",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop70",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_5_",
    x1: -5691.965,
    x2: -5652.281,
    y1: 55.275,
    y2: 55.275,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop61",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop63",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_4_",
    x1: -5663.62,
    x2: -5635.273,
    y1: 34.014,
    y2: 34.014,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop54",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop56",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_3_",
    x1: -5691.965,
    x2: -5663.62,
    y1: 34.015,
    y2: 34.015,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop47",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop49",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_2_",
    x1: -5674.958,
    x2: -5635.273,
    y1: 12.756,
    y2: 12.756,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop40",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop42",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_1_",
    x1: -5691.965,
    x2: -5674.958,
    y1: 12.756,
    y2: 12.756,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop33",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop35",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_3_-2",
    x1: 390.517,
    x2: 517.711,
    y1: 77.335,
    y2: 179.93,
    gradientTransform: "translate(-337.439 -6.817)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop52",
    offset: 0,
    stopColor: "#326de6"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop54-5",
    offset: 1,
    stopColor: "#10ffc6"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_3_-4",
    x1: 390.517,
    x2: 517.711,
    y1: 77.335,
    y2: 179.93,
    gradientTransform: "translate(11.05 11)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop52-7",
    offset: 0,
    stopColor: "#326de6"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop54-4",
    offset: 1,
    stopColor: "#10ffc6"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_2_-4",
    x1: 238.286,
    x2: 347.551,
    y1: 127.509,
    y2: 127.509,
    gradientTransform: "translate(-195.606 -31.557)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop45",
    offset: 0,
    stopColor: "#326de6"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop47-3",
    offset: 1,
    stopColor: "#10ffc6"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_1_-0",
    x1: 122.188,
    x2: 204.137,
    y1: 127.509,
    y2: 127.509,
    gradientTransform: "translate(11.05 11)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop38",
    offset: 0,
    stopColor: "#326de6"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop40-7",
    offset: 1,
    stopColor: "#10ffc6"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient6886",
    x1: 238.286,
    x2: 347.551,
    y1: 127.509,
    y2: 127.509,
    gradientTransform: "translate(-195.606 -31.557)",
    gradientUnits: "userSpaceOnUse",
    xlinkHref: "#SVGID_2_-4"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient6888",
    x1: 238.286,
    x2: 347.551,
    y1: 127.509,
    y2: 127.509,
    gradientTransform: "translate(-195.606 -31.557)",
    gradientUnits: "userSpaceOnUse",
    xlinkHref: "#SVGID_2_-4"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient6890",
    x1: 238.286,
    x2: 347.551,
    y1: 127.509,
    y2: 127.509,
    gradientTransform: "translate(-195.606 -31.557)",
    gradientUnits: "userSpaceOnUse",
    xlinkHref: "#SVGID_2_-4"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient12512"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop12513",
    offset: 0,
    stopColor: "#fff",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop12517",
    offset: 0.5,
    stopColor: "#fff520",
    stopOpacity: 0.891
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop12514",
    offset: 1,
    stopColor: "#fff300",
    stopOpacity: 0
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient2094"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop2096",
    offset: 0,
    stopColor: "#d6e3f0",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop2098",
    offset: 1,
    stopColor: "#95b1cf",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient2803"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop2805",
    offset: 0,
    stopColor: "#fff",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop2807",
    offset: 1,
    stopColor: "#cbcbcb",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient2795"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop2797",
    offset: 0,
    stopColor: "#000",
    stopOpacity: 0.069
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop2799",
    offset: 1,
    stopColor: "#fff",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_1_-6",
    x1: -5691.965,
    x2: -5674.958,
    y1: 12.756,
    y2: 12.756,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop33-75",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop35-3",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_2_-5",
    x1: -5674.958,
    x2: -5635.273,
    y1: 12.756,
    y2: 12.756,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop40-6",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop42-2",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_3_-9",
    x1: -5691.965,
    x2: -5663.62,
    y1: 34.015,
    y2: 34.015,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop47-1",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop49-2",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_4_-7",
    x1: -5663.62,
    x2: -5635.273,
    y1: 34.014,
    y2: 34.014,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop54-0",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop56-9",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_5_-3",
    x1: -5691.965,
    x2: -5652.281,
    y1: 55.275,
    y2: 55.275,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop61-6",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop63-0",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_6_-6",
    x1: -5652.281,
    x2: -5635.271,
    y1: 55.275,
    y2: 55.275,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop68-2",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop70-6",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_6_-5",
    x1: -5652.281,
    x2: -5635.271,
    y1: 55.275,
    y2: 55.275,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop68-1",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop70-0",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_5_-7",
    x1: -5691.965,
    x2: -5652.281,
    y1: 55.275,
    y2: 55.275,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop61-8",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop63-8",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_4_-6",
    x1: -5663.62,
    x2: -5635.273,
    y1: 34.014,
    y2: 34.014,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop54-3",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop56-5",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_3_-7",
    x1: -5691.965,
    x2: -5663.62,
    y1: 34.015,
    y2: 34.015,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop47-3-1",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop49-0",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_2_-3",
    x1: -5674.958,
    x2: -5635.273,
    y1: 12.756,
    y2: 12.756,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop40-2",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop42-3",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_1_-3",
    x1: -5691.965,
    x2: -5674.958,
    y1: 12.756,
    y2: 12.756,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop33-7",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop35-6",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328-3",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330-6",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125-7",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127-5",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328-7",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330-0",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125-9",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127-3",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328-3-6",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330-6-1",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125-7-8",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127-5-7",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328-31",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330-9",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125-4",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127-7",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328-3-3",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330-6-6",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125-7-1",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127-5-0",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("radialGradient", {
    id: "radialGradient278",
    cx: 55,
    cy: 125,
    r: 14.375,
    fx: 55,
    fy: 125,
    gradientUnits: "userSpaceOnUse",
    xlinkHref: "#linearGradient12512"
  })), /*#__PURE__*/React.createElement("g", {
    id: "layer1",
    transform: "translate(0 -609.449)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "g4219",
    transform: "translate(0 609.449) scale(.3125)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path4195",
    fill: colored ? '#666' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#666') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 1,
    d: "M5.75 108.866A150 150 0 01191.09 5.738a150 150 0 01103.184 185.31 150 150 0 01-185.278 103.239A150 150 0 015.701 109.04",
    opacity: 1
  }), /*#__PURE__*/React.createElement("g", {
    id: "g4217",
    transform: "matrix(.57736 0 0 .57736 -506.358 -112.711)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "g4215",
    fillRule: "evenodd",
    strokeLinecap: "butt",
    strokeLinejoin: "miter",
    strokeOpacity: 1,
    strokeWidth: 1,
    transform: "matrix(.87334 0 0 1 804.659 -247.933)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path4197",
    fill: colored ? '#f8ffff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f8ffff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    stroke: "none",
    d: "M207.226 644.842l-39.373 30.926c79.198 4.054 152.58 22.437 211.351 76.815 69.633-65.678 140.555-67.395 211.351-75.319l-38.92-31.923c-71.433-1.93-131.136 15.788-172.43 64.345-54.122-64.709-125.331-63.426-171.979-64.844z"
  }), /*#__PURE__*/React.createElement("path", {
    id: "path4199",
    fill: colored ? '#f2f2f2' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f2f2f2') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    stroke: "none",
    d: "M187.766 676.267l-27.607 29.429c39.132-3.885 56.095-17.075 157.948 2.494-41.898-20.578-87.238-29.95-130.341-31.923z"
  }), /*#__PURE__*/React.createElement("path", {
    id: "path4201",
    fill: colored ? '#d9d9d9' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#d9d9d9') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    stroke: "none",
    d: "M159.706 705.197l-7.24 36.412c83.267-30.396 134.41-7.89 229 10.974-40.364-37.182-48.363-35.125-66.527-45.39-51.744-11.51-103.489-16.328-155.233-1.996z"
  }), /*#__PURE__*/React.createElement("path", {
    id: "path4203",
    fill: colored ? '#f2f2f2' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f2f2f2') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    stroke: "none",
    d: "M407.264 728.142c52.526-22.333 107.123-33.435 195.51-10.974l-30.321-39.405c-90.411 7.475-130.996 25.766-165.19 50.379z"
  }), /*#__PURE__*/React.createElement("path", {
    id: "path4205",
    fill: colored ? '#d9d9d9' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#d9d9d9') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    stroke: "none",
    d: "M602.26 715.55l5.166 25.56c-85.619-27.806-133.945-11.102-227.644 9.977 40.365-37.182 40.67-29.638 63.36-36.912 52.49-14.935 107.008-16.278 159.119 1.376z"
  }), /*#__PURE__*/React.createElement("path", {
    id: "path4207",
    fill: colored ? '#bfbfbf' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#bfbfbf') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    stroke: "none",
    d: "M153.37 741.11l-8.599 10.475 235.338 1.497C274.7 721.764 201.8 715.448 153.37 741.11z"
  }), /*#__PURE__*/React.createElement("path", {
    id: "path4209",
    fill: colored ? '#bfbfbf' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#bfbfbf') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    stroke: "none",
    d: "M617.71 751.087l-238.506.997c72.172-19.307 151.787-45.345 228.55-10.973z"
  }), /*#__PURE__*/React.createElement("path", {
    id: "path4211",
    fill: colored ? '#ccc' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ccc') ? 'white' : 'currentColor'),
    stroke: "#d9d9d9",
    d: "M379.158 709.533l.706 41.619"
  }), /*#__PURE__*/React.createElement("path", {
    id: "path4213",
    fill: colored ? '#00a600' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#00a600') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    stroke: "none",
    d: "M145.224 750.588l-9.051 10.475h488.325l-7.693-9.976c-86.165 1.19-213.049.748-213.049.748-4.112-12.853-11.93-8.239-23.933-3.695-11.619-5.697-20.384-8.706-24.153 4.817z"
  }))))), /*#__PURE__*/React.createElement("style", {
    id: "style754",
    type: "text/css"
  }), /*#__PURE__*/React.createElement("style", {
    id: "style379",
    type: "text/css"
  }), /*#__PURE__*/React.createElement("style", {
    id: "style5786",
    type: "text/css"
  }), /*#__PURE__*/React.createElement("style", {
    id: "style5544",
    type: "text/css"
  }));
}
const ForwardRef = React.forwardRef(DatalayerCourseIcon);
module.exports = ForwardRef;