const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function DatalayerGreenPaddingIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    viewBox: "0 0 72 72",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#2ecc71' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#2ecc71') ? 'white' : 'currentColor'),
    strokeWidth: 2.9,
    d: "M7 7h58v11.6H7zm0 0"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#1abc9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#1abc9c') ? 'white' : 'currentColor'),
    strokeWidth: 2.9,
    d: "M7 30.2h58v11.6H7zm0 0"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#16a085' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#16a085') ? 'white' : 'currentColor'),
    strokeWidth: 2.9,
    d: "M7 53.4h58V65H7zm0 0"
  }));
}
const ForwardRef = React.forwardRef(DatalayerGreenPaddingIcon);
module.exports = ForwardRef;