const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function DatalayerIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 100 100",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    transform: "matrix(-1.76385 0 0 -1.76389 -9239.806 110)"
  }, /*#__PURE__*/React.createElement("linearGradient", {
    id: "a",
    x1: -5295.117,
    x2: -5278.109,
    y1: 12.756,
    y2: 12.756,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "url(#a)",
    d: "M-5295.117 5.669h17.008v14.173h-17.008z"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "b",
    x1: -5278.109,
    x2: -5238.425,
    y1: 12.756,
    y2: 12.756,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "url(#b)",
    d: "M-5278.109 5.669h39.685v14.173h-39.685z"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "c",
    x1: -5295.117,
    x2: -5266.771,
    y1: 34.015,
    y2: 34.015,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "url(#c)",
    d: "M-5295.117 26.928h28.346v14.173h-28.346z"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "d",
    x1: -5266.771,
    x2: -5238.425,
    y1: 34.014,
    y2: 34.014,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "url(#d)",
    d: "M-5266.771 26.928h28.347v14.171h-28.347z"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "e",
    x1: -5295.117,
    x2: -5255.433,
    y1: 55.274,
    y2: 55.274,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "url(#e)",
    d: "M-5295.117 48.188h39.685v14.174h-39.685z"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "f",
    x1: -5255.433,
    x2: -5238.423,
    y1: 55.274,
    y2: 55.274,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "url(#f)",
    d: "M-5255.433 48.188h17.01v14.174h-17.01z"
  })));
}
const ForwardRef = React.forwardRef(DatalayerIcon);
module.exports = ForwardRef;