const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function DatalayerModelIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    id: "svg2",
    viewBox: "0 0 93.75 93.75",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("defs", {
    id: "defs4"
  }, /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Send",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path6174",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#fff",
    strokeOpacity: 1,
    strokeWidth: ".2pt",
    d: "M-1.2 0l-1 1 3.5-1-3.5-1z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-3",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-5",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker4371",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path4373",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-2",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-91",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-6",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-0",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Send-6",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path6174-2",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#fff",
    strokeOpacity: 1,
    strokeWidth: ".2pt",
    d: "M-1.2 0l-1 1 3.5-1-3.5-1z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-3-9",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-5-2",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker4371-0",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path4373-2",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-6",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-1",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-8",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-4",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Send-5",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path6174-0",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#fff",
    strokeOpacity: 1,
    strokeWidth: ".2pt",
    d: "M-1.2 0l-1 1 3.5-1-3.5-1z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-3-6",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-5-3",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker4371-2",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path4373-0",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker26280-3-3-3",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path26282-9-5-6",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker4437",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path4439",
    fill: colored ? '#221f1d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#221f1d') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#221f1d",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker6271",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path6273",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lstart",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path4240",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6-2",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0-6",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6-8",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0-7",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6-8-0",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0-7-2",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6-2-7",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0-6-5",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lend-6-2-2",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5982-0-6-2",
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#000",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M-10 0l-4 4L0 0l-14-4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Mend",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3877",
    fillRule: "evenodd",
    stroke: "#000",
    strokeWidth: ".4pt",
    d: "M-4 0l-2 2 7-2-7-2z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1333",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1331",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1281",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1279",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1235",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1233",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1195",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1193",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1161",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1159",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1133",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1131",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "marker1111",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1109",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#2ecc71",
    strokeOpacity: 1,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("marker", {
    id: "Arrow1Lstart-9",
    orient: "auto",
    overflow: "visible",
    refX: 0,
    refY: 0
  }, /*#__PURE__*/React.createElement("path", {
    id: "path833",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "evenodd",
    stroke: "#16a085",
    strokeOpacity: 0,
    strokeWidth: ".8pt",
    d: "M10 0l4-4L0 0l14 4z"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_6_",
    x1: -5652.281,
    x2: -5635.271,
    y1: 55.275,
    y2: 55.275,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop68",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop70",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_5_",
    x1: -5691.965,
    x2: -5652.281,
    y1: 55.275,
    y2: 55.275,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop61",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop63",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_4_",
    x1: -5663.62,
    x2: -5635.273,
    y1: 34.014,
    y2: 34.014,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop54",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop56",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_3_",
    x1: -5691.965,
    x2: -5663.62,
    y1: 34.015,
    y2: 34.015,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop47",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop49",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_2_",
    x1: -5674.958,
    x2: -5635.273,
    y1: 12.756,
    y2: 12.756,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop40",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop42",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_1_",
    x1: -5691.965,
    x2: -5674.958,
    y1: 12.756,
    y2: 12.756,
    gradientTransform: "translate(5162.52 263.829)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop33",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop35",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_3_-2",
    x1: 390.517,
    x2: 517.711,
    y1: 77.335,
    y2: 179.93,
    gradientTransform: "translate(-337.439 -6.817)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop52",
    offset: 0,
    stopColor: "#326de6"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop54-5",
    offset: 1,
    stopColor: "#10ffc6"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_3_-4",
    x1: 390.517,
    x2: 517.711,
    y1: 77.335,
    y2: 179.93,
    gradientTransform: "translate(11.05 11)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop52-7",
    offset: 0,
    stopColor: "#326de6"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop54-4",
    offset: 1,
    stopColor: "#10ffc6"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_2_-4",
    x1: 238.286,
    x2: 347.551,
    y1: 127.509,
    y2: 127.509,
    gradientTransform: "translate(-195.606 -31.557)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop45",
    offset: 0,
    stopColor: "#326de6"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop47-3",
    offset: 1,
    stopColor: "#10ffc6"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_1_-0",
    x1: 122.188,
    x2: 204.137,
    y1: 127.509,
    y2: 127.509,
    gradientTransform: "translate(11.05 11)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop38",
    offset: 0,
    stopColor: "#326de6"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop40-7",
    offset: 1,
    stopColor: "#10ffc6"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient6886",
    x1: 238.286,
    x2: 347.551,
    y1: 127.509,
    y2: 127.509,
    gradientTransform: "translate(-195.606 -31.557)",
    gradientUnits: "userSpaceOnUse",
    xlinkHref: "#SVGID_2_-4"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient6888",
    x1: 238.286,
    x2: 347.551,
    y1: 127.509,
    y2: 127.509,
    gradientTransform: "translate(-195.606 -31.557)",
    gradientUnits: "userSpaceOnUse",
    xlinkHref: "#SVGID_2_-4"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient6890",
    x1: 238.286,
    x2: 347.551,
    y1: 127.509,
    y2: 127.509,
    gradientTransform: "translate(-195.606 -31.557)",
    gradientUnits: "userSpaceOnUse",
    xlinkHref: "#SVGID_2_-4"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient12512"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop12513",
    offset: 0,
    stopColor: "#fff",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop12517",
    offset: 0.5,
    stopColor: "#fff520",
    stopOpacity: 0.891
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop12514",
    offset: 1,
    stopColor: "#fff300",
    stopOpacity: 0
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient2094"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop2096",
    offset: 0,
    stopColor: "#d6e3f0",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop2098",
    offset: 1,
    stopColor: "#95b1cf",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient2803"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop2805",
    offset: 0,
    stopColor: "#fff",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop2807",
    offset: 1,
    stopColor: "#cbcbcb",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "linearGradient2795"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop2797",
    offset: 0,
    stopColor: "#000",
    stopOpacity: 0.069
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop2799",
    offset: 1,
    stopColor: "#fff",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_1_-6",
    x1: -5691.965,
    x2: -5674.958,
    y1: 12.756,
    y2: 12.756,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop33-75",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop35-3",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_2_-5",
    x1: -5674.958,
    x2: -5635.273,
    y1: 12.756,
    y2: 12.756,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop40-6",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop42-2",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_3_-9",
    x1: -5691.965,
    x2: -5663.62,
    y1: 34.015,
    y2: 34.015,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop47-1",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop49-2",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_4_-7",
    x1: -5663.62,
    x2: -5635.273,
    y1: 34.014,
    y2: 34.014,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop54-0",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop56-9",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_5_-3",
    x1: -5691.965,
    x2: -5652.281,
    y1: 55.275,
    y2: 55.275,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop61-6",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop63-0",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_6_-6",
    x1: -5652.281,
    x2: -5635.271,
    y1: 55.275,
    y2: 55.275,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop68-2",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop70-6",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_6_-5",
    x1: -5652.281,
    x2: -5635.271,
    y1: 55.275,
    y2: 55.275,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop68-1",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop70-0",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_5_-7",
    x1: -5691.965,
    x2: -5652.281,
    y1: 55.275,
    y2: 55.275,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop61-8",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop63-8",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_4_-6",
    x1: -5663.62,
    x2: -5635.273,
    y1: 34.014,
    y2: 34.014,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop54-3",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop56-5",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_3_-7",
    x1: -5691.965,
    x2: -5663.62,
    y1: 34.015,
    y2: 34.015,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop47-3-1",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop49-0",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_2_-3",
    x1: -5674.958,
    x2: -5635.273,
    y1: 12.756,
    y2: 12.756,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop40-2",
    offset: 0,
    stopColor: "#03594a"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop42-3",
    offset: 1,
    stopColor: "#128570"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "SVGID_1_-3",
    x1: -5691.965,
    x2: -5674.958,
    y1: 12.756,
    y2: 12.756,
    gradientTransform: "translate(-176.352 -361.643)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop33-7",
    offset: 0,
    stopColor: "#28b899"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop35-6",
    offset: 1,
    stopColor: "#1b937b"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328-3",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330-6",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125-7",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127-5",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328-7",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330-0",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125-9",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127-3",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328-3-6",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330-6-1",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125-7-8",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127-5-7",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328-31",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330-9",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125-4",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127-7",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5328-3-3",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("ellipse", {
    id: "ellipse5330-6-6",
    cx: 363.605,
    cy: 272.598,
    fill: colored ? '#ddecef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ddecef') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 3.339,
    opacity: 1,
    rx: 209.94,
    ry: 209.833
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clipPath5125-7-1",
    clipPathUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("rect", {
    id: "rect5127-5-0",
    width: 150.409,
    height: 133.628,
    x: 379.131,
    y: 155.501,
    fill: colored ? '#649a9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#649a9c') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    fillRule: "nonzero",
    stroke: "none",
    strokeDasharray: "none",
    strokeDashoffset: 0,
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    strokeWidth: 2,
    opacity: 1,
    ry: 0.826
  })), /*#__PURE__*/React.createElement("radialGradient", {
    id: "radialGradient278",
    cx: 55,
    cy: 125,
    r: 14.375,
    fx: 55,
    fy: 125,
    gradientUnits: "userSpaceOnUse",
    xlinkHref: "#linearGradient12512"
  })), /*#__PURE__*/React.createElement("g", {
    id: "layer1",
    transform: "translate(0 -609.449)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "g1824",
    stroke: "#000",
    strokeDasharray: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 4,
    strokeOpacity: 1,
    transform: "matrix(.9375 0 0 .9375 -361.336 -202.485)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path5456-5-6-1-7",
    fill: colored ? '#3498db' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#3498db') ? 'white' : 'currentColor'),
    strokeWidth: 1.791,
    d: "M404.63 866.959l76.645.143-1.06 76.5z"
  }), /*#__PURE__*/React.createElement("path", {
    id: "path5456-9-1-6-1",
    fill: colored ? '#f1c40f' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f1c40f') ? 'white' : 'currentColor'),
    fillOpacity: 1,
    strokeWidth: 1.421,
    d: "M386.135 868.73l96.623 96.622-96.558-1.275z"
  }))), /*#__PURE__*/React.createElement("style", {
    id: "style754",
    type: "text/css"
  }), /*#__PURE__*/React.createElement("style", {
    id: "style379",
    type: "text/css"
  }), /*#__PURE__*/React.createElement("style", {
    id: "style5786",
    type: "text/css"
  }), /*#__PURE__*/React.createElement("style", {
    id: "style5544",
    type: "text/css"
  }));
}
const ForwardRef = React.forwardRef(DatalayerModelIcon);
module.exports = ForwardRef;