const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function DatalayerNameIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    viewBox: "0 0 50 50",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    strokeWidth: 1.714
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#e26d6d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#e26d6d') ? 'white' : 'currentColor'),
    d: "M7.863 0h35v7h-35zm0 0"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#f9cb07' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f9cb07') ? 'white' : 'currentColor'),
    d: "M7.863 14h35v7h-35zm0 0"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#49b3d9' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#49b3d9') ? 'white' : 'currentColor'),
    d: "M7.863 28h35v7h-35zm0 0"
  })), /*#__PURE__*/React.createElement("g", {
    strokeWidth: 0.376,
    fontFamily: "sans-serif",
    fontSize: 15.043,
    fontWeight: 400
  }, /*#__PURE__*/React.createElement("text", {
    style: {
      lineHeight: 1.25
    },
    x: -12.576,
    y: 43.816,
    fill: colored ? '#666' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#666') ? 'white' : 'currentColor'),
    transform: "matrix(1.009 0 0 .99107 12.082 6.84)"
  }, /*#__PURE__*/React.createElement("tspan", {
    x: -12.576,
    y: 43.816,
    style: {
      InkscapeFontSpecification: "BebasNeue"
    },
    fontFamily: "BebasNeue"
  }, "Data")), /*#__PURE__*/React.createElement("text", {
    style: {
      lineHeight: 1.25
    },
    x: 9.857,
    y: 43.816,
    fill: colored ? '#9ea1af' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#9ea1af') ? 'white' : 'currentColor'),
    transform: "matrix(1.009 0 0 .99107 12.082 6.84)"
  }, /*#__PURE__*/React.createElement("tspan", {
    x: 9.857,
    y: 43.816,
    style: {
      InkscapeFontSpecification: "BebasNeue"
    },
    fontFamily: "BebasNeue"
  }, "layer"))));
}
const ForwardRef = React.forwardRef(DatalayerNameIcon);
module.exports = ForwardRef;