const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function DatalayerVariantIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    viewBox: "0 0 20 20",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#2ECC71' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#2ECC71') ? 'white' : 'currentColor'),
    d: "M0 0h20v4H0zm0 0"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#1ABC9C' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#1ABC9C') ? 'white' : 'currentColor'),
    d: "M0 8h20v4H0zm0 0"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#16A085' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#16A085') ? 'white' : 'currentColor'),
    d: "M0 16h20v4H0zm0 0"
  }));
}
const ForwardRef = React.forwardRef(DatalayerVariantIcon);
module.exports = ForwardRef;