const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function FileDirectorySymlinkIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 16 16",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M0 2.75C0 1.784.784 1 1.75 1H5a1.75 1.75 0 011.4.7l.9 1.2a.25.25 0 00.2.1h6.75c.966 0 1.75.784 1.75 1.75v8.5A1.75 1.75 0 0114.25 15H5.375a.75.75 0 010-1.5h8.875a.25.25 0 00.25-.25v-8.5a.25.25 0 00-.25-.25H7.5a1.75 1.75 0 01-1.4-.7l-.9-1.2a.25.25 0 00-.2-.1H1.75a.25.25 0 00-.25.25v3a.75.75 0 01-1.5 0v-3z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M1.5 12.237a2.25 2.25 0 012.262-2.249L4 9.989v1.938c0 .218.26.331.42.183l2.883-2.677a.25.25 0 000-.366L4.42 6.39a.25.25 0 00-.42.183v1.916l-.229-.001A3.75 3.75 0 000 12.237v1.013a.75.75 0 001.5 0v-1.013z"
  }));
}
const ForwardRef = React.forwardRef(FileDirectorySymlinkIcon);
module.exports = ForwardRef;