const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function FileIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    strokeMiterlimit: 10,
    strokeWidth: 0,
    transform: "matrix(2.81 0 0 2.81 1.407 1.407)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    strokeWidth: 1,
    d: "M77.474 17.28L61.526 1.332A4.516 4.516 0 0058.311 0H15.742a4.553 4.553 0 00-4.548 4.548v80.904A4.553 4.553 0 0015.742 90h58.516a4.554 4.554 0 004.549-4.548V20.496a4.517 4.517 0 00-1.333-3.216zM61.073 5.121l12.611 12.612H62.35a1.278 1.278 0 01-1.276-1.277V5.121zM74.258 87H15.742a1.55 1.55 0 01-1.548-1.548V4.548A1.55 1.55 0 0115.742 3h42.332v13.456a4.281 4.281 0 004.276 4.277h13.457v64.719A1.55 1.55 0 0174.258 87z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    strokeWidth: 1,
    d: "M68.193 33.319H41.808a1.5 1.5 0 110-3h26.385a1.5 1.5 0 110 3zM34.456 33.319H21.807a1.5 1.5 0 110-3h12.649a1.5 1.5 0 110 3z"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "a",
    x1: 21.806,
    x2: 42.298,
    y1: 19.233,
    y2: 19.233,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: "0%",
    stopColor: "#fff"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: "100%"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "url(#a)",
    strokeWidth: 1,
    d: "M-10.246 0h20.492"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    strokeWidth: 1,
    d: "M42.298 20.733H21.807a1.5 1.5 0 110-3h20.492a1.5 1.5 0 11-.001 3zM68.193 44.319H21.807a1.5 1.5 0 110-3h46.387a1.5 1.5 0 11-.001 3zM48.191 55.319H21.807a1.5 1.5 0 110-3h26.385a1.5 1.5 0 01-.001 3zM68.193 55.319H55.544a1.5 1.5 0 010-3h12.649a1.5 1.5 0 010 3zM68.193 66.319H21.807a1.5 1.5 0 110-3h46.387a1.5 1.5 0 01-.001 3zM68.193 77.319H55.544a1.5 1.5 0 010-3h12.649a1.5 1.5 0 010 3z"
  })));
}
const ForwardRef = React.forwardRef(FileIcon);
module.exports = ForwardRef;