const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function GalileoPaddingIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    strokeWidth: 0.061,
    d: "M36 64.56c-16.569 0-30-13.11-30-29.28S19.431 6 36 6c16.572 0 30 13.11 30 29.28S52.572 64.56 36 64.56zm26.848-28.966c0-11.475-12.144-20.78-27.114-20.78-14.976 0-27.119 9.305-27.119 20.78 0 11.474 12.143 20.78 27.119 20.78 14.97 0 27.114-9.306 27.114-20.78z"
  }));
}
const ForwardRef = React.forwardRef(GalileoPaddingIcon);
module.exports = ForwardRef;