const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function GpuIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("style", null, "\n      .cls-1{fill:#4285f4}\n    ")), /*#__PURE__*/React.createElement("g", {
    "data-name": "Product Icons"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M15.33 2v2.38h-2.16V2h-2.34v2.38H8.67V2H6.29v2.38a2 2 0 00-1.91 1.91H2v2.38h2.38v2.14H2v2.38h2.38v2.14H2v2.38h2.38a2 2 0 001.91 1.91V22h2.38v-2.38h2.16V22h2.34v-2.38h2.16V22h2.38v-2.38a2 2 0 001.91-1.91H22v-2.38h-2.38v-2.14H22v-2.38h-2.38V8.67H22V6.29h-2.38a2 2 0 00-1.91-1.91V2zm1.53 15.24H7.14a.38.38 0 01-.38-.38V7.14a.38.38 0 01.38-.38h9.72a.38.38 0 01.38.38v9.72a.38.38 0 01-.38.38z",
    className: "cls-1"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12.83 7.54v3.58h1.96l-3.5 4.86v-3.63H9.22l3.61-4.81z",
    className: "cls-1"
  })));
}
const ForwardRef = React.forwardRef(GpuIcon);
module.exports = ForwardRef;