const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function IdentityCard2Icon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 64.96 46.71",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("style", null, "\n      .cls-1{fill:none;stroke-linecap:round;stroke-linejoin:round;stroke:#386a99;stroke-width:2px}\n    ")), /*#__PURE__*/React.createElement("g", {
    id: "Layer_2",
    "data-name": "Layer 2"
  }, /*#__PURE__*/React.createElement("g", {
    id: "Layer_1-2",
    "data-name": "Layer 1"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 44.71,
    height: 62.96,
    x: 10.13,
    y: -8.13,
    className: "cls-1",
    rx: 6.32,
    ry: 6.32,
    transform: "rotate(-90 32.485 23.355)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    stroke: "#386a99",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2.12,
    d: "M8.64 37.41V9.81h24.22v27.6z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M39.95 27.49h17.11M39.95 35.25h17.11",
    className: "cls-1"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 20.76,
    cy: 19.51,
    r: 4.74,
    className: "cls-1"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12.5 36.15v-4.6a6.28 6.28 0 016.26-6.26h4A6.28 6.28 0 0129 31.55v4.6",
    className: "cls-1"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    stroke: "#6cc04a",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M43.13 16.27l4.13 4.13 9.13-9.14"
  }))));
}
const ForwardRef = React.forwardRef(IdentityCard2Icon);
module.exports = ForwardRef;