const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function JupyterBaseIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    viewBox: "0 0 21 21",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#F37726' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#F37726') ? 'white' : 'currentColor'),
    d: "M10.385 16.574c-3.755 0-7.055-1.348-8.761-3.338a9.34 9.34 0 0017.522 0c-1.702 1.99-4.99 3.338-8.761 3.338zM10.385 3.633c3.755 0 7.054 1.348 8.76 3.338a9.342 9.342 0 00-17.521 0c1.706-1.994 4.99-3.338 8.76-3.338z"
  }));
}
const ForwardRef = React.forwardRef(JupyterBaseIcon);
module.exports = ForwardRef;