const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function JupyterContentIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    viewBox: "0 0 21 21",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#F37726' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#F37726') ? 'white' : 'currentColor'),
    d: "M10.395 17.398c-4.066 0-7.64-1.46-9.488-3.615a10.116 10.116 0 0018.976 0c-1.843 2.155-5.404 3.615-9.488 3.615zM10.395 3.383c4.066 0 7.64 1.46 9.488 3.615a10.117 10.117 0 00-18.976 0c1.848-2.16 5.403-3.615 9.488-3.615z"
  }), /*#__PURE__*/React.createElement("text", {
    style: {
      lineHeight: 1.25
    },
    x: 4.555,
    y: 16.197,
    fill: colored ? '#4e4e4e' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#4e4e4e') ? 'white' : 'currentColor'),
    fontFamily: "sans-serif",
    fontSize: 16
  }, /*#__PURE__*/React.createElement("tspan", {
    x: 4.555,
    y: 16.197
  }, "C")));
}
const ForwardRef = React.forwardRef(JupyterContentIcon);
module.exports = ForwardRef;