const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function JupyterHubIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    viewBox: "0 0 21 21",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#767677' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#767677') ? 'white' : 'currentColor'),
    d: "M17.734 1.61A1.207 1.207 0 1116.477.478a1.193 1.193 0 011.257 1.132z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#F37726' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#F37726') ? 'white' : 'currentColor'),
    d: "M10.693 15.555c-3.205 0-6.021-1.15-7.478-2.848a7.973 7.973 0 0014.956 0c-1.453 1.698-4.259 2.848-7.478 2.848zM10.693 4.51c3.205 0 6.021 1.15 7.478 2.849a7.973 7.973 0 00-14.956 0c1.457-1.702 4.26-2.849 7.478-2.849z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#9E9E9E' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#9E9E9E') ? 'white' : 'currentColor'),
    d: "M6.281 18.86a1.52 1.52 0 11-1.584-1.424 1.505 1.505 0 011.584 1.425z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#616262' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#616262') ? 'white' : 'currentColor'),
    d: "M3.58 4.123a.876.876 0 11.85-.911.887.887 0 01-.85.911z"
  }), /*#__PURE__*/React.createElement("text", {
    style: {
      lineHeight: 1.25
    },
    x: 6.404,
    y: 14.206,
    fill: colored ? '#4e4e4e' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#4e4e4e') ? 'white' : 'currentColor'),
    strokeWidth: 0.722,
    fontFamily: "sans-serif",
    fontSize: 11.552
  }, /*#__PURE__*/React.createElement("tspan", {
    x: 6.404,
    y: 14.206
  }, "H")));
}
const ForwardRef = React.forwardRef(JupyterHubIcon);
module.exports = ForwardRef;