const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function JupyterHubServiceIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    viewBox: "0 0 21 21",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#767677' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#767677') ? 'white' : 'currentColor'),
    d: "M17.734 1.159A1.207 1.207 0 1116.477.027a1.193 1.193 0 011.257 1.132z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#F37726' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#F37726') ? 'white' : 'currentColor'),
    d: "M10.693 15.104c-3.205 0-6.021-1.15-7.478-2.848a7.973 7.973 0 0014.956 0c-1.453 1.698-4.259 2.848-7.478 2.848zM10.693 4.06c3.205 0 6.021 1.15 7.478 2.848a7.973 7.973 0 00-14.956 0c1.457-1.702 4.26-2.849 7.478-2.849z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#9E9E9E' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#9E9E9E') ? 'white' : 'currentColor'),
    d: "M6.281 18.41a1.52 1.52 0 11-1.584-1.425A1.507 1.507 0 016.28 18.41z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#616262' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#616262') ? 'white' : 'currentColor'),
    d: "M3.58 3.672a.876.876 0 11.85-.911.887.887 0 01-.85.911z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#f37726' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f37726') ? 'white' : 'currentColor'),
    strokeWidth: 1.725,
    d: "M7.655 13.714l.399-1.252c.512.304 1.385.645 2.22.645 1.195 0 1.764-.588 1.764-1.366 0-.797-.474-1.214-1.688-1.67-1.67-.607-2.448-1.499-2.448-2.6 0-1.48 1.214-2.694 3.169-2.694.93 0 1.745.247 2.239.57L12.91 6.56a3.558 3.558 0 00-1.878-.55c-.987 0-1.518.569-1.518 1.252 0 .759.53 1.1 1.726 1.575 1.575.588 2.41 1.385 2.41 2.751 0 1.632-1.271 2.77-3.415 2.77-1.006 0-1.936-.265-2.58-.645z"
  }));
}
const ForwardRef = React.forwardRef(JupyterHubServiceIcon);
module.exports = ForwardRef;