const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function JupyterLabIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    viewBox: "0 0 20 20",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#clip0_14_55)",
    transform: "translate(0 -.93)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "url(#paint0_linear_14_55)",
    d: "M10 20.93c5.523 0 10-4.477 10-10s-4.477-10-10-10-10 4.477-10 10 4.477 10 10 10z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#paint1_radial_14_55)",
    d: "M10 20.227a9.297 9.297 0 100-18.593 9.297 9.297 0 000 18.593z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    d: "M5.144 13.556h1.274v-5.95H5.144zm5.719-2.422c0-.972-.427-1.776-1.793-1.776-.746 0-1.308.21-1.593.368l.235.822c.268-.168.713-.31 1.132-.31.628 0 .745.31.745.536v.05c-1.45 0-2.405.503-2.405 1.568 0 .653.495 1.257 1.324 1.257.486 0 .905-.176 1.174-.503h.025l.075.41h1.148c-.05-.226-.067-.603-.067-.988zm-1.232.93a.907.907 0 01-.025.219.704.704 0 01-.662.469c-.285 0-.503-.16-.503-.486 0-.486.52-.646 1.19-.646v.445zm2.241.269c0 .46-.017.955-.034 1.223h1.082l.05-.57h.017c.284.487.754.663 1.232.663.938 0 1.868-.738 1.868-2.213.009-1.257-.704-2.07-1.684-2.07-.57 0-.997.226-1.24.578h-.017V7.606h-1.274zm1.274-1.123c0-.084.008-.16.025-.235.084-.369.402-.628.746-.628.595 0 .88.502.88 1.14 0 .737-.335 1.156-.88 1.156a.78.78 0 01-.746-.604.933.933 0 01-.025-.226z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#f37626' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f37626') ? 'white' : 'currentColor'),
    d: "M10 2.658A8.272 8.272 0 002.969 6.59c.88-.697 1.962-1.256 3.174-1.639A12.905 12.905 0 0110 4.37a12.9 12.9 0 013.867.587c1.214.386 2.297.948 3.177 1.649A8.272 8.272 0 0010 2.658zM2.956 15.256A8.273 8.273 0 0010 19.203a8.273 8.273 0 007.031-3.934c-.88.697-1.962 1.256-3.174 1.64A12.903 12.903 0 0110 17.49a12.897 12.897 0 01-3.867-.587c-1.214-.386-2.297-.947-3.177-1.648z"
  })), /*#__PURE__*/React.createElement("defs", {
    id: "defs856"
  }, /*#__PURE__*/React.createElement("radialGradient", {
    id: "paint1_radial_14_55",
    cx: 0,
    cy: 0,
    r: 1,
    gradientTransform: "translate(10 10.93) scale(7.20004)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop843",
    stopColor: "#545454"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop845",
    offset: 1,
    stopColor: "#212121"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "paint0_linear_14_55",
    x1: 9.84,
    x2: 9.84,
    y1: 0.931,
    y2: 20.936,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop848",
    stopColor: "#fff"
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop850",
    offset: 1,
    stopColor: "#BEBEBE"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "clip0_14_55"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path853",
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    d: "M0 0h20v20H0z",
    transform: "translate(0 .93)"
  }))));
}
const ForwardRef = React.forwardRef(JupyterLabIcon);
module.exports = ForwardRef;