const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function JupyterNotebookLegacyIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    viewBox: "0 0 512 512",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("linearGradient", {
    id: "b"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#fab434"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#fb9143"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "a"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#e4e4e4"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#fff"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "e",
    x1: 209.005,
    x2: 200.967,
    y1: -22.632,
    y2: -2.039,
    gradientTransform: "matrix(2.20924 0 0 2.20924 -385.61 -205.193)",
    gradientUnits: "userSpaceOnUse",
    xlinkHref: "#a"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "f",
    x1: 116.743,
    x2: 190.064,
    y1: 62.911,
    y2: 149.744,
    gradientTransform: "matrix(2.18124 0 0 2.18124 -398.428 -183.316)",
    gradientUnits: "userSpaceOnUse",
    xlinkHref: "#b"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "g",
    x1: 116.743,
    x2: 190.064,
    y1: 62.911,
    y2: 149.744,
    gradientTransform: "matrix(2.18124 0 0 2.18124 -428.641 -183.316)",
    gradientUnits: "userSpaceOnUse",
    xlinkHref: "#b"
  }), /*#__PURE__*/React.createElement("filter", {
    id: "c",
    colorInterpolationFilters: "sRGB"
  }, /*#__PURE__*/React.createElement("feGaussianBlur", {
    stdDeviation: 2.934
  })), /*#__PURE__*/React.createElement("filter", {
    id: "d",
    colorInterpolationFilters: "sRGB"
  }, /*#__PURE__*/React.createElement("feGaussianBlur", {
    stdDeviation: 0.753
  }))), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#666' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#666') ? 'white' : 'currentColor'),
    fillOpacity: 0.99,
    stroke: "#7d7d7d",
    strokeLinecap: "round",
    strokeWidth: 1.085,
    d: "M20 279.274h88.35c33.989 0 77.492 12.815 77.492 29.153V492H20z",
    filter: "url(#c)",
    transform: "matrix(2.35242 0 0 2.35242 20.683 -649.921)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    stroke: "#7d7d7d",
    strokeLinecap: "round",
    strokeLinejoin: "bevel",
    strokeWidth: 1.085,
    d: "M172.44-29.206c12.44 5.333 24.4 11.17 29.071 28.605 8.513-4.597 30.965-11.89 31.367-1.198",
    filter: "url(#d)",
    transform: "matrix(2.35242 0 0 2.35242 -213.943 80.681)"
  }), /*#__PURE__*/React.createElement("g", {
    stroke: "#7d7d7d",
    strokeLinecap: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillOpacity: 0.99,
    strokeWidth: 2.12962,
    d: "M67.936 7.007h207.62c65.91 0 182.102 42.206 182.102 68.585V507.47H67.936z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#e)",
    strokeLinejoin: "bevel",
    d: "M-42.043-274.382c32.902 0 87.165 12.825 101.62 66.77 18.807-10.155 68.409-26.267 69.296-2.647 0-40.095-127.944-64.123-170.916-64.123z",
    transform: "translate(320.328 299.172) scale(1.06481)"
  })), /*#__PURE__*/React.createElement("g", {
    stroke: "#000",
    strokeWidth: 1.3,
    fontFamily: "Droid Sans",
    fontSize: 267.697,
    fontWeight: 400,
    letterSpacing: 0,
    wordSpacing: 0
  }, /*#__PURE__*/React.createElement("path", {
    style: {
      lineHeight: "125%",
      InkscapeFontSpecification: "'Droid Sans'"
    },
    fill: "url(#f)",
    d: "M-216.22-54.192h38.365l93.372 176.165V-54.192h27.645v210.58h-38.365l-93.372-176.165v176.165h-27.645v-210.58",
    transform: "translate(320.698 308.665) scale(1.03911)"
  }), /*#__PURE__*/React.createElement("path", {
    style: {
      lineHeight: "125%",
      InkscapeFontSpecification: "'Droid Sans'"
    },
    fill: "url(#g)",
    d: "M81.92 77.544c0-19.088-3.95-34.039-11.848-44.852-7.804-10.908-18.57-16.362-32.299-16.362-13.728 0-24.542 5.454-32.44 16.362C-2.472 43.505-6.374 58.456-6.374 77.544c0 19.088 3.902 34.086 11.707 44.993 7.898 10.814 18.712 16.22 32.44 16.22 13.728 0 24.495-5.406 32.3-16.22C77.97 111.63 81.92 96.632 81.92 77.544M-6.374 22.395C-.92 12.992 5.944 6.035 14.218 1.52c8.37-4.607 18.336-6.91 29.902-6.91 19.182 0 34.744 7.616 46.686 22.849 12.036 15.233 18.054 35.261 18.054 60.085 0 24.824-6.018 44.852-18.054 60.085-11.942 15.233-27.504 22.85-46.686 22.85-11.566 0-21.533-2.257-29.902-6.77C5.944 149.1-.92 142.096-6.374 132.693v23.695h-26.094V-63.078h26.094v85.473",
    transform: "translate(320.698 308.665) scale(1.03911)"
  })), /*#__PURE__*/React.createElement("text", {
    x: 84.526,
    y: 183.35,
    style: {
      lineHeight: "0%",
      InkscapeFontSpecification: "'Myriad Pro'"
    },
    fill: colored ? '#4d4d4d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#4d4d4d') ? 'white' : 'currentColor'),
    strokeWidth: 1.122,
    fontFamily: "Myriad Pro",
    fontSize: 13.468,
    fontWeight: 400,
    letterSpacing: 0,
    wordSpacing: 0
  }, /*#__PURE__*/React.createElement("tspan", {
    x: 84.526,
    y: 183.35,
    style: {
      lineHeight: 1.25
    },
    fontSize: 119.967
  }, "Jupyter")));
}
const ForwardRef = React.forwardRef(JupyterNotebookLegacyIcon);
module.exports = ForwardRef;