const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function MicrosoftIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 50 50",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#f25022' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f25022') ? 'white' : 'currentColor'),
    strokeWidth: 1.396,
    d: "M0 0h23.8v23.8H0z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#7fba00' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#7fba00') ? 'white' : 'currentColor'),
    strokeWidth: 1.396,
    d: "M26.2 0H50v23.8H26.2z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#00a4ef' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#00a4ef') ? 'white' : 'currentColor'),
    strokeWidth: 1.396,
    d: "M0 26.2h23.8V50H0z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#ffb900' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ffb900') ? 'white' : 'currentColor'),
    strokeWidth: 1.396,
    d: "M26.2 26.2H50V50H26.2z"
  }));
}
const ForwardRef = React.forwardRef(MicrosoftIcon);
module.exports = ForwardRef;