const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function MobileSignalIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 36 36",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#3B88C3' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#3B88C3') ? 'white' : 'currentColor'),
    d: "M0 4c0-4 4-4 4-4h28s4 0 4 4v28s0 4-4 4H4s-4 0-4-4V4z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#FFF' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#FFF') ? 'white' : 'currentColor'),
    d: "M28 8h4v20h-4zm-6 4h4v16h-4zm-6 4h4v12h-4zm-6 4h4v8h-4zm-6 4h4v4H4z"
  }));
}
const ForwardRef = React.forwardRef(MobileSignalIcon);
module.exports = ForwardRef;