const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function MsWordIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 32 32",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("linearGradient", {
    id: "a",
    x1: 4.494,
    x2: 13.832,
    y1: -1712.086,
    y2: -1695.914,
    gradientTransform: "translate(0 1720)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#2368c4"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.5,
    stopColor: "#1a5dbe"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#1146ac"
  }))), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#41a5ee' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#41a5ee') ? 'white' : 'currentColor'),
    d: "M28.806 3H9.705a1.192 1.192 0 00-1.193 1.191V9.5l11.069 3.25L30 9.5V4.191A1.192 1.192 0 0028.806 3"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#2b7cd3' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#2b7cd3') ? 'white' : 'currentColor'),
    d: "M30 9.5H8.512V16l11.069 1.95L30 16z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#185abd' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#185abd') ? 'white' : 'currentColor'),
    d: "M8.512 16v6.5l10.418 1.3L30 22.5V16z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#103f91' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#103f91') ? 'white' : 'currentColor'),
    d: "M9.705 29h19.1A1.192 1.192 0 0030 27.809V22.5H8.512v5.309A1.192 1.192 0 009.705 29"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M16.434 8.2H8.512v16.25h7.922a1.2 1.2 0 001.194-1.191V9.391A1.2 1.2 0 0016.434 8.2",
    opacity: 0.1
  }), /*#__PURE__*/React.createElement("path", {
    d: "M15.783 8.85H8.512V25.1h7.271a1.2 1.2 0 001.194-1.191V10.041a1.2 1.2 0 00-1.194-1.191",
    opacity: 0.2
  }), /*#__PURE__*/React.createElement("path", {
    d: "M15.783 8.85H8.512V23.8h7.271a1.2 1.2 0 001.194-1.191V10.041a1.2 1.2 0 00-1.194-1.191",
    opacity: 0.2
  }), /*#__PURE__*/React.createElement("path", {
    d: "M15.132 8.85h-6.62V23.8h6.62a1.2 1.2 0 001.194-1.191V10.041a1.2 1.2 0 00-1.194-1.191",
    opacity: 0.2
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#a)",
    d: "M3.194 8.85h11.938a1.193 1.193 0 011.194 1.191v11.918a1.193 1.193 0 01-1.194 1.191H3.194A1.192 1.192 0 012 21.959V10.041A1.192 1.192 0 013.194 8.85"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    d: "M6.9 17.988c.023.184.039.344.046.481h.028c.01-.13.032-.287.065-.47s.062-.338.089-.465l1.255-5.407h1.624l1.3 5.326a7.761 7.761 0 01.162 1h.022a7.6 7.6 0 01.135-.975l1.039-5.358h1.477l-1.824 7.748h-1.727l-1.237-5.126q-.054-.222-.122-.578t-.084-.52h-.021q-.021.189-.084.561c-.042.249-.075.432-.1.552L7.78 19.871H6.024L4.19 12.127h1.5l1.131 5.418a4.469 4.469 0 01.079.443"
  }));
}
const ForwardRef = React.forwardRef(MsWordIcon);
module.exports = ForwardRef;