const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function NotebookOutlineIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    d: "M184 112a8 8 0 01-8 8h-64a8 8 0 010-16h64a8 8 0 018 8zm-8 24h-64a8 8 0 000 16h64a8 8 0 000-16zm48-88v160a16 16 0 01-16 16H48a16 16 0 01-16-16V48a16 16 0 0116-16h160a16 16 0 0116 16zM48 208h24V48H48zm160 0V48H88v160h120z"
  }));
}
const ForwardRef = React.forwardRef(NotebookOutlineIcon);
module.exports = ForwardRef;