const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function Null1Icon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 512 512",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("circle", {
    cx: 256,
    cy: 256,
    r: 184.5,
    fill: "#fff"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M432.9 79.1c-97.5-97.5-256.2-97.5-353.7 0s-97.5 256.2 0 353.7 256.2 97.5 353.7 0 97.5-256.1 0-353.7zm-50.8 303c-69.5 69.5-182.6 69.5-252.1 0S60.5 199.5 130 130s182.6-69.5 252.1 0c69.5 69.4 69.5 182.6 0 252.1z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M37.29 422.38L422.377 37.295l52.325 52.326L89.616 474.706z"
  }));
}
const ForwardRef = React.forwardRef(Null1Icon);
module.exports = ForwardRef;