const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function OpensearchIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 64 64",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#00a3e0' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#00a3e0') ? 'white' : 'currentColor'),
    d: "M61.737 23.5a2.263 2.263 0 00-2.262 2.263c0 18.618-15.094 33.712-33.712 33.712a2.263 2.263 0 100 4.525C46.88 64 64 46.88 64 25.763a2.263 2.263 0 00-2.263-2.263z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#b9d9eb' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#b9d9eb') ? 'white' : 'currentColor'),
    d: "M48.081 38c2.176-3.55 4.28-8.282 3.866-14.908C51.09 9.367 38.66-1.045 26.922.084c-4.596.441-9.314 4.187-8.895 10.897.182 2.915 1.61 4.636 3.928 5.959 2.208 1.26 5.044 2.057 8.259 2.961 3.883 1.092 8.388 2.32 11.85 4.87 4.15 3.059 6.986 6.603 6.018 13.229z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#00a3e0' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#00a3e0') ? 'white' : 'currentColor'),
    d: "M3.919 14C1.743 17.55-.361 22.282.052 28.908.91 42.633 13.342 53.045 25.08 51.916c4.596-.441 9.314-4.187 8.895-10.896-.182-2.916-1.61-4.637-3.928-5.96-2.208-1.26-5.044-2.057-8.259-2.961-3.883-1.092-8.388-2.32-11.85-4.87C5.787 24.17 2.951 20.625 3.919 14z"
  }));
}
const ForwardRef = React.forwardRef(OpensearchIcon);
module.exports = ForwardRef;