const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function OutputIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    viewBox: "0 0 20 20",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    d: "M18 3.534H2a.5.5 0 00-.5.5v12a.5.5 0 00.5.5h16a.5.5 0 00.5-.5v-12a.5.5 0 00-.5-.5zm-16-1.5a2 2 0 00-2 2v12a2 2 0 002 2h16a2 2 0 002-2v-12a2 2 0 00-2-2H2z",
    clipRule: "evenodd"
  }), /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    d: "M3.5 10a.5.5 0 01.5-.5h6a.5.5 0 010 1H4a.5.5 0 01-.5-.5zm8 0a.5.5 0 01.5-.5h2.046a.5.5 0 110 1H12a.5.5 0 01-.5-.5zm-8 2a.5.5 0 01.5-.5h3.52a.5.5 0 010 1H4a.5.5 0 01-.5-.5zm5.279 0a.5.5 0 01.5-.5h6.584a.5.5 0 110 1H9.279a.5.5 0 01-.5-.5zM3.5 14a.5.5 0 01.5-.5h9.026a.5.5 0 010 1H4a.5.5 0 01-.5-.5zM1.5 6.25h17v1.5h-17v-1.5z",
    clipRule: "evenodd"
  }));
}
const ForwardRef = React.forwardRef(OutputIcon);
module.exports = ForwardRef;