const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function RIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    preserveAspectRatio: "xMidYMid",
    viewBox: "0 0 724 724",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("linearGradient", {
    id: "a",
    x1: 0.741,
    x2: 590.863,
    y1: 3.666,
    y2: 593.787,
    gradientTransform: "matrix(1.22194 0 0 .81837 -1.776 79.707)",
    gradientUnits: "userSpaceOnUse",
    spreadMethod: "pad"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#CBCED0"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#84838B"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "b",
    x1: 301.026,
    x2: 703.068,
    y1: 151.401,
    y2: 553.442,
    gradientTransform: "matrix(.98995 0 0 1.01015 -1.776 79.707)",
    gradientUnits: "userSpaceOnUse",
    spreadMethod: "pad"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#276DC3"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#165CAA"
  }))), /*#__PURE__*/React.createElement("path", {
    fill: "url(#a)",
    fillRule: "evenodd",
    d: "M359.677 565.644C160.553 565.644-.87 457.535-.87 324.176c0-133.36 161.423-241.469 360.547-241.469 199.125 0 360.547 108.11 360.547 241.47 0 133.358-161.422 241.467-360.547 241.467zm55.188-388.53c-151.352 0-274.047 73.907-274.047 165.077S263.513 507.27 414.865 507.27c151.351 0 263.046-50.529 263.046-165.078 0-114.513-111.695-165.078-263.046-165.078z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#b)",
    fillRule: "evenodd",
    d: "M548.224 456.707s21.822 6.585 34.5 13c4.4 2.226 12.01 6.668 17.5 12.5 5.378 5.712 8 11.5 8 11.5l86 145-139 .062-65-122.062s-13.31-22.869-21.5-29.5c-6.832-5.53-9.745-7.5-16.5-7.5h-33.026l.026 158.974-123 .052V232.645h247s112.5 2.03 112.5 109.062c0 107.033-107.5 115-107.5 115zm-53.5-135.976l-74.463-.048-.037 69.05 74.5-.024s34.5-.107 34.5-35.125c0-35.722-34.5-33.853-34.5-33.853z"
  }));
}
const ForwardRef = React.forwardRef(RIcon);
module.exports = ForwardRef;