const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function UndoIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    viewBox: "0 0 18 18",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#616161' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#616161') ? 'white' : 'currentColor'),
    d: "M9.375 6A7.848 7.848 0 004.2 7.95l-2.7-2.7V12h6.75L5.535 9.285a5.965 5.965 0 013.84-1.41 6.009 6.009 0 015.7 4.125l1.777-.585C15.81 8.273 12.862 6 9.375 6z"
  }));
}
const ForwardRef = React.forwardRef(UndoIcon);
module.exports = ForwardRef;