const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function ViewIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    viewBox: "0 0 18 12",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#757575' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#757575') ? 'white' : 'currentColor'),
    d: "M9 .375C5.25.375 2.047 2.708.75 6c1.297 3.293 4.5 5.625 8.25 5.625S15.953 9.293 17.25 6C15.953 2.708 12.75.375 9 .375zM9 9.75C6.93 9.75 5.25 8.07 5.25 6c0-2.07 1.68-3.75 3.75-3.75 2.07 0 3.75 1.68 3.75 3.75 0 2.07-1.68 3.75-3.75 3.75zm0-6A2.247 2.247 0 006.75 6 2.247 2.247 0 009 8.25 2.247 2.247 0 0011.25 6 2.247 2.247 0 009 3.75z"
  }));
}
const ForwardRef = React.forwardRef(ViewIcon);
module.exports = ForwardRef;