import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function AndroidIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    viewBox: "-147 -70 345 345",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: colored ? '#a4c639' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#a4c639') ? 'white' : 'currentColor'),
    transform: "translate(28)"
  }, /*#__PURE__*/React.createElement("use", {
    width: "100%",
    height: "100%",
    stroke: "#fff",
    strokeWidth: 14.4,
    xlinkHref: "#a"
  }), /*#__PURE__*/React.createElement("use", {
    width: "100%",
    height: "100%",
    transform: "scale(-1 1)",
    xlinkHref: "#b"
  }), /*#__PURE__*/React.createElement("g", {
    id: "b",
    stroke: "#fff",
    strokeWidth: 7.2
  }, /*#__PURE__*/React.createElement("rect", {
    width: 13,
    height: 86,
    x: 14,
    y: -86,
    rx: 6.5,
    transform: "rotate(29)"
  }), /*#__PURE__*/React.createElement("rect", {
    id: "c",
    width: 48,
    height: 133,
    x: -143,
    y: 41,
    rx: 24
  }), /*#__PURE__*/React.createElement("use", {
    width: "100%",
    height: "100%",
    x: 85,
    y: 97,
    xlinkHref: "#c"
  })), /*#__PURE__*/React.createElement("g", {
    id: "a"
  }, /*#__PURE__*/React.createElement("ellipse", {
    cy: 41,
    rx: 91,
    ry: 84
  }), /*#__PURE__*/React.createElement("rect", {
    width: 182,
    height: 182,
    x: -91,
    y: 20,
    rx: 22
  }))), /*#__PURE__*/React.createElement("g", {
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    stroke: "#fff",
    strokeWidth: 7.2,
    transform: "translate(28)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M-95 44.5H95"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: -42,
    r: 4
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 42,
    r: 4
  })));
}
const ForwardRef = React.forwardRef(AndroidIcon);
export default ForwardRef;