import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function ApacheFeatherHorizontalIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 1000 999.983",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("linearGradient", {
    id: "b",
    x1: -5167.1,
    x2: -4570.1,
    y1: 697.55,
    y2: 1395.6,
    gradientTransform: "matrix(-.21591 .04414 -.04414 -.21591 -974.83 437.49)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#f69923"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.312,
    stopColor: "#f79a23"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.838,
    stopColor: "#e97826"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "c",
    x1: -9585.3,
    x2: -5326.2,
    y1: 620.5,
    y2: 620.5,
    gradientTransform: "matrix(-.21591 .04414 -.04414 -.21591 -974.83 437.49)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0.323,
    stopColor: "#9e2064"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.63,
    stopColor: "#c92037"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.751,
    stopColor: "#cd2335"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#e97826"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "j",
    x1: -9071.2,
    x2: -6533.2,
    y1: 1047.7,
    y2: 1047.7,
    gradientTransform: "matrix(-.21591 .04414 -.04414 -.21591 -974.83 437.49)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#282662"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.095,
    stopColor: "#662e8d"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.788,
    stopColor: "#9f2064"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.949,
    stopColor: "#cd2032"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "d",
    x1: -9346.1,
    x2: -5087,
    y1: 580.82,
    y2: 580.82,
    gradientTransform: "matrix(-.21591 .04414 -.04414 -.21591 -974.83 437.49)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0.323,
    stopColor: "#9e2064"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.63,
    stopColor: "#c92037"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.751,
    stopColor: "#cd2335"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#e97826"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "a",
    x1: -9035.5,
    x2: -6797.2,
    y1: 638.44,
    y2: 638.44,
    gradientTransform: "matrix(-.21591 .04414 -.04414 -.21591 -974.83 437.49)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#282662"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.095,
    stopColor: "#662e8d"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.788,
    stopColor: "#9f2064"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.949,
    stopColor: "#cd2032"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "e",
    x1: -9346.1,
    x2: -5087,
    y1: 1021.6,
    y2: 1021.6,
    gradientTransform: "matrix(-.21591 .04414 -.04414 -.21591 -974.83 437.49)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0.323,
    stopColor: "#9e2064"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.63,
    stopColor: "#c92037"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.751,
    stopColor: "#cd2335"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#e97826"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "f",
    x1: -9610.3,
    x2: -5351.2,
    y1: 999.73,
    y2: 999.73,
    gradientTransform: "matrix(-.21591 .04414 -.04414 -.21591 -974.83 437.49)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0.323,
    stopColor: "#9e2064"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.63,
    stopColor: "#c92037"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.751,
    stopColor: "#cd2335"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#e97826"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "g",
    x1: -9346.1,
    x2: -5087,
    y1: 1152.7,
    y2: 1152.7,
    gradientTransform: "matrix(-.21591 .04414 -.04414 -.21591 -974.83 437.49)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0.323,
    stopColor: "#9e2064"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.63,
    stopColor: "#c92037"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.751,
    stopColor: "#cd2335"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#e97826"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "h",
    x1: -9346.1,
    x2: -5087,
    y1: 1137.7,
    y2: 1137.7,
    gradientTransform: "matrix(-.21591 .04414 -.04414 -.21591 -974.83 437.49)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0.323,
    stopColor: "#9e2064"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.63,
    stopColor: "#c92037"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.751,
    stopColor: "#cd2335"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#e97826"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "i",
    x1: -6953.4,
    x2: -6012,
    y1: 1134.7,
    y2: 1134.7,
    gradientTransform: "matrix(-.21591 .04414 -.04414 -.21591 -974.83 437.49)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0.323,
    stopColor: "#9e2064"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.63,
    stopColor: "#c92037"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.751,
    stopColor: "#cd2335"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#e97826"
  }))), /*#__PURE__*/React.createElement("path", {
    fill: "url(#a)",
    d: "M656.71-7.09c20.267-9.595 39.714-20.145 58.137-31.856.646-.424 1.3-.8 1.946-1.223-7.515 19.097-3.838 52.585-3.754 52.44 11.85-34.711 26.515-65.255 48.744-84.672 8.483 7.593 14.923 21.83 20.214 39.882 2.619-24.85-1.858-38.732-4.051-43.8 10.917 12.949 30.734 20.177 52.045 26.46-23.946-14.535-39.792-28.877-46.004-42.954 68.312-21.018 142.29-46.157 219.96-74.026-6.093-4.591-12.639-5.17-19.442-3.17-14.023 5.1-106.22 38.311-231.64 76.243-3.563 1.078-7.157 2.151-10.768 3.238-1.007.307-2.026.597-3.015.891a4626.008 4626.008 0 01-40.462 11.92c-3.144.904-6.287 1.808-9.448 2.725a1.504 1.504 0 01-.18.052L654.476-6.005c.712-.336 1.494-.724 2.24-1.086z",
    transform: "translate(-2.829 519.28)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#b)",
    d: "M23.148 66.817c19.071 7.196 39.608 9.085 59.733 11.274 11.854 1.123 23.738 1.914 35.63 2.493l24.508-51.311c-31.491.856-63.087.176-94.393-3.54 30.943 3.102 62.137 1.849 93.129.17-22.37-26.67-46.909-51.428-71.93-75.588-23.519 11.839-46.291 28.35-58.634 52.244-6.3 14.546-9.95 31.534-4.821 46.98 2.756 7.895 9.065 14.16 16.773 17.278z",
    transform: "translate(-2.829 519.28)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    d: "M277.411 451.591c-.153-.133-.289-.279-.443-.412l2.62 2.831c.233.13.44.223.655.365-.947-.944-1.898-1.857-2.832-2.784zM365.891 419.815c1.69 1.464 3.316 3.03 4.92 4.638a107.536 107.536 0 00-4.92-4.638zM638.061 447.926c-.772.216-1.545.433-2.304.666a4083.53 4083.53 0 01-46.643 12.908 3770.886 3770.886 0 01-49.773 13.09 3451.8 3451.8 0 01-49.58 12.314 3187.767 3187.767 0 01-48.886 11.362 2919.103 2919.103 0 01-37.426 8.133c-4.033.85-8.05 1.688-12.03 2.5a3646.142 3646.142 0 01-23.222 4.68 1964.999 1964.999 0 01-20.66 3.958c-2.254.438-4.486.83-6.723 1.255-.358.073-.728.128-1.086.201l2.226 2.41-2.558 5.134c.551-.107 1.098-.183 1.663-.273a2080.002 2080.002 0 0030.84-5.582c5.965-1.13 11.949-2.274 17.936-3.449 16.6-3.254 33.24-6.675 49.89-10.268a2901.203 2901.203 0 0050.376-11.314c16.449-3.828 32.823-7.792 49.096-11.819a4002.227 4002.227 0 0048.306-12.33 3804.489 3804.489 0 0049.245-13.248c3.646-1.002 7.292-2.005 10.926-3.025a4828.066 4828.066 0 0038.464-10.878l4.056-8.11-2.498-2.702c-.38.117-.76.234-1.121.337a4486.416 4486.416 0 01-48.514 14.048zM372.031 425.658c-.012-.017-.03-.004-.044-.022 0 0 .012.018.044.022z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#be202e' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#be202e') ? 'white' : 'currentColor'),
    d: "M412.531 406.61c2.517 2.36 5.082 4.82 7.717 7.338.012.017.044.022.057.04a194.246 194.246 0 00-3.862-3.803 127.698 127.698 0 00-3.912-3.575z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#be202e' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#be202e') ? 'white' : 'currentColor'),
    d: "M412.531 406.61c2.517 2.36 5.082 4.82 7.717 7.338.012.017.044.022.057.04a194.246 194.246 0 00-3.862-3.803 127.698 127.698 0 00-3.912-3.575z",
    opacity: 0.35
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#be202e' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#be202e') ? 'white' : 'currentColor'),
    d: "M371.941 425.614s.012.018.031.005c.012.018.031.004.044.022-.394-.42-.81-.798-1.192-1.2a101.927 101.927 0 00-4.92-4.639c1.969 1.915 3.999 3.84 6.038 5.812z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#be202e' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#be202e') ? 'white' : 'currentColor'),
    d: "M371.941 425.614s.012.018.031.005c.012.018.031.004.044.022-.394-.42-.81-.798-1.192-1.2a101.927 101.927 0 00-4.92-4.639c1.969 1.915 3.999 3.84 6.038 5.812z",
    opacity: 0.35
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#c)",
    d: "M294.05 14.992a1625.557 1625.557 0 01-50.218 6.643c-17.122 1.995-33.955 3.639-50.416 4.896-.957.079-1.945.153-2.92.244-16.217 1.216-32.063 2.045-47.488 2.48L118.5 80.566c3.16.154 6.354.282 9.61.419 12.252.464 25.27.743 38.903.814 15.365.076 31.56-.134 48.36-.602a1599.17 1599.17 0 0048.05-2.128 1648.152 1648.152 0 0042.839-3.091c.542-.046 1.068-.078 1.61-.124 13.32-22.17 22.89-45.722 34.335-68.583a2144.338 2144.338 0 01-48.157 7.721z",
    transform: "translate(-2.829 519.28)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#d)",
    d: "M639.56-61.012a4661.144 4661.144 0 01-49.245 13.247 3794.2 3794.2 0 01-48.306 12.331 3443.71 3443.71 0 01-49.096 11.819 3099.875 3099.875 0 01-50.376 11.314 2765.171 2765.171 0 01-49.89 10.268 2857.01 2857.01 0 01-17.936 3.45 2087.335 2087.335 0 01-30.84 5.581c-.552.107-1.099.184-1.663.273l-34.33 68.583c1.085-.091 2.156-.2 3.241-.29 15.39-1.37 31.015-2.941 46.78-4.807a1527.85 1527.85 0 0048.061-6.443 1438.003 1438.003 0 0040.724-6.682c2.753-.505 5.458-1.002 8.18-1.511a1011.13 1011.13 0 0048.365-10.29c17.296-4.127 33.51-8.494 48.61-12.995a890.285 890.285 0 0028.43-8.98 860.94 860.94 0 0022.71-8.223c17.654-6.642 34.84-13.842 51.5-21.64 11.64-22.613 23.67-45.588 34.514-68.935a4881.87 4881.87 0 01-38.5 10.904c-3.615 1.007-7.28 2.022-10.926 3.025z",
    transform: "translate(-2.829 519.28)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#e)",
    d: "M343.66-.501c2.22-.41 4.456-.835 6.724-1.254 6.76-1.28 13.634-2.592 20.66-3.959 7.593-1.488 15.324-3.05 23.222-4.68 3.98-.812 7.965-1.654 12.03-2.5a2913.418 2913.418 0 0037.425-8.132 3195.24 3195.24 0 0048.887-11.362 3443.203 3443.203 0 0049.58-12.315 3922.714 3922.714 0 0049.772-13.09A4105.818 4105.818 0 00638.603-70.7c.773-.216 1.545-.432 2.305-.666A4220.898 4220.898 0 00689.39-85.42c.38-.117.76-.234 1.121-.338l-19.143-20.676c.24.508.528 1.008.767 1.516-23.296-24.428-69.92-45.278-111.88-49.997-19.338-2.178-39.994-1.843-62.413.925-16.69 2.06-34.353 5.47-53.19 10.22-16.465 4.14-33.815 9.267-52.185 15.424 7.839 3.764 15.478 9.073 22.931 15.646a167.371 167.371 0 013.912 3.574 135.706 135.706 0 013.863 3.804c-.012-.018-.045-.023-.057-.04-28.247-17.932-58.622-19.938-89.973-14.526 9.392 3.269 23.242 9.626 35.603 20.379 1.689 1.463 3.315 3.028 4.92 4.637.412.408.81.798 1.192 1.201-.012-.017-.031-.004-.044-.022 0 0-.012-.018-.031-.004-10.105-6.007-19.623-10.334-29.164-13.137a86.651 86.651 0 00-6.145-1.59 98.061 98.061 0 00-9.432-1.621 90.597 90.597 0 00-6.124-.563 108.79 108.79 0 00-14.877.138c-1.56.115-3.126.26-4.727.432-2.228.363-4.394.734-6.53 1.11-9.644 1.72-18.002 3.582-25.18 5.446-3.588.932-6.86 1.849-9.848 2.775-1.188.36-2.345.724-3.453 1.079-3.312 1.084-6.205 2.103-8.696 3.073-3.728 1.447-6.57 2.758-8.567 3.8 1.302.351 2.697.826 4.166 1.438 10.15 4.217 23.89 14.166 33.59 23.215l-17.582-18.98 17.583 18.98c.153.133.29.28.443.412.951.914 1.898 1.858 2.863 2.789-.233-.13-.44-.173-.655-.315l60.164 64.89c.34-.06.68-.12 1.05-.175z",
    transform: "translate(-2.829 519.28)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#f)",
    d: "M141.76 25.871c14.308-.869 30.359-2.124 48.242-3.943.926-.083 1.888-.193 2.831-.289a1588.593 1588.593 0 0050.488-6.02 1856.4 1856.4 0 0050.245-7.458A2174.25 2174.25 0 00342.61-.327l-59.49-64.569c-24.736-13.566-40.82-16.793-59.84-16.546-5.176.16-10.524.422-15.983.793-16.71 1.142-34.469 3.279-51.604 6.106-16.54 2.743-32.435 6.133-46.23 9.914-8.771 2.415-16.684 4.99-23.332 7.642a211.858 211.858 0 00-16.287 7.301c25.101 24.05 54.59 54.423 71.931 75.557z",
    transform: "translate(-2.829 519.28)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#be202e' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#be202e') ? 'white' : 'currentColor'),
    d: "M416.441 410.18z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#be202e' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#be202e') ? 'white' : 'currentColor'),
    d: "M416.441 410.18z",
    opacity: 0.35
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#g)",
    d: "M419.27-109.1z",
    transform: "translate(-2.829 519.28)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#be202e' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#be202e') ? 'white' : 'currentColor'),
    d: "M372.031 425.658c-.394-.42-.81-.798-1.192-1.2.381.402.78.793 1.192 1.2z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#be202e' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#be202e') ? 'white' : 'currentColor'),
    d: "M372.031 425.658c-.394-.42-.81-.798-1.192-1.2.381.402.78.793 1.192 1.2z",
    opacity: 0.35
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#h)",
    d: "M374.86-93.622c-.394-.42-.811-.798-1.192-1.201.381.403.78.793 1.192 1.201z",
    transform: "translate(-2.829 519.28)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#be202e' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#be202e') ? 'white' : 'currentColor'),
    d: "M371.981 425.618s-.012-.017-.03-.004c0 0 .011.018.03.004z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#be202e' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#be202e') ? 'white' : 'currentColor'),
    d: "M371.981 425.618s-.012-.017-.03-.004c0 0 .011.018.03.004z",
    opacity: 0.35
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#i)",
    d: "M374.81-93.662s-.012-.018-.03-.004c0 0 .011.017.03.004z",
    transform: "translate(-2.829 519.28)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#6d6e71' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#6d6e71') ? 'white' : 'currentColor'),
    d: "M960.931 579.42l.001 2.578 6.039-.003.009 17.057 2.799-.002-.01-17.057 6.083-.003-.002-2.578-14.92.007zm34.886-.019l-6.736 13.711-6.795-13.704-3.372.002.01 19.636 2.578-.001-.01-15.581 6.685 13.506 1.785-.001 6.67-13.513.01 15.58h2.58l-.01-19.637-3.395.002z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#j)",
    d: "M697.74-87.882a4324.231 4324.231 0 0039.192-11.856c.199-.065.38-.117.578-.182 1.881-.571 3.749-1.16 5.63-1.732 8.95-2.767 16.955-5.328 35.178-11.129-2.342-10.966 2.618-24.849 9.169-39.363-11.075 9.226-18.387 22.082-20.063 37.4-28.142-41.769-64.174-69.018-107.07-65.116a92.84 92.84 0 00-11.624 1.787c16.438.488 28.367 7.363 41.449 27.265.044.022.1.062.145.085-.044-.023-.101-.063-.145-.085-33.43-18.78-55.964-23.938-85.227-21.557-6.936.561-14.25 1.54-22.182 2.866 43.476 5.873 71.79 29.037 88.586 63.086l.776 1.494 18.367 19.182c2.419-.696 4.825-1.41 7.249-2.137z",
    transform: "translate(-2.829 519.28)"
  }));
}
const ForwardRef = React.forwardRef(ApacheFeatherHorizontalIcon);
export default ForwardRef;