import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function CassandraIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 280 280",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "b"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 792h612V0H0z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "c"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 792h612V0H0z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "d"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M96.008 715.93h88.29v-62.176h-88.29z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "e"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 792h612V0H0z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "f"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 792h612V0H0z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "g"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 792h612V0H0z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "h"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 792h612V0H0z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "i"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M121.202 708.378h45.899v-45.859h-45.899z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "j"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 792h612V0H0z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "k"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M40.403 726.188h212.402V664.37H40.403z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "l"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 792h612V0H0z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "m"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M39.52 688.644H238.9v-73.818H39.52z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "a"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 792h612V0H0z"
  }))), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#a)",
    transform: "matrix(1.25 0 0 -1.25 -43.538 957.313)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#373535' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#373535') ? 'white' : 'currentColor'),
    d: "M61.491 609.137c1.824 0 3.552-.432 4.417-1.296.144-1.345-1.057-3.505-1.825-3.505-.912.336-1.776.53-2.832.53-4.368 0-6.529-4.514-6.529-8.978 0-2.784.96-4.465 3.17-4.465 2.351 0 4.751 1.584 6.095 2.784.336-.239.768-1.008.768-1.872 0-.96-.288-1.872-1.152-2.736-1.536-1.536-4.128-2.832-7.873-2.832-4.32 0-7.296 2.448-7.296 8.161 0 7.488 4.944 14.21 13.01 14.21zM75.602 591.664c2.352 0 6.625 4.129 7.825 12 .048.48.096.625.192 1.105a6.019 6.019 0 01-1.969.336c-1.776 0-3.6-.528-5.232-2.736-1.68-2.352-2.4-5.28-2.4-7.633 0-2.015.576-3.072 1.536-3.072zm-7.729 2.16c0 2.832.96 7.777 4.561 11.377 3.072 3.168 6.816 3.937 10.225 3.937 2.256 0 5.328-.72 7.248-1.105-.48-2.112-1.632-10.08-2.16-14.688-.24-1.97-.336-4.705-.24-5.713-1.584-.672-4.56-.864-5.377-.864-.43 0-.528 1.968-.383 3.84.047.624.144 1.536.191 1.92-1.872-3.12-5.568-5.76-9.456-5.76-2.784 0-4.609 2.304-4.609 7.008zM101.858 609.137c1.968 0 3.84-.72 4.705-1.632-.048-1.345-1.104-3.6-2.785-2.976-.72.24-1.44.431-2.4.431-1.296 0-2.4-.576-2.4-1.775 0-.912.672-1.585 3.888-3.84 2.305-1.68 3.217-3.169 3.217-5.28 0-3.506-3.313-7.298-9.073-7.298-2.352 0-4.417.912-5.09 1.872-.863 1.44-.191 4.272.77 3.793 1.248-.624 3.312-1.297 4.992-1.297 1.584 0 2.592.721 2.592 1.681 0 .815-.72 1.536-3.648 3.6-2.45 1.824-3.217 3.504-3.217 5.424 0 3.984 3.409 7.297 8.4 7.297zM118.417 609.137c1.969 0 3.841-.72 4.705-1.632-.048-1.345-1.103-3.6-2.784-2.976-.72.24-1.441.431-2.4.431-1.296 0-2.4-.576-2.4-1.775 0-.912.672-1.585 3.888-3.84 2.304-1.68 3.216-3.169 3.216-5.28 0-3.506-3.313-7.298-9.073-7.298-2.352 0-4.416.912-5.088 1.872-.864 1.44-.192 4.272.768 3.793 1.248-.624 3.312-1.297 4.992-1.297 1.584 0 2.592.721 2.592 1.681 0 .815-.72 1.536-3.648 3.6-2.448 1.824-3.216 3.504-3.216 5.424 0 3.984 3.408 7.297 8.401 7.297zM133.536 591.664c2.353 0 6.625 4.129 7.825 12 .048.48.097.625.193 1.105a6.024 6.024 0 01-1.969.336c-1.776 0-3.6-.528-5.233-2.736-1.679-2.352-2.4-5.28-2.4-7.633 0-2.015.576-3.072 1.537-3.072zm-7.729 2.16c0 2.832.961 7.777 4.561 11.377 3.072 3.168 6.816 3.937 10.225 3.937 2.256 0 5.33-.72 7.25-1.105-.48-2.112-1.633-10.08-2.16-14.688-.242-1.97-.337-4.705-.242-5.713-1.584-.672-4.559-.864-5.376-.864-.43 0-.528 1.968-.384 3.84.048.624.144 1.536.192 1.92-1.872-3.12-5.568-5.76-9.456-5.76-2.785 0-4.61 2.304-4.61 7.008zM158.688 602.897c2.209 3.552 5.088 6.24 9.121 6.24 3.408 0 4.512-3.168 3.889-7.68-.336-2.113-.912-5.137-1.297-7.921-.336-2.353-.576-4.464-.527-5.905-1.248-.624-4.897-.864-5.713-.864-.336 0-.385 2.641.048 5.425.383 2.304 1.2 6.48 1.584 8.881.241 1.391.192 3.072-1.152 3.072-1.777 0-6-2.833-8.113-14.449-.145-.96-.528-1.536-1.057-1.872-.719-.433-2.256-.817-5.375-.865.576 2.928 1.488 8.929 2.16 13.345.623 4.032.864 6.625.719 7.633.817.288 5.09 1.2 5.568 1.2.53 0 .625-1.488.145-5.089-.047-.336-.096-.863-.145-1.151zM183.073 591.711c2.11 0 6.385 3.937 7.584 10.897.049.384.193 1.104.289 1.537-.625.576-1.441.96-2.736.96-4.85 0-7.01-5.809-7.01-9.986 0-2.256.769-3.408 1.824-3.408zm-3.168-4.944c-3.072 0-4.992 2.736-4.992 7.44 0 7.777 4.847 14.93 13.008 14.93 1.44 0 2.736-.384 3.552-.864.432 2.208 1.44 9.025 1.489 11.041 1.343.24 4.224.671 5.519.671.53 0 .674-.527.48-1.727-1.152-7.2-3.214-21.026-3.6-24.099-.288-2.592-.335-5.136-.288-6.576-1.535-.672-4.656-.816-5.471-.816-.338 0-.53 2.208-.433 4.176.049.624.144 1.537.144 1.68-2.4-3.936-5.713-5.856-9.361-5.856zM208.032 602.224c2.545 5.665 5.568 6.913 7.537 6.913.625 0 1.584-.384 2.016-.864.193-1.584-1.055-4.752-2.16-5.952-.577.288-1.295.576-2.112.576-1.633 0-4.85-2.545-6.865-13.489-.145-.913-.432-1.297-.96-1.537-.815-.48-4.032-.864-5.567-.912.718 3.937 1.966 11.953 2.447 16.658.144 1.2.19 3.408.096 4.272.912.432 4.513 1.248 5.328 1.248.433 0 .769-2.64.095-6.913zM224.975 591.664c2.354 0 6.625 4.129 7.826 12 .047.48.096.625.192 1.105a6.019 6.019 0 01-1.969.336c-1.776 0-3.6-.528-5.233-2.736-1.679-2.352-2.4-5.28-2.4-7.633 0-2.015.576-3.072 1.537-3.072zm-7.729 2.16c0 2.832.961 7.777 4.561 11.377 3.072 3.168 6.816 3.937 10.225 3.937 2.256 0 5.328-.72 7.25-1.105-.48-2.112-1.633-10.08-2.16-14.688-.24-1.97-.338-4.705-.24-5.713-1.585-.672-4.56-.864-5.378-.864-.43 0-.527 1.968-.384 3.84.048.624.144 1.536.193 1.92-1.873-3.12-5.568-5.76-9.457-5.76-2.785 0-4.61 2.304-4.61 7.008z"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#b)",
    transform: "matrix(1.25 0 0 -1.25 -43.538 957.313)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#bbe6fb' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#bbe6fb') ? 'white' : 'currentColor'),
    d: "M210.878 690.483c1.584-18.452-27.455-36.014-64.859-39.223-37.404-3.209-69.01 9.151-70.592 27.602-1.584 18.455 27.455 36.016 64.86 39.225 37.403 3.208 69.01-9.149 70.591-27.604"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#c)",
    transform: "matrix(1.25 0 0 -1.25 -43.538 957.313)"
  }, /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#d)",
    opacity: 0.35
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    d: "M141.384 715.923c-14.268.232-30.964-5.433-43.387-10.738a35.89 35.89 0 01-1.989-11.797c0-21.888 19.764-39.634 44.145-39.634 24.381 0 44.145 17.746 44.145 39.634 0 6.927-1.984 13.435-5.463 19.101-9.939 1.545-23.609 3.21-37.45 3.434"
  }))), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#e)",
    transform: "matrix(1.25 0 0 -1.25 -43.538 957.313)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    d: "M140.153 715.928c-7.9.482-21.514-3.64-32.867-7.75a33.739 33.739 0 01-2.683-13.201c0-19.178 17.388-34.725 35.782-34.725 18.273 0 34.44 15.572 35.782 34.725.436 6.237-1.711 12.114-4.692 17.18-11.77 2.074-24.261 3.34-31.322 3.77"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#f)",
    transform: "matrix(1.25 0 0 -1.25 -43.538 957.313)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#373535' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#373535') ? 'white' : 'currentColor'),
    d: "M119.882 697.495c.969 2.146 2.437 3.197 3.859 4.996-.158.426-.504 1.819-.504 2.302a3.907 3.907 0 003.906 3.906 3.89 3.89 0 001.44-.278c6.465 4.927 14.976 7.075 23.529 5.163a29.763 29.763 0 002.299-.623c-8.453 1.172-17.981-1.822-24.462-7.053.198-.467.747-1.802.747-2.34 0-2.156-1.396-2.681-3.553-2.681-.49 0-.958.094-1.391.259-1.464-1.966-3.258-5.711-4.136-8.052 3.584-3.206 6.822-4.368 11.042-5.945-.011.2.145.387.145.592 0 6.503 5.725 11.788 12.229 11.788 5.828 0 10.654-4.238 11.596-9.798 2.908 1.85 5.72 3.268 7.863 6.01-.5.61-1.04 2.337-1.04 3.187a3.545 3.545 0 003.546 3.544c.277 0 .543-.04.802-.1a31.013 31.013 0 012.434 7.05c-10.17 7.529-29.847 6.502-29.847 6.502s-15.658.817-26.258-4.35c.707-5.11 2.746-9.97 5.754-14.08"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#373535' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#373535') ? 'white' : 'currentColor'),
    d: "M168.49 700.428a6.551 6.551 0 001.42-1.77c.952-1.71-.956-3.276-2.913-3.276a3.5 3.5 0 00-.582.06c-2.205-3.447-6.067-7.866-9.498-10.09 5.26-.862 10.222-2.969 14.17-6.225 2.875 5.151 5.08 12.59 5.08 18.907 0 4.81-2.123 8.334-5.328 10.92-.168-2.576-1.543-6.179-2.348-8.526M125.784 667.803c1.753 4.841 6.065 8.592 10.144 11.892-.597.817-1.492 2.84-1.865 3.798a28.545 28.545 0 00-12.79 8.094c-.026-.109-.057-.215-.083-.324a25.873 25.873 0 01-.44-8.584 5.13 5.13 0 004.184-5.042c0-1.489-1.305-3.647-2.318-4.586 1.101-2.376 1.852-3.522 3.168-5.248"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#373535' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#373535') ? 'white' : 'currentColor'),
    d: "M125.476 663.74c-2.091 2.078-3.537 6.225-4.894 8.83a5.13 5.13 0 00-.78-.067c-2.836 0-5.807 2.38-5.135 5.134.372 1.524 1.424 2.521 3.137 3.353-.39 3.157-.496 7.695.237 10.977.21.94.655 1.38.95 2.273-3.13 4.58-5.151 10.59-5.151 16.552 0 .218.01.433.016.65-5.288-2.653-9.253-6.83-9.253-13.408 0-14.548 8.379-28.819 20.846-34.413.009.04.017.08.027.118M156.131 683.851c-1.61-4.582-5.967-7.873-11.1-7.873-2.746 0-5.265.947-7.267 2.521-4.127-3.214-7.87-8.86-9.774-13.758.854-.919 1.45-1.675 2.407-2.49 2.887-.752 6.863 0 9.988 0 12.57 0 23.703 5.592 30.086 15.398-4.244 2.94-9.25 5.736-14.34 6.202"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#g)",
    transform: "matrix(1.25 0 0 -1.25 -43.538 957.313)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#1287b1' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#1287b1') ? 'white' : 'currentColor'),
    d: "M119.56 695.794a28.451 28.451 0 003.605 5.931c-.158.425-.25.884-.25 1.367a3.907 3.907 0 003.906 3.906 3.89 3.89 0 001.44-.278c6.465 4.927 14.976 7.075 23.529 5.163a29.763 29.763 0 002.299-.623c-8.453 1.172-17.187-1.419-23.668-6.65a3.906 3.906 0 00-3.6-5.423c-.49 0-.958.093-1.391.258a26.294 26.294 0 01-3.54-6.48c3.079-3.317 6.857-5.94 11.076-7.517-.01.201-.031.4-.031.605 0 6.503 5.27 11.775 11.775 11.775 5.828 0 10.654-4.238 11.596-9.798 2.908 1.85 5.492 4.226 7.634 6.968a3.5 3.5 0 00-.81 2.23 3.545 3.545 0 003.545 3.543c.277 0 .543-.04.802-.1a31.013 31.013 0 012.434 7.05c-10.17 7.53-29.847 6.502-29.847 6.502s-15.658.817-26.258-4.349c.707-5.11 2.746-9.97 5.754-14.08"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#1287b1' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#1287b1') ? 'white' : 'currentColor'),
    d: "M169.04 699.848a3.518 3.518 0 001.18-2.62 3.546 3.546 0 00-3.545-3.546 3.5 3.5 0 00-.582.06 28.689 28.689 0 00-8.56-8.609 28.662 28.662 0 0013.794-6.2 35.595 35.595 0 014.518 17.401c0 4.81-2.123 8.334-5.328 10.92a28.518 28.518 0 00-1.477-7.406M126.325 666.64a28.567 28.567 0 008.878 12.484 11.755 11.755 0 00-1.462 2.67 28.54 28.54 0 00-12.79 8.093c-.026-.109-.058-.215-.083-.324a25.82 25.82 0 01-.44-8.584 5.131 5.131 0 004.184-5.042 5.124 5.124 0 00-1.652-3.767 30.815 30.815 0 013.365-5.53"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#1287b1' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#1287b1') ? 'white' : 'currentColor'),
    d: "M125.462 663.798a28.624 28.624 0 00-5.202 7.07 5.152 5.152 0 00-.78-.065 5.13 5.13 0 00-2.238 9.75 28.47 28.47 0 001.238 12.463 28.394 28.394 0 00-4.962 16.076c0 .218.01.433.015.648-5.288-2.65-9.253-6.83-9.253-13.406 0-14.549 8.688-27.06 21.155-32.654.009.04.017.08.027.118M155.81 682.15c-1.612-4.581-5.968-7.872-11.1-7.872-2.747 0-5.266.947-7.268 2.52-4.127-3.213-7.242-7.594-9.144-12.493a31.844 31.844 0 012.723-2.6 35.835 35.835 0 019.042-1.154c12.57 0 23.621 6.49 30.004 16.295-4.244 2.94-9.168 4.839-14.258 5.305"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#h)",
    transform: "matrix(1.25 0 0 -1.25 -43.538 957.313)"
  }, /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#i)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    d: "M156.222 685.187l10.88 2.595-10.92.557 8.886 6.792-10.084-3.615 6.853 9.497-9.465-6.291 3.31 11.117-6.5-9.163-.149 11.579-4.277-10.314-3.566 10.437.193-12.295-6.163 11.021 3.335-11.702-9.997 7.27 7.831-9.84-12.41 4.564 9.794-7.247-12.56-.386 12.842-3.314-12.853-2.779 12.687-.92-10.699-6.851 11.017 3.994-7.644-9.681 9.66 7.79-3.479-12.991 7.457 10.572-1.045-12.486 4.233 11.319 3.603-11.897.876 11.933 5.348-10.181-3.16 11.645 9.793-7.586-6.322 9.672 10.744-4.186-8.215 8.073 11.016-.866z"
  }))), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#j)",
    transform: "matrix(1.25 0 0 -1.25 -43.538 957.313)"
  }, /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#k)",
    opacity: 0.35
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#373535' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#373535') ? 'white' : 'currentColor'),
    d: "M40.403 664.37c33.74 33.74 60.687 44.155 85.143 48.91 3.236.63 3.848 7.7 3.848 7.7s.453-5.208 2.718-5.887c2.264-.68 5.207 8.152 5.207 8.152s-2.717-7.926 0-8.379c2.718-.453 7.7 7.7 7.7 7.7s-2.038-7.02-.679-7.473c1.357-.453 8.15 10.19 8.15 10.19s-4.076-7.02-.226-7.7c3.851-.679 9.467 4.791 9.467 4.791s-4.416-5.005-2.448-5.696c8.38-2.945 15.16 7.945 15.16 7.945s-1.572-4.775-5.648-9.983c8.83-2.264 15.39 11.04 15.39 11.04l-6.56-13.304c3.397-1.813 16.985 13.812 16.985 13.812s-7.02-12.228-11.096-14.718c2.264-1.812 10.416 5.434 10.416 5.434s-6.567-8.15-4.076-8.604c3.623-2.944 16.982 15.171 16.982 15.171s-5.207-10.642-12.906-19.02c6.435-3.22 22.418 17.435 22.418 17.435s-.453-6.567-12.002-16.983c8.605 1.132 19.701 17.436 19.701 17.436s-4.076-12.228-13.814-20.832c8.45.88 21.964 21.738 21.964 21.738s-5.207-14.492-15.849-22.87c11.775-2.605 28.758 14.944 28.758 14.944s-6.68-12.455-15.399-17.549c9.738-3.736 23.098 11.662 23.098 11.662s-13.36-20.607-34.645-19.7c-6.984.296-28.109 21.187-73.368 19.473-59.78-2.265-72.46-27.626-104.389-44.835"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#373535' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#373535') ? 'white' : 'currentColor'),
    d: "M41.786 666.933c33.74 33.739 60.686 44.154 85.142 48.91 3.237.629 3.85 7.699 3.85 7.699s.451-5.21 2.717-5.887c2.264-.68 5.207 8.15 5.207 8.15s-2.717-7.925 0-8.377c2.718-.452 7.7 7.699 7.7 7.699s-2.038-7.02-.68-7.472c1.358-.453 8.151 10.19 8.151 10.19s-4.076-7.02-.226-7.7c3.85-.68 9.467 4.79 9.467 4.79s-4.416-5.004-2.448-5.695c8.38-2.944 15.157 7.945 15.157 7.945s-1.57-4.775-5.645-9.983c8.83-2.265 15.39 11.04 15.39 11.04l-6.56-13.305c3.397-1.811 16.983 13.812 16.983 13.812s-7.018-12.226-11.094-14.717c2.264-1.812 10.416 5.434 10.416 5.434s-6.567-8.152-4.076-8.604c3.623-2.945 16.982 15.17 16.982 15.17s-5.209-10.642-12.906-19.02c6.435-3.22 22.418 17.436 22.418 17.436s-.453-6.568-12.002-16.984c8.605 1.133 19.701 17.437 19.701 17.437s-4.076-12.228-13.814-20.833c8.45.879 21.964 21.738 21.964 21.738s-5.207-14.492-15.849-22.87c11.775-2.604 28.758 14.944 28.758 14.944s-6.68-12.453-15.399-17.548c9.738-3.736 23.098 11.662 23.098 11.662s-13.36-20.607-34.647-19.701c-6.982.298-28.107 21.189-73.367 19.474-59.779-2.264-72.46-27.625-104.388-44.834"
  }))), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#l)",
    transform: "matrix(1.25 0 0 -1.25 -43.538 957.313)"
  }, /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#m)",
    opacity: 0.35
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#373535' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#373535') ? 'white' : 'currentColor'),
    d: "M39.52 660.68c17.831-8.945 34.136 1.358 54.685-4.433 15.624-4.404 34.646-9.833 60.459-6.096 25.814 3.735 47.893 14.944 58.424 34.985 3.283 8.943 16.642-2.039 16.642-2.039s-9.736 4.076-9.51 2.151c.227-1.924 14.606-8.604 14.606-8.604s-13.021 4.076-12.228 1.02c.792-3.058 16.301-15.286 16.301-15.286s-17.548 13.36-19.019 11.55c-1.473-1.813 7.472-9.173 7.472-9.173s-14.832 9.172-20.04 6.467c-3.747-1.943 15.398-14.506 15.398-14.506s-12.455 9.512-15.399 7.021c-2.943-2.492 14.04-22.87 14.04-22.87s-19.249 20.832-21.172 19.813c-1.926-1.019 5.32-10.983 5.32-10.983s-9.51 10.417-12.113 8.605c-2.604-1.812 13.586-28.87 13.586-28.87s-17.549 27.737-24.795 23.097c11.38-24.966 7.134-28.533 7.134-28.533s-1.452 25.47-15.625 24.796c-7.133-.34 3.396-19.02 3.396-19.02s-9.691 17.061-16.145 16.721c11.894-22.51 7.654-31.667 7.654-31.667s1.967 19.226-14.166 29.925c6.113-5.433-3.836-29.925-3.836-29.925s8.752 36.091-6.455 29.21c-2.403-1.085-.17-18.002-.17-18.002s-3.057 19.362-7.64 18.342c-2.674-.593-16.985-26.833-16.985-26.833s11.72 28.362 8.153 27.173c-2.598-.867-7.473-12.568-7.473-12.568s2.377 11.55 0 12.228c-2.377.68-15.625-12.228-15.625-12.228s9.851 11.55 8.152 13.927c-2.574 3.603-5.59 3.772-9.17 2.377-5.21-2.03-12.228-11.548-12.228-11.548s6.996 9.637 5.773 13.247c-1.963 5.8-22.077-11.209-22.077-11.209s11.888 11.21 9.171 13.587c-2.717 2.377-17.47 1.642-22.078 1.655-13.586.042-18.294 3.23-22.418 6.496"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#373535' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#373535') ? 'white' : 'currentColor'),
    d: "M38.84 662.718c17.833-8.945 34.137 1.358 54.686-4.434 15.623-4.402 34.646-9.832 60.46-6.095 25.814 3.736 47.89 14.945 58.422 34.984 3.283 8.944 16.642-2.037 16.642-2.037s-9.736 4.075-9.51 2.15c.227-1.924 14.606-8.604 14.606-8.604s-13.021 4.075-12.228 1.018c.793-3.056 16.304-15.284 16.304-15.284s-17.55 13.361-19.021 11.548c-1.471-1.81 7.473-9.17 7.473-9.17s-14.833 9.17-20.041 6.467c-3.747-1.944 15.398-14.506 15.398-14.506s-12.455 9.511-15.398 7.02c-2.944-2.492 14.04-22.87 14.04-22.87s-19.25 20.832-21.173 19.813c-1.924-1.02 5.322-10.982 5.322-10.982s-9.512 10.416-12.115 8.604c-2.604-1.81 13.586-28.87 13.586-28.87s-17.55 27.738-24.795 23.096c11.379-24.965 7.133-28.532 7.133-28.532s-1.452 25.47-15.625 24.795c-7.133-.34 3.396-19.02 3.396-19.02s-9.691 17.063-16.144 16.723c11.896-22.512 7.654-31.668 7.654-31.668s1.967 19.227-14.166 29.926c6.113-5.434-3.836-29.926-3.836-29.926s8.754 36.091-6.453 29.21c-2.403-1.086-.17-18.002-.17-18.002s-3.06 19.361-7.642 18.342c-2.674-.593-16.985-26.833-16.985-26.833s11.719 28.362 8.153 27.172c-2.598-.865-7.473-12.566-7.473-12.566s2.378 11.548 0 12.227c-2.377.68-15.624-12.227-15.624-12.227s9.85 11.548 8.15 13.926c-2.573 3.603-5.59 3.771-9.17 2.376-5.21-2.029-12.227-11.547-12.227-11.547s6.996 9.638 5.774 13.247c-1.964 5.8-22.077-11.209-22.077-11.209s11.888 11.21 9.17 13.586c-2.717 2.378-17.471 1.642-22.078 1.656-13.586.043-18.293 3.23-22.417 6.496"
  }))));
}
const ForwardRef = React.forwardRef(CassandraIcon);
export default ForwardRef;