import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function DashboardGreyIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    viewBox: "0 0 24 24",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#d0cfce' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#d0cfce') ? 'white' : 'currentColor'),
    d: "M2 22h6v-9H2zM10 22h12v-9H10zM16 11h6V2h-6zM2 11h12V2H2z"
  }));
}
const ForwardRef = React.forwardRef(DashboardGreyIcon);
export default ForwardRef;