import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function DashboardOutlineGreyIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    viewBox: "0 0 24 24",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#616161' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#616161') ? 'white' : 'currentColor'),
    fillRule: "evenodd",
    d: "M2 2h20v20H2V2zm2 2h10v6H4V4zm16 0h-4v6h4V4zm-10 8h10v8H10v-8zm-2 0H4v8h4v-8z",
    clipRule: "evenodd"
  }));
}
const ForwardRef = React.forwardRef(DashboardOutlineGreyIcon);
export default ForwardRef;