import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function DashboardVerticalBlueIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 256 256",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    strokeMiterlimit: 10,
    strokeWidth: 1
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#0050c0' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#0050c0') ? 'white' : 'currentColor'),
    d: "M102.041 153.183h-87.95c-6.994 0-12.684-5.693-12.684-12.687V14.091c0-6.994 5.69-12.684 12.684-12.684h87.95c6.994 0 12.684 5.69 12.684 12.684v126.405c.003 6.994-5.687 12.687-12.684 12.687z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#006dff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#006dff') ? 'white' : 'currentColor'),
    d: "M102.041 254.307h-87.95c-6.994 0-12.684-5.69-12.684-12.688v-44.24c0-6.994 5.69-12.687 12.684-12.687h87.95c6.994 0 12.684 5.69 12.684 12.687v44.24c.003 6.997-5.687 12.688-12.684 12.688z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#0050c0' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#0050c0') ? 'white' : 'currentColor'),
    d: "M241.62 254.307h-87.948c-6.994 0-12.687-5.69-12.687-12.688V115.214c0-6.994 5.69-12.684 12.687-12.684h87.95c6.994 0 12.687 5.69 12.687 12.684V241.62c-.002 6.997-5.693 12.688-12.69 12.688z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#006dff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#006dff') ? 'white' : 'currentColor'),
    d: "M241.62 71.019h-87.948c-6.994 0-12.687-5.69-12.687-12.687V14.09c0-6.994 5.69-12.684 12.687-12.684h87.95c6.994 0 12.685 5.69 12.685 12.684v44.243c0 6.994-5.69 12.685-12.688 12.685z"
  })));
}
const ForwardRef = React.forwardRef(DashboardVerticalBlueIcon);
export default ForwardRef;