import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function DashboardWhiteIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    viewBox: "0 0 24 24",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    d: "M2 14a1 1 0 011-1h5v8a1 1 0 01-1 1H3a1 1 0 01-1-1v-7zM10 13h11a1 1 0 011 1v7a1 1 0 01-1 1H11a1 1 0 01-1-1v-8zM16 3a1 1 0 011-1h4a1 1 0 011 1v7a1 1 0 01-1 1h-5V3zM2 3a1 1 0 011-1h10a1 1 0 011 1v8H3a1 1 0 01-1-1V3z"
  }));
}
const ForwardRef = React.forwardRef(DashboardWhiteIcon);
export default ForwardRef;