import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function DatalayerGreenVerticalIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    viewBox: "0 0 50 50",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#2ecc71' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#2ecc71') ? 'white' : 'currentColor'),
    d: "M0 50V0h10v50zm0 0"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#1abc9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#1abc9c') ? 'white' : 'currentColor'),
    d: "M20 50V0h10v50zm0 0"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#16a085' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#16a085') ? 'white' : 'currentColor'),
    d: "M40 50V0h10v50zm0 0"
  }));
}
const ForwardRef = React.forwardRef(DatalayerGreenVerticalIcon);
export default ForwardRef;