import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function DoubleUpIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    viewBox: "0 0 16 16",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M12.771 13.155a.75.75 0 000-1.06l-4.25-4.25a.75.75 0 00-1.06 0l-4.25 4.25a.751.751 0 001.06 1.06l3.72-3.72 3.72 3.72a.75.75 0 001.06 0z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12.771 8.155a.75.75 0 000-1.06l-4.25-4.25a.75.75 0 00-1.06 0l-4.25 4.25a.751.751 0 001.06 1.06l3.72-3.72 3.72 3.72a.75.75 0 001.06 0z"
  }));
}
const ForwardRef = React.forwardRef(DoubleUpIcon);
export default ForwardRef;