import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function DragIndicatorLinesIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    viewBox: "0 0 20 20",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#757575' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#757575') ? 'white' : 'currentColor'),
    stroke: "#fff",
    strokeWidth: 0.5,
    d: "M17.39 5.646l1.381 1.381L7.028 18.771 5.647 17.39zM17.811 14.991l1.381 1.381-2.804 2.804-1.381-1.38zM17.48 10.438l1.381 1.38-7.049 7.05-1.38-1.381z"
  }));
}
const ForwardRef = React.forwardRef(DragIndicatorLinesIcon);
export default ForwardRef;