import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function FileBrowserIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    viewBox: "0 0 20 20",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M.05 3.498c0-1.208.98-2.188 2.188-2.188H6.3a2.19 2.19 0 011.75.875l1.125 1.5a.313.313 0 00.25.125h8.438c1.207 0 2.187.98 2.187 2.188v10.625a2.188 2.188 0 01-2.187 2.187H2.238A2.188 2.188 0 01.05 16.623zm2.188-.313a.312.312 0 00-.313.313v13.125c0 .172.14.312.313.312h15.625a.312.312 0 00.312-.312V5.998a.313.313 0 00-.312-.313H9.425a2.19 2.19 0 01-1.75-.875L6.55 3.31a.313.313 0 00-.25-.125z"
  }));
}
const ForwardRef = React.forwardRef(FileBrowserIcon);
export default ForwardRef;