import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function FullscreenIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    viewBox: "0 0 18 18",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#757575' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#757575') ? 'white' : 'currentColor'),
    d: "M3.643 11.143H1.5V16.5h5.357v-2.143H3.643v-3.214zM1.5 6.857h2.143V3.643h3.214V1.5H1.5v5.357zm12.857 7.5h-3.214V16.5H16.5v-5.357h-2.143v3.214zM11.143 1.5v2.143h3.214v3.214H16.5V1.5h-5.357z"
  }));
}
const ForwardRef = React.forwardRef(FullscreenIcon);
export default ForwardRef;