import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function GalileoIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 20 20",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    strokeWidth: 0.02,
    d: "M10 19.806c-5.523 0-10-4.37-10-9.76S4.477.286 10 .286c5.524 0 10 4.37 10 9.76s-4.476 9.76-10 9.76zm8.95-9.656c0-3.825-4.049-6.926-9.039-6.926-4.992 0-9.04 3.101-9.04 6.926s4.048 6.927 9.04 6.927c4.99 0 9.038-3.102 9.038-6.927z"
  }));
}
const ForwardRef = React.forwardRef(GalileoIcon);
export default ForwardRef;