import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function GolangIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 50 50",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    fillRule: "evenodd",
    opacity: 0.7
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#f7d8ac' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f7d8ac') ? 'white' : 'currentColor'),
    fillRule: "nonzero",
    stroke: "#000",
    strokeWidth: 0.617545,
    d: "M7.473 27.045c.071 1.466 1.534.788 2.196.33.629-.435.813-.074.868-.932.036-.564.101-1.129.07-1.695-.952-.086-1.986.14-2.766.707-.401.292-1.154 1.224-.368 1.59"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#75dce8' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#75dce8') ? 'white' : 'currentColor'),
    fillRule: "nonzero",
    stroke: "#000",
    strokeWidth: 0.617545,
    d: "M10.853 9.587C5.248 8.01 9.416.873 13.916 3.81zM35.754 3.273c4.436-3.119 8.445 3.918 3.289 5.688z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#f7d8ac' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f7d8ac') ? 'white' : 'currentColor'),
    fillRule: "nonzero",
    stroke: "#000",
    strokeWidth: 0.617545,
    d: "M36.708 45.08c1.127.699 3.186 2.809 1.496 3.832-1.624 1.489-2.533-1.634-3.959-2.066.614-.835 1.392-1.596 2.463-1.765z"
  }), /*#__PURE__*/React.createElement("path", {
    stroke: "#000",
    strokeWidth: 0.617545,
    d: "M38.204 48.912c-.25-.499-.335-1.08-.753-1.483"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#f7d8ac' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f7d8ac') ? 'white' : 'currentColor'),
    fillRule: "nonzero",
    stroke: "#000",
    strokeWidth: 0.617545,
    d: "M16.577 47.466c-1.323.204-2.067 1.399-3.17 2.005-1.039.62-1.436-.198-1.53-.364-.162-.075-.149.069-.4-.185-.963-1.521 1.003-2.633 2.028-3.39 1.426-.288 2.32.95 3.072 1.934z"
  }), /*#__PURE__*/React.createElement("path", {
    stroke: "#000",
    strokeWidth: 0.617545,
    d: "M11.877 49.106c.05-.58.51-.968.729-1.458"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillRule: "nonzero",
    d: "M11.087 7.616c-.74-.391-1.282-.923-.83-1.779.419-.792 1.197-.706 1.936-.315zM37.875 6.872c.74-.392 1.282-.923.83-1.78-.42-.792-1.197-.706-1.937-.314z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#f7d8ac' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f7d8ac') ? 'white' : 'currentColor'),
    fillRule: "nonzero",
    stroke: "#000",
    strokeWidth: 0.617545,
    d: "M42.965 26.86c-.071 1.465-1.534.787-2.196.328-.63-.435-.813-.073-.868-.931-.036-.565-.101-1.129-.07-1.695.951-.086 1.986.14 2.765.707.402.292 1.155 1.224.369 1.59"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#75dce8' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#75dce8') ? 'white' : 'currentColor'),
    fillRule: "nonzero",
    stroke: "#000",
    strokeWidth: 0.617545,
    d: "M24.657.309c5.611 0 10.87.803 13.613 6.199 2.46 6.048 1.586 12.57 1.96 18.962.323 5.488 1.038 11.83-1.506 16.915-2.676 5.351-9.362 6.697-14.872 6.5-4.327-.155-9.554-1.568-11.996-5.525-2.866-4.643-1.509-11.546-1.3-16.712.246-6.12-1.657-12.257.352-18.245C12.99 2.191 18.61.788 24.658.309"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillRule: "nonzero",
    stroke: "#000",
    strokeWidth: 0.617545,
    d: "M25.648 7.848c1.007 5.862 10.58 4.312 9.204-1.6-1.232-5.301-9.539-3.834-9.204 1.6M14.209 8.796c1.306 5.104 9.468 3.797 9.16-1.322-.368-6.13-10.408-4.948-9.16 1.322M26.803 14.882c.004.762.173 1.618.029 2.429-.195.367-.576.406-.905.555a1.33 1.33 0 01-1.019-.796c-.116-.925.044-1.821.073-2.747z"
  }), /*#__PURE__*/React.createElement("g", {
    fillRule: "nonzero",
    transform: "matrix(1.23509 0 0 1.23509 15.036 6.438)"
  }, /*#__PURE__*/React.createElement("ellipse", {
    cx: 1.153,
    cy: 1.236,
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    rx: 1.116,
    ry: 1.21
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 1.661,
    cy: 1.509,
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    rx: 0.263,
    ry: 0.307
  })), /*#__PURE__*/React.createElement("g", {
    fillRule: "nonzero",
    transform: "matrix(1.23509 0 0 1.23509 26.562 6.066)"
  }, /*#__PURE__*/React.createElement("ellipse", {
    cx: 1.172,
    cy: 1.236,
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    rx: 1.097,
    ry: 1.21
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 1.671,
    cy: 1.509,
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    rx: 0.259,
    ry: 0.307
  })), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    fillRule: "nonzero",
    stroke: "#000",
    strokeWidth: 0.617545,
    d: "M22.864 14.8c-.602 1.458.335 4.375 1.967 2.224-.117-.926.043-1.822.073-2.748z"
  }), /*#__PURE__*/React.createElement("g", {
    fillRule: "nonzero"
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#f7d8ac' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f7d8ac') ? 'white' : 'currentColor'),
    stroke: "#231f20",
    strokeWidth: 0.617545,
    d: "M23.07 11.99c-1.121.095-2.037 1.43-1.455 2.485.772 1.397 2.495-.124 3.568.019 1.234.025 2.246 1.306 3.238.231 1.103-1.196-.475-2.36-1.708-2.881z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    d: "M22.928 11.931c-.083-1.943 3.62-2.186 4.057-.56.436 1.624-3.874 2-4.057.56-.145-1.15 0 0 0 0z"
  }))));
}
const ForwardRef = React.forwardRef(GolangIcon);
export default ForwardRef;