import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function HolovizPanelIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    viewBox: "0 0 100 100",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("rect", {
    width: 100,
    height: 100,
    fill: colored ? '#0072B5' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#0072B5') ? 'white' : 'currentColor'),
    rx: 8
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    d: "M14.894 23.404h70.213v7.447H14.894zM14.894 46.809h70.213v7.447H14.894zM14.894 70.213h70.213v7.447H14.894z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 33.511,
    cy: 27.128,
    r: 7.979,
    fill: "#fff"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 65.425,
    cy: 50.532,
    r: 7.979,
    fill: "#fff"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 33.511,
    cy: 73.936,
    r: 7.979,
    fill: "#fff"
  }));
}
const ForwardRef = React.forwardRef(HolovizPanelIcon);
export default ForwardRef;