import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function JupyterKernelGalileoIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 20 20",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#f37726' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f37726') ? 'white' : 'currentColor'),
    strokeWidth: 0.008,
    d: "M9.813 13.52C7.707 13.52 6 11.853 6 9.798c0-2.055 1.707-3.721 3.813-3.721s3.813 1.666 3.813 3.721-1.707 3.722-3.813 3.722zm3.412-3.682c0-1.458-1.543-2.64-3.446-2.64-1.903 0-3.447 1.182-3.447 2.64 0 1.459 1.544 2.641 3.447 2.641s3.446-1.182 3.446-2.64z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#f37726' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f37726') ? 'white' : 'currentColor'),
    d: "M2.993 9.832c0-4.066 1.46-7.64 3.614-9.488a10.116 10.116 0 000 18.976c-2.155-1.843-3.614-5.403-3.614-9.488zM17.007 9.832c0 4.067-1.46 7.64-3.614 9.488a10.117 10.117 0 000-18.976c2.16 1.848 3.614 5.404 3.614 9.488z"
  }));
}
const ForwardRef = React.forwardRef(JupyterKernelGalileoIcon);
export default ForwardRef;