import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function JupyterKernelIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    viewBox: "0 0 21 21",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#4e4e4e' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#4e4e4e') ? 'white' : 'currentColor'),
    strokeWidth: 1.385,
    d: "M6.768 15.628V4.426h1.446v5.402h.05c.299-.432.598-.831.88-1.197l3.424-4.205h1.795l-4.055 4.753 4.371 6.45h-1.712l-3.673-5.502-1.08 1.23v4.271z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#F37726' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#F37726') ? 'white' : 'currentColor'),
    d: "M10.36 17.018c-4.066 0-7.64-1.46-9.488-3.614a10.116 10.116 0 0018.976 0c-1.843 2.155-5.403 3.614-9.488 3.614zM10.36 3.004c4.067 0 7.64 1.46 9.488 3.614a10.116 10.116 0 00-18.976 0c1.848-2.16 5.404-3.614 9.488-3.614z"
  }));
}
const ForwardRef = React.forwardRef(JupyterKernelIcon);
export default ForwardRef;