import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function JupyterKernelProvisionerIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    viewBox: "0 0 21 21",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#F37726' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#F37726') ? 'white' : 'currentColor'),
    d: "M10.4 17.64c-4.066 0-7.64-1.46-9.488-3.615a10.116 10.116 0 0018.976 0c-1.843 2.155-5.404 3.614-9.488 3.614zM10.4 3.625c4.066 0 7.64 1.46 9.488 3.614a10.117 10.117 0 00-18.976 0C2.76 5.08 6.316 3.625 10.4 3.625z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#4E4E4E' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#4E4E4E') ? 'white' : 'currentColor'),
    d: "M4.514 14.025V5.937h1.044v3.9h.036c.216-.312.432-.6.636-.864l2.472-3.036h1.296L7.07 9.369l3.156 4.656H8.99l-2.652-3.972-.78.888v3.084H4.514z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#8F8F8F' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#8F8F8F') ? 'white' : 'currentColor'),
    d: "M10.982 16.4v-6.287c0-.744-.024-1.344-.048-1.896h.936l.06.996h.024c.42-.708 1.116-1.116 2.064-1.116 1.416 0 2.472 1.188 2.472 2.94 0 2.088-1.284 3.12-2.652 3.12-.768 0-1.44-.336-1.788-.912h-.024V16.4h-1.044zm1.044-5.747v1.008a1.63 1.63 0 001.632 1.668c1.116 0 1.764-.912 1.764-2.244 0-1.152-.612-2.148-1.728-2.148-.72 0-1.404.504-1.596 1.296a1.712 1.712 0 00-.072.42z"
  }));
}
const ForwardRef = React.forwardRef(JupyterKernelProvisionerIcon);
export default ForwardRef;