import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function OpenSourceInitiativeIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    id: "Calque_1",
    x: 0,
    y: 0,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    viewBox: "0 0 590 590",
    xmlSpace: "preserve",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("style", {
    id: "style833",
    type: "text/css"
  }), /*#__PURE__*/React.createElement("g", {
    id: "layer1"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3068",
    fill: colored ? '#3fa648' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#3fa648') ? 'white' : 'currentColor'),
    stroke: "#23552a",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 19.212,
    d: "M328.7 395.8c40.3-15 61.4-43.8 61.4-93.4S348.3 209 296 208.9c-55.1-.1-96.8 43.6-96.1 93.5s24.4 83 62.4 94.9L195 563C104.8 539.7 13.2 433.3 13.2 302.4 13.2 147.3 137.8 21.5 294 21.5s282.8 125.7 282.8 280.8c0 133-90.8 237.9-182.9 261.1l-65.2-167.6z"
  }), /*#__PURE__*/React.createElement("g", {
    id: "flowRoot5282",
    transform: "matrix(.62188 0 0 .62188 741.4 442.863)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3432",
    fill: colored ? '#010101' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#010101') ? 'white' : 'currentColor'),
    d: "M-297.1 165.7c1.5.5 3 1.6 4.4 3.3 1.5 1.7 2.9 4 4.4 7l7.2 14.3h-7.6l-6.7-13.5c-1.7-3.5-3.4-5.8-5.1-7-1.6-1.1-3.8-1.7-6.6-1.7h-7.7v22.2h-7.1v-52.5h16c6 0 10.5 1.3 13.4 3.8 3 2.5 4.4 6.3 4.4 11.4 0 3.3-.8 6-2.3 8.2-1.5 2.2-3.8 3.7-6.7 4.5m-17.8-22v18.6h8.9c3.4 0 6-.8 7.7-2.4 1.8-1.6 2.6-3.9 2.6-7s-.9-5.4-2.6-6.9c-1.7-1.6-4.3-2.4-7.7-2.4h-8.9"
  }))));
}
const ForwardRef = React.forwardRef(OpenSourceInitiativeIcon);
export default ForwardRef;