import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function OpenTeamsBwIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 193.763 194.124",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    height: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("filter", {
    id: "a",
    width: 1,
    height: 1,
    x: 0,
    y: 0,
    colorInterpolationFilters: "sRGB"
  }, /*#__PURE__*/React.createElement("feColorMatrix", {
    result: "fbSourceGraphic",
    values: "0.33 0.59 0.11 0 0 0.33 0.59 0.11 0 0 0.33 0.59 0.11 0 0 0 0 0 1 0"
  }), /*#__PURE__*/React.createElement("feColorMatrix", {
    in: "fbSourceGraphic",
    result: "fbSourceGraphicAlpha",
    values: "0 0 0 -1 0 0 0 0 -1 0 0 0 0 -1 0 0 0 0 1 0"
  }), /*#__PURE__*/React.createElement("feColorMatrix", {
    in: "fbSourceGraphic",
    result: "fbSourceGraphic",
    values: "0.33 0.59 0.11 0 0 0.33 0.59 0.11 0 0 0.33 0.59 0.11 0 0 0 0 0 1 0"
  }), /*#__PURE__*/React.createElement("feColorMatrix", {
    in: "fbSourceGraphic",
    result: "fbSourceGraphicAlpha",
    values: "0 0 0 -1 0 0 0 0 -1 0 0 0 0 -1 0 0 0 0 1 0"
  }), /*#__PURE__*/React.createElement("feColorMatrix", {
    in: "fbSourceGraphic",
    values: "0.33 0.59 0.11 0 0 0.33 0.59 0.11 0 0 0.33 0.59 0.11 0 0 0 0 0 1 0"
  }))), /*#__PURE__*/React.createElement("g", {
    filter: "url(#a)",
    transform: "translate(-477.418 -125.418) scale(2.23595)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#022791' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#022791') ? 'white' : 'currentColor'),
    strokeWidth: 0.265,
    d: "M269.931 91.504c9.062 7.049 19.65 4.898 27.795-2.482 1.479-1.341 3.326-2.428 1.83-4.193-.719-.85-5.466-5.649-6.1-5.641-.71.01-4.406 3.156-5.54 3.826-4.107 2.423-8.724 2.662-12.534-.553-5.556-4.691-3.773-10.49-.725-15.981 1.024-1.842 3.087-3.14 1.468-5.085-.72-.863-4.553-4.805-5.283-5.2-1.67-.899-4.916 4.3-5.705 5.562-6.665 10.647-5.366 21.842 4.797 29.747z",
    className: "cls-4"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#022791' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#022791') ? 'white' : 'currentColor'),
    strokeWidth: 0.265,
    d: "M276.385 78.653c6.532 8.57 16.93-2.76 9.17-8.808-5.94-4.627-13.774 2.765-9.17 8.808z",
    className: "cls-4"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#ff8a69' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ff8a69') ? 'white' : 'currentColor'),
    strokeWidth: 0.265,
    d: "M243.727 107.498c-9.062-7.048-19.65-4.897-27.794 2.482-1.48 1.342-3.326 2.429-1.831 4.194.72.85 5.466 5.649 6.1 5.64.71-.01 4.406-3.156 5.541-3.825 4.107-2.424 8.724-2.662 12.534.553 5.556 4.69 3.773 10.49.725 15.98-1.024 1.842-3.088 3.141-1.469 5.086.72.862 4.554 4.805 5.284 5.199 1.67.9 4.916-4.3 5.704-5.562 6.665-10.646 5.366-21.84-4.797-29.747z",
    className: "cls-1"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#ff8a69' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ff8a69') ? 'white' : 'currentColor'),
    strokeWidth: 0.265,
    d: "M237.276 120.352c-6.532-8.57-16.93 2.76-9.17 8.808 5.94 4.627 13.774-2.765 9.17-8.808z",
    className: "cls-1"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#4d75fe' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#4d75fe') ? 'white' : 'currentColor'),
    strokeWidth: 0.265,
    d: "M264.764 112.573c-7.048 9.062-4.897 19.65 2.482 27.795 1.341 1.479 2.429 3.325 4.193 1.83.85-.72 5.65-5.466 5.641-6.1-.01-.71-3.156-4.406-3.825-5.541-2.424-4.107-2.662-8.724.552-12.534 4.692-5.556 10.491-3.772 15.981-.724 1.842 1.023 3.14 3.087 5.086 1.468.862-.72 4.804-4.554 5.199-5.284.9-1.67-4.3-4.916-5.562-5.704-10.647-6.665-21.841-5.366-29.747 4.797z",
    className: "cls-3"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#4d75fe' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#4d75fe') ? 'white' : 'currentColor'),
    strokeWidth: 0.265,
    d: "M277.617 119.024c-8.57 6.532 2.76 16.93 8.808 9.17 4.628-5.94-2.764-13.774-8.808-9.17z",
    className: "cls-3"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#faa944' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#faa944') ? 'white' : 'currentColor'),
    strokeWidth: 0.265,
    d: "M248.931 86.527c7.049-9.062 4.898-19.65-2.481-27.794-1.342-1.479-2.43-3.326-4.194-1.83-.85.719-5.649 5.465-5.641 6.1.01.71 3.156 4.406 3.826 5.54 2.423 4.107 2.662 8.724-.553 12.534-4.691 5.556-10.49 3.773-15.98.725-1.842-1.024-3.142-3.088-5.086-1.468-.863.72-4.805 4.553-5.2 5.283-.899 1.67 4.3 4.916 5.562 5.705 10.647 6.665 21.842 5.365 29.747-4.797z",
    className: "cls-2"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#faa944' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#faa944') ? 'white' : 'currentColor'),
    strokeWidth: 0.265,
    d: "M236.078 80.074c8.57-6.532-2.76-16.93-8.808-9.17-4.628 5.94 2.765 13.774 8.808 9.17z",
    className: "cls-2"
  })));
}
const ForwardRef = React.forwardRef(OpenTeamsBwIcon);
export default ForwardRef;