import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function OvhCloudIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    id: "Layer_1",
    viewBox: "0 0 350 350",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("defs", {
    id: "defs835"
  }, /*#__PURE__*/React.createElement("style", {
    id: "style833",
    type: "text/css"
  })), /*#__PURE__*/React.createElement("path", {
    id: "path839",
    fill: colored ? '#000e9c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000e9c') ? 'white' : 'currentColor'),
    fillRule: "evenodd",
    strokeWidth: 4.477,
    d: "M327.457 76.043a179.528 179.528 0 01-16.744 199.182h-95.987l29.548-52.246H205.19l46.068-81.169h39.308l36.89-65.677zM137.9 275.225H40.033a177.245 177.245 0 01-16.968-199.63l63.484 110.27L156.524 64h102.972L137.945 275.136z"
  }));
}
const ForwardRef = React.forwardRef(OvhCloudIcon);
export default ForwardRef;