import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function PulsarIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    id: "svg855",
    viewBox: "0 0 50 50",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("defs", {
    id: "defs835"
  }, /*#__PURE__*/React.createElement("style", {
    id: "style833"
  })), /*#__PURE__*/React.createElement("path", {
    id: "path839",
    fill: colored ? '#188fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#188fff') ? 'white' : 'currentColor'),
    strokeWidth: 0.82,
    d: "M50 19.254H37.779C34.475 12.918 30.984 8 26.229 8c-6.188 0-9.098 5.402-11.91 10.656l-.245.459H0v3.123h8.197c2.893 0 3.483.975 3.483.975-2.27 3.525-5 7.008-9.549 7.008H0V33.5h2.148c8.82 0 12.672-7.156 15.762-12.902 2.836-5.295 4.811-8.5 8.32-8.5 3.639 0 7.467 7.918 10.836 14.91.491 1.017.991 2.058 1.5 3.09-12.918.41-19.074 3.435-24.082 5.902-3.664 1.803-6.558 4.041-11.32 4.041H0v3.279h3.14c5.737 0 9.31-1.77 13.114-3.648 5.27-2.59 11.246-5.524 25.328-5.524h8.14v-3.28h-4.599a2.459 2.459 0 01-2.025-.819 147.563 147.563 0 01-2.36-4.836l-1.066-2.18s.762-.82 2.877-.82H50z"
  }));
}
const ForwardRef = React.forwardRef(PulsarIcon);
export default ForwardRef;