import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function RedoIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    viewBox: "0 0 18 18",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#616161' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#616161') ? 'white' : 'currentColor'),
    d: "M8.977 6c1.987 0 3.787.742 5.175 1.95l2.7-2.7V12h-6.75l2.715-2.715a5.965 5.965 0 00-3.84-1.41A6.009 6.009 0 003.277 12l-1.778-.585C2.542 8.273 5.49 6 8.977 6z"
  }));
}
const ForwardRef = React.forwardRef(RedoIcon);
export default ForwardRef;