import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function TriangleRightPointingIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 36 36",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#3B88C3' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#3B88C3') ? 'white' : 'currentColor'),
    d: "M36 32a4 4 0 01-4 4H4a4 4 0 01-4-4V4a4 4 0 014-4h28a4 4 0 014 4v28z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#FFF' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#FFF') ? 'white' : 'currentColor'),
    d: "M8 7l22 11L8 29z"
  }));
}
const ForwardRef = React.forwardRef(TriangleRightPointingIcon);
export default ForwardRef;