import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function UbuntuIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    viewBox: "11.811 12.73 275.689 274.539",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("a", {
    target: "_blank",
    xlinkHref: "http://logo.webnhanh.com/logo/ubuntu-icon.svg.html"
  }, /*#__PURE__*/React.createElement("ellipse", {
    cx: 40.158,
    cy: 150.022,
    fill: colored ? '#ff6309' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ff6309') ? 'white' : 'currentColor'),
    rx: 28.347,
    ry: 26.52
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 238.479,
    cy: 260.747,
    fill: colored ? '#ffb515' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ffb515') ? 'white' : 'currentColor'),
    rx: 28.347,
    ry: 26.521
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#ff6309' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ff6309') ? 'white' : 'currentColor'),
    d: "M172.369 83.824c34.439 0 63.014 24.735 67.745 56.803H287.5c-2.152-25.198-12.953-48.684-31.01-67.207-11.565 5.697-25.785 5.806-37.865-.938-12.089-6.752-19.104-18.727-19.776-31.276a120.229 120.229 0 00-26.479-2.938c-17.29 0-33.998 3.651-49.195 10.573l23.723 39.745a70.087 70.087 0 0125.471-4.762z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#c90016' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#c90016') ? 'white' : 'currentColor'),
    d: "M240.117 159.387c-4.72 32.08-33.299 56.83-67.748 56.83-9.002 0-17.602-1.694-25.48-4.768l-23.727 39.748c15.193 6.926 31.908 10.579 49.205 10.579 9.035 0 17.914-1.009 26.5-2.944.66-12.563 7.678-24.559 19.775-31.314 12.084-6.75 26.31-6.641 37.877-.932 18.043-18.525 28.832-42.01 30.978-67.199h-47.38z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#ffb515' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ffb515') ? 'white' : 'currentColor'),
    d: "M103.934 150.021c0-21.09 10.249-39.906 26.179-52.036l-23.717-39.739a116.407 116.407 0 00-15.727 12.752C76.943 84.274 67.1 100.305 61.683 117.8c10.913 6.838 18.139 18.707 18.139 32.221 0 13.512-7.227 25.384-18.14 32.219 5.417 17.496 15.26 33.525 28.986 46.803a116.433 116.433 0 0015.714 12.748l23.721-39.742c-15.926-12.129-26.169-30.945-26.169-52.028z"
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 238.456,
    cy: 39.252,
    fill: colored ? '#c90016' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#c90016') ? 'white' : 'currentColor'),
    rx: 28.346,
    ry: 26.522
  })));
}
const ForwardRef = React.forwardRef(UbuntuIcon);
export default ForwardRef;