import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function YoutubeIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 40 40",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#e52d27' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#e52d27') ? 'white' : 'currentColor'),
    d: "M0 0h40v40H0z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    d: "M33.72 14.4a6.058 6.058 0 00-1.113-2.779 4 4 0 00-2.807-1.184c-3.918-.283-9.8-.283-9.8-.283h-.012s-5.877 0-9.8.283a4.005 4.005 0 00-2.806 1.186A6.056 6.056 0 006.28 14.4 42.344 42.344 0 006 18.933v2.124a42.342 42.342 0 00.28 4.532 6.056 6.056 0 001.113 2.779 4.748 4.748 0 003.087 1.2c2.24.215 9.52.281 9.52.281s5.884-.009 9.8-.292a4 4 0 002.806-1.186 6.058 6.058 0 001.113-2.779A42.406 42.406 0 0034 21.058v-2.125a42.408 42.408 0 00-.28-4.533zm-16.611 9.23v-7.865l7.566 3.947z"
  }));
}
const ForwardRef = React.forwardRef(YoutubeIcon);
export default ForwardRef;