import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function ZedIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    viewBox: "0 0 16 16",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#clip0_1882_101)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#000' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#000') ? 'white' : 'currentColor'),
    fillRule: "evenodd",
    d: "M2.313 1.875a.438.438 0 00-.438.438v9.624H1V2.313C1 1.587 1.588 1 2.313 1h11.721c.585 0 .878.707.464 1.12l-7.22 7.22h2.035v-.902h.874v1.12a.656.656 0 01-.656.657H6.404L4.9 11.719h6.819V6.25h.875v5.469a.875.875 0 01-.875.875H4.025l-1.531 1.531h11.194a.438.438 0 00.437-.438V4.063H15v9.625c0 .724-.588 1.312-1.313 1.312H1.966a.656.656 0 01-.464-1.12l7.192-7.193H6.687v.875h-.875V6.47c0-.363.294-.657.657-.657h3.1l1.531-1.53H4.281V9.75h-.875V4.281c0-.483.392-.875.875-.875h7.694l1.531-1.531H2.312z",
    clipRule: "evenodd"
  })), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "clip0_1882_101"
  }, /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    d: "M0 0h14v14H0z",
    transform: "translate(1 1)"
  }))));
}
const ForwardRef = React.forwardRef(ZedIcon);
export default ForwardRef;