const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function BankIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#9B9B9A",
    d: "M16 26h40v34H16z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#D0CFCE",
    d: "M14 22h44v4H14z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFF",
    d: "M19.5 26h2.052v34H19.5M24.933 26h2.038v34h-2.038M47.067 60h-2.05V26h2.05M52.5 60h-2.018V26H52.5"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#D0CFCE",
    d: "M36 12L19 22h34z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#92D3F5",
    d: "M31.5 50h9v10h-9z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 35,
    r: 5,
    fill: "#FCEA2B"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#F4AA41",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    d: "M36.948 34.262c-.098-.38-.52-.666-1.027-.666h0c-.579 0-1.048.373-1.048.834 0 .461.47.835 1.048.835l-.021.003c.579 0 1.048.374 1.048.835 0 .46-.469.835-1.048.835h0c-.507 0-.93-.287-1.027-.667M35.911 33.596V32.8M35.911 37.733v-.795"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeMiterlimit: 10
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M16 26h40v34H16zM14 22h44v4H14z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M19.5 26h3v34h-3M24.933 26h3v34h-3M47.067 60h-3V26h3M52.5 60h-3V26h3M36 12l-17 9.75h34zM31.5 50h9v10h-9zM36 60V50"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 35,
    r: 5,
    strokeWidth: 2
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M36.948 34.262c-.098-.38-.52-.666-1.027-.666h0c-.579 0-1.048.373-1.048.834 0 .461.47.835 1.048.835l-.021.003c.579 0 1.048.374 1.048.835 0 .46-.469.835-1.048.835h0c-.507 0-.93-.287-1.027-.667M35.911 33.596V32.8M35.911 37.733v-.795"
  })));
}
const ForwardRef = React.forwardRef(BankIcon);
module.exports = ForwardRef;