const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function BookOpenIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#9b9b9a",
    d: "M41 56a5 5 0 01-10 0"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    d: "M67.001 56H4.998A.998.998 0 014 55.002V16.998c0-.551.447-.998.998-.998h62.004c.551 0 .998.447.998.998v38.004a.998.998 0 01-.999.998z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFF",
    d: "M64.001 51.625H7.998A.998.998 0 017 50.627V21.372c0-.55.447-.998.999-.998H64c.552 0 .999.447.999.998v29.253a.998.998 0 01-.999.999z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M41 56a5 5 0 01-10 0M67.001 56H4.998A.998.998 0 014 55.002V16.998c0-.551.447-.998.998-.998h62.004c.551 0 .998.447.998.998v38.004a.998.998 0 01-.999.998z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M64.001 51.625H7.998A.998.998 0 017 50.627V21.372c0-.55.447-.998.999-.998H64c.552 0 .999.447.999.998v29.253a.998.998 0 01-.999.999zM36 17v38M11 27h20M11 33h20M11 39h20M11 45h20M41 27h20M41 33h20M41 39h20M41 45h20"
  })));
}
const ForwardRef = React.forwardRef(BookOpenIcon);
module.exports = ForwardRef;