const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function BricksIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: "#d22f27",
    stroke: "#d22f27",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M15 45h17v9H15zM33 46h16v8H33zM40 36h17v9H40zM23 37h16v7H23zM15 27h17v9H15zM32 27h17v9H32zM40 18h17v9H40zM23 18h17v9H23z"
  })), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M32 36v-9M54 27H15M40 19v8M58 36H19M40 45v-9M52 45H19M32 53v-8M47 18H20M23 18v9M23 45v-4M32 36v-9M49 46v5M44 54H26M57 40v-4"
  })));
}
const ForwardRef = React.forwardRef(BricksIcon);
module.exports = ForwardRef;