const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function BubblesIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }, /*#__PURE__*/React.createElement("path", {
    strokeWidth: 4,
    d: "M40 47.091A5.348 5.348 0 0142.091 45"
  }), /*#__PURE__*/React.createElement("path", {
    strokeWidth: 3,
    d: "M48.5 25.5a2.562 2.562 0 011-1"
  }), /*#__PURE__*/React.createElement("path", {
    strokeWidth: 4,
    d: "M18 21.346A8.559 8.559 0 0121.346 18"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "#92D3F5",
    d: "M24.5 39C31.956 39 38 32.956 38 25.5S31.956 12 24.5 12 11 18.044 11 25.5 17.044 39 24.5 39zM51.299 35.7a7.893 7.893 0 100-15.786 7.893 7.893 0 000 15.786zM44 60c5.523 0 10-4.477 10-10s-4.477-10-10-10-10 4.477-10 10 4.477 10 10 10z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#61B2E4",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 10,
    d: "M32 25.5a6.5 6.5 0 01-6.5 6.5"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#61B2E4",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 6,
    d: "M50 50a5 5 0 01-5 5"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#61B2E4",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 5,
    d: "M55.5 28.5a3 3 0 01-3 3"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#fff",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 4,
    d: "M40 47.091A5.348 5.348 0 0142.091 45"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#fff",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 3,
    d: "M48.5 25.5a2.562 2.562 0 011-1"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#fff",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 4,
    d: "M18 21.346A8.559 8.559 0 0121.346 18"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M25.5 39C32.956 39 39 32.956 39 25.5S32.956 12 25.5 12 12 18.044 12 25.5 18.044 39 25.5 39zM52 36a8 8 0 100-16 8 8 0 000 16zM45 60c5.523 0 10-4.477 10-10s-4.477-10-10-10-10 4.477-10 10 4.477 10 10 10z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M45 60c5.523 0 10-4.477 10-10s-4.477-10-10-10-10 4.477-10 10 4.477 10 10 10z"
  })));
}
const ForwardRef = React.forwardRef(BubblesIcon);
module.exports = ForwardRef;