const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function BuildingConstructionIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#FCEA2B",
    d: "M58 25.833L12 27v-7l46 1.167z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FCEA2B",
    d: "M28 59H18l2-46h6z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#D0CFCE",
    d: "M40.5 37h19v4h-19z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M58 25.833L12 27v-7l46 1.167z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M28 59H18l2-46h6zM19 50h8M19 41h8M19.5 34h7M34 26v-5M42 26v-5M50 37V21M40.5 37h19v4h-19z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M58 25.833L12 27v-7l46 1.167z"
  })));
}
const ForwardRef = React.forwardRef(BuildingConstructionIcon);
module.exports = ForwardRef;