const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function BuildingOfficeIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#D0CFCE",
    d: "M8.5 19h55v35h-55z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#92D3F5",
    d: "M29.5 44h13v10h-13z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#92D3F5",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M22 44h2v5h-2zM14 44h2v5h-2zM22 34h2v5h-2zM14 34h2v5h-2zM22 24h2v5h-2zM14 24h2v5h-2zM39 34h2v5h-2zM31 34h2v5h-2zM39 24h2v5h-2zM31 24h2v5h-2zM56 44h2v5h-2zM48 44h2v5h-2zM56 34h2v5h-2zM48 34h2v5h-2zM56 24h2v5h-2zM48 24h2v5h-2z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M8.5 19h55v35h-55z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M29.5 44h13v10h-13zM36 54V44M16 29h-2v-5M24 49h-2v-5M16 49h-2v-5M24 39h-2v-5M16 39h-2v-5M24 29h-2v-5M41 39h-2v-5M33 39h-2v-5M41 29h-2v-5M33 29h-2v-5M58 49h-2v-5M50 49h-2v-5M58 39h-2v-5M50 39h-2v-5M58 29h-2v-5M50 29h-2v-5"
  })));
}
const ForwardRef = React.forwardRef(BuildingOfficeIcon);
module.exports = ForwardRef;