const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function CalendarIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#FFF",
    d: "M12 28.122l-.003 31.97 31.66-.006 16.09-12.048c-.008-.049.253-3.946.253-3.946l-.003-16-47.997.03z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#EA5A47",
    d: "M11.444 28.292l48.553-.2.003-15.97s-6.536-1-5.983-1H50.46l.052 5.773c1.727.456 2.15 3.087 2.15 3.087-.022 2.192-2.678 2.53-2.69 2.527-1.848-.378-2.489-1.282-2.468-2.802.014-1.068.046-1.33.808-2.078.513-.502.634-.608 1.311-.78l-.028-5.726h-3.54H22.345l.07 5.726c1.728.456 2.293.853 2.276 2.719-.02 2.193-2.706 3.28-2.719 3.28-2.205-.02-2.992-1.037-2.971-3.242.01-1.068.877-1.864 1.64-2.612.511-.502.698-.822 1.375-.994l-.24-4.877h-3.743c.214 0-6.032 1-6.032 1l-.556 16.17z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    d: "M59.997 48.038H43.138s-.899 6.104-.97 5.623v5.425l1.488 1 16.341-12.048z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#9b9b9a",
    fillRule: "evenodd",
    d: "M22.015 8.688v10.31M50.016 8.688v10.31",
    clipRule: "evenodd"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 22,
    cy: 19.849,
    r: 3,
    clipRule: "evenodd",
    transform: "rotate(-89.45 22 19.848)"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M26.006 12.122h20.05M54.016 12.122H60v16H12v-16h6.032"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M22.015 8.688v10.31",
    clipRule: "evenodd"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 50.001,
    cy: 19.849,
    r: 3,
    clipRule: "evenodd",
    transform: "rotate(-89.45 50 19.848)"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M50.016 8.688v10.31",
    clipRule: "evenodd"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M34.336 38.092a5.63 5.63 0 015.513-4.494h0c1.554 0 2.96.63 3.98 1.649 1.584 1.584 1.437 4.217-.05 5.893l-9.558 10.78h4.76M23.276 37.398l5.073-3.8V51.92"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M11.997 28.092v32l31.66-.006 16.34-12.048V28.092"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M59.746 48.038H43.138v5.48"
  })));
}
const ForwardRef = React.forwardRef(CalendarIcon);
module.exports = ForwardRef;