const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function ChartBarIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M12.05 12.05h47.9v47.9h-47.9z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b1cc33",
    d: "M18.32 37.6h8v21.41h-8z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#92d3f5",
    d: "M46.25 44.38h8V59h-8z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d22f27",
    d: "M32.28 21.69h8v37.32h-8z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M18.03 59.01V37.6h8v21.41M45.97 59.01V44.39h8v14.62M12.75 31.28h15.74M43.51 40.82h15.94M57.48 50.37h1.69"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12.05 12.05h47.9v47.9h-47.9z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M32 59.01V21.73h8v37.28M12.39 40.82h2.13M12.39 50.37h2.13M43.51 31.28h15.94M43.51 21.74h15.94M12.75 21.74h15.74"
  })));
}
const ForwardRef = React.forwardRef(ChartBarIcon);
module.exports = ForwardRef;