const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function ComposeIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#FCEA2B",
    stroke: "#FCEA2B",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 1.8,
    d: "M35.25 12l11.125 11.25V62H13V12z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#F1B31C",
    stroke: "#F1B31C",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 1.8,
    d: "M15.688 62h-3.063 33.75V36.625L20.937 62z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFF",
    d: "M34 49v5h5l24-24-5-5z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M46.375 31v-7.75h-11.25V12h-22.5v50h33.75v-9.833M35.125 12l11.25 11.25M41 30H18M28 24H18M41 36H18M28 42H18M28 48H18M28 54H18"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M34 49v5h5l24-24-5-5z"
  })));
}
const ForwardRef = React.forwardRef(ComposeIcon);
module.exports = ForwardRef;