const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function DizzyIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#fcea2b",
    d: "M14.827 18.535c-.336-.226 80.195-10.75 29.962 39.444L32.69 48.48s47.75-18.573-17.863-29.945z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f1b31c",
    d: "M31.298 48.361l3.791 3.112c11.064-4.99 39.602-20.574-.447-33.844-10.641-.467-20.642.906-20.642.906 64.003 11.049 17.298 29.826 17.298 29.826z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#fcea2b",
    d: "M35 30.403l4.944 10.018L51 42.028l-8 7.798 1.889 11.011L35 55.638l-9.889 5.2L27 49.825l-8-7.798 11.056-1.607z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M48.665 34.784c.72-5.455-6.509-11.55-33.838-16.249 0 0 72.994-9.998 34.807 33.068"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M35 30.403l4.944 10.018L51 42.028l-7 7.798 1.889 11.011L35 55.638l-9.889 5.2L27 49.825l-8-7.798 11.056-1.607z"
  })));
}
const ForwardRef = React.forwardRef(DizzyIcon);
module.exports = ForwardRef;