const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function DollardIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 500 500",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeWidth: 42.553,
    d: "M146.282 315.957c-2.128 73.405 32.978 106.383 110.638 108.511 82.979 1.064 120.213-36.17 115.958-107.447-6.383-61.702-65.958-77.66-112.766-84.042-51.064-18.085-105.32-26.596-105.32-101.064 0-51.064 34.043-84.043 105.32-82.979 63.83 0 103.191 26.596 102.127 89.362"
  }), /*#__PURE__*/React.createElement("path", {
    stroke: "#000",
    strokeWidth: 31.915,
    d: "M257.984 0v500"
  }));
}
const ForwardRef = React.forwardRef(DollardIcon);
module.exports = ForwardRef;