const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function DragonFaceIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#5C9E31",
    stroke: "#5C9E31",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 1.8,
    d: "M51 33c8-4 8-9 8-9l-7 3c4-5 2-11 2-11-2 4-5 5-5 5-4-6-10-6-10-6l-3-4-3 4c-6 0-10 6-10 6-4-1-5-5-5-5-1 9 3 11 3 11l-7-2c2 4 7 7 7 7-3 2-6 1-6 1 3 5 7 5 7 5h28c7 0 8-5 8-5-5 1-7 0-7 0z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#B1CC33",
    stroke: "#B1CC33",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M26 38s0-1 4.054-.929c0 0 5.947-3.964 11.893 0 0 0 4.053.947 4.053 2.929 0 0 4 3 1.894 5.992 0 0 0 3.964-5.946 7.929 0 0-3.965 1.982-11.894 0 0 0-7.267-6.07-6.054-10.921 1-4 2-5 2-5z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#EA5A47",
    stroke: "#EA5A47",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M34 49s0 10-2 11c0 0 4-1 4-5 0 0 1 4 4 5 0 0-3-7-2-11h-4z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFF",
    d: "M31 46v4c-3-3-3-7-3-7s8 7 16 0c0 0 1 5-3 7v-4"
  }), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M31 46v4c-3-3-3-7-3-7s8 7 16 0c0 0 1 5-3 7v-4M27 23s7 2 9 8c0 0 2-7 10-8"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 29,
    cy: 30,
    r: 2
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 43,
    cy: 30,
    r: 2
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 34,
    cy: 39,
    r: 1
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 38,
    cy: 39,
    r: 1
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M34 49s0 10-2 11c0 0 4-1 4-5 0 0 1 4 4 5 0 0-3-7-2-11M22 38s-4 0-7-5c0 0 3 1 6-1 0 0-5-3-7-7l7 2s-4-2-3-11c0 0 1 4 5 5 0 0 4-6 10-6l3-4 3 4s6 0 10 6c0 0 3-1 5-5 0 0 2 6-2 11l7-3s0 5-8 9c0 0 2 1 7 0 0 0-1 5-8 5"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M25 39s-1-3 5-2c0 0 6-5 12 0 0 0 5-1 5 2M29 40s-6-1-9 3-6 4-8 2M43 40s6-1 9 3 6 4 8 2M23.315 40.571S22 51 30 54M49.189 40.783S49 51 42 54M31 46v4c-3-3-3-7-3-7s8 7 16 0c0 0 1 5-3 7v-4"
  })));
}
const ForwardRef = React.forwardRef(DragonFaceIcon);
module.exports = ForwardRef;