const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function EjectIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M19.06 55.61c.485.178 1.03.297 1.576.297.849 0 1.697-.297 2.424-.772l30-15.98.303-.297c.788-.772 1.212-1.723 1.212-2.792s-.424-2.08-1.212-2.792l-.303-.297-30-16.1c-1.091-.832-2.667-1.01-4-.475-1.515.594-2.485 2.079-2.485 3.683v31.84c0 1.604.97 3.089 2.485 3.683z",
    transform: "matrix(0 -.9544 .9545 0 1.727 66.7)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M17 57.38h38"
  }));
}
const ForwardRef = React.forwardRef(EjectIcon);
module.exports = ForwardRef;