const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function EnveloppeEmailIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinejoin: "round",
    d: "M37.698 22.005h-4v5.75h4"
  }), /*#__PURE__*/React.createElement("path", {
    strokeMiterlimit: 10,
    d: "M33.698 24.255h3"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    d: "M27.537 38.8l-15.35 12.89c-.35-.62-.57-.19-.57-1.07V24.11l15.92 14.69zM21.171 20.896h28.542v3.125H21.171z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#9b9b9a",
    d: "M60.658 22.01v26.56c0 .86-.2 1.65-.55 2.27L47.841 39.608l-1.615 1.225-2.447-3.234L60.66 22.01z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    d: "M26.638 36.75l4.47 4.13c.24.22.48.41.72.57 2.43 1.8 5.26 1.8 7.68-.01.23-.16.47-.36.69-.56l4.5-4.15"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    stroke: "#d0cfce",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 1.8,
    d: "M26.638 36.75l4.47 4.13c.24.22.48.41.72.57 2.43 1.8 5.26 1.8 7.68-.01.23-.16.47-.36.69-.56l4.5-4.15 15.41 14.11c-.42.77-1.07 1.27-1.79 1.27h-45.26c-.7 0-1.34-.47-1.77-1.22l15.35-14.14"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    stroke: "#d0cfce",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M20 36h7v5h-7z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    d: "M47.763 39.536L60.108 50.84c-.42.77-1.07 1.27-1.79 1.27h-45.26c-.7 0-1.34-.47-1.77-1.22l12.078-11.126"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    d: "M50.43 20.896s8.577.391 8.987.951c.05.06-18.723 19.27-18.953 19.43-2.42 1.81-5.25 1.81-7.68.01-.24-.16-.48-.35-.72-.57l-4.47-4.13-15.92-14.69c.04-.06.09-.13.14-.2.42-.6.99-.71 1.61-.71h8.48"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#ea5a47",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M37.698 22.005h-4v7h4"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#ea5a47",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M33.698 25.505h3"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M20.072 42.799l-8.784 8.091c-.35-.62-.57-1.44-.57-2.32V22.458c0-.434-.038-.231.282.063L26.638 36.75M43.78 37.6l16.878-16.044V48.57c0 .86-.2 1.65-.55 2.27L47.841 39.608"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M26.638 36.75l4.47 4.13c.24.22.48.41.72.57 2.43 1.8 5.26 1.8 7.68-.01.23-.16.47-.36.69-.56l4.5-4.15"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M47.763 39.536L60.108 50.84c-.42.77-1.07 1.27-1.79 1.27h-45.26c-.7 0-1.34-.47-1.77-1.22l12.078-11.126"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M49.485 20.9h9.46c2.618-.054 1.365 1.322 1.405 1.392L44.695 36.73l-4.5 4.15c-.22.2-.46.4-.69.56-2.42 1.81-5.25 1.81-7.68.01-.24-.16-.48-.35-.72-.57l-4.47-4.13-15.92-14.69c.002-.868.62-1.16 1.75-1.16h8.48M13.188 52.11s-2.752.14-2.47-4.485"
  })));
}
const ForwardRef = React.forwardRef(EnveloppeEmailIcon);
module.exports = ForwardRef;