const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function EnveloppeIncomingIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("rect", {
    width: 37.511,
    height: 23.454,
    x: 27.599,
    y: 23.819,
    fill: "#d0cfce",
    rx: 1.563
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#9b9b9a",
    d: "M65.152 24.597v19.995a4.175 4.175 0 01-.376 1.73l-8.494-7.819-.752.075-3.082-2.856z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M5.797 41.904h16.31M9.292 34.914h12.815M36.512 38.578l-8.42 7.743a3.903 3.903 0 01-.45-1.729v-19.92M57.538 39.399l7.292 6.711a3.586 3.586 0 00.323-1.484v-20.03"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M55.455 37.752l9.246 8.494a1.607 1.607 0 01-1.353.977H29.371a1.78 1.78 0 01-1.353-.902l9.095-8.344"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M65.152 24.597l-12.027 11.05-3.383 3.157c-.15.15-.376.3-.526.45a4.634 4.634 0 01-5.788 0c-.15-.15-.376-.3-.527-.45l-3.382-3.082-11.877-11.05c0-.075.075-.075.075-.15a1.533 1.533 0 011.203-.752h34.954a1.656 1.656 0 011.203.677c0 .075.075.075.075.15z"
  })));
}
const ForwardRef = React.forwardRef(EnveloppeIncomingIcon);
module.exports = ForwardRef;