const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function EyeInSpeechBubbleIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#FFF",
    d: "M7.688 31.438c7.187 11.937 20.471 18.965 29.562 21.5 4.538 1.265 16.125 9.75 16.125 9.75S50.483 54.191 50 51.25c-1.835-11.171 13.063-12.5 14.531-20.466C56 10.958 26-6.687 7.687 31.438z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 30.5,
    r: 14.222,
    fill: "#A57939"
  }), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M7.688 31.438c7.187 11.937 20.471 18.965 29.562 21.5 4.538 1.265 16.125 9.75 16.125 9.75S50.483 54.191 50 51.25c-1.835-11.171 13.063-12.5 14.531-20.466C56 10.958 26-6.687 7.687 31.438z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 30.5,
    r: 7.782
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 30.5,
    r: 14.222,
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 30.5,
    r: 7.782,
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  })));
}
const ForwardRef = React.forwardRef(EyeInSpeechBubbleIcon);
module.exports = ForwardRef;