const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function FirecrakerIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M62 23l5.657-1.414M55 14.343L56.414 20M60 20l3-5"
  })), /*#__PURE__*/React.createElement("rect", {
    width: 40,
    height: 13,
    x: 3.516,
    y: 31.28,
    fill: "#d22f27",
    rx: 1,
    transform: "rotate(-45 23.516 37.78)"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#fcea2b",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M62 23l5.657-1.414M55 14.343L56.414 20M60 20l3-5"
  })), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinejoin: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("rect", {
    width: 40,
    height: 13,
    x: 3.516,
    y: 31.28,
    rx: 1,
    transform: "rotate(-45 23.516 37.78)"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M58 23.28s-2.757 6.829-7 4 .472-8.764-4-11c-4-2-9.342 7.357-9.342 7.357"
  })));
}
const ForwardRef = React.forwardRef(FirecrakerIcon);
module.exports = ForwardRef;