const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function HomeButtonIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#D0CFCE",
    d: "M17.129 59.738L16.06 34.74l.021-6.944L36.15 8.11l19.832 19.81-.004 15.438-.94 8.66-.115 7.72-13.136-.576.029-17.535h-11.59l-.076 17.535z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M41.99 59.95h11.992c.55 0 1-.45 1-1V34.014M17.058 34.013V58.95c0 .55.45 1 1 1h12.135"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M8.492 35.595L36.017 7.977l27.58 27.37M41.815 59.933V41.627h-11.59v18.306"
  })));
}
const ForwardRef = React.forwardRef(HomeButtonIcon);
module.exports = ForwardRef;