const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function HouseIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#FFF",
    d: "M19 32h34v24H19z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#A57939",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M25 40h9v16h-9z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#92D3F5",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M40 40h8v7h-8z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#EA5A47",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M53 32H19v-1l16-16 18 16z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#EA5A47",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M29 21l-5 5v-9h5z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M25 40h9v16h-9zM40 40h8v7h-8zM53 32H19v-1l16-16 18 16z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M19 32h34v24H19zM29 21l-5 5v-9h5z"
  })));
}
const ForwardRef = React.forwardRef(HouseIcon);
module.exports = ForwardRef;