const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function IntricateIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("circle", {
    cx: 46.5,
    cy: 39.5,
    r: 17.5,
    fill: "#FCEA2B",
    transform: "rotate(-45.001 46.5 39.5)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#F1B31C",
    d: "M47.56 54.703a37.912 37.912 0 01-2.448 2.23c4.93.39 9.992-1.288 13.762-5.059 6.835-6.834 6.835-17.914 0-24.748-.116-.117-.244-.216-.363-.329.37 10.055-3.275 20.23-10.95 27.906z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 19,
    cy: 54,
    r: 8,
    fill: "#FCEA2B",
    transform: "rotate(-45.001 19 54)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#F1B31C",
    d: "M19.485 60.95c-.36.36-.736.698-1.12 1.02a7.977 7.977 0 006.292-2.313 8 8 0 000-11.314c-.053-.053-.112-.098-.166-.15a17.093 17.093 0 01-5.006 12.757z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 18,
    cy: 21,
    r: 11,
    fill: "#FCEA2B",
    transform: "rotate(-45.001 18 21)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#F1B31C",
    d: "M18.667 30.556c-.496.496-1.012.96-1.54 1.402 3.1.245 6.281-.81 8.651-3.18 4.296-4.296 4.296-11.26 0-15.556-.073-.074-.153-.136-.228-.207.233 6.32-2.059 12.716-6.883 17.541z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 19,
    cy: 54,
    r: 8
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 46.5,
    cy: 39.5,
    r: 17.5
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 18,
    cy: 21,
    r: 11
  })));
}
const ForwardRef = React.forwardRef(IntricateIcon);
module.exports = ForwardRef;