const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function JovyanIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: "#8967AA"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M10 21v14h3v3h3v7h6v6h6v-6h16v6h6v-6h6v-7h3v-3h3V20h-6v5h-7v-5h-4v-6h-6v6h-7v-6h-6v6h-4v5h-6v-5h-6zM16 51h6v6h-6zM50 51h6v6h-6z"
  })), /*#__PURE__*/React.createElement("g", {
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M25.175 31h3.6v6h-3.6z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    d: "M22 45h-6v-6M22.583 25v-5H26M48.708 25v-5h-3.416M13 35h-3V20h6v15M56 35V20h6v15h-3M26 20v-6h6v6M39 20v-6h6v6M16 35h3v3h-6v-3M59 35v3h-6v-3h3M16 51h6v6h-6zM50 51h6v6h-6zM28 45v6h-6v-6M50 45h6v-6M44 45v6h6v-6"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M43.425 31h3.6v6h-3.6z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    d: "M44 45h0zM39 20h0zM16 25h0zM49 25h0zM28 45h16M32 20h7M16 25h6M49 25h7"
  })));
}
const ForwardRef = React.forwardRef(JovyanIcon);
module.exports = ForwardRef;