const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function LaptopIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#9B9B9A",
    d: "M63.738 40.98v27.066H11.812V35.96h51.926z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#9B9B9A",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M62.625 35.958h-50V3.891h50z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFF",
    d: "M62.625 36l-50-22.221V3.892l50 22.22z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M62.625 40.98v27.066h-50V40.98M62.625 35.958h-50V3.891h50zM17.625 41.528h40M17.625 47.097h40M17.625 52.666h40"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M30.717 56.186h13.506v8.104H30.717zM62.625 35.958h-50V3.891h50z"
  })));
}
const ForwardRef = React.forwardRef(LaptopIcon);
module.exports = ForwardRef;