const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function LockedIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#D0CFCE",
    stroke: "#D0CFCE",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M21.375 31.175c-.35-8.771 6.45-18.54 14.387-18.78 8.005-.242 16.541 10.97 14.333 19.052h-4.04s1.563-7.922-2.216-11.253c-1.85-1.63-5.255-4.771-8.64-4.292-2.282.323-6.867 3.451-7.926 5.42-2.065 3.837-1.725 9.817-1.725 9.817l-4.173.036z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FCEA2B",
    d: "M53 32.297h1.875v26.875h-38V32.297h1.875z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#F1B31C",
    d: "M54.43 32.493L35.66 58.994h19.308z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M53 32.25h1.875v26.875h-38V32.25h1.875zM21.375 28.915c0-8.379 6.415-16.275 14.319-16.523 7.97-.251 15.41 7.284 14.741 16.523"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M25.548 28.915c0-6.336 4.575-12.306 10.212-12.494 5.684-.19 10.99 5.508 10.514 12.494"
  })));
}
const ForwardRef = React.forwardRef(LockedIcon);
module.exports = ForwardRef;