const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function MagnetRightIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#ea5a47",
    d: "M34.105 44.105h-10.5a8.5 8.5 0 010-17h10.5v-6h-10.5a14.5 14.5 0 000 29h10.5z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "#d0cfce"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M39.105 21.105v6h-5v-6zM39.105 44.105v6h-5v-6z"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "#fcea2b",
    d: "M50.83 45.487a1.283 1.283 0 00.907-1.26v-4.925l7.75 3.461a1 1 0 001.089-1.645L48.647 30.026a1.327 1.327 0 00-1.451-.278 1.37 1.37 0 00-.85 1.266v4.88l-8.05-4.996a1 1 0 00-1.299.213c-.188.227-.315.38-.315.572 0 .4.557.965 2.279 2.716l10.273 10.416a1.452 1.452 0 001.596.672z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M34.105 44.105h-10.5a8.5 8.5 0 010-17h10.5v-6h-10.5a14.5 14.5 0 000 29h10.5z"
  }), /*#__PURE__*/React.createElement("g", {
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M39.105 21.105v6h-5v-6zM39.105 44.105v6h-5v-6z"
  })), /*#__PURE__*/React.createElement("path", {
    strokeMiterlimit: 10,
    d: "M50.83 45.487a1.283 1.283 0 00.907-1.26v-4.925l7.75 3.461a1 1 0 001.089-1.645L48.647 30.026a1.327 1.327 0 00-1.451-.278 1.37 1.37 0 00-.85 1.266v4.88l-8.05-4.996a1 1 0 00-1.299.213c-.188.227-.315.38-.315.572 0 .4.557.965 2.279 2.716l10.273 10.416a1.452 1.452 0 001.596.672z"
  })));
}
const ForwardRef = React.forwardRef(MagnetRightIcon);
module.exports = ForwardRef;