const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function MagnetUpIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#ea5a47",
    d: "M43.5 36.5V47a8.5 8.5 0 01-17 0V36.5h-6V47a14.5 14.5 0 0029 0V36.5z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "#d0cfce"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M20.5 31.5h6v5h-6zM43.5 31.5h6v5h-6z"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "#fcea2b",
    d: "M44.882 19.775a1.283 1.283 0 00-1.26-.907h-4.925l3.461-7.75a1 1 0 00-1.645-1.089L29.42 21.958a1.327 1.327 0 00-.278 1.451 1.37 1.37 0 001.266.85h4.88l-4.996 8.05a1 1 0 00.213 1.299c.227.188.38.315.572.315.4 0 .966-.557 2.716-2.279L44.21 21.371a1.452 1.452 0 00.672-1.596z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M43.5 36.5V47a8.5 8.5 0 01-17 0V36.5h-6V47a14.5 14.5 0 0029 0V36.5z"
  }), /*#__PURE__*/React.createElement("g", {
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M20.5 31.5h6v5h-6zM43.5 31.5h6v5h-6z"
  })), /*#__PURE__*/React.createElement("path", {
    strokeMiterlimit: 10,
    d: "M44.882 19.775a1.283 1.283 0 00-1.26-.907h-4.925l3.461-7.75a1 1 0 00-1.645-1.089L29.42 21.958a1.327 1.327 0 00-.278 1.451 1.37 1.37 0 001.266.85h4.88l-4.996 8.05a1 1 0 00.213 1.299c.227.188.38.315.572.315.4 0 .966-.557 2.716-2.279L44.21 21.371a1.452 1.452 0 00.672-1.596z"
  })));
}
const ForwardRef = React.forwardRef(MagnetUpIcon);
module.exports = ForwardRef;