const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function MobilePhoneIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    fill: "#9B9B9A",
    d: "M52.5 64.764h-33a1 1 0 01-1-1v-56a1 1 0 011-1h33a1 1 0 011 1v56a1 1 0 01-1 1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#D0CFCE",
    d: "M48.034 55H23.966a.966.966 0 01-.966-.966V13.966c0-.534.433-.966.966-.966h24.068c.534 0 .966.432.966.966v40.068a.966.966 0 01-.966.966z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFF",
    d: "M31 10h10-10z"
  })), /*#__PURE__*/React.createElement("g", {
    stroke: "#000",
    strokeMiterlimit: 10
  }, /*#__PURE__*/React.createElement("path", {
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M52.5 64.764h-33a1 1 0 01-1-1v-56a1 1 0 011-1h33a1 1 0 011 1v56a1 1 0 01-1 1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M48.034 55H23.966a.966.966 0 01-.966-.966V13.966c0-.534.433-.966.966-.966h24.068c.534 0 .966.432.966.966v40.068a.966.966 0 01-.966.966z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 60,
    r: 2
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M31 10h10-10z"
  })));
}
const ForwardRef = React.forwardRef(MobilePhoneIcon);
module.exports = ForwardRef;