const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function MusicalKeyboardIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#FFF",
    d: "M13.63 13.08h45.661v45.662H13.63z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3F3F3F",
    d: "M32.864 12.262h7.073v30.503h-7.073zM46.063 12.199h6.884v30.755h-6.884zM19.665 11.854h7.578v31.353h-7.578z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M12.629 12.08h47.662v47.662H12.629z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M19.64 12.07h7.404v30.911H19.64zM32.758 12.07h7.404v30.911h-7.404zM45.877 12.07h7.404v30.911h-7.404zM24.545 47.433v12.309M36.46 47.433v12.309M48.376 47.433v12.309"
  })));
}
const ForwardRef = React.forwardRef(MusicalKeyboardIcon);
module.exports = ForwardRef;