const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function MusicalNoteIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: "#3F3F3F"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M26.324 22.812l25.295-5.26-.07-4.677-25.444 5.666z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 20.756,
    cy: 51.59,
    r: 5.787
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 46.206,
    cy: 46.013,
    r: 5.787
  })), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M51.619 17.552l-25.445 5.67-.069-4.681 25.444-5.666z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 20.756,
    cy: 51.59,
    r: 5.787
  }), /*#__PURE__*/React.createElement("path", {
    d: "M26.105 18.541l.438 33.049"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 46.206,
    cy: 46.013,
    r: 5.787
  }), /*#__PURE__*/React.createElement("path", {
    d: "M51.555 12.963l.438 33.05"
  })));
}
const ForwardRef = React.forwardRef(MusicalNoteIcon);
module.exports = ForwardRef;