const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function MusicalNotesIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: "#3f3f3f"
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 15.205,
    cy: 45.71,
    r: 5.548
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 29.446,
    cy: 57.93,
    r: 5.548
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 46.139,
    cy: 45.71,
    r: 5.548
  })), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 15.205,
    cy: 45.71,
    r: 5
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 29.446,
    cy: 57.93,
    r: 5
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 46.139,
    cy: 45.71,
    r: 5
  }), /*#__PURE__*/React.createElement("path", {
    d: "M56.73 17.155h-5.97l.38 28.555M40.036 29.375h-5.969l.379 28.555M25.795 17.155h-5.969l.379 28.555"
  })));
}
const ForwardRef = React.forwardRef(MusicalNotesIcon);
module.exports = ForwardRef;