const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function NotebookIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#FFF",
    d: "M11 57.697h49V11.909H15.998l-4 4z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#9b9b9a",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M55.002 60.91H11.998a.999.999 0 01-.998-1V16.909c0-.552.447-.999.999-.999H55c.552 0 .999.447.999.999V59.91a.999.999 0 01-.998.998z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M11 16.91l4.998-5h43.004c.55 0 .998.446.998.998V55.91a.999.999 0 01-.999.998"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M55.002 60.91H11.998a.999.999 0 01-.998-1V16.909c0-.552.447-.999.999-.999H55c.552 0 .999.447.999.999V59.91a.999.999 0 01-.998.998z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M47.358 29.799h-4v7h4M43.358 33.298h3M19.642 36.798v-7l5 7v-7M30.858 36.798h0a2.5 2.5 0 01-2.5-2.5v-2a2.5 2.5 0 012.5-2.5h0a2.5 2.5 0 012.5 2.5v2a2.5 2.5 0 01-2.5 2.5zM36.358 29.829h4M38.358 29.829v7"
  })));
}
const ForwardRef = React.forwardRef(NotebookIcon);
module.exports = ForwardRef;