const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function OpenfoodfactIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#B1CC33",
    stroke: "#B1CC33",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M45 37l8-10v31h-8V37z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#EA5A47",
    stroke: "#EA5A47",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M34 34.5L27.95 27H12v31h22V34.5z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FCEA2B",
    stroke: "#FCEA2B",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M37 37h5v21h-5zM36 23h8v14h-8z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#B1CC33",
    stroke: "#B1CC33",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M47 18h4v15h-4z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#EA5A47",
    stroke: "#EA5A47",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M33 21h-4v12h4z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#D0CFCE",
    d: "M48.101 12.283a14.432 14.432 0 00-10.937-1.937 14.424 14.424 0 00-9.104 6.364c-4.304 6.746-2.318 15.737 4.428 20.042 6.745 4.304 15.735 2.32 20.041-4.428a14.417 14.417 0 001.937-10.937 14.42 14.42 0 00-6.365-9.104zm1.836 18.387c-2.178 3.415-5.881 5.282-9.66 5.282a11.36 11.36 0 01-6.135-1.792c-5.317-3.393-6.882-10.48-3.49-15.796a11.361 11.361 0 017.175-5.016 11.363 11.363 0 018.621 1.527 11.36 11.36 0 015.016 7.175c.66 2.983.117 6.044-1.527 8.62z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3F3F3F",
    d: "M27.767 38.307l-6.918 10.335-3.711 5.815c-.478.75.38 3.21 1.13 3.689.36.23 2.532.01 2.532.01l11.524-17.191-4.557-2.658z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#92D3F5",
    stroke: "#92D3F5",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M56 30h4v28h-4z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinejoin: "round",
    d: "M34 44.5V58h-8.905M23 27H12v31h3.143M36 32v-9h8v9"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M47 19.5V30"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinejoin: "round",
    d: "M37 41v17h5V41M45 40.653V58h8V36M57 30h3v28h-4V33"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    d: "M52.537 32.067c4.307-6.568 2.327-15.289-4.423-19.48-6.75-4.19-15.712-2.263-20.02 4.304-4.306 6.568-2.326 15.289 4.424 19.48 6.75 4.19 15.712 2.263 20.02-4.304z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    d: "M49.639 30.267c3.285-5.01 1.774-11.663-3.374-14.86-5.15-3.196-11.986-1.726-15.271 3.284-3.286 5.01-1.775 11.662 3.373 14.859 5.15 3.197 11.986 1.727 15.272-3.283zM27.777 38.444l4.364 2.709-10.396 15.853c-.743 1.133-2.322 1.444-3.526.696-1.205-.748-1.58-2.272-.838-3.405l10.396-15.853z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M33 21v8"
  })));
}
const ForwardRef = React.forwardRef(OpenfoodfactIcon);
module.exports = ForwardRef;