const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function PartyPopperIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#F1B31C",
    d: "M26.18 20.18l12.57 12.57 12.57 12.57-21.53 8.96-21.53 8.96 8.96-21.53z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FCEA2B",
    d: "M40 35L25.692 20.67l-9.3 21.87L7.09 64.41z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#EA5A47",
    d: "M15.224 45.285l11.062 11.062-5.531 2.251-7.797-7.797z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#D22F27",
    d: "M17.343 55.248l3.412 3.35 5.53-2.251-4.8-4.801z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#EA5A47",
    d: "M20.805 32.163l6.696 6.696 11.7 11.7-6.274 2.863-8.171-8.172-6.606-6.605z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#D22F27",
    d: "M26.537 47.031l6.39 6.39 6.273-2.863-7.838-7.838z"
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 30.295,
    cy: 14.458,
    fill: "#8967aa",
    rx: 2,
    ry: 1.971
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 60.295,
    cy: 18.458,
    fill: "#f1b31c",
    rx: 2,
    ry: 1.971
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 57.295,
    cy: 39.458,
    fill: "#d22f27",
    rx: 2,
    ry: 1.971
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M50.663 45.64l.168.168-21.87 9.3L7.09 64.41l9.3-21.87 9.301-21.87M25.801 20.778l12.46 12.46L50.664 45.64M25.692 20.669l.109.109M46.49 7.367c.235.449.403.943.49 1.473.451 2.747-1.447 5.414-4.239 5.957"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M42.933 14.776a4.875 4.875 0 00-1.51.364c-2.569 1.072-3.827 4.093-2.81 6.75M61.793 26.717a4.875 4.875 0 01-.543 1.454c-1.372 2.423-4.523 3.31-7.037 1.98"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M54.374 30.256a4.876 4.876 0 00-1.403-.663c-2.673-.778-5.549.787-6.422 3.493"
  })));
}
const ForwardRef = React.forwardRef(PartyPopperIcon);
module.exports = ForwardRef;