const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function PencilIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#3F3F3F",
    d: "M14.594 53.154l3.66 3.66-5.63 2.279z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f4aa41",
    d: "M18.038 41.876l18.83-18.83 11.313 11.313-18.67 18.67"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#a57939",
    d: "M14.413 52.566l3.515-9.171 9.9 9.899-9.172 3.515"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#EA5A47",
    d: "M42.92 16.993l7.503-7.502 11.313 11.313-7.438 7.438"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#9b9b9a",
    d: "M35.65 24.264l7.682-7.682 11.313 11.313-7.617 7.617"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M18.63 56.82l9.198-3.526L53.82 27.3l-9.9-9.9-25.993 25.994-3.538 9.208zM47.335 13.987l3.504-3.503 9.9 9.9-3.474 3.473M18.556 42.767l9.9 9.899"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M14.398 52.582l-2.49 6.733 6.748-2.506M36.91 25.007l9.512 9.513"
  })));
}
const ForwardRef = React.forwardRef(PencilIcon);
module.exports = ForwardRef;