const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function PersonInSuitLevitatingIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: "#fcea2b"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M27.074 36.74l2.451-1.75-.596 18.493a1.032 1.032 0 00.209.734.198.198 0 00.127.075c.179 0 1.803-.21 1.869-.793l2.045-18.923c.041-.352 1.421-1.694 1.421-1.694a7.212 7.212 0 011.116 1.641l2.124 18.828c.066.583.436.94.615.94.05-.008 1.806-.305 1.78-.568l-1.57-18.758 3.03 2.122a4.591 4.591 0 01.108-.708l-.825-16.724c-.097-1.921-2.732-2.954-4.612-2.972h-5.012a3.593 3.593 0 00-3.517 3.451l-.662 16.241a.84.84 0 01-.1.365z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 33.927,
    cy: 10.412,
    r: 2.481
  })), /*#__PURE__*/React.createElement("g", {
    stroke: "#000"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2.28,
    d: "M34.318 19.38v9.444"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 34.319,
    cy: 10.412,
    r: 3,
    fill: "none",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M38.494 21.221l1.588 31.749c.046.919-.48 1.671-1.17 1.671a1.734 1.734 0 01-1.445-1.66l-2.123-18.407c-.108-.913-.567-1.66-1.027-1.66s-.922.747-1.027 1.66L31.17 52.981a1.735 1.735 0 01-1.445 1.66c-.689 0-1.215-.752-1.17-1.671l1.588-31.749"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M26.662 36.26l.662-15.874a4.406 4.406 0 014.35-4.178h5.014a4.406 4.406 0 014.351 4.178l.936 16.193"
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 34.319,
    cy: 59.411,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 1.56,
    rx: 8.256,
    ry: 1.294
  })));
}
const ForwardRef = React.forwardRef(PersonInSuitLevitatingIcon);
module.exports = ForwardRef;