const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function PersonSwimmingIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#92D3F5",
    d: "M67.958 35.958C59.958 35.958 57 39 52 39s-10-3-16-3-10 3-16 3-13-3-16-3v11.666C4 49.082 5.419 56 11 56h51.083c5.832 0 5.876-4.834 5.876-9.521l-.001-10.521z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "#FCEA2B"
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 19.386,
    cy: 33.063,
    r: 2.969
  }), /*#__PURE__*/React.createElement("path", {
    d: "M43.688 37.313s-6.48-4.48-8-6c-.344-.344-.45-.926-.813-1.782-.344-.812 1.201-3.73 2.719-3.562 1.125.125 2.59.813 4.719 1.781 1.374.625 2.156-.594 2.562-1.313l-7.75-3.656-5.156 4.532-3.563 3.625-2.875 7.187 3.125-.719 7.657-1.343 7.374 1.25z"
  })), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 19.386,
    cy: 33.063,
    r: 2.969
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M5 36c3 0 9 3 15 3s10-3 16-3 11 3 16 3 7-3 15-3M46.006 43.964C48.045 44.53 50.023 45 52 45c2.744 0 4.585-.904 7.009-1.72M12.777 43.887C15.044 44.488 17.523 45 20 45c6 0 10-3 16-3M26.001 50.959c3.208-.883 6.203-2.084 9.999-2.084 4.406 0 8.273 1.618 11.997 2.478"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M26 38c1-3 .991-5.991 4-9 2-2 5-6 7-6s7 3 7 3"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M43 37s-5.157-3.89-7-5c-1.916-1.153-2-2-2-2"
  })));
}
const ForwardRef = React.forwardRef(PersonSwimmingIcon);
module.exports = ForwardRef;