const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function RainbowFlagIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    strokeWidth: 0
  }, /*#__PURE__*/React.createElement("path", {
    fill: "#b399c8",
    d: "M5 48h62v6.2H5z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#92d3f5",
    d: "M5 42h62v6H5z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b1cc33",
    d: "M5 36h62v6H5z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#fcea2b",
    d: "M5 30h62v6H5z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f4aa41",
    d: "M5 24h62v6H5z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#ea5a47",
    d: "M5 17.8h62V24H5z"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M5 17h62v38H5z"
  }));
}
const ForwardRef = React.forwardRef(RainbowFlagIcon);
module.exports = ForwardRef;