const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function RobotIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#D22F27",
    d: "M34 16.112v-2.51a2.5 2.5 0 015 0v2.5"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#D0CFCE",
    d: "M13.5 41.101a2.5 2.5 0 01-2.5-2.5v-8a2.5 2.5 0 015 0v8a2.5 2.5 0 01-2.5 2.5zM58.5 41.101a2.5 2.5 0 002.5-2.5v-8a2.5 2.5 0 00-5 0v8a2.5 2.5 0 002.5 2.5zM47.45 56.112h-22.9c-4.703 0-8.55-3.847-8.55-8.55v-22.9c0-4.702 3.847-8.55 8.55-8.55h22.9c4.703 0 8.55 3.848 8.55 8.55v22.9c0 4.703-3.847 8.55-8.55 8.55z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#9B9B9A",
    d: "M35.498 56.111h13.286c3.969 0 7.216-3.847 7.216-8.549V24.661c0-4.702-3.247-8.55-7.216-8.55h-2.352"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 44.835,
    cy: 29.003,
    r: 2.834,
    fill: "#FFF"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 27.334,
    cy: 29.002,
    r: 2.834,
    fill: "#FFF"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFF",
    d: "M44.5 47.5h-17c-2.2 0-4-1.8-4-4s1.8-4 4-4h17c2.2 0 4 1.8 4 4s-1.8 4-4 4z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeMiterlimit: 2,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M34 16.01V13.5a2.5 2.5 0 012.5-2.5h0a2.5 2.5 0 012.5 2.5V16"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M47.45 56h-22.9C19.846 56 16 52.153 16 47.45v-22.9c0-4.703 3.847-8.55 8.55-8.55h22.9c4.703 0 8.55 3.847 8.55 8.55v22.9c0 4.703-3.847 8.55-8.55 8.55z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 44.835,
    cy: 29.002,
    r: 2.834,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 27.334,
    cy: 29.002,
    r: 2.834,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M44.5 47.5h-17c-2.2 0-4-1.8-4-4h0c0-2.2 1.8-4 4-4h17c2.2 0 4 1.8 4 4h0c0 2.2-1.8 4-4 4z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M13.5 41h0a2.5 2.5 0 01-2.5-2.5v-8a2.5 2.5 0 012.5-2.5h0a2.5 2.5 0 012.5 2.5v8a2.5 2.5 0 01-2.5 2.5zM58.5 41h0a2.5 2.5 0 002.5-2.5v-8a2.5 2.5 0 00-2.5-2.5h0a2.5 2.5 0 00-2.5 2.5v8a2.5 2.5 0 002.5 2.5zM28 40v7M33 40v7M38 40v7M43 40v7"
  })));
}
const ForwardRef = React.forwardRef(RobotIcon);
module.exports = ForwardRef;