const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function ScrollIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#F4AA41",
    d: "M15.023 16.283h41.954V57.26H15.023z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#E27022",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M16 55.748l-5 .2v5.042h50v-7.042l-5 .2M56 16.283l5-.2v-5.041H11v7.041l5-.2"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M16 55.748l-5 .2v5.042h50v-7.042l-5 .2M56 16.283l5-.2v-5.041H11v7.041l5-.2"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M56 16.283l-21.374.855L16 17.883M16 55.748l40-1.6M16 22.002V50.06M56 22.002V50.06M20.852 24.903h11.009M20.852 30.151h31.167M20.852 35.4h31.167M20.852 40.648h31.167M20.852 45.896h31.167"
  })));
}
const ForwardRef = React.forwardRef(ScrollIcon);
module.exports = ForwardRef;