const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function ShuffleIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    "data-name": "Layer 2"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "none",
    d: "M0 0h48v48H0z",
    "data-name": "invisible box"
  }), /*#__PURE__*/React.createElement("g", {
    "data-name": "icons Q2"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M44 33h-8a2 2 0 00-2 2v2c-4.7-.4-7.9-3.5-7.9-7.9v-9A13 13 0 0014 7.1V5a2 2 0 00-2-2H4a2 2 0 00-2 2v8a2 2 0 002 2h8a2 2 0 002-2v-1.9a9 9 0 018.1 9v9c0 6.6 5 11.4 11.9 11.9v2a2 2 0 002 2h8a2 2 0 002-2v-8a2 2 0 00-2-2zM10 11H6V7h4zm32 30h-4v-4h4zM44 3h-8a2 2 0 00-2 2v2a14 14 0 00-7.2 2.9 12 12 0 012.1 3.4 9.1 9.1 0 015.1-2.2V13a2 2 0 002 2h8a2 2 0 002-2V5a2 2 0 00-2-2zm-2 8h-4V7h4zM19.1 34.6a8.6 8.6 0 01-5.1 2.3V35a2 2 0 00-2-2H4a2 2 0 00-2 2v8a2 2 0 002 2h8a2 2 0 002-2v-2a13.4 13.4 0 007.3-3.1 14.6 14.6 0 01-2.2-3.3zM10 41H6v-4h4z"
  }))));
}
const ForwardRef = React.forwardRef(ShuffleIcon);
module.exports = ForwardRef;