const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function StarIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#FCEA2B",
    d: "M35.993 10.736L27.79 27.37 9.44 30.044l13.285 12.94-3.128 18.28 16.412-8.636 16.419 8.623-3.142-18.277 13.276-12.95-18.354-2.66z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M35.993 10.736L27.79 27.37 9.44 30.044l13.285 12.94-3.128 18.28 16.412-8.636 16.419 8.623-3.142-18.277 13.276-12.95-18.354-2.66z"
  }));
}
const ForwardRef = React.forwardRef(StarIcon);
module.exports = ForwardRef;