const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function UserIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    strokeWidth: 2,
    className: "lucide lucide-user-2",
    viewBox: "0 0 24 24",
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("circle", {
    cx: 12,
    cy: 8,
    r: 5
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20 21a8 8 0 10-16 0"
  }));
}
const ForwardRef = React.forwardRef(UserIcon);
module.exports = ForwardRef;