const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function VueJsIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 261.76 226.69",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#41b883",
    d: "M161.096.001l-30.224 52.35L100.647.002H-.005L130.872 226.69 261.749 0z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#34495e",
    d: "M161.096.001l-30.224 52.35L100.647.002H52.346l78.526 136.01L209.398.001z"
  }));
}
const ForwardRef = React.forwardRef(VueJsIcon);
module.exports = ForwardRef;