import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function ArrowUpDownIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#3f3f3f",
    d: "M52.509 48.279l-4.1-3.7-8.6 9.2V17.478l8.6 9.2 4.1-3.7-15.8-16.7-15.8 16.7 4.1 3.7 8.6-9.2v36.301l-8.6-9.2-4.1 3.7 15.8 16.7 15.8-16.7z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M52.509 48.279l-4.1-3.7-8.6 9.2V17.478l8.6 9.2 4.1-3.7-15.8-16.7-15.8 16.7 4.1 3.7 8.6-9.2v36.301l-8.6-9.2-4.1 3.7 15.8 16.7 15.8-16.7z"
  }));
}
const ForwardRef = React.forwardRef(ArrowUpDownIcon);
export default ForwardRef;