import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function BookmarkIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#EA5A47",
    d: "M46.5 56l-10-11.151L26.5 56V10.958h20z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#D22F27",
    d: "M41.864 12.03v37.854l4.523 5.044V12.03z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M46.5 56l-10-11.151L26.5 56V10.958h20z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M46.5 56l-10-11.151L26.5 56V10.958h20z"
  })));
}
const ForwardRef = React.forwardRef(BookmarkIcon);
export default ForwardRef;