import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function BuildingClassicIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#9b9b9a",
    d: "M18.54 26h34.92v25.95H18.54z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M12 56h48v4H12zM14.13 22h43.74v4H14.13zM15.72 52h40.55v4H15.72zM18.5 26h4v26h-4z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M27.35 26.15h4v26h-4zM49.52 25.95h3.941v26H49.52zM36 12l-17 9.75h34zM40.35 26.15h4v26h-4z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10
  }, /*#__PURE__*/React.createElement("path", {
    strokeWidth: 2,
    d: "M11.99 55.89H60v3.993H11.99z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeWidth: 2.001,
    d: "M14.18 21.76h43.65v3.999H14.18z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeWidth: 2,
    d: "M15.27 51.76h41.47v3.993H15.27z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeWidth: 1.702,
    d: "M18.35 25.61h4.298v26.3H18.35zM27.35 25.61h4.298v26.3H27.35zM49.35 25.61h4.298v26.3H49.35z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeWidth: 1.916,
    d: "M36 12l-17 9.75h34z",
    transform: "matrix(1.091 0 0 .9982 -3.283 .098)"
  }), /*#__PURE__*/React.createElement("path", {
    strokeWidth: 1.702,
    d: "M40.35 25.61h4.298v26.3H40.35z"
  })));
}
const ForwardRef = React.forwardRef(BuildingClassicIcon);
export default ForwardRef;