import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function BullseyeIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("circle", {
    cx: 39.488,
    cy: 39.455,
    r: 29.85,
    fill: "#EA5A47"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 39.488,
    cy: 39.455,
    r: 23.85,
    fill: "#FFF"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 39.488,
    cy: 39.455,
    r: 15.85,
    fill: "#EA5A47"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 39.488,
    cy: 39.455,
    r: 10.9,
    fill: "#FFF"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 39.488,
    cy: 39.455,
    r: 5.9,
    fill: "#EA5A47"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M11.466 11.499H2.513M11.466 11.499V2.546M15.507 15.547H6.554M15.509 15.545V6.593M39.486 39.464L7.478 7.519M21.969 16.347a29.04 29.04 0 0117.52-5.892c16.016 0 29 12.984 29 29s-12.984 29-29 29-29-12.984-29-29c0-6.547 2.169-12.587 5.828-17.44"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M26.257 20.64a22.895 22.895 0 0113.231-4.185c12.703 0 23 10.298 23 23s-10.297 23-23 23-23-10.297-23-23c0-4.87 1.514-9.387 4.097-13.105"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M32.04 26.432a14.931 14.931 0 017.448-1.977c8.284 0 15 6.716 15 15s-6.716 15-15 15-15-6.716-15-15c0-2.616.73-5.127 1.908-7.268M40.078 34.474a5 5 0 11-5.556 5.781"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M35.778 30.166a9.974 9.974 0 013.71-.71c5.523 0 10 4.476 10 10s-4.477 10-10 10-10-4.478-10-10a9.93 9.93 0 01.686-3.59"
  })));
}
const ForwardRef = React.forwardRef(BullseyeIcon);
export default ForwardRef;