import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function ChartDecreasingIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M12.05 59.91h47.9v-47.9h-47.9z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#92d3f5",
    d: "M31.238 28.417l-6.89-8.682-2.838 2.55 8.713 11.797 6.594-3.562c.142-.071 11.276 21.222 11.276 21.222l3.397-1.453-12.435-25.084s-7.528 3.595-7.817 3.212z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M47.906 52.066L37.261 30.593l-7.352 3.644L21.15 22.14l3.197-2.405 7.01 9.32 4.126-2.046-.013-.027 3.584-1.777L51.49 50.289z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12.052 12.015h47.897v47.897H12.052zM51.839 36.085h7.966M12.739 36.085H26.04M55.207 47.993h4.476M12.739 47.993h28.622M48.234 56.081l.017 3.289M48.033 12.059l.12 22.446M36.184 38.182v21.391M36.184 12.33v9.955M24.225 33.302v26.271M24.225 12.12v3.532M43.255 24.177h15.971M12.264 24.177h5.288"
  })));
}
const ForwardRef = React.forwardRef(ChartDecreasingIcon);
export default ForwardRef;