import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function ChartIncreasingIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M12.05 59.91h47.9v-47.9h-47.9z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#ea5a47",
    d: "M30.552 40.184l-7.996 12.614L25.895 55l5.49-8.905c.254-.412 8.852 2.54 8.852 2.54l10.867-25.802-3.686-1.552-9.39 21.53c-.215.51-7.476-2.628-7.476-2.628z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M47.418 21.282l-9.303 22.087-7.563-3.185-7.996 12.614L25.895 55l6.005-9.74 4.65 1.823 3.687 1.553 10.867-25.803z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12.052 12.015h47.897v47.897H12.052zM50.069 36.085h9.736M12.739 36.085h24.44M45.024 47.993h14.659M12.739 47.993h8.08M48.133 40.444l.118 18.926M48.033 12.059l.004 5.123M36.184 51.65v7.923M36.184 12.33v25.501M24.225 58.613v.96M24.225 11.963v31.136M55.184 24.177h4.042M12.264 24.177h29.487"
  })));
}
const ForwardRef = React.forwardRef(ChartIncreasingIcon);
export default ForwardRef;