import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function CircleBlackIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M36 64c15.464 0 28-12.536 28-28S51.464 8 36 8 8 20.536 8 36s12.536 28 28 28z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3F3F3F",
    d: "M36 64c15.464 0 28-12.536 28-28S51.464 8 36 8 8 20.536 8 36s12.536 28 28 28z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M36 64c15.464 0 28-12.536 28-28S51.464 8 36 8 8 20.536 8 36s12.536 28 28 28z"
  }));
}
const ForwardRef = React.forwardRef(CircleBlackIcon);
export default ForwardRef;