import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function CircleHollowRedIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#EA5A47",
    d: "M35.566 6.407c-16.016 0-29 12.983-29 29 0 16.016 12.984 29 29 29s29-12.984 29-29c0-16.017-12.984-29-29-29zm0 49c-11.046 0-20-8.955-20-20s8.954-20 20-20 20 8.954 20 20-8.954 20-20 20z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 35.795,
    cy: 35.937,
    r: 29
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 35.795,
    cy: 35.937,
    r: 20
  })));
}
const ForwardRef = React.forwardRef(CircleHollowRedIcon);
export default ForwardRef;