import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function CloudVirtualMachineIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 32 32",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M21 16H11a2.002 2.002 0 00-2 2v6a2.002 2.002 0 002 2h4v2h-3v2h8v-2h-3v-2h4a2.002 2.002 0 002-2v-6a2.002 2.002 0 00-2-2zm-10 8v-6h10l.002 6z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M25.822 10.124a10 10 0 00-19.644 0A7.491 7.491 0 007 24.974v-2a5.495 5.495 0 01.123-10.954l.837-.056.09-.834a7.998 7.998 0 0115.9 0l.09.834.837.056A5.495 5.495 0 0125 22.975v2a7.491 7.491 0 00.822-14.851z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    d: "M0 0h32v32H0z",
    "data-name": "<Transparent Rectangle>"
  }));
}
const ForwardRef = React.forwardRef(CloudVirtualMachineIcon);
export default ForwardRef;