import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function CodeEditorIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    d: "M11 16.083h50v39.833H11z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M11 16.001h50v39.998H11z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M16.329 16.48v4.374H11h50M28.833 30.395l-6.927 6.927M28.833 44.317l-6.927-6.928M38.184 28.152L32.809 46.25M42.159 44.252l6.927-6.928M42.159 30.33l6.927 6.927"
  })));
}
const ForwardRef = React.forwardRef(CodeEditorIcon);
export default ForwardRef;