import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function CompassIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M33.2 33.2L48 24l-9.2 14.8"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 36,
    r: 24,
    fill: "#fcea2b"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f1b31c",
    d: "M53 19a24.042 24.042 0 01-17 41 24.302 24.302 0 01-17-7"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M33.2 33.2L24 48l14.8-9.2"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#ea5a47",
    d: "M33.2 33.2L48 24l-9.2 14.8"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 36,
    r: 24
  }), /*#__PURE__*/React.createElement("path", {
    d: "M33.2 33.2L24 48l14.8-9.2"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M33.2 33.2L48 24l-9.2 14.8M36 21v-5M36 56v-5M51 36h5M16 36h5"
  })));
}
const ForwardRef = React.forwardRef(CompassIcon);
export default ForwardRef;