import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function ConstructionIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M15.35 59.08h-1.779c-.684 0-1.238-.578-1.238-1.291v-34.83c0-.713.554-1.291 1.238-1.291h1.779c.684 0 1.238.578 1.238 1.291v34.83c0 .713-.554 1.291-1.238 1.291zM58.46 59.08h-1.779c-.684 0-1.238-.713-1.238-1.593v-32.97c0-.88.554-1.593 1.238-1.593h1.779c.684 0 1.238.713 1.238 1.593v32.97c0 .88-.555 1.593-1.238 1.593z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#fcea2b",
    d: "M7.45 43.47h7.743L7.45 51.213z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3F3F3F",
    d: "M15.19 43.47h12.34l-7.743 7.743-12.34-.058z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#fcea2b",
    d: "M27.48 43.47h12.34l-7.743 7.743h-12.29z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3F3F3F",
    d: "M39.82 43.47h12.34l-7.743 7.743h-12.34z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#fcea2b",
    d: "M52.16 43.47l11.89-.184-7.612 7.612h-11.7z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3F3F3F",
    d: "M64.05 43.29v7.612h-7.612z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#fcea2b",
    d: "M7.95 28.33l7.646-.034-7.646 7.646z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3F3F3F",
    d: "M15.6 28.3h11.94l-7.695 7.646H7.955z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#fcea2b",
    d: "M27.48 28.3h12.34l-7.743 7.743h-12.29z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3F3F3F",
    d: "M39.82 28.3h12.34l-7.743 7.743h-12.34z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#fcea2b",
    d: "M52.16 28.3H64.5l-8.062 7.646-12.02.098z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3F3F3F",
    d: "M64.05 28.33v7.612h-7.612z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M12.74 42.72v-6.348M16.92 50.9v6.509c0 .672-.545 1.217-1.217 1.217h-1.748a1.217 1.217 0 01-1.217-1.217v-6.071M16.92 36.37v6.348M12.74 28.24v-5.907m4.181 0v5.812M55.1 43.29v-6.921M59.28 51.34v6.071c0 .672-.545 1.217-1.217 1.217h-1.748a1.217 1.217 0 01-1.217-1.217V51.34M59.28 36.37v5.969M55.1 28.03v-5.891m4.181 0v5.796M7.95 28.33h56.1v7.612H7.95z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M7.95 43.29h56.1v7.612H7.95z"
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 14.83,
    cy: 17.97,
    rx: 4.594,
    ry: 4.596
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 57.19,
    cy: 17.97,
    rx: 4.594,
    ry: 4.596
  })), /*#__PURE__*/React.createElement("g", {
    fill: "#f4aa41",
    fillRule: "evenodd",
    stroke: "#e27022",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    transform: "translate(-2.525 -.094)"
  }, /*#__PURE__*/React.createElement("ellipse", {
    cx: 17.36,
    cy: 18.06,
    rx: 4.594,
    ry: 4.596
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 59.71,
    cy: 18.06,
    rx: 4.594,
    ry: 4.596
  })));
}
const ForwardRef = React.forwardRef(ConstructionIcon);
export default ForwardRef;