import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function CreditCardIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#92D3F5",
    d: "M59.959 52.794H12.04a1 1 0 01-1-1V22.247a1 1 0 011-1H59.96a1 1 0 011 1v29.547a1 1 0 01-1 1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3F3F3F",
    d: "M60 31H12a1 1 0 01-1-1v-2.8a1 1 0 011-1h48a1 1 0 011 1V30a1 1 0 01-1 1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FCEA2B",
    d: "M20.998 47.8h-1.947a3.035 3.035 0 01-3.026-3.026v-1.948A3.035 3.035 0 0119.05 39.8h1.947a3.035 3.035 0 013.027 3.026v1.948a3.035 3.035 0 01-3.027 3.026z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M59.959 52.794H12.04a1 1 0 01-1-1V22.247a1 1 0 011-1H59.96a1 1 0 011 1v29.547a1 1 0 01-1 1z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M60 31H12a1 1 0 01-1-1v-2.8a1 1 0 011-1h48a1 1 0 011 1V30a1 1 0 01-1 1z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M20.998 47.8h-1.947a3.035 3.035 0 01-3.026-3.026v-1.948A3.035 3.035 0 0119.05 39.8h1.947a3.035 3.035 0 013.027 3.026v1.948a3.035 3.035 0 01-3.027 3.026z"
  })));
}
const ForwardRef = React.forwardRef(CreditCardIcon);
export default ForwardRef;