import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function EyeIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("ellipse", {
    cx: 35.75,
    cy: 36.428,
    fill: "#FFF",
    rx: 34.81,
    ry: 20.428
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 35.75,
    cy: 36.428,
    fill: "#FFF",
    rx: 34.81,
    ry: 20.428
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 35.958,
    r: 15.484,
    fill: "#a57939"
  }), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("ellipse", {
    cx: 35.75,
    cy: 36.428,
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    rx: 34.81,
    ry: 20.428
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 35.958,
    r: 8.442
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 35.958,
    r: 8.442,
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 35.958,
    r: 15.484,
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  })));
}
const ForwardRef = React.forwardRef(EyeIcon);
export default ForwardRef;