import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function EyesIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("ellipse", {
    cx: 19.548,
    cy: 35.958,
    fill: "#FFF",
    rx: 14.469,
    ry: 24.655
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 52.452,
    cy: 35.958,
    fill: "#FFF",
    rx: 14.469,
    ry: 24.655
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 52.452,
    cy: 35.958,
    fill: "#FFF",
    rx: 14.469,
    ry: 24.655
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 46.01,
    cy: 37.817,
    r: 8.027,
    fill: "#A57939"
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 19.548,
    cy: 35.958,
    fill: "#FFF",
    rx: 14.469,
    ry: 24.655
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 13.106,
    cy: 37.817,
    r: 8.027,
    fill: "#A57939"
  }), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("ellipse", {
    cx: 19.548,
    cy: 35.958,
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    rx: 14.469,
    ry: 24.655
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 52.452,
    cy: 35.958,
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    rx: 14.469,
    ry: 24.655
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 13.106,
    cy: 37.817,
    r: 3.623
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 46.01,
    cy: 37.817,
    r: 3.623
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 13.106,
    cy: 37.817,
    r: 3.623,
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 13.106,
    cy: 37.817,
    r: 8.027,
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 46.01,
    cy: 37.817,
    r: 3.623,
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 46.01,
    cy: 37.817,
    r: 8.027,
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  })));
}
const ForwardRef = React.forwardRef(EyesIcon);
export default ForwardRef;