import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function FileCabinetIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#3f3f3f",
    d: "M18 55h36V13H18v42z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    d: "M22.27 17.011v14h27.499v-14h-27.5zM49.769 50.83v-14h-27.5v14h27.5z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#9B9B9A",
    d: "M29.947 19.677H41.93v4.357H29.947zM29.595 39.793h12.679v4.067H29.595z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    d: "M17.009 60.003H55"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M17 12h38v44H17zM17.009 60.003H55"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M21.269 35.829h29.5v16h-29.5z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M29.735 39.713h12.399v4.116H29.735zM42.134 47.829H29.735M21.269 16.011h29.5v16h-29.5z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M29.735 19.895h12.399v4.116H29.735zM42.134 28.011H29.735"
  })));
}
const ForwardRef = React.forwardRef(FileCabinetIcon);
export default ForwardRef;