import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function FireworksIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    stroke: "#000",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M35 38.915h2v25h-2z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    d: "M15.995 32.911h0M55.989 32.902h0M35.978 12.915h0"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M21.849 18.771l9.9 9.9M40.234 28.67l9.899-9.899M50.133 47.055l-9.899-9.899M31.749 37.156l-9.9 9.899"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    d: "M29.991 32.913h-9M35.991 17.913v9M50.991 32.913h-9M13.087 23.427l6.556 2.716M13.088 42.41l6.556-2.717M26.513 55.83l2.714-6.557M45.495 55.825l-2.718-6.556M58.913 42.396l-6.558-2.712M58.903 23.415l-6.554 2.719M45.472 10l-2.711 6.558M26.492 10.024l2.724 6.553"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinejoin: "round",
    d: "M36 34.315l1.7 1.215-.631-1.992 1.681-1.24-2.089-.016L36 30.3l-.661 1.982-2.089.016 1.681 1.24-.631 1.992 1.7-1.215z"
  })), /*#__PURE__*/React.createElement("g", {
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#d22f27",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M35 38.915h2v25h-2z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#fcea2b",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    d: "M15.995 32.911h0"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#f1b31c",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    d: "M55.989 32.902h0M35.978 12.915h0"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#e27022",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M21.849 18.771l9.9 9.9"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#61b2e4",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M40.234 28.67l9.899-9.899"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#f1b31c",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M50.133 47.055l-9.899-9.899"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#e67a94",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M31.749 37.156l-9.9 9.899"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#d0cfce",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    d: "M29.991 32.913h-9"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#8967aa",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    d: "M35.991 17.913v9"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#ea5a47",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    d: "M50.991 32.913h-9"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#b399c8",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    d: "M13.087 23.427l6.556 2.716"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#92d3f5",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    d: "M13.088 42.41l6.556-2.717"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#b1cc33",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    d: "M26.513 55.83l2.714-6.557"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#ffa7c0",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    d: "M45.495 55.825l-2.718-6.556"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#b399c8",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    d: "M58.913 42.396l-6.558-2.712"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#b1cc33",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    d: "M58.903 23.415l-6.554 2.719"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#a57939",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    d: "M45.472 10l-2.711 6.558"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#fcea2b",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    d: "M26.492 10.024l2.724 6.553"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d22f27",
    stroke: "#d22f27",
    strokeLinejoin: "round",
    d: "M36 34.315l1.7 1.215-.631-1.992 1.681-1.24-2.089-.016L36 30.3l-.661 1.982-2.089.016 1.681 1.24-.631 1.992 1.7-1.215z"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M35 58.915v-20h2"
  }));
}
const ForwardRef = React.forwardRef(FireworksIcon);
export default ForwardRef;