import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function HeartRedIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#EA5A47",
    d: "M59.5 25c0-6.904-5.596-12.5-12.5-12.5a12.497 12.497 0 00-11 6.56 12.497 12.497 0 00-11-6.56c-6.904 0-12.5 5.596-12.5 12.5 0 2.97 1.04 5.694 2.77 7.839l-.004.003L36 58.54l20.734-25.698-.004-.003A12.44 12.44 0 0059.5 25z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M59.5 25c0-6.904-5.596-12.5-12.5-12.5a12.497 12.497 0 00-11 6.56 12.497 12.497 0 00-11-6.56c-6.904 0-12.5 5.596-12.5 12.5 0 2.97 1.04 5.694 2.77 7.839l-.004.003L36 58.54l20.734-25.698-.004-.003A12.44 12.44 0 0059.5 25z"
  }));
}
const ForwardRef = React.forwardRef(HeartRedIcon);
export default ForwardRef;