import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function IdentityCardIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M9.915 22.002h16.698M34.861 22.002h27.171M34.934 29.556h19.174M34.934 33.554h19.174M34.934 37.552h19.174"
  })), /*#__PURE__*/React.createElement("rect", {
    width: 62,
    height: 38,
    x: 5,
    y: 17,
    fill: "#d0cfce",
    rx: 3.508
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    stroke: "#fff",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M10 29.544h16.528v19.462H10z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#fcea2b",
    d: "M26.613 51l-1.153-4.563a4.3 4.3 0 00-4.209-4.131h-6a4.3 4.3 0 00-4.208 4.131L9.915 51z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 18.331,
    cy: 34.8,
    r: 3,
    fill: "#fcea2b"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M34.474 50.006l4.706-7.132 1.255 6.215 3.17-4.146.77 3.435c4.792-2.643 9.533 1.474 13.268.115"
  }), /*#__PURE__*/React.createElement("rect", {
    width: 62,
    height: 38,
    x: 5,
    y: 17,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    rx: 3.508
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 18.331,
    cy: 34.8,
    r: 3,
    strokeMiterlimit: 10
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M26.613 50.006l-.178-3.268a5.274 5.274 0 00-5.207-5H15.3a5.274 5.274 0 00-5.208 5l-.178 3.268"
  })), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#9b9b9a",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M9.915 22.002h16.698M34.861 22.002h27.171M34.934 29.556h19.174M34.934 33.554h19.174M34.934 37.552h19.174"
  })));
}
const ForwardRef = React.forwardRef(IdentityCardIcon);
export default ForwardRef;