import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function MagicWandIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M46.684 24.074l6.956-6.928 1.168 1.25-6.82 6.738-1.303-1.06zM16.617 54.208l6.955-6.928 1.168 1.25-6.82 6.738-1.303-1.06z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3f3f3f",
    d: "M46.423 23.785l1.553 1.618L25.435 48.36l-1.727-1.575 22.715-23z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 47.575,
    cy: 10.958,
    r: 2,
    fill: "#fcea2b"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 56,
    cy: 28.31,
    r: 2,
    fill: "#fcea2b"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("rect", {
    width: 53.525,
    height: 3.385,
    x: 9.193,
    y: 34.347,
    rx: 0.44,
    ry: 0.44,
    transform: "rotate(-45.07 35.956 36.04)"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M45.881 24.448l1.754 1.637M23.441 46.194l2.397 2.39"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M47.575 8.958V7.293M47.575 14.624v-1.666M45.575 10.958H43.91M51.24 10.958h-1.665M56 26.31v-1.665M56 31.976V30.31M54 28.31h-1.665M59.665 28.31H58"
  })));
}
const ForwardRef = React.forwardRef(MagicWandIcon);
export default ForwardRef;