import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function MagnetDownIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#ea5a47",
    d: "M26.5 34.71v-10.5a8.5 8.5 0 0117 0v10.5h6v-10.5a14.5 14.5 0 00-29 0v10.5z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "#d0cfce"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M49.5 39.71h-6v-5h6zM26.5 39.71h-6v-5h6z"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "#fcea2b",
    d: "M25.118 51.435a1.283 1.283 0 001.26.907h4.925l-3.461 7.75a1 1 0 001.645 1.089L40.58 49.25a1.327 1.327 0 00.278-1.45 1.37 1.37 0 00-1.266-.85h-4.88l4.996-8.05a1 1 0 00-.213-1.3c-.227-.187-.38-.314-.572-.314-.4 0-.966.557-2.716 2.279L25.79 49.839a1.452 1.452 0 00-.672 1.596z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M26.5 34.71v-10.5a8.5 8.5 0 0117 0v10.5h6v-10.5a14.5 14.5 0 00-29 0v10.5z"
  }), /*#__PURE__*/React.createElement("g", {
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M49.5 39.71h-6v-5h6zM26.5 39.71h-6v-5h6z"
  })), /*#__PURE__*/React.createElement("path", {
    strokeMiterlimit: 10,
    d: "M25.118 51.435a1.283 1.283 0 001.26.907h4.925l-3.461 7.75a1 1 0 001.645 1.089L40.58 49.25a1.327 1.327 0 00.278-1.45 1.37 1.37 0 00-1.266-.85h-4.88l4.996-8.05a1 1 0 00-.213-1.3c-.227-.187-.38-.314-.572-.314-.4 0-.966.557-2.716 2.279L25.79 49.839a1.452 1.452 0 00-.672 1.596z"
  })));
}
const ForwardRef = React.forwardRef(MagnetDownIcon);
export default ForwardRef;