import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function MagnetLeftIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#ea5a47",
    d: "M35.895 27.105h10.5a8.5 8.5 0 010 17h-10.5v6h10.5a14.5 14.5 0 000-29h-10.5z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "#d0cfce"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M30.895 50.105v-6h5v6zM30.895 27.105v-6h5v6z"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "#fcea2b",
    d: "M19.17 25.723a1.283 1.283 0 00-.907 1.26v4.925l-7.75-3.461a1 1 0 00-1.089 1.645l11.929 11.092a1.327 1.327 0 001.451.278 1.37 1.37 0 00.85-1.266v-4.88l8.05 4.995a1 1 0 001.299-.212c.188-.227.315-.38.315-.572 0-.4-.557-.966-2.279-2.716L20.766 26.395a1.452 1.452 0 00-1.596-.672z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M35.895 27.105h10.5a8.5 8.5 0 010 17h-10.5v6h10.5a14.5 14.5 0 000-29h-10.5z"
  }), /*#__PURE__*/React.createElement("g", {
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M30.895 50.105v-6h5v6zM30.895 27.105v-6h5v6z"
  })), /*#__PURE__*/React.createElement("path", {
    strokeMiterlimit: 10,
    d: "M19.17 25.723a1.283 1.283 0 00-.907 1.26v4.925l-7.75-3.461a1 1 0 00-1.089 1.645l11.929 11.092a1.327 1.327 0 001.451.278 1.37 1.37 0 00.85-1.266v-4.88l8.05 4.995a1 1 0 001.299-.212c.188-.227.315-.38.315-.572 0-.4-.557-.966-2.279-2.716L20.766 26.395a1.452 1.452 0 00-1.596-.672z"
  })));
}
const ForwardRef = React.forwardRef(MagnetLeftIcon);
export default ForwardRef;