import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function MortorWayIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M24.519 29.058v4.784l23.47.255-.064-4.784-23.406-.255z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b1cc33",
    d: "M11 35.474v19.5l21.154-19.5H11zM61 35.474H39.846L61 54.974v-19.5"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5c9e31",
    d: "M40.808 35.474H61v6.158H46.865l-6.057-6.158zM32.154 35.474H11v6.158h14.808l6.346-6.158z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    d: "M11.962 56h48.076L39.846 36.5h-6.731L11.962 56z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3f3f3f",
    d: "M26.293 40.605h20.444L39.846 36.5h-6.731l-6.822 4.105z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5c9e31",
    d: "M26.674 19.053h18.773v8.21H26.674z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 1.987
  }, /*#__PURE__*/React.createElement("path", {
    d: "M11.962 54.974l21.153-19.499M60.038 54.974L39.846 35.475M23.115 39.485V17M49.365 39.485V17"
  }), /*#__PURE__*/React.createElement("rect", {
    width: 19.712,
    height: 9.123,
    x: 26.385,
    y: 18.483,
    rx: 3.053,
    ry: 3.053
  }), /*#__PURE__*/React.createElement("path", {
    d: "M30.986 48.794l-1.717 5.729M33.654 39.827l-1.38 4.604M41.552 48.794l1.717 5.729M38.885 39.827l1.38 4.604M11.962 35.475h48.076M23.115 18.483h5.626M23.115 27.605h5.626M43.308 18.483h5.625M43.308 27.605h5.625"
  })));
}
const ForwardRef = React.forwardRef(MortorWayIcon);
export default ForwardRef;