import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function MusicalScoreIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M31.31 42.184c-.389-4.03 3.282-7.329 7.33-7.329s7.328 3.32 7.328 7.329c0 1.94-.575 9.481-10.787 9.13-4.586-.368-8.446-3.749-9.097-8.831-.501-3.917.022-7.31 4.076-11.363 4.054-4.054 5.223-4.296 9.321-9.948s2.583-9.291 2.374-10.009-1.607-3.037-4.2-3.037c-2.594 0-3.844 2.769-4.182 3.913-.339 1.145-.727 3.445-.094 7.878.475 3.32 8.056 32.29 8.983 36.603.09.414.158.832.196 1.25.003.03.028.765.028.765a5 5 0 11-9.887-1.062s.322-1.109.898-1.291"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 33.947,
    cy: 57.146,
    r: 2
  }));
}
const ForwardRef = React.forwardRef(MusicalScoreIcon);
export default ForwardRef;