import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function OnPremiseIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M8.492 33.595L36.017 5.977l27.58 27.37"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M15.934 30.255a.905.905 0 01-.802.813C9.97 31.618 6 36.7 6 42.885c0 6.553 4.545 11.865 10.15 11.865h38.698C61.008 54.75 66 49.136 66 42.211c0-6.637-4.587-12.07-10.392-12.51a.964.964 0 01-.885-.78c-1.297-6.656-7.276-11.658-14.346-11.658-4.597 0-8.691 2.082-11.349 5.393-.258.322-.69.47-1.07.31-1.025-.431-2.107-.64-3.318-.64-4.567 0-8.316 3.486-8.705 7.93z",
    transform: "matrix(.9581 0 0 1.01006 1.698 7.725)"
  }));
}
const ForwardRef = React.forwardRef(OnPremiseIcon);
export default ForwardRef;