import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function PeopleHoldingHandsIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: "#FCEA2B"
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 47,
    cy: 11,
    r: 3
  }), /*#__PURE__*/React.createElement("path", {
    d: "M56 42.9c-3.3 0-5.5-18.3-9-18.3s-7.2 18.3-11 18.3c0 0 2.1-5.7 2.5-10.6.2-2.5.3-9.3.3-9.3.1-2.8 2.4-5 5.2-5h6c2.8 0 5.1 2.2 5.2 5l.8 19.9z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M52 23.8c-.5 2.5-.1 6.7.2 8.2s.5 4.9.6 5.6c.3 3 1.1 24.2 1.1 24.2.1 1.1-.7 1.8-1.5 1.8s-1.4-.6-1.5-1.3L48.2 39c-.1-.6-.5-1.1-1.2-1.1s-1.1.5-1.2 1.1l-2.7 23.3c-.1.7-.7 1.3-1.5 1.3s-1.6-.7-1.5-1.8c0 0 .8-21.2 1.1-24.2 0-.7.3-4.2.6-5.6.3-1.5.7-5.7.2-8.2"
  }), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("circle", {
    cx: 25,
    cy: 11,
    r: 3
  }), /*#__PURE__*/React.createElement("path", {
    d: "M16.8 23c.1-2.8 2.4-5 5.2-5h6c2.8 0 5.1 2.2 5.2 5 0 0 .1 6.7.3 9.3.4 4.9 2.5 10.6 2.5 10.6-3.8 0-7.5-18.3-11-18.3s-5.7 18.3-9 18.3l.8-19.9z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M30 23.8c-.5 2.5-.1 6.7.2 8.2.3 1.5.5 4.9.6 5.6.3 3 1.1 24.2 1.1 24.2.1 1.1-.7 1.8-1.5 1.8s-1.4-.6-1.5-1.3L26.2 39c-.1-.6-.5-1.1-1.2-1.1s-1.1.5-1.2 1.1l-2.7 23.3c-.1.7-.7 1.3-1.5 1.3s-1.6-.7-1.5-1.8c0 0 .8-21.2 1.1-24.2 0-.7.3-4.2.6-5.6.3-1.5.7-5.7.2-8.2"
  }))), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 25,
    cy: 11,
    r: 3,
    strokeMiterlimit: 10
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M16 41.9l.8-18.9c.1-2.8 2.4-5 5.2-5h6c2.8 0 5.1 2.2 5.2 5 0 0 .1 6.7.3 9.3.4 4.9 2.5 9.6 2.5 9.6"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 47,
    cy: 11,
    r: 3,
    strokeMiterlimit: 10
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M36 41.9s2.1-4.7 2.5-9.6c.2-2.5.3-9.3.3-9.3.1-2.8 2.4-5 5.2-5h6c2.8 0 5.1 2.2 5.2 5l.8 18.9M30 23.8c-.5 2.5-.1 6.7.2 8.2.3 1.5.5 4.9.6 5.6.3 3 1.1 24.2 1.1 24.2.1 1.1-.7 1.8-1.5 1.8s-1.4-.6-1.5-1.3L26.2 39c-.1-.6-.5-1.1-1.2-1.1s-1.1.5-1.2 1.1l-2.7 23.3c-.1.7-.7 1.3-1.5 1.3s-1.6-.7-1.5-1.8c0 0 .8-21.2 1.1-24.2 0-.7.3-4.2.6-5.6.3-1.5.7-5.7.2-8.2"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M52 23.8c-.5 2.5-.1 6.7.2 8.2s.5 4.9.6 5.6c.3 3 1.1 24.2 1.1 24.2.1 1.1-.7 1.8-1.5 1.8s-1.4-.6-1.5-1.3L48.2 39c-.1-.6-.5-1.1-1.2-1.1s-1.1.5-1.2 1.1l-2.7 23.3c-.1.7-.7 1.3-1.5 1.3s-1.6-.7-1.5-1.8c0 0 .8-21.2 1.1-24.2 0-.7.3-4.2.6-5.6.3-1.5.7-5.7.2-8.2"
  })));
}
const ForwardRef = React.forwardRef(PeopleHoldingHandsIcon);
export default ForwardRef;