import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function PersonIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#92D3F5",
    d: "M17 61v-4c0-4.994 5.008-9 10-9 6 5 12 5 18 0 4.994 0 10 4.006 10 9v4"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#F1B31C",
    d: "M26 39c-4 0-4-6-4-13s4-14 14-14 14 7 14 14 0 13-4 13"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FCEA2B",
    d: "M24.936 31c0 9 4.937 14 11 14C41.873 45 47 40 47 31c0-3-1-5-1-5-3-3-7-8-7-8-4 3-7 6-13 7 0 0-1.064 1-1.064 6z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M26 39c-4 0-4-6-4-13s4-14 14-14 14 7 14 14 0 13-4 13M17 60v-3c0-4.994 5.008-9 10-9 6 5 12 5 18 0 4.994 0 10 4.006 10 9v3"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M41.873 30a2 2 0 11-4 0 2 2 0 014 0M33.873 30a2 2 0 11-4 0 2 2 0 014 0"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M24.936 31c0 9 4.937 14 11 14C41.873 45 47 40 47 31c0-3-1-5-1-5-3-3-7-8-7-8-4 3-7 6-13 7 0 0-1.064 1-1.064 6z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M33 38c1.938.939 4 1 6 0"
  }));
}
const ForwardRef = React.forwardRef(PersonIcon);
export default ForwardRef;