import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function PictureFramedIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    fill: "#A57939",
    d: "M12 12h48v48H12z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#92D3F5",
    d: "M18 18h36v36H18z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 26,
    cy: 30,
    r: 4,
    fill: "#FCEA2B"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5C9E31",
    stroke: "#5C9E31",
    d: "M50 35c-2.896-.854-6.28-7.989-8-8-4.208-.028-6.254 5.836-11 9-3 2-3.374 2.85-6 4-2.282 1-3 3-3.25 3.64-.303.777-1.475 2.522-.958 3.11 1.208 1.375 2.458 1.5 5 .718 2.147-.66 4.977-4.808 6.875-6.218 2.27-1.688 4.645-2.5 8.083-2 2.48.36 6.66 3.172 7.813 3.063 1.312-.126-1.594-2.563-.532-4.188 1.133-1.732 2.91.153 3.636-1.083C51.984 36.5 50.632 35.186 50 35z"
  })), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M12 12h48v48H12z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M18 18h36v36H18z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 26,
    cy: 30,
    r: 4
  }), /*#__PURE__*/React.createElement("path", {
    d: "M18 18h36v36H18z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M22 43c.526-1.02.728-1.967 3-3 2.61-1.186 3-2 6-4 4.746-3.164 6.792-9.028 11-9 1.72.011 5 7 8 8"
  })));
}
const ForwardRef = React.forwardRef(PictureFramedIcon);
export default ForwardRef;