import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function PictureIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#B1CC33",
    d: "M6 41h60v13H6z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5C9E31",
    d: "M42 41h24v13H31z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#92D3F5",
    d: "M6 18h60v23H6z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#61B2E4",
    d: "M61 18h5v23H42z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#D0CFCE",
    d: "M22 43l11-11 11 11z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#D0CFCE",
    d: "M28.546 43.046l16.5-16.5L60.75 42.25z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M6 18h60v36H6z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M44 43H22l11-11 6.998 6.998M39.797 33.203L45 28l15 15H44"
  })));
}
const ForwardRef = React.forwardRef(PictureIcon);
export default ForwardRef;