import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function PlaneDepartureIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#9b9b9a",
    d: "M24 39.754L8.12 34.508l-4.438 1.375 10.34 9.352"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    d: "M42.589 30.773l13.635-4.637s13.5-.23 10.33 3.255c-3.171 3.484-25.426 12.196-32.002 14.65-6.577 2.456-14.712 3.75-20.337 3.86-4.924.095.59-2.892.59-2.892s6.255-3.55 9.024-4.756l2.635-1.95"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#9b9b9a",
    d: "M47.05 35.429L22.446 32.64l-2.093 1.493 17.41 6.212"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 1.56
  }, /*#__PURE__*/React.createElement("path", {
    d: "M19.974 39.14L7.542 34.735 4.475 35.81l8.169 7.322M47.05 34.693l-24.605-2.052-2.093 1.493 16.754 5.979"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M43.174 31.323l11.15-4.486a10.312 10.312 0 014.172-.74c3.7.113 10.39.667 8.057 3.23-3.17 3.484-25.425 12.196-32.001 14.651s-14.712 3.75-20.337 3.86c-4.924.094.59-2.892.59-2.892s6.255-3.55 9.024-4.757l2.784-1.213"
  })));
}
const ForwardRef = React.forwardRef(PlaneDepartureIcon);
export default ForwardRef;