import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function PlayOrPauseIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M14.158 54.717c.42.17.895.283 1.368.283.737 0 1.474-.283 2.106-.737l26.052-15.254.263-.284C44.632 37.988 45 37.081 45 36.06s-.368-1.985-1.053-2.665l-.263-.284-26.052-15.367c-.948-.794-2.316-.964-3.474-.454-1.316.567-2.158 1.985-2.158 3.516V51.2c0 1.53.842 2.948 2.158 3.516zM60 17v38M52 17v38"
  })));
}
const ForwardRef = React.forwardRef(PlayOrPauseIcon);
export default ForwardRef;