import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function PlusIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#D0CFCE",
    d: "M31.853 29.874V12.521H42.15v17.36h.048l4.051.002h13.357V40.18H46.256l-4.107-.003v18.675H31.853V40.17h-.1l-3.817-.002H14V29.87h13.933l3.836.003z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M31.853 29.874V12.521H42.15v17.36h.048l4.051.002h13.357V40.18H46.256l-4.107-.003v18.675H31.853V40.17h-.1l-3.817-.002H14V29.87h13.933l3.836.003z"
  }));
}
const ForwardRef = React.forwardRef(PlusIcon);
export default ForwardRef;