import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function PoliceCarLightIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#ea5a47",
    d: "M21.4 51V36a14.959 14.959 0 0114.9-15 15.089 15.089 0 0114.9 15v15"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    d: "M21.4 51h30a4.951 4.951 0 015 5 4.951 4.951 0 01-5 5h-30a4.951 4.951 0 01-5-5 4.951 4.951 0 015-5z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d22f27",
    d: "M51.4 36a14.938 14.938 0 00-14.8-15 14.706 14.706 0 00-4.2.6c9.4 3.8 10.3 23.2 10.4 29.4h8.7V36z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M17.8 23.5l-4.7-4.7M54.1 23.5l4.7-4.7M36.4 14V8M21.4 51V36a14.959 14.959 0 0114.9-15h0a15.089 15.089 0 0114.9 15v15M21.1 51h30.5a4.801 4.801 0 014.8 4.8h0a4.801 4.801 0 01-4.8 4.8H21.1a4.801 4.801 0 01-4.8-4.8h0a4.935 4.935 0 014.8-4.8z"
  })));
}
const ForwardRef = React.forwardRef(PoliceCarLightIcon);
export default ForwardRef;