import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function PoolIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 35.958,
    r: 29,
    fill: "#3F3F3F"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 35.958,
    r: 15,
    fill: "#FFF"
  }), /*#__PURE__*/React.createElement("path", {
    fillOpacity: 0.6,
    d: "M50.738 10.998c4.825 5.18 7.782 12.123 7.782 19.76 0 16.016-12.984 29-29 29a28.857 28.857 0 01-14.664-3.984C20.145 61.42 27.653 64.958 36 64.958c16.016 0 29-12.984 29-29 0-10.631-5.73-19.911-14.262-24.96z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 35.958,
    r: 29
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 32.595,
    r: 3.363
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 40.31,
    r: 4.352
  })));
}
const ForwardRef = React.forwardRef(PoolIcon);
export default ForwardRef;