import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function PotentiometerIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#FFF",
    d: "M21 30h6v12h-6z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 41,
    cy: 36,
    r: 15,
    fill: "#FFF"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#D0CFCE",
    d: "M30.4 46.6C33.1 49.3 36.9 51 41 51c8.3 0 15-6.7 15-15 0-3.6-1.3-6.9-3.4-9.5-.3-.4-.7-.8-1.1-1.2"
  }), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M21 32h-5M21 36h-5M21 40h-5M27 41.4v.6h-6V30h6v.6"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 41,
    cy: 36,
    r: 15,
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 41,
    cy: 36,
    r: 4
  })), /*#__PURE__*/React.createElement("g", {
    fill: "#E27022"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M20.005 30.99v2.02h-4.04c-.606 0-1.01-.505-1.01-1.01s.404-1.01 1.01-1.01h4.04zM20.005 34.99v2.02h-4.04c-.606 0-1.01-.505-1.01-1.01s.404-1.01 1.01-1.01h4.04zM20.005 38.99v2.02h-4.04c-.606 0-1.01-.505-1.01-1.01s.404-1.01 1.01-1.01h4.04z"
  })));
}
const ForwardRef = React.forwardRef(PotentiometerIcon);
export default ForwardRef;