import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function RadarIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    viewBox: "0 0 140.979 140",
    fill: "currentColor",
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("filter", {
    id: "f",
    width: 2.226,
    height: 2.43,
    x: -0.613,
    y: -0.715
  }, /*#__PURE__*/React.createElement("feGaussianBlur", {
    stdDeviation: 1.277
  })), /*#__PURE__*/React.createElement("filter", {
    id: "e",
    width: 2.032,
    height: 2.204,
    x: -0.516,
    y: -0.602
  }, /*#__PURE__*/React.createElement("feGaussianBlur", {
    stdDeviation: 1.075
  })), /*#__PURE__*/React.createElement("filter", {
    id: "d",
    width: 1.996,
    height: 2.162,
    x: -0.498,
    y: -0.581
  }, /*#__PURE__*/React.createElement("feGaussianBlur", {
    stdDeviation: 1.038
  })), /*#__PURE__*/React.createElement("filter", {
    id: "b",
    width: 1.067,
    height: 1.869,
    x: -0.033,
    y: -0.434
  }, /*#__PURE__*/React.createElement("feGaussianBlur", {
    stdDeviation: 6.728
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "a"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#0f0"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#0f0",
    stopOpacity: 0
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "c",
    x1: 3142.322,
    x2: 3077.958,
    y1: 565.893,
    y2: 589.821,
    gradientTransform: "matrix(1.09611 0 0 1.0016 -65.925 308.367)",
    gradientUnits: "userSpaceOnUse",
    xlinkHref: "#a"
  })), /*#__PURE__*/React.createElement("g", {
    transform: "translate(-320.94 -433.79)"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 140,
    height: 140,
    x: 321.429,
    y: 433.791,
    strokeWidth: 0.325,
    enableBackground: "accumulate",
    overflow: "visible",
    rx: 6.964,
    ry: 6.964,
    style: {
      marker: "none"
    }
  }), /*#__PURE__*/React.createElement("path", {
    style: {
      marker: "none"
    },
    stroke: "#000",
    strokeWidth: 0.435,
    d: "M2638.518-316.55a145.462 135.36 0 110-.31",
    enableBackground: "accumulate",
    overflow: "visible",
    transform: "matrix(.34603 -.32002 .34386 .37181 -363.324 1420.177)"
  }), /*#__PURE__*/React.createElement("path", {
    style: {
      marker: "none"
    },
    fill: "none",
    stroke: "#0f0",
    strokeWidth: 0.904,
    d: "M2638.518-316.55a145.462 135.36 0 110-.31",
    enableBackground: "accumulate",
    overflow: "visible",
    transform: "matrix(.34603 -.32002 .34386 .37181 -363.324 1420.177)"
  }), /*#__PURE__*/React.createElement("path", {
    style: {
      marker: "none"
    },
    fill: "none",
    stroke: "#0f0",
    strokeWidth: 12.624,
    d: "M2638.518-316.55a145.462 135.36 0 110-.31",
    enableBackground: "accumulate",
    overflow: "visible",
    transform: "matrix(.11221 -.10378 .1115 .12057 146.046 801.541)"
  }), /*#__PURE__*/React.createElement("path", {
    style: {
      marker: "none"
    },
    fill: "none",
    stroke: "#0f0",
    strokeWidth: 5.989,
    d: "M2638.518-316.55a145.462 135.36 0 110-.31",
    enableBackground: "accumulate",
    overflow: "visible",
    transform: "matrix(.2365 -.21872 .23502 .25412 -125.194 1129.612)"
  }), /*#__PURE__*/React.createElement("path", {
    style: {
      marker: "none"
    },
    fill: "none",
    stroke: "#0f0",
    strokeWidth: 4.114,
    d: "M2638.518-316.55a145.462 135.36 0 110-.31",
    enableBackground: "accumulate",
    overflow: "visible",
    transform: "matrix(.3443 -.31842 .34215 .36996 -359.563 1415.61)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#00b801",
    fillRule: "evenodd",
    stroke: "#0f0",
    strokeWidth: 32.713,
    d: "M2575.889-605.453l442.447-4.041h0c7.07-1.01 4.04 0 9.091 1.01",
    filter: "url(#b)",
    transform: "matrix(.11567 -.10698 .10133 .10956 152.52 847.855)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#c)",
    fillRule: "evenodd",
    d: "M3389.966 881.43l-73.176.716-48.06 53.658 66.039 12.878 13.505-4.65 17.617-10.375 9.003-8.764 9.396-13.414 5.872-15.74 1.566-13.056v-.895",
    transform: "matrix(.68215 -.63088 .67789 .73298 -2470.7 1951.473)"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#0f0",
    strokeWidth: 20,
    d: "M3049.286 580a2.5 2.143 0 11-.001-.05",
    enableBackground: "accumulate",
    filter: "url(#d)",
    transform: "matrix(1.06978 -.98937 1.15426 1.24807 -3580.088 2825.716)",
    style: {
      marker: "none"
    },
    overflow: "visible"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#0f0",
    strokeWidth: 20,
    d: "M3049.286 580a2.5 2.143 0 11-.001-.05",
    enableBackground: "accumulate",
    filter: "url(#e)",
    transform: "matrix(.73416 -.67898 .79214 .85652 -2265.282 2056.33)",
    style: {
      marker: "none"
    },
    overflow: "visible"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#0f0",
    strokeWidth: 20,
    d: "M3049.286 580a2.5 2.143 0 11-.001-.05",
    enableBackground: "accumulate",
    filter: "url(#f)",
    transform: "matrix(1.46308 -1.3531 1.57862 1.70692 -4977.597 3673.286)",
    style: {
      marker: "none"
    },
    overflow: "visible"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#0f0",
    strokeWidth: 20,
    d: "M3049.286 580a2.5 2.143 0 11-.001-.05",
    enableBackground: "accumulate",
    filter: "url(#f)",
    transform: "matrix(2.837 -2.62376 3.06105 3.30984 -10056.062 6558.417)",
    style: {
      marker: "none"
    },
    overflow: "visible"
  })));
}
const ForwardRef = React.forwardRef(RadarIcon);
export default ForwardRef;