import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function RunIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: "#fcea2b"
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 26.969,
    cy: 13.094,
    r: 3
  }), /*#__PURE__*/React.createElement("path", {
    d: "M26.665 22.585s.304 3.708 3.304 9.042c.244.435 1.031 1.708 1.031 1.708L25 45l-.25 18h3.424L30 48l6-6 6-5v-4l-6-11"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M42 36l7 10 10.167 6-1 3L46 50l-9-8M36 22c-2-4-4.36-4.233-6.031-3.583A4.108 4.108 0 0028 24"
  })), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 26.969,
    cy: 13.094,
    r: 3,
    strokeMiterlimit: 10
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M42 36l5.854 8.361a11.025 11.025 0 002.869 2.656l6.721 3.966a2.363 2.363 0 011.223 2.517 1.69 1.69 0 01-2.35.74l-8.467-3.48a14.104 14.104 0 01-3.345-2.089L37 42"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M30.848 31.36l.576 1.32a3.731 3.731 0 01-.498 3.007l-4.852 7.625A8.323 8.323 0 0024.973 47l-.196 14a1.849 1.849 0 001.685 2 2.175 2.175 0 001.954-1.985l1.342-11.03a6.789 6.789 0 011.656-3.4l3.172-3.17a53.68 53.68 0 012.95-2.695l2.928-2.44A4.864 4.864 0 0042 35h0a9.309 9.309 0 00-.958-3.756L36 22M36 22c-2-4-4.36-4.233-6.031-3.583a3.859 3.859 0 00-2.369 3.834"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M30.938 22l-1.42 5.077A2.776 2.776 0 0127 29h-7"
  })));
}
const ForwardRef = React.forwardRef(RunIcon);
export default ForwardRef;