import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function SignpostIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#6a462f",
    d: "M31.071 10.482h7.947v55.182h-7.947z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#a57939",
    d: "M31.071 18.66v-8.179h7.947v6.077l-7.947 2.102zM42.605 14.992h15.576l4.692 6.18-4.692 6.249H42.605V14.992z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#6a462f",
    d: "M27.425 27.091H11.848l-4.691 6.18 4.691 6.25h15.577v-12.43zM42.605 23.216l18.37-4.544 1.898 2.5-4.692 6.249H42.605v-4.205z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#a57939",
    d: "M7.157 33.271l20.268-6.18H11.848l-4.691 6.18z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M18.23 27.091h-6.382l-4.691 6.18 4.691 6.25h15.577v-5.539M46.711 14.992h11.47l4.692 6.18-4.692 6.249H42.605v-4.205M31.071 65.663V10.481h7.947v55.182"
  })));
}
const ForwardRef = React.forwardRef(SignpostIcon);
export default ForwardRef;