import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function SnowmanIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 28.11,
    r: 10.75,
    fill: "#fff"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 51.44,
    r: 13.86,
    fill: "#fff"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    d: "M36 17.35c7.776 0 7.776 21.51 0 21.51 5.939 0 10.75-4.815 10.75-10.75 0-5.939-4.815-10.75-10.75-10.75z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    d: "M36 37.58c8.008 0 8.008 27.72 0 27.72 7.653 0 13.86-6.204 13.86-13.86 0-7.653-6.204-13.86-13.86-13.86z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3f3f3f",
    d: "M29.47 7.719h13.06v10.64H29.47z"
  }), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 1.757,
    d: "M42.59 40.04l21.52-7.12M57.96 34.95l2.74-7.28"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 47.93,
    r: 1.757
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 54.08,
    r: 1.757
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 60.23,
    r: 1.757
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 32.37,
    cy: 25.39,
    r: 1.537
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 39.63,
    cy: 25.39,
    r: 1.537
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 1.581,
    d: "M40.7 31.87a7.527 7.527 0 01-4.477 1.488 7.345 7.345 0 01-4.476-1.488"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 1.757,
    d: "M26.96 18.22h18.08M29.44 7.537h13.12v10.69H29.44z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 1.757,
    d: "M43.42 21.38a10.063 10.063 0 012.685 6.858c0 5.579-4.522 10.1-10.1 10.1s-10.1-4.522-10.1-10.1c0-2.648 1.019-5.059 2.687-6.86M29.41 40.04L7.894 32.92M14.04 34.96l-2.74-7.29M45.82 42.67a13.12 13.12 0 013.354 8.781c0 7.276-5.899 13.17-13.17 13.17s-13.17-5.899-13.17-13.17c0-3.373 1.268-6.45 3.353-8.781"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M9.213 42.346l5.393 5.394M15.43 43.589l-7.124 2.754M10.867 48.651l2.001-7.37M16.451 16.807l5.393 5.394M22.667 18.05l-7.123 2.754M18.105 23.112l2.001-7.371M51.319 8.747l5.393 5.393M57.535 9.989l-7.123 2.754M52.973 15.052l2.001-7.371M58.654 42.075l5.394 5.393M64.871 43.318l-7.123 2.754M60.309 48.38l2.001-7.371"
  })));
}
const ForwardRef = React.forwardRef(SnowmanIcon);
export default ForwardRef;