import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function SparkleIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M35.106 18.815s-.754 16.324-16.128 16.37a.648.648 0 100 1.296h.004s16.324 1.1 16.37 16.474v.147a.648.648 0 001.296 0c.046-15.375 16.37-16.62 16.37-16.62h.005a.648.648 0 100-1.297c-15.375-.045-16.62-16.37-16.62-16.37a.648.648 0 00-1.297 0z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5c9e31",
    d: "M60 61H12a.945.945 0 01-1-1V12a.945.945 0 011-1h48a.945.945 0 011 1v48a.945.945 0 01-1 1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    stroke: "#fff",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M35.106 18.857s-.754 16.324-16.128 16.37a.648.648 0 100 1.296h.004s16.324 1.1 16.37 16.474v.146a.648.648 0 001.296 0c.046-15.375 16.37-16.62 16.37-16.62h.005a.648.648 0 100-1.296c-15.375-.046-16.62-16.37-16.62-16.37a.648.648 0 00-1.297 0z"
  }), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M60 60.958H12a.945.945 0 01-1-1v-48a.945.945 0 011-1h48a.945.945 0 011 1v48a.945.945 0 01-1 1z"
  })));
}
const ForwardRef = React.forwardRef(SparkleIcon);
export default ForwardRef;