import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function SpeechBalloonIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: "#fff"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M17.09 50.75A23.87 23.87 0 0112.002 36c0-13.23 10.77-24 24-24s24 10.77 24 24-10.77 24-24 24c-1.955 0-3.855-.24-5.676-.684-5.919-1.48-10.33-4.34-13.24-8.567z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 23.48,
    cy: 54.97,
    r: 5
  }), /*#__PURE__*/React.createElement("circle", {
    cx: -15.8,
    cy: 62.94,
    r: 2.5,
    transform: "scale(-1 1)"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M31.54 58.56c1.442.286 2.93.44 4.455.44 12.68 0 23-10.32 23-23s-10.32-23-23-23-23 10.32-23 23a22.87 22.87 0 004.187 13.21"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 26.79,
    cy: 36,
    r: 2
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 36,
    r: 2
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 45.21,
    cy: 36,
    r: 2
  }), /*#__PURE__*/React.createElement("circle", {
    cx: -4.026,
    cy: 64.73,
    r: 2.5,
    fill: "none",
    stroke: "#000",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    transform: "scale(-1 1) rotate(10.539)"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: -13.58,
    cy: 57.88,
    r: 4.981,
    fill: "none",
    stroke: "#000",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    transform: "scale(-1 1) rotate(10.539)"
  }));
}
const ForwardRef = React.forwardRef(SpeechBalloonIcon);
export default ForwardRef;