import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function SpeechBubbleLeftIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#FFF",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M54.88 49.128A22.887 22.887 0 0059 36c0-12.703-10.297-23-23-23S13 23.297 13 36s10.297 23 23 23c3.758 0 7.302-.907 10.435-2.505l4.814 2.052 5.728 2.443-1.084-6.132-1.012-5.73z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M54.88 49.128A22.887 22.887 0 0059 36c0-12.703-10.297-23-23-23S13 23.297 13 36s10.297 23 23 23c3.758 0 7.302-.907 10.435-2.505l4.814 2.052 5.728 2.443-1.084-6.132-1.012-5.73z"
  }));
}
const ForwardRef = React.forwardRef(SpeechBubbleLeftIcon);
export default ForwardRef;