import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function StopwatchIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    stroke: "#d0cfce",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M53.756 19.737l4.586-3.55 3.06 3.954-4.253 3.291"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    d: "M31.313 7h11.008v6.294H31.313z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36.821,
    cy: 36.294,
    r: 23,
    fill: "#FFF",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("circle", {
    cx: 36.821,
    cy: 36.294,
    r: 23,
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }), /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M56.366 17.717l1.976-1.53 3.06 3.954-1.832 1.418M32.321 9.727V7h9v2.893"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36.347,
    cy: 16.982,
    r: 1
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36.347,
    cy: 55.024,
    r: 1
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 49.797,
    cy: 22.553,
    rx: 0.988,
    ry: 1.012,
    transform: "rotate(-45.001 49.797 22.553)"
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 22.898,
    cy: 49.453,
    rx: 0.988,
    ry: 1.012,
    transform: "rotate(-45.001 22.897 49.453)"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 55.369,
    cy: 36.003,
    r: 1
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 17.326,
    cy: 36.003,
    r: 1
  }), /*#__PURE__*/React.createElement("path", {
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M36.84 35.91h-15.4M36.885 35.925l-10.89 10.89"
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 49.797,
    cy: 49.453,
    rx: 1.012,
    ry: 0.988,
    transform: "rotate(-45.001 49.797 49.454)"
  }), /*#__PURE__*/React.createElement("ellipse", {
    cx: 22.898,
    cy: 22.553,
    rx: 1.012,
    ry: 0.988,
    transform: "rotate(-45.001 22.897 22.553)"
  })));
}
const ForwardRef = React.forwardRef(StopwatchIcon);
export default ForwardRef;