import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function UnlockedIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#FCEA2B",
    d: "M53 32.297h1.875v26.875h-38V32.297h1.875z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#F1B31C",
    d: "M54.43 32.493L35.66 58.994h19.308z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#D0CFCE",
    stroke: "#D0CFCE",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M46.064 31.817l.21-2.902c.477-6.985-4.83-12.683-10.514-12.494-4.672.156-8.616 4.285-9.828 9.301l-4.05-.902c1.661-6.692 7.218-12.221 13.811-12.428 7.97-.251 15.41 7.284 14.742 16.523l-.243 2.902"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    d: "M53 32.25h1.875v26.875h-38V32.25h1.875zM46.274 28.915c.477-6.986-4.83-12.683-10.514-12.494-4.672.156-8.616 4.285-9.828 9.301l-4.05-.902c1.661-6.692 7.218-12.221 13.811-12.428 7.97-.251 15.41 7.284 14.742 16.523"
  })));
}
const ForwardRef = React.forwardRef(UnlockedIcon);
export default ForwardRef;