import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function UsersIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    strokeWidth: 2,
    className: "lucide lucide-users-2",
    viewBox: "0 0 24 24",
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M14 19a6 6 0 00-12 0"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 8,
    cy: 9,
    r: 4
  }), /*#__PURE__*/React.createElement("path", {
    d: "M22 19a6 6 0 00-6-6 4 4 0 100-8"
  }));
}
const ForwardRef = React.forwardRef(UsersIcon);
export default ForwardRef;