import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function WheelIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: "#3f3f3f"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M36 8.071C20.575 8.071 8.071 20.575 8.071 36S20.575 63.929 36 63.929 63.929 51.425 63.929 36 51.425 8.071 36 8.071zm0 48.845c-11.551 0-20.916-9.365-20.916-20.916S24.45 15.084 36 15.084 56.916 24.45 56.916 36 47.55 56.916 36 56.916z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M36 29.244a6.756 6.756 0 100 13.512 6.756 6.756 0 000-13.512zM36 39a3 3 0 110-6 3 3 0 010 6z"
  })), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 36,
    r: 27.929
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 36,
    r: 21.298
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    d: "M21.032 50.968l10.191-10.191M41.478 56.446l-3.729-13.92M56.446 41.478l-13.92-3.729M50.968 21.032L40.777 31.223M30.521 15.554l3.731 13.921M15.554 30.521l13.919 3.73"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 36,
    r: 6.756
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 36,
    r: 3
  })));
}
const ForwardRef = React.forwardRef(WheelIcon);
export default ForwardRef;