import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function WheelOfDharmaGreyIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    fill: "#d0cfce",
    d: "M12 12h48v47.83H12z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }, /*#__PURE__*/React.createElement("path", {
    strokeWidth: 3,
    d: "M51.01 35.99a15 15 0 11-15-15 15 15 0 0115 15z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeWidth: 3,
    d: "M41 36a5 5 0 11-5-5.001A5.001 5.001 0 0141 36zM36 31V19M36 53V41"
  }), /*#__PURE__*/React.createElement("path", {
    strokeWidth: 2,
    d: "M12 12h48v48H12z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeWidth: 3,
    d: "M41 36h12M19 36h12M39.54 32.46l8.48-8.48M23.98 48.02l8.48-8.48M32.46 32.46l-8.48-8.48M48.02 48.02l-8.48-8.48"
  })));
}
const ForwardRef = React.forwardRef(WheelOfDharmaGreyIcon);
export default ForwardRef;