import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function WikidataIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M8 20h3.027v32H8zM12.541 20h6.054v32h-6.054zM20.108 20h6.054v32h-6.054zM36.757 20h6.054v32h-6.054zM48.865 20h6.054v32h-6.054zM27.676 20h3.027v32h-3.027zM32.216 20h3.027v32h-3.027zM44.324 20h3.027v32h-3.027zM56.432 20h3.027v32h-3.027zM60.973 20H64v32h-3.027z"
  }), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M5 17h62v38H5z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#D22F27",
    d: "M8 20h3.027v32H8zM12.541 20h6.054v32h-6.054zM20.108 20h6.054v32h-6.054z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#61B2E4",
    d: "M36.757 20h6.054v32h-6.054zM48.865 20h6.054v32h-6.054z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5C9E31",
    d: "M27.676 20h3.027v32h-3.027zM32.216 20h3.027v32h-3.027z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#61B2E4",
    d: "M44.324 20h3.027v32h-3.027z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5C9E31",
    d: "M56.432 20h3.027v32h-3.027zM60.973 20H64v32h-3.027z"
  })), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    fill: "none",
    stroke: "#000",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M5 17h62v38H5z"
  })));
}
const ForwardRef = React.forwardRef(WikidataIcon);
export default ForwardRef;