import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function YinYangIcon({
  title,
  titleId,
  size,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 72 72",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("circle", {
    cx: 36,
    cy: 36.883,
    r: 25,
    fill: "#FFF"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3F3F3F",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: 2,
    d: "M10.883 36.883c0 13.614 10.826 24.69 24.338 25.092-6.58-.402-11.78-5.865-11.78-12.533 0-6.933 5.614-12.559 12.559-12.559 6.932 0 12.558-5.626 12.558-12.558 0-6.668-5.211-12.131-11.792-12.533-.251-.013-.502-.025-.766-.025s-.527 0-.779.025c-13.512.402-24.338 11.478-24.338 25.091z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 37.344,
    cy: 48.939,
    r: 4.019,
    fill: "#3F3F3F",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 37.344,
    cy: 23.823,
    r: 4.019,
    fill: "#FFF",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    stroke: "#000",
    strokeMiterlimit: 10,
    strokeWidth: 2
  }, /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M23.442 49.442c0 6.668 5.199 12.131 11.78 12.533.263.012.514.025.778.025s.515-.013.766-.025c13.513-.39 24.35-11.466 24.35-25.092 0-13.625-10.837-24.702-24.35-25.091 6.58.402 11.792 5.865 11.792 12.533 0 6.932-5.626 12.558-12.558 12.558-6.945 0-12.558 5.626-12.558 12.559z"
  }), /*#__PURE__*/React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M10.883 36.883c0 13.614 10.826 24.69 24.338 25.092-6.58-.402-11.78-5.865-11.78-12.533 0-6.933 5.614-12.559 12.559-12.559 6.932 0 12.558-5.626 12.558-12.558 0-6.668-5.211-12.131-11.792-12.533-.251-.013-.502-.025-.766-.025s-.527 0-.779.025c-13.512.402-24.338 11.478-24.338 25.091z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 37.344,
    cy: 48.939,
    r: 4.019
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 37.344,
    cy: 23.823,
    r: 4.019
  })));
}
const ForwardRef = React.forwardRef(YinYangIcon);
export default ForwardRef;