const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function SpaceInvadersIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    viewBox: "0 0 180 180",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "a",
    d: "M0 0h180v180H0V0z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "b"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#a"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#b)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "c",
    d: "M0 0h180v180H0z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "d"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#c"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#d)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 380,
    height: 379,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 -1.2 181.2)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAX8AAAF9CAYAAADsjGhsAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAABXRJREFUeNrs3bFN7GoURtH50RRC DaTk1EEniE6og4iEdGpwJ8YESDCigTl7LenqCd3Mwdang6/f6QQAAADAQOv3Dw+PT/fHf549FoBx tsvn+9vPD+erv/yO/4tnBDDOx/Hn//ivtTwegIA7jwCg5+rsY/kDWP4AiD8A4g/Ajfp78/e2D4Dl D0Bh+XvbB8DyByCw/JflD2D5AxBY/rvnAdCLv1c9ARqcfQDqy9/uBwjGX/4BGpx9ACx/yx/A8gcg sPwNf4Bg/NUfIMHZB6C+/O1+gGD85R+gwdkHIL/8fdgNwPIHQPwBGMIvfAEsfwDEH4CRnH0A6vH3 pieA5Q/AUG7+AOIPQIGzD4DlD4D4AzCSsw9APv7aD5Dg7AOQX/6mP0Av/kv8ARKcfQDEH4ACN38A yx+A3vL3QX8Ayx8A8QdgCL/wBbD8ARB/AEZy9gGw/AHILf/lPX8Ayx+AwPJ38wew/AEoLP/d8wDo xd//yQugwdkHQPwBKPA9fwDLH4De8vcLXwDLHwDLHwDLH4ARy98/8gKw/AEoLH/v+QNY/gCIPwBT eNUTwPIHQPwBGMnZB8DyByC3/Jf3/AEsfwACy9/NHyAY/93zALD8AZjJzR+gvvx9zx/A8gegsPwN f4Bi/NUfIMHZB8Dyt/wBLH8AxB+AGZx9AMRf/AFy8fc5f4AGN3+A+vJ39gGw/AGw/AGw/AEYsvy9 7gNg+QNQWP5u/gCWPwCWPwCWPwDiD8DNcPYByMdf+wEsfwBmcvMHEH8ACpx9ACx/ACx/ACx/AAYu /+V7/gCWPwCB5e/mD2D5A2D5A2D5AzBk+XvbB8DyB6Cw/N38ASx/ACx/ACx/AEYs/2X5A1j+AASW /+49fwDLHwDxB2AIr3oC1OPvbR+ABmcfgPry91VPAMsfgMTyd/MHsPwBEH8AhnD2ARB/8QcocPYB yC9/7/kDWP4ABJa/b/sAWP4AFJa/t30ALH8ALH8AZsZf+wEsfwBmcvMHqC//3fIH6MXf2QcgGH/p B2hw8weoL3/bH6AYf590Bkhw9gEQfwAK3PwBLH8ALH8ALH8ALH8ARsTfe/4ACc4+APnl7+wDYPkD IP4ADOEXvgD5+Lv5AyQ4+wBY/pY/gOUPgOUPwMD47+IPkODsAyD+AIg/AOIPgPgDIP4AiD8A4g+A +AMg/gCIPwDiD4D4AyD+AIg/AOIPgPgDIP4A4g+A+AMg/gCIPwDiD4D4AyD+AIg/AOIPgPgDIP4A iD8A4g+A+AMg/gCIPwDiDyD+AIg/AOIPgPgDIP4AiD8A4g+A+AMg/gCIPwDiD4D4AyD+AIg/AOIP gPgDIP4A4g+A+AMg/gCIPwDiD4D4AyD+AIg/AOIPgPgDIP4AiD8A4g+A+AMg/gCIPwDiDyD+AIg/ AOIPgPgDIP4AiD8A4g+A+AMg/gCIPwDiD4D4AyD+AIg/AOIPgPgDIP4AiD+A+AMg/gCIPwDiD4D4 AyD+AIg/AOIPgPgDIP4AiD8A4g+A+AMg/gCIPwDiD4D4A4g/AOIPgPgDIP4AiD8A4g+A+AMg/gCI PwDiD4D4AyD+AIg/AOIPgPgDIP4AiD+A+AMg/gCIPwDiD4D4AyD+AIg/AOIPgPgDIP4AiD8A4g+A +AMg/gCIPwDiD4D4A4g/AOIPgPgDIP4AiD8A4g+A+AMg/gCIPwDiD4D4AyD+AIg/AOIPgPgDIP4A iD+A+AMg/gCIPwDiD4D4AyD+AIg/AOIPgPgDIP4AiD8A4g+A+AMg/gCIPwDiD4D4AyD+AOIPgPgD IP4AiD8A4g+A+AMg/gCIPwDiD4D4AyD+AIg/AOIPgPgDIP4AiD8A4g8g/gBEnK9+3o4/rx4LwDib RwAAADVfAgwAkgMTaGsKeaYAAAAASUVORK5CYII="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "e",
    d: "M9.006 101.995l2.643-7.864h7.734l-2.403 7.864H9.006z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "f"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#e"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#f)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "g",
    d: "M9.006 94.131h10.377v7.864H9.006z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "h"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#g"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#h)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 28,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 7.861 103.314)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB8AAAAXCAYAAADz/ZRUAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJRJREFUeNpiYBgFAwAYkTmnVLUE gJQBjez6YHb72gVkARZkzj8WRpDF+2lk+QEgdsRp+Xc+FroGO4ptP7mYBs7yHxysA+hz1oG0nIV5 AIOdeSATHONAJrgBtZxhAC3/jlra0tfyb/8G0PKvf/8PnOWff/4ZOMvfffk+cJY/fPpi4Cx/8Pjx B2i9SwtwYbTtBgMAAQYAzJ0kspmIQTMAAAAASUVORK5CYII="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "i",
    d: "M16.98 101.995l2.403-7.864 10.327 21.306-2.084 8.522-10.646-21.964z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "j"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#i"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#j)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "k",
    d: "M16.98 94.131h12.73v29.828H16.98z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "l"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#k"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#l)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 32,
    height: 67,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 15.98 125.344)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACMAAABFCAYAAADAdF8eAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAANVJREFUeNrs1zsSgjAUheEbZCdW LsDenUvvAqzchLzCGBJbR0jHyB/n3A4avjknIWCmKWDc943b8XT51cPPj3vzeV2v8K57hbHAxIPb raYlphZGNRWczFyhajIQptKaWcckV6mmTE2kZJwTRpiSMaZkhBFmG4yRdpOppszHlWoq4jhAJWN6 z2R+b5WMjgMt4P/EkGpKpN2UTDXxa0JhQkqgZCKqJlQyIEyIUcmsYl4zKRkSJpAwUwgczDB6Dqb3 EwgzjBxM2z45mK7rORjvx8Y0sHkLMADz/mZn2/NuSQAAAABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "m",
    d: "M72.118 101.995l.749-7.864h8.493l-.486 7.864h-8.756z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "n"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#m"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#n)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "o",
    d: "M72.118 94.131h9.242v7.864h-9.242z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "p"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#o"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#p)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 24,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 71.104 103.314)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABkAAAAXCAYAAAD+4+QTAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAI5JREFUeNpiYBgFJABGGOOUqpYB kBKgotkXzG5f+wBisMBE/rEw9gMpBypa4gjEB1As+c7HQrPggpv8k4uJ9pb84GClg09Y6WEJCzMd gouZHhHPSI+Ip4slDHSw5DuihKGdJd/+0cGSr3//096Szz//0N6Sd1++096Sh09f0N6SB48fX6Cy 2R+GXx0PEGAAXXIj0gQUjR0AAAAASUVORK5CYII="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "q",
    d: "M80.874 101.995l.486-7.864 7.83 21.306-.244 8.522-8.072-21.964z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "r"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#q"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#r)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "s",
    d: "M80.874 94.131h8.317v29.828h-8.317z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "t"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#s"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#t)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 24,
    height: 67,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 79.737 125.344)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABsAAABFCAYAAAC7UJ3SAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAANtJREFUeNrs1E0OgjAQBeApcBAS Vx7A+3gT9WbuPYArk55Bflpi26FLZcGqvsg4TaCBBV/eY4BIV4Fl3i9uu32bt7bAc+3hcbfLm82C PubzqQB2ycd5FUu1+WqNn1gjFqs1WQEsVtAaCYhVUt8Zm0psjchkxiim2BpGWqNiv4IRchpJao0s uEaxyUjqdxZJ7h+EdEA2NiBgDFkjI6eRSWvcGBaYgckStEZoMiAWUhKa7BWRyZBYQGJTCDhsdB6H DX4CYqPDYV33xGF9P+Aw753N27XAcy391ZoFGABbTGpHLDWBfAAAAABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "u",
    d: "M67.626 123.959l.884-8.522 4.357-21.306-.749 7.864-4.492 21.964z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "v"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#u"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#v)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "w",
    d: "M67.626 94.131h5.241v29.828h-5.241z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "x"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#w"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#x)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 16,
    height: 67,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 66.288 125.344)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABEAAABFCAYAAACscg0bAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAANVJREFUeNrs2E0OwiAQBeCB9iBN XHkA7+NN1Ju59wCuTHoG+wONwJQujLpEXpMJaZMWNv3yHrCCqKhHvSe33b6JQ5Pwb3t43NtlUn9x x/g9JSCX+J5/kFCpv+t8kFoMUhWVxGtIHQIgWsqasNJi6iCSKLUh6yC0rYlchBC7Q1LqsKA6YpKQ lHPiSc6JpW1h10EQdRixO0wl1YEgjhmQJEDqQJIAEBeCkCQvj0iCQBwCmZzLR0Zj85HBTgBkNPlI 1z3zkb4f8hFrzXKNcU25+pB3kzMLMADPLmpH/DC+pwAAAABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "y",
    d: "M75.696 115.491l.641-8.268h3.42l-.537 8.268h-3.524z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "z"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#y"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#z)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "A",
    d: "M75.696 107.223h4.061v8.269h-4.061z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "B"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#A"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#B)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 16,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 74.498 116.466)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABMAAAAXCAYAAADpwXTaAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAIFJREFUeNpiYBgFpAJGZM4Rfd3/ hDTYXLzMiEuOBZnzk5uZIpehGPaDi4qG/WRnpZ5hv1io6TIWFiqGGRMTFb3JSEXDfjBSM8wYGKln 2HcGKnrz2z8quuzbXwbqGfbl9x/qGfbp+2/qGfbszXvqlWfc3DwEy7OvX79QFksDAgACDABvMB6y ijl+CwAAAABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "C",
    d: "M154.656 119.806l-1.728-8.399h2.474l1.805 8.399h-2.551z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "D"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#C"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#D)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "E",
    d: "M152.928 111.407h4.279v8.398h-4.279z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "F"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#E"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#F)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 16,
    height: 22,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 151.676 121.075)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABMAAAAXCAYAAADpwXTaAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJRJREFUeNpiYBgRgBGZc1JNKwFI xROhb6H5rWsL0AVZkDm/uJkVgJQDEYYdxCaIYthPbmaKvIlqGAcLFQ1jp6ZhLFT05i8WarqMiZoR wMRERcMYqGjYD2oa9p2qhv1noJ5h3/78p55hn3//paJhP35Tz7AX7z5Sz7Db9+5Tr6RlZ2cHFY4K ROh78PPnzwc0rQMAAgwAv5omgjqLtP0AAAAASUVORK5CYII="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "G",
    d: "M158.453 111.177l-1.842-8.14h7.149l2.062 8.14h-7.369z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "H"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#G"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#H)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "I",
    d: "M156.611 103.037h9.211v8.14h-9.211z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "J"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#I"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#J)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 24,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 155.353 112.336)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABkAAAAXCAYAAAD+4+QTAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJFJREFUeNpiYBgFJABGGOO4to4A kDKgotkfLK9euQBisMBE/jEzgizYT0VLDgCxI4olP3iYaRZccEt+cjLRwRJ2Vtpb8oOVhfaW/GKh gyU/megQ8T8Y6RHx9LDkBwNdLGGkvSXf/tHBkq9//9Peki+//tLekg/fftLekqev3tDekodPnn6A 1gHUAheGXx0PEGAAOwIkyPvbk+cAAAAASUVORK5CYII="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "K",
    d: "M162.148 110.052l-1.953-8.107 1.66-3.275 2.002 8.005-1.709 3.377z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "L"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#K"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#L)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "M",
    d: "M160.195 98.67h3.662v11.382h-3.662z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "N"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#M"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#N)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 12,
    height: 28,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 159.135 111.388)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA0AAAAdCAYAAABxPebnAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJZJREFUeNpiYBjUgBHGOK2iZQCk BPCovWB659oHEIMFJvKfmbEfSDng0eQIxAdQNP3iZCLaeZRp+s1BjiZWZjKcx8pChk3MZNj0h5mJ Tjb9ZmQkRxM5kcvARC/nMTDSyXk/ybHpx38GMmz6S4am73//keG8P39J1/TtJxmaPn37Trqmpy9f k67p1Zs3Fwio/UBRCQsQYADf7i4J/QQwpwAAAABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "O",
    d: "M169.52 101.995l-2.172-7.864 1.427 4.539 2.219 8.005-1.474-4.68z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "P"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#O"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#P)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "Q",
    d: "M167.348 94.131h3.646v12.544h-3.646z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "R"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#Q"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#R)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 12,
    height: 30,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 166.209 107.89)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA0AAAAhCAYAAAAChSExAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJxJREFUeNpiYBh+gBHGOKmmpQCk FPCofWB+69oDEIMFJvKfiTEBSNXj0dQIxA0omn5zMhPtPIQmDkYyNLExka7pDys5ziNLEwsZmv4w k+Gn30zkBAQ5mn4zkqWJjMj9Q5ZNDIyDWdMvcjT9JEvTPwYyNP0lQ9OPP3/ppOn7bzI0ffn2g3RN T1+9IV3Tm7fvQKXnAXwlLP0rAIAAAwCGcjDoK3cQAgAAAABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "S",
    d: "M159.662 101.995l-1.877-7.864h9.563l2.172 7.864h-9.858z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "T"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#S"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#T)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "U",
    d: "M157.785 94.131h11.734v7.864h-11.734z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "V"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#U"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#V)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 32,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 156.62 103.314)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACEAAAAXCAYAAACFxybfAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJVJREFUeNpiYBgFgwgwInNOqWoZ ACkBGtt5wez2tQ/IAizInH8sjP1AyoHGjnAE4gM4HfGdj2VAogPF1p9cTAPviB8crIMgJFgHgyNY mAdBdDAPhoTJOBgS5qBwBMMgcMR31FJ8YBzx7d8gcMTXv/8H3hGff/4ZeEe8+/J94B3x8OmLgXfE g8ePL9DBzg+jbUlcACDAAGRjI9LrRp2oAAAAAElFTkSuQmCC"
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "W",
    d: "M153.131 105.925l-1.682-7.983 6.336-3.811 1.877 7.864-6.531 3.93z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "X"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#W"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#X)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "Y",
    d: "M151.449 94.131h8.213v11.794h-8.213z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "Z"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#Y"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#Z)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 24,
    height: 29,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 150.488 107.215)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABsAAAAfCAYAAAAWRbZDAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJpJREFUeNpiYBgFVACMMMYpVa0G ahlqdvsaVrNYYIy/rEz1VPQEfst+czLRPBgRlnHQ0zJ2elrGykxHy1hY6GkZPYORiZ6WMdMxzv4w 0tNnjIzD1LJfDPQMRgbGYWoZXYPx538G+ln24x89Lfv7n46W/flHP8u+/fpDP8u+/vhFP8tef/hE P8uePH9OP8s+fvzYONpmJxcABBgAZwAt4v5tOkAAAAAASUVORK5CYII="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "aa",
    d: "M165.822 111.177l-2.062-8.14 1.152 3.262 2.098 8.24-1.188-3.362z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "ab"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#aa"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#ab)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ac",
    d: "M163.76 103.037h3.25v11.502h-3.25z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "ad"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ac"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#ad)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 12,
    height: 28,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 162.32 115.61)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA8AAAAfCAYAAAA4AJfRAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJRJREFUeNpiYBh5gBHGOKGlbQCk +vGovWBx7WohsgALjPGHg0kASDmQYjNc8y92ZpKdDdf8m52RfM2/2CixmZUSzcwDppmJaaA0Mw6Y ZgbGAdL8i4GJEs0U2PzjPwP5mn/+o0Dz9z//KdH8lwLNv/+Qr/nLt5/ka37+9j35mh8/eUpBVP38 cQFIOeJR+2HwVDcAAQYAVKouqweVbrEAAAAASUVORK5CYII="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ae",
    d: "M147.896 119.806l-1.523-8.399 1.234-3.275 1.563 8.297-1.274 3.377z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "af"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ae"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#af)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ag",
    d: "M146.373 108.132h2.797v11.674h-2.797z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "ah"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ag"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#ah)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 12,
    height: 29,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 145.002 121.184)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA0AAAAfCAYAAAA89UfsAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAI1JREFUeNpiYBjUgBHGOK2s2YBL kend6yhyLDDGP1amejyGY9f0i4uZaOfBNf3mYCJDExtZmshxHis5mpjJ0sREL5sYybGJkZFemhjI cR4DGTb9Ik8TGc77+Z+BdE0//pGj6e9/MjT9+Ue6pm+//pCu6euPX6Rrev3hE+manjx/Trqmjx8/ Ng6+shwgwADY8i3kMzBgfwAAAABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ai",
    d: "M149.17 116.429l-1.563-8.297h6.762l1.772 8.297h-6.971z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "aj"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ai"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#aj)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ak",
    d: "M147.607 108.132h8.533v8.297h-8.533z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "al"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ak"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#al)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 24,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 146.174 117.426)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABkAAAAXCAYAAAD+4+QTAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAHhJREFUeNpiYBgFgw0wwhhH9HX3 AykHKpnraHPx8gEYhwXG+MnNTDOfICzhpIclHKx0sISFHj5hYaGDJUxMdLCEkS6W0CFOfiDyJS0t oUNwfftPB598+8tAe0u+/PpLe0s+//hNe0tevPtIe0tu3r07WrsSBAABBgCSOR5SKH3JpAAAAABJ RU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "am",
    d: "M151.15 111.177l-1.621-8.14 1.92-5.095 1.682 7.983-1.981 5.252z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "an"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#am"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#an)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ao",
    d: "M149.529 97.942h3.602v13.234h-3.602z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "ap"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ao"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#ap)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 16,
    height: 32,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 148.291 112.451)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABEAAAAhCAYAAAA/F0BXAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJlJREFUeNpiYBgF6IARxjilqtUA pOoJqG80u32tAV2QBcb4zclEtkvghvxhp4Ihv6liCBsjFbzDwkIFl7AyU8ElzNSIHSZqBCw1DPnD TI0wYaBCFP9mpEY6oYYhvxmYBkuYDBpDflLDkF//GKjgEqoY8vc/NQz5S7kh339TwZAfv/5Qbsj7 z18pN+T567dUMOT5s4Gt0AECDAD/0S9qhn50TgAAAABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "aq",
    d: "M157.207 119.806l-1.805-8.399 2.121-4.184 1.87 8.268-2.186 4.315z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "ar"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#aq"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#ar)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "as",
    d: "M155.402 107.223h3.99v12.583h-3.99z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "at"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#as"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#at)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 16,
    height: 30,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 154.326 120.947)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABMAAAAhCAYAAAA74pBqAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJdJREFUeNpiYBgFAwoYYYyT6toO QGo/AfUHzG9edcQlyQJj/OZkothlCMM4qGkYOyMVDWNlpqZhLNQz7A8LNcOMiZreZKaiy/4wUdOb jFRMGn8YB6vLfjNQMwIYqOoyKhr2i5qG/fxPTZf9Z6Ciy/5R0bAff/5Rz7Dvf/5S0WW/qGjY91+/ qWfY01dvqWjY82fDuK0BEGAAeTgsez/w78oAAAAASUVORK5CYII="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "au",
    d: "M141.178 106.675l-1.323-8.005-1.431 4.367 1.279 8.14 1.475-4.502z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "av"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#au"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#av)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "aw",
    d: "M138.424 98.67h2.754v12.507h-2.754z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "ax"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#aw"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#ax)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 12,
    height: 30,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 137.018 112.16)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA0AAAAfCAYAAAA89UfsAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJhJREFUeNpiYBjUgBHGOK6tsx+X IsurVxyR+Swwxh92JgdibYJr+s3OxEC6JjZGcjSRYxMrC+ma/jAzk2ETMxnO+8NEjp/Icd4fBnKC nJEsTUz0ch45mn6RZxMZfvr5n4Femv7+J13TD3I0ff/9lwxNv36Trunjl++ka3r59j3phSUXFxfO kPj27Rsj9tD78cORpmU5QIABABfSMSPmqzyvAAAAAElFTkSuQmCC"
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ay",
    d: "M146.602 101.995l-1.487-7.864 2.828 3.598 1.573 7.976-2.914-3.71z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "az"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ay"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#az)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "aA",
    d: "M145.115 94.131h4.4v11.574h-4.4z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "aB"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#aA"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#aB)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 16,
    height: 28,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 143.805 106.678)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABMAAAAfCAYAAAAFkva3AAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAKVJREFUeNpiYBgFpAJGZM4xHR0F IJVAhL4HVleuLEAXZEHm/GNlBBlWT4RhB4AYv2G/OZgo8iaKYb/YqWjYbzZmKhrGwkJNw6jpMmZq hhnToDWMkaqGMVLRMAZquoyBii77RV3DqOjNn/8ZqGfYj3/UNOzvfyoa9ucf9Qz79usP9Qz78v0n 9Qx79f4j9Qx78vw59Qz7+PHjAyDVSEy9ObSaBwABBgAxizCTaBpf9AAAAABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "aC",
    d: "M143.766 113.615l-1.401-8.213 1.998 1.821 1.463 8.268-2.06-1.876z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "aD"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#aC"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#aD)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "aE",
    d: "M142.365 105.402h3.461v10.089h-3.461z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "aF"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#aE"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#aF)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 12,
    height: 25,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 141.17 116.473)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA0AAAAbCAYAAACnZAX6AAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAIBJREFUeNpiYBh+gBHGOKarsx9I OeBR62h1+coBEIMFJvKTi5lom+CafnEwkaGJnQybfrOykGETCzl+YibHeeRo+oWIMhI0MZET5AxM 9HIeOTb9IMem738ZyND07z8Zmn7/I13T119/SNf0+ftP0jU9ePaSdE337t0dhEUYQIABADqSJTnR l2CXAAAAAElFTkSuQmCC"
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "aG",
    d: "M135.516 123.959l-1.153-8.522 2.692-8.214 1.236 8.268-2.775 8.468z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "aH"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#aG"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#aH)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "aI",
    d: "M134.363 107.223h3.928v16.736h-3.928z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "aJ"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#aI"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#aJ)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 16,
    height: 39,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 133.29 125.388)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABEAAAAqCAYAAABV0LCUAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAALtJREFUeNrc1kEKAiEUBuDnG4eu MbRr34G6SXWzDtC+XcwFgpGISH2aLWYThND7FzKCKCIfv08XEi2qmXlyXm+GMgyV/eP2ehm/F+08 yWx2ZdhXkGPph59IXPHfxwEjvdEjgkBijziOBSBiO0CSDpGEEbfDiMIiEDGId4JApBkkEiQJN5IE hBCgJogkoZma+AyoSUitID5lACJJj7yiAJAAQJ4+6JHp/tAjt8npEefc5xt1qn23aPntLcAARbo/ DriNG7IAAAAASUVORK5CYII="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "aK",
    d: "M126.906 123.959l-.894-8.522 6.041-21.306 1.082 7.864-6.229 21.964z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "aL"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#aK"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#aL)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "aM",
    d: "M126.012 94.131h7.123v29.828h-7.123z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "aN"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#aM"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#aN)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 20,
    height: 67,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 124.978 125.344)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABcAAABFCAYAAAChbH1cAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAMVJREFUeNrs0zsOwjAQBNCxk5tQ cQB6bk56DkDFJcjHjrC9VDTERSQykRZ2q8jFy2i8Bmwq4z4Profj+RvwdL917++28rvLVoEXeGnc ZrUs8VYt3ljyCp49tRYQca+1c3FebS3M5M4Z/ls4rBbD1+Jgbgu01iKKa1GbHFr3PEPvC4Vd6M4X SsaZtQhzWwRWy854EiEmL9RaqMmJeCpFafJnZiZn4omJzynx8ClEHj7GmYhPgYf3/YOHD8PIw2MM Hf5+XgIMAAiGZmdJmtF9AAAAAElFTkSuQmCC"
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "aO",
    d: "M133.135 101.995l-1.082-7.864h13.062l1.487 7.864h-13.467z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "aP"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#aO"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#aP)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "aQ",
    d: "M132.053 94.131h14.549v7.864h-14.549z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "aR"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#aQ"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#aR)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 36,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 131.01 103.314)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACYAAAAXCAYAAABnGz2mAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAIlJREFUeNpiYBgFwwQwwhinVLUc BsoRZrevHUAXY4Ex/rEw7h8MAYThsO98LIMqKuGu+cnFNDgd9oODdZCGGOtgdRgL8yCNSubBmvgZ B2viH7QOYxikDvuOWfgODod9+zdIHfb17//B6bDPP/8MToe9+/J9cDrs4dMXg9NhDx4/PjDabh7K ACDAAD8BIMKp44RPAAAAAElFTkSuQmCC"
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "aS",
    d: "M139.703 111.177l-1.279-8.14h-2.236l1.208 8.14h2.307z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "aT"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#aS"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#aT)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "aU",
    d: "M136.188 103.037h3.516v8.14h-3.516z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "aV"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#aU"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#aV)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 12,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 135.092 112.336)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA0AAAAXCAYAAADQpsWBAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAIlJREFUeNpiYBjUgBHGOK6tYwCk BPCovWB59coHEIMFJvKPmbEfSDng0eQIxAdQNP3gYSbaeXBNPzmZyNDEzkq6ph+sLKRr+sVChqaf TGQExA9GcgKCHE0/GMjSxEi6pm//yND09e9/0jV9+fWXdE0fvv0kXdPTV29I1/TwydMLBNR+oH8Z ARBgAGkbI+itu1ZUAAAAAElFTkSuQmCC"
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "aW",
    d: "M111.963 101.995l-.445-7.864h16.836l.966 7.864h-17.357z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "aX"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#aW"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#aX)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "aY",
    d: "M111.518 94.131h17.803v7.864h-17.803z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "aZ"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#aY"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#aZ)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 44,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 110.137 103.314)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAC4AAAAXCAYAAAB0zH1SAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJlJREFUeNpiYBgFo4AowAhjnFLV MgBSAoPQjRfMbl/7gC7IAmP8Y2HsB1IOg9DhjkB8AKfDv/OxDKmkAnftTy6moenwHxysQzTEWYeq w1mYh2hSYR6qmZNxqGbOIetwhiHq8O+I2n9oOfzbvyHq8K9//w9Nh3/++WdoOvzdl+9D0+EPn74Y mg5/8PjxhUHqxg+j/b3BAAACDADX3iPSSDizNwAAAABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ba",
    d: "M118.289 111.177l-.637-8.14h5.569l.808 8.14h-5.74z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bb"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ba"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bb)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bc",
    d: "M117.652 103.037h6.377v8.14h-6.377z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bd"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bc"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bd)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 20,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 116.598 112.336)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABcAAAAXCAYAAADgKtSgAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJBJREFUeNpiYBgFWAAjMue4to4B kBIgw5wLllevfEAXZEHm/GNm7AdSDmQY7gjEB/Aa/oOHmarBgmL4T04mGhrOzko7w3+wstDO8F8s NDT8JxMNI/QHIy0jlJaG/2CgqeGMtDP82z8aGv7173/aGf7l11/aGf7h20/aGf701RvaGf7wydML ZJrzYXjVoQABBgBgOCPoxMoTnwAAAABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "be",
    d: "M116.727 119.806l-.59-8.399h7.976l.836 8.399h-8.222z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bf"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#be"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bf)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bg",
    d: "M116.137 111.407h8.812v8.398h-8.812z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bh"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bg"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bh)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 24,
    height: 22,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 115.002 121.075)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABkAAAAXCAYAAAD+4+QTAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAIZJREFUeNpiYBgFJABGGOOkmtZ+ ahlqfuuaIzKfBcb4xc3sQCufwC35yc3MQHtLOFjoYAk7PSxhoUNw/WKhh0+Y6BHxTEx0sISBDpb8 oIcl3+liyX8G2lvy7c9/2lvy+fdfOljy4zftLXnx7iPtKy1BQUGqRcr79+8ZsUf8t2+OQ7qOBwgw AHQEJCyMsf0vAAAAAElFTkSuQmCC"
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bi",
    d: "M109.15 123.959l-.361-8.522 2.729-21.306.445 7.864-2.813 21.964z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bj"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bi"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bj)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bk",
    d: "M108.789 94.131h3.174v29.828h-3.174z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bl"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bk"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bl)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 12,
    height: 67,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 107.795 125.344)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA8AAABFCAYAAACVFbxAAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAANBJREFUeNrs170OgjAUBeDbwgP4 Dk5uLj6AT667C5uT70DkpyW2vWLigMYO9CReGyEhBMLHOVxYSpTlpqYnp/VmNR62kXvr3eVcTS+U b496wEMEH8d9H8WhULNqv+JSDBdZJnsN1SYAa6l3ZqXFaiPJSi14HqZlYN/DhEybpGqzYG2xZJL6 zp7k/jD6u4GBGKnNyLSZcqwNYccMJAeoNpQMYBeCUPLNI8kIdggenEvHvbHpuLMDgHuTjpvmmo7b tkvH1pr6uVr9tFW/s3K/CzAA00tqV/qyJiIAAAAASUVORK5CYII="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bm",
    d: "M100.174 106.675l-.092-8.005-.506 12.737.076 8.399.522-13.131z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bn"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bm"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bn)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bo",
    d: "M99.576 98.67h.598v21.136h-.598z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bp"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bo"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bp)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 8,
    height: 48,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 98.494 121.124)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAyCAYAAABlG0p9AAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAKdJREFUeNrMlUEOwiAQRQdaPABX 6MpbtCf3AF7GtKZRGcB0p0mrbzE1krAgvLz5kwlB5D/WuTuelr12174eSvD9luQNzMEJAw8egi01 Ns7ayEvDZgoFudHTjI6W5kZHM3pjIwfFvJkP72nvjDuAQruGRjXPmGhGrXQy1dqYCjZWaiwQzNSY ofGhuHRm4Hy7M3C8zgy8TBP74mKMddnfJ6M6/O7nfQowADlrSYRs4FNhAAAAAElFTkSuQmCC"
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bq",
    d: "M104.877 101.995l-.234-7.864 3.029 3.931.326 7.986-3.121-4.053z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "br"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bq"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#br)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bs",
    d: "M104.643 94.131h3.355v11.917h-3.355z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bt"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bs"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bt)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 12,
    height: 29,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 103.287 107.247)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA8AAAAfCAYAAAA4AJfRAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJpJREFUeNpiYBiSgBHGOKmm5QCk HPCoPWB+69oBZAEWGOMfKxNIYz0By7Br/s3JRLKz4Zp/cVCg+Tcb80BpZqFEMzMFfv7DTInNTJSE NiNFmhkHSjMDJc5moMDmX5TY/IsSm3/+Z6BA8z8KNP/4+58CzX/+ka/5++8/5Gv++vM3+ZrffPhM vuYnz5+Tr/njx48HSCmzBxYABBgAaPcwZ/6ugfUAAAAASUVORK5CYII="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bu",
    d: "M89.993 101.995l.213-7.864h14.437l.234 7.864H89.993z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bv"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bu"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bv)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bw",
    d: "M89.993 94.131h14.884v7.864H89.993z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bx"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bw"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bx)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 36,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 88.586 103.314)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACYAAAAXCAYAAABnGz2mAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJdJREFUeNpiYBgFwwQwInNOqWoZ ACmBAXTPBbPb1z6AGCzIov9YGPuBlMMAOswRiA9gOOw7H8ugiUoUl/zkYhqcDvvBwTpIQ4x1sDqM hXmQRiXzYE38jIM18Q9ahzEMUod9R62hBo/Dvv0bpA77+vf/4HTY559/BqfD3n35Pjgd9vDpi8Hp sAePH18YYPd8GG27kwsAAgwAyt4j0k/FJ50AAAAASUVORK5CYII="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "by",
    d: "M99.652 119.806l-.076-8.399h-2.781l-.008 8.399h2.865z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bz"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#by"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bz)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bA",
    d: "M96.787 111.407h2.865v8.398h-2.865z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bB"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bA"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bB)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 12,
    height: 22,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 95.715 121.075)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA8AAAAXCAYAAADUUxW8AAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJBJREFUeNpiYBiSgBGZc1JNKwFI xeNQu9D81rUFyAIsyJxf3MwKQMoBh+aD6AIomn9yM5PkbFTNHCwUaGanRDMLBc7+xUKJzUyUBBgT EwWaGSjQ/IMSzd8p0vyfgXzN3/78J1/z599/KdD84zf5ml+8+0i+5tv37pNfkrCzs4MKAwUcah/8 /PnzAdXKMIAAAwCcUSaCqe/YQQAAAABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bC",
    d: "M42.368 101.995l1.641-7.864 6.698 21.306-1.435 8.522-6.904-21.964z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bD"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bC"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bD)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bE",
    d: "M42.368 94.131h8.339v29.828h-8.339z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bF"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bE"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bF)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 24,
    height: 67,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 41 125.344)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABsAAABFCAYAAAC7UJ3SAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAMlJREFUeNrs1DsOwjAQBNCxk5tQ cQB6bk56DkDFJcjHjrC9tIhESEjOiKx2u6TI00zWBmwqjPt8cT0cz7U+frrfuvfndoW/bBVmgZXG bVbjEmvVYo0lq4BlT60RRMxr/WfivNoamcmcM8ywbxisRsP+BQNzG6G1RlFco9pk0HrOMvTeILAF 2dmCkDFmjcLcRoHVuDMsiRCTFWqN1GRELJWiNNkzM5MxscTE5pR42BQiDxvjTMSmwMP6/sHDhmHk YTGGDjY/zkuAAQBeHmZn73Wh8wAAAABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bG",
    d: "M51.807 101.995l1.359-7.864 6.75 10.927-1.15 8.203-6.959-11.266z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bH"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bG"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bH)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bI",
    d: "M51.807 94.131h8.109v19.13h-8.109z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bJ"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bI"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bJ)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 24,
    height: 44,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 50.648 114.401)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABsAAAAuCAYAAADZY2JLAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAMJJREFUeNrs1q0OwjAUhuH+jGlu AoNCoeEKuaVp1BSGi1hXsoSM/lA5EKjuJZSdpGk60SffORMVYqkMJaeH82a7S9s6w73t/nox7x+r 6SEqeUrbIQN2TKv5iLlaztrGF8zXisPcikxWlYuBM/NakxjZRk22UZKYItsoSUypUpOhmFiS/Voy hyab+Sn3xZmJUmcGY+AP8ggg5iKZDMVCBDEfSAxMNjpfKHYfHYf1w8BhXX8DMdNxmLW2zXSvEX9V TwEGANS3RyiatrbmAAAAAElFTkSuQmCC"
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bK",
    d: "M59.844 101.995l1.117-7.864h7.041l-.9 7.864h-7.258z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bL"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bK"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bL)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bM",
    d: "M59.844 94.131h8.158v7.864h-8.158z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bN"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bM"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bN)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 24,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 58.68 103.314)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABsAAAAXCAYAAAD6FjQuAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJFJREFUeNpiYBgFVACMyJxTqloK QEqBCuY+MLt97QG6IAsy5x8LYwKQqqeCZY1A3IDXsu98LDQNRhTTf3Ix0c+yHxysdPQZKz0tY2Gm YzAy0zOBMNIzgdDVMgY6WvYdtfSirWXf/tHRsq9//9PPss8//9DPsndfvtPPsodPX9DPsgePH4Mq vAPUqDxHVhsEIMAAaIkkonQTQQkAAAAASUVORK5CYII="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bO",
    d: "M21.723 101.995l2.261-7.864h7.182l-2.039 7.864h-7.404z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bP"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bO"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bP)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bQ",
    d: "M21.723 94.131h9.443v7.864h-9.443z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bR"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bQ"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bR)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 28,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 20.471 103.314)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB0AAAAXCAYAAAD3CERpAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAIRJREFUeNpiYBgFNASMyJxTqloO 1LbA7Pa1A+hiLMicfyyM+2ntMQxLv/Ox0CV4UWz5ycVEf0t/cLAOgE9ZB8JSFuYBCF7mgUhIjAOR kAbEUoYBsPQ7ZuFBe0u//RsAS7/+/U9/Sz///EN/S999+U5/Sx8+fUF/Sx88fnxgtF1DTQAQYAA0 uSDCAkFzqAAAAABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bS",
    d: "M33.481 113.647l1.909-8.213 4.146 10.003-1.78 8.522-4.275-10.312z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bT"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bS"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bT)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bU",
    d: "M33.481 105.434h6.055v18.525h-6.055z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bV"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bU"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bV)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 20,
    height: 42,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 32.424 124.922)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABcAAAAuCAYAAADDX4LFAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAKVJREFUeNrsl0EKwjAQALNN1X94 8+7/X+Ddmy+QVIoHbXYTrxXqQegUFrK3JTAMQyAkhDZbj8yXy/FU/wWcb1f5ddbPFz10q5p/wW0n HFz3Xs2tJ7OQ5iWCzTVGsDlpbh0KF6/m0syX7nkQr83dmrPNV379N2wevDZH4bkGp3B1a56tcPCp VNBcQfO3GZglg/DXlDn4MD45+H14cPCUUvvf8vMRYACcnj+lw9T3jAAAAABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bW",
    d: "M29.127 101.995l2.039-7.864 9.708 10.858-1.739 8.2-10.008-11.194z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bX"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bW"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bX)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "bY",
    d: "M29.127 94.131h11.747v19.059H29.127z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "bZ"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#bY"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#bZ)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 32,
    height: 44,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 27.8 114.384)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACMAAAAuCAYAAACiR6CHAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAM9JREFUeNrs2LEOgjAQBuBeLc6+ hIuTk7tPrrMTk4sPQakhMXjXinFBAyYOwt/kLmlIu/Dlv+sAxmhlUNTfnNabVffYTvBev7ucy89D 198kS0/IYQLMsVv7rxhZ0qxtesNwYXEwUgAlI440meGZcUgzs1DMCMYqZgyDdLUJCBOh2oSUDCNh xOgAazIZJ8Mzf6oAzwxWmxSTwQDfIxCGE1IyUJiYgDASkTBAybQsihnE3FrGwdRNg4Op6isQxlc4 mBCCN6/fov+u0mj9UA8BBgABTkgIRiZOkQAAAABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ca",
    d: "M43.745 101.995l1.6-7.864h7.821l-1.359 7.864h-8.062z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cb"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ca"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cb)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cc",
    d: "M43.745 94.131h9.421v7.864h-9.421z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cd"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cc"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cd)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 28,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 42.477 103.314)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB0AAAAXCAYAAAD3CERpAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAIRJREFUeNpiYBgFNASMyJxTqloO 1LbA7Pa1A+hiLMicfyyM+2ntMQxLv/Ox0CV4UWz5ycVEf0t/cLAOgE9ZB8JSFuYBCF7mgUhIjAOR kAbEUoYBsPQ7ZuFBe0u//RsAS7/+/U9/Sz///EN/S999+U5/Sx8+fUF/Sx88fnxgtF1DTQAQYAA0 uSDCAkFzqAAAAABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ce",
    d: "M35.893 101.995l1.836-7.864h6.28l-1.641 7.864h-6.475z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cf"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ce"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cf)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cg",
    d: "M35.893 94.131h8.116v7.864h-8.116z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "ch"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cg"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#ch)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 24,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 34.695 103.314)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABsAAAAXCAYAAAD6FjQuAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJFJREFUeNpiYBgFVACMyJxTqloK QEqBCuY+MLt97QG6IAsy5x8LYwKQqqeCZY1A3IDXsu98LDQNRhTTf3Ix0c+yHxysdPQZKz0tY2Gm YzAy0zOBMNIzgdDVMgY6WvYdtfSirWXf/tHRsq9//9PPss8//9DPsndfvtPPsodPX9DPsgePH4Mq vAPUqDxHVhsEIMAAaIkkonQTQQkAAAAASUVORK5CYII="
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ci",
    d: "M9.006 101.995h7.974l10.646 21.964h-7.303L9.006 101.995zm63.112 0h8.756l8.072 21.964h-7.101l-1.636-5.278h-4.995l-.797 5.278h-6.79l4.491-21.964zm7.102 13.496l-1.686-5.439h-1.017l-.822 5.439h3.525zm71.93-4.314l1.98-5.252 6.531-3.93h9.857l1.475 4.68-1.711 3.377h-7.135l1.709-3.377h-3.424l-1.98 4.502h7.369l1.188 3.362-2.668 5.267-5.934 4.153h-8.586l-1.926-4.153 1.273-3.377h6.971l-1.484 3.377h2.551l2.186-4.314h-6.568l-1.674-4.315zm-18.015-9.182h13.467l2.914 3.71-2.303 6.107-3.447 1.803 2.061 1.876-3.193 8.468h-7.117l2.775-8.468h-2.309l-2.773 8.468h-6.303l6.228-21.964zm5.736 4.68h2.307l-1.475 4.502h-2.307l1.475-4.502zm-26.908-4.68h17.357l-1.148 4.68h-9.068l-.814 4.502h5.74l-.781 4.314h-5.74l-.781 4.314h8.223l-1.02 4.153H109.15l2.813-21.963zm-21.97 0h14.884l3.121 4.053-1.354 14.328-4.885 3.583H89.993v-21.964zm7.185 4.68h2.996l-.521 13.131h-2.865l.39-13.131zm-53.433-4.68h8.062l6.959 11.266 1.078-11.266h7.258l-3.375 21.964h-5.874l-14.108-21.964zm-22.022 0h7.404l10.008 11.194-3.242-11.194h6.475l6.905 21.964h-6.167l-9.624-10.312 4.275 10.312h-6.168l-9.866-21.964z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cj"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ci"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cj)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ck",
    d: "M9.006 101.995h161.988v21.964H9.006z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cl"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ck"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cl)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 344,
    height: 49,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 7.92 124.988)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAVwAAAA0CAYAAADGxoCvAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAARxJREFUeNrs3SEOwlAQRdFOgsOy PhbH+rBIGJAURUp4YnqOA1lx8/L7CcsCAAAAAAAAO1fvH27XS3skAL87ns71+d1h9akfnhLAn6yC W3X3RAASwbVwAQQXQHAB2BLcRXABBBdgVHDbNVyA0MJ1LQwgFFxHCgCR4LZbCgAWLsCs4Fq4ABYu gOACsCG47VoYgIULMGvhCi6AhQswKbgluACZ4LaXZgCZ4L6S64kARIJr4QKkFq4zXIBQcC1cgExw HSkApBaul2YAoeBauACZ4PppL4CFCzAquP7TDCC1cAUXIBRcRwoAFi6AhQuAhQtg4QLsPbgluACZ 4LqHCxBbuIILYOECTAqul2YAoeA6UgAIBdffpAMAAADfeQowAMmZSjqoS/Q4AAAAAElFTkSuQmCC"
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cm",
    d: "M23.635 70.91l3.571-8.532 2.752-6.336-3.425 8.197-2.898 6.671z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cn"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cm"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cn)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "co",
    d: "M23.635 56.042h6.323V70.91h-6.323z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cp"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#co"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cp)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 20,
    height: 35,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 22.575 71.888)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABcAAAAmCAYAAAAvDACoAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAALRJREFUeNrs07EOwiAQxnHurLr6 HLo4OuoT9pUcHbvoM1gH6WCiLRBkrA4OpH9NEy8h5Bh+Ob6AMf/6dkm/OSxX67QtMpxqczo274dF v4kqZdq2Gfgurf1H3M110FhecD8TEJ/qWPFiQk5O4krGouBrCezkJC7kJzIy1slFxxoLixsOd0ZJ HIyli2QsJN4GEO9CJCcPIO5B/OE8h9/uLYdfrg2Hn+uaw621VaYz7JV/Xk8BBgD4Eznx/hpDgAAA AABJRU5ErkJggg=="
  }))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cq",
    d: "M29.673 86.474l3.269-9.31h7.66l-2.866 9.31h-8.063z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cr"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cq"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cr)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cs",
    d: "M29.673 77.164h10.929v9.31H29.673z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "ct"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cs"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#ct)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 28,
    height: 23,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 28.351 87.666)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB0AAAAZCAYAAADNAiUZAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJZJREFUeNpiYBgFww0wwhgnNLUV gFQCDe16YHH96gIQgwUm8peNCWRpPQ0tPQDEqJb+5GKiW/AiLOVkpr+lv9hYBsBS1oGwlGUggpd5 ICxlGojUyzgAlv5iGAifIkpEelo6AD798X8AfPrtH8MAWPr3/wBY+usP/S39/OM3/S198fYD/S19 /+nzAyDVSMvmyoA2zAACDADu7yfZFWsERwAAAABJRU5ErkJggg=="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cu",
    d: "M37.736 86.474l2.866-9.31 1.401 4.414-2.792 9.542-1.475-4.646z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cv"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cu"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cv)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cw",
    d: "M37.736 77.164h4.267V91.12h-4.267z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cx"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cw"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cx)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 16,
    height: 33,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 36.572 92.234)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABMAAAAjCAYAAAB2KjFhAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAKlJREFUeNpiYBgRgBGZc1JdOwFI KRChb4H5zasP0AVZkDn/WBjjgZQDEYYdAGL8hv3mYKLIm6iGsVPRsD9sjFQ0jJWZit5koaJhf5iZ BqthTCPDMEYqprPfDIPVZX8YBqthvwetYb+oatg/Bioa9p+ahv37Tz3Dfv75Rz3DflDVsN9/qGfY l+8/qWfYmw+fqGfYi1evqGfY58+fFwKpg0ToezC02mcAAQYAp/s398KXt2AAAAAASUVORK5CYII="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cy",
    d: "M43.593 77.846l2.573-8.879 4.582 4.572-2.332 9.119-4.823-4.812z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cz"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cy"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cz)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cA",
    d: "M43.593 68.967h7.154v13.69h-7.154z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cB"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cA"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cB)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 20,
    height: 33,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 42.289 84.063)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABUAAAAhCAYAAAA2/OAtAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAK5JREFUeNpiYBjRgBHGOK2smQCk 4ikwa6Hp3esLQAwWmMhfNiYFIOVAgaEHYQy4ob85manmfbihf9gYqW/obzYmWriUFoay0MDQ38y0 iCjaGEqLMGUaKob+ZqBB4v/DSBNDh4z3aWHo75Ft6K//DNQ39Oc/Whj69z8tDP1HfUN//KaJoX+o b+jnbz+ob+ir9x+ob+jzFy+p30Dj5uYBtaUUKDDrwdevXx6AGAABBgBSeDax9v4DtQAAAABJRU5E rkJggg=="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cC",
    d: "M32.726 70.697l3.116-8.521 2.157 6.791-3.003 8.879-2.27-7.149z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cD"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cC"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cD)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cE",
    d: "M32.726 62.176h5.272v15.67h-5.272z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cF"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cE"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cF)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 16,
    height: 37,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 31.348 79.126)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABMAAAAmCAYAAAAm56DSAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAALBJREFUeNrk0rEKwjAQxvEk1br2 IZycXNz1kXwSH6xLJyefoAXpoGCTXGuWFieh5D8EcsuFwP34Dk6pLErPj3p/OIZ2WzHbnB736+/H Zn740lShnWOSLZjsTPSaC+ZKzWEexbbgmlIYMlmRajKTBSZoMkUerdaJJpNkk2WCORSbFIdZFBtB zI0TmExAbPDCYR8HYoPzHNa/3hzWPXsOa7sWPA1rm9AuK2bjV/lXXwEGAKmyPNP5u0MdAAAAAElF TkSuQmCC"
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cG",
    d: "M34.996 77.846l3.003-8.879h8.167l-2.573 8.879h-8.597z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cH"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cG"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cH)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cI",
    d: "M34.996 68.967h11.17v8.878h-11.17z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cJ"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cI"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cJ)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 32,
    height: 22,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 33.583 78.972)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACEAAAAZCAYAAAC/zUevAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAIZJREFUeNpiYBgFo2AQAkZkznFt nf1AyoHGdjpaXr1yAFmABZnzk5t5QEIC1RGcTIPAERwsA++IX2yDwBE/mQdBmvg1GBzxk2kwhATj YMgdg8IRqAXowDjiB8MgCInv/wdBSHz7yzDwjvj65+/AO+LLzz+DwBHffw28I+48fjbazBtQABBg ABWqH4++lgQpAAAAAElFTkSuQmCC"
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cK",
    d: "M44.925 70.062l2.506-8.49 1.482 5.346-2.429 8.77-1.559-5.626z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cL"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cK"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cL)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cM",
    d: "M44.925 61.572h3.988v14.116h-3.988z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cN"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cM"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cN)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 16,
    height: 34,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 43.598 76.968)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABMAAAAmCAYAAAAm56DSAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJVJREFUeNpiYBgFAwoYkTmnVLX2 AykHIvQ5mt2+dgBdkAWZ84eDiSKXoRj2m52Khv1ho6phjFT0JiszFV3GQk3DmJkGq2FMI8MwBiqm sz+Mg9Ww3wyDNcx+jwzDfv1noKJh/6ho2M9//6lo2N9/VDTsNxUN+/H7LzUN+009w958+Ew9w168 fkM9w54/fzbalCMMAAIMAPg3M2NSard9AAAAAElFTkSuQmCC"
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cO",
    d: "M48.416 82.658l2.332-9.119 2.227 8.039-2.215 9.542-2.344-8.462z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cP"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cO"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cP)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cQ",
    d: "M48.416 73.539h4.56v17.582h-4.56z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cR"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cQ"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cR)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 16,
    height: 40,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 47.002 92.251)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABEAAAAqCAYAAABV0LCUAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJ5JREFUeNrc1r0NgzAQBeA7YsQm FFmA8ULGYwGK7GARCRmR4B8qI0WiILmT8oSrK+zPz68y0akW56Grr+3RQ82j/9hr8pAM3764fB/x VfHzczYklAqILxkECUajkwsK4guNJEAIo3TCjIKQRic4SehUSZAQkiNLgkGiCpLkyDtGBcTjIEGO uPklR4bRyRE7PBUQa+XINLn7X7+gqwADAK6GQP0oFPDuAAAAAElFTkSuQmCC"
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cS",
    d: "M26.533 64.239l3.425-8.197h11.76l-2.807 8.197H26.533z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cT"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cS"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cT)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cU",
    d: "M26.533 56.042h15.185v8.198H26.533z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cV"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cU"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cV)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 36,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 25.425 65.353)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACYAAAAXCAYAAABnGz2mAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAINJREFUeNpiYBgFwwQwInOO6eg4 DKRjrK5cOQBjsyBL/GNm3D9YAgrFYT95mAdNVKI47AfnIHXYTzbWQeow1sEaYiwsg9RhTIM1xBiZ Rh1GWnHBMGgdxjg4Hfb132B12N//g9Rhv/4OTod9+PZzcDrs6as3g9NhD588PTDadh6qACDAAMY7 INgxvx9eAAAAAElFTkSuQmCC"
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cW",
    d: "M38.911 64.239l2.807-8.197 5.713 5.53-2.506 8.49-6.014-5.823z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cX"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cW"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cX)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "cY",
    d: "M38.911 56.042h8.52v14.02h-8.52z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "cZ"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#cY"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#cZ)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 24,
    height: 33,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 37.81 71.187)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABsAAAAjCAYAAABl/XGVAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAALFJREFUeNpiYBgFVACMyJyT6toK QCqBSmY/ML95dQGyAAsy5x8LI8iyeipZdgCIcVv2m4OJpsGIahk7HS37w8ZIR8tYmOloGSs9LWOm ZwKhp2V/mOho2V+m4eqz34z0zGcM9LSMkWmY+uw3A+Oozyi37BddLfvPQEfL/g1Xy37+/Uc/y378 +UtHy37T0bJvP37Rz7K3Hz/Tz7IXr9/Qz7IvXz4/AFKN1OpYjJz+GUCAAQARHjbFnkP8WwAAAABJ RU5ErkJggg=="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "da",
    d: "M39.211 91.12l2.792-9.542h3.612l-2.602 9.542h-3.802z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "db"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#da"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#db)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dc",
    d: "M39.211 81.578h6.404v9.542h-6.404z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dd"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dc"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dd)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 20,
    height: 24,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 37.895 92.422)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABcAAAAZCAYAAADaILXQAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAH9JREFUeNpiYBgF9AaMyJxTqloO QGo/mWYdMLt9zRFZgAWZ85OHmaouRzH8FycNDf/JyURDl7Ox0tBwVlqGOfOQNZyRaYga/pOmLkct DajscgYauvwHLV3+/S8D7Qz/9vc/DQ3//Zd2hn/58Zt2hr/5+Jl2ht979HjoVNAAAQYAKiIiev/m eUwAAAAASUVORK5CYII="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "de",
    d: "M80.505 64.239l.727-8.197h9.352l-.235 8.197h-9.844z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "df"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#de"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#df)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dg",
    d: "M80.505 56.042h10.079v8.198H80.505z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dh"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dg"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dh)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 28,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 79.523 65.353)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB0AAAAXCAYAAAD3CERpAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAH1JREFUeNpiYBgFNASMyJxjOjoO tLDE6sqVA8h8FmTOP2bG/fTwHIqlP3mY6RK8KJb+4BwAS3+ysQ6ApawD4VMWlgGwlGkgfMrINEIs /cEwIJYy0t/Sr/8GwtK//wfA0l9/6W/ph28/6W/p01dv6G/pwydPD4y2a6gJAAIMADjOINh1r1dO AAAAAElFTkSuQmCC"
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "di",
    d: "M90.349 64.239l.235-8.197 7.848 30.737.177 9.817-8.26-32.357z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dj"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#di"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dj)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dk",
    d: "M90.349 56.042h8.26v40.554h-8.26z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dl"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dk"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dl)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 24,
    height: 88,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 88.97 97.766)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABsAAABcCAYAAACfic6BAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAANJJREFUeNrslTsOwjAQRNeBo1DR cz7gfPRUnAM78WepCRI0yeCMZsso8tObnThmmq1NmD+4HY6XpQ4/Pe5vZ+3nL3iw84IyP2C7sFqM H7BGC/PBaM1oYxygbTTFuLE2tiAzmXVzN0LNgrHuzGjbSLwzWjNaWEPuzHnbaLzfGbIgRlt97P9M O5OZ7ka1UW38axubzAT7CnMgrLpilFk/bXTaGIFmtTntzmhjxMIacGe0MZZacbAxZxwsjhPQbMqk sJgSEBafOFhCmpVSrqbpeV4CDADc6oXUqYFHZgAAAABJRU5ErkJggg=="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dm",
    d: "M73.763 96.596l1.064-9.817 6.405-30.737-.727 8.197-6.742 32.357z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dn"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dm"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dn)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "do",
    d: "M73.763 56.042h7.47v40.554h-7.47z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dp"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#do"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dp)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 24,
    height: 88,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 72.459 97.766)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABkAAABcCAYAAACbfB68AAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAANFJREFUeNrslT0WwiAQhJfEo1jZ ez7j+eytPIeQALu28VlYKBPeZLej4WN+ABGf3iasF7fjafp1w/Pj/rHHYb2wIJc/HPwLZAxN7HqD KA3EBqFRQmPXAGmXuF2dtUuDK3ElzSAQJUFYMhGadhFlQqOEBqKITIynXcJzTxDBC02FMf+JZ7JT Jf52ebu8XV3YxaSEBmIASDW3a59KMO0yGrsASqoaTSY0dmEgCsiExq5Sa3vInHN7SJwXgJIlk0Bi SgBIfLaHJISSUspVfLaelwADALxThdSN7jwUAAAAAElFTkSuQmCC"
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dq",
    d: "M84.033 84.491l.55-9.211h3.477l-.368 9.211h-3.659z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dr"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dq"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dr)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ds",
    d: "M84.033 75.28h4.027v9.211h-4.027z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dt"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ds"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dt)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 16,
    height: 23,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 82.664 85.7)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABMAAAAZCAYAAADTyxWqAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJFJREFUeNpiYBgFpAJGZM4JTW0H IOVAhL4DFtevHkAXZEHm/GVjAhlUT6RD8Bv2k4uJIm+iGPaLg5l6hv1kZ6Giy1ipaRgLNb3JTEXD fjFRMzYZqWjYTwZquoyahv1AzaoUGvafioZ9/8dAPcO+/flPPcO+/PpDPcM+fftJPcOevX5LPcPe fvh4gNxSluoAIMAAXcEmg0+6lPEAAAAASUVORK5CYII="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "du",
    d: "M102.012 70.711l-.35-8.522 5.938-6.147.662 8.197-6.25 6.472z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dv"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#du"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dv)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dw",
    d: "M101.662 56.042h6.6v14.669h-6.6z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dx"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dw"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dx)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 20,
    height: 34,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 100.66 71.836)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABcAAAAmCAYAAAAvDACoAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAKxJREFUeNpiYBgF9AaMyJyT6toK QEqBDHMemN+8+gBdkAWZ85+JMQFI1ZNheCMQN+A1/DcHE1WDBcXwP2yMQ9VwVloGCwvzUDWcmWmo Gs40ZA1npGU6Z2Acqi6npeF/aRksvxmGbIQy0DCd/6JpmP9noKHLaWn4z7+0dPnf/7R0+V/aGf7j Dy0N//WHdoZ//vaddoa/evuBdoa/ff8e1FI9QE4rd7TDQDQACDAAluE3/M9sk1gAAAAASUVORK5C YII="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dy",
    d: "M113.541 84.491l-.924-9.211h7.916l1.342 9.211h-8.334z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dz"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dy"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dz)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dA",
    d: "M112.617 75.28h9.258v9.211h-9.258z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dB"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dA"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dB)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 24,
    height: 23,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 111.367 85.7)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABkAAAAZCAYAAADE6YVjAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJlJREFUeNpiYBgFgw0wwhgnNLUV gFQCFc1+YHH96gIQgwUm8peNCWRJPRUtOQDEqJb85GKiWXDBLfnFwUx7S36ys9DBJ6z0sISFHsHF TAdLfjHRI3Ux0sGSnwz08Ak9LPmBKMZoaMl/Oljy/R8D7S359uc/7S358usP7S359O0n7S159vot 7S15++HjAyDVSM3ql64NCYAAAwA9fSfE6WhypwAAAABJRU5ErkJggg=="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dC",
    d: "M119.797 64.239l-1.236-8.197 3.755 6.147 1.436 8.522-3.955-6.472z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dD"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dC"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dD)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dE",
    d: "M118.561 56.042h5.191v14.669h-5.191z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dF"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dE"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dF)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 16,
    height: 34,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 117.24 71.836)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABEAAAAmCAYAAAAiEnDvAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAKlJREFUeNpiYBgF6IARxjiprq0A pBRI0PvA/ObVByAGC0zkPxNjApCqJ8GQRiBuQDHkNwcT2d6BG/KHjXGwGMJKDe+wMA8WQ5iZBosh TIPGEEZqpBMGxsHiEmoY8pca3vnNMGgCloEK6eQXVcLkPwMVXEINQ37+pYZL/v6nhkv+Um7Ijz/U MOTXH8oN+fztO+WGvHr7gXJD3r5/D6rhD5DSKhimLSWAAAMA69g3/Ec/HpcAAAAASUVORK5CYII="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dG",
    d: "M114.119 77.846l-.953-8.879.59-6.778.984 8.522-.621 7.135z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dH"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dG"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dH)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dI",
    d: "M113.166 62.189h1.574v15.657h-1.574z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dJ"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dI"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dJ)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 8,
    height: 37,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 112.055 79.129)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAgAAAAmCAYAAAD5qdrNAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJZJREFUeNq81DEOwiAUxvEHtXgR J3f39uQ9gHsnb9BGjXFoeTxoHDAdmvclktoFAr/8CQwl2v0zeXI9nbv1xuXWt5/xkBeCs81W4Qvk aEkF7IwOAgQ1OEIqiwpVacHuDgQWCD2UMYUFKS78ATAEiXTgIYgAcEygIADMQXQwMQAzBx3cX28d jI+nDoZxANf0vv3pF7QIMADKrzoDFHG5ewAAAABJRU5ErkJggg=="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dK",
    d: "M109.148 91.12l-.705-9.542h3.625l.897 9.542h-3.817z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dL"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dK"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dL)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dM",
    d: "M108.443 81.578h4.521v9.542h-4.521z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dN"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dM"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dN)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 16,
    height: 24,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 107.006 92.422)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABEAAAAZCAYAAADXPsWXAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAHlJREFUeNpiYBgF6IARxjilqvWf WE1mt68xIvNZYIyfPMxkuwRuyC9OKhjyk5OJCi5hY6WCIazUCBPmQWMII9MgMeQnVVzCwEgFlzBQ wSU/qOGS738ZKDfk29//VDDk91/KDfny4zflhrz5+JlyQ+49ejywBTVAgAEAfV0hegc7mEQAAAAA SUVORK5CYII="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dO",
    d: "M112.965 91.12l-.897-9.542.549-6.298.924 9.211-.576 6.629z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dP"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dO"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dP)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dQ",
    d: "M112.068 75.28h1.473v15.84h-1.473z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dR"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dQ"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dR)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 8,
    height: 37,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 110.978 92.224)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAmCAYAAAD9XArwAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJZJREFUeNpiYBgwwIgucFJduwGZ b37zKpjPgq7wHwtjPZoQdoV/2BmxWo2pkI2JSIWsRCsk0uq/LMxEmshCrNVMRCr8y0R9ExmpbOIf RqIVEhvgxCr8wzASFf7CkV0xFP7+R6TCX/+JNvE/kSb+/Uecwp9/qK7w9x/iFH76+p04ha/ffyBS 4Zu3xCn8+vVLI0VFM0CAAQDm4DoA4kv1owAAAABJRU5ErkJggg=="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dS",
    d: "M108.262 64.239l-.662-8.197h10.961l1.236 8.197h-11.535z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dT"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dS"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dT)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dU",
    d: "M107.6 56.042h12.197v8.198H107.6z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dV"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dU"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dV)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 32,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 106.164 65.353)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACEAAAAXCAYAAACFxybfAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAI5JREFUeNpiYBgFgwgwwhjHdHQM gJQAney9YHXlygcYhwXG+MfM2A+kHOjkCEcgPoDhiJ88zAMWHXBH/OAcBI74ycY6CBzBOhhCgoVl EDiCaTCEBCPTqCMgWZRhUDiCceAd8fXfYHDE3/+DwBG//g68Iz58+znwjnj66s3AO+Lhk6cX6Gjv h9H2JDYAEGAA10gj6B6b4qwAAAAASUVORK5CYII="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dW",
    d: "M100.738 91.12l-.285-9.542 1.209-19.389.35 8.522-1.274 20.409z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dX"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dW"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dX)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "dY",
    d: "M100.453 62.189h1.559V91.12h-1.559z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "dZ"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#dY"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#dZ)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 8,
    height: 64,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 99.201 92.18)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAABBCAYAAADorTUSAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAALVJREFUeNrUlkEOwiAQRWdor+LG A7juzbwaaw/gxmuU1qID6oLYaDS/yTdUNgzh5f8/ExaIVFtaisNm2923bnbnd6ejL4e2FLnRB7R/ EXoHU6tfrZ9gA4JGV1wAClvRaTVF56opqq4fdH+QUdD3KLA1XRHOiHddbTwmsvqMv+iaPR4czGwQ Hs+Vbm0po9aZrcgHLaEZE1kxXgwDx2nCwH48g2AYMDAMKBh6sOsY/afv1qJ1E2AAxJBl7a0Wqc4A AAAASUVORK5CYII="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ea",
    d: "M131.594 64.239l-1.826-8.197h19.648l2.863 8.197h-20.685z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "eb"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ea"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#eb)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ec",
    d: "M129.768 56.042h22.512v8.198h-22.512z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "ed"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ec"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#ed)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 52,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 128.531 65.353)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAADYAAAAXCAYAAABAtbxOAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAIdJREFUeNpiYBgFo2BQAEZkzjEd HYeh7BmrK1cOwNgsyBL/mBn3D5eIQvHYTx7mYZMUUTz2g3OYeuwnG+sw9RjrcI0xFpZh6jGm4Rpj jEyjHhtaxT3DsPUY4/D02Nd/w9Vjf/8PU4/9+js8Pfbh28/h6bGnr94MT489fPL0wGjfexQMDAAI MABitiDY9NFFxwAAAABJRU5ErkJggg=="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ee",
    d: "M136.926 77.846l-2.094-8.879h6.766l2.449 8.879h-7.121z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "ef"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ee"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#ef)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "eg",
    d: "M134.832 68.967h9.215v8.878h-9.215z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "eh"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#eg"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#eh)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 28,
    height: 22,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 133.469 78.972)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB0AAAAZCAYAAADNAiUZAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAH1JREFUeNpiYBgFo4AKgBGZc1xb 5z+1LbC8eoURXYwFmfOTm5kuPkW1lJNpACzlYKG/pb/YBsDSn8wDEKe/BsLSn0wD4VPGgUi9A2Ip AyP9Lf3BMAA+/f5/AHz67S8D/S39+ucv/S398vPPAFj6/Rf9Lb3z+Nlos4aqACDAAGSQHo+DlMUz AAAAAElFTkSuQmCC"
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ei",
    d: "M133.92 91.12l-1.943-9.542h9.228l2.43 9.542h-9.715z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "ej"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ei"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#ej)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ek",
    d: "M131.977 81.578h11.658v9.542h-11.658z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "el"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ek"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#el)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 32,
    height: 24,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 130.7 92.422)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACMAAAAZCAYAAAC7OJeSAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAIpJREFUeNpiYBgFo4A0wIjMOaWq 1QCk6mlsZ6PZ7WsN2CRYkDk/eZgHNGRQHPOLcxA55icn0yAKGTbWQeQY1sGUZphHHYPDMYxMo47B nrUHVcig1g4DHDIMgyhkfgymkPn+l2HwOObb3/+DyDG//w4ex3z58XvwOObNx8+DxzH3Hj0ebYjD AECAAQCyYyJ6v/JARQAAAABJRU5ErkJggg=="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "em",
    d: "M124.699 96.596l-1.482-9.817 6.551-30.737 1.826 8.197-6.895 32.357z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "en"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#em"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#en)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "eo",
    d: "M123.217 56.042h8.377v40.554h-8.377z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "ep"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#eo"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#ep)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 24,
    height: 88,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 121.932 97.766)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABsAAABcCAYAAACfic6BAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAANJJREFUeNrslTsOwjAQRNeBo1DR cz7gfPRUnAM78WepCRI0yeCMZsso8tObnThmmq1NmD+4HY6XpQ4/Pe5vZ+3nL3iw84IyP2C7sFqM H7BGC/PBaM1oYxygbTTFuLE2tiAzmXVzN0LNgrHuzGjbSLwzWjNaWEPuzHnbaLzfGbIgRlt97P9M O5OZ7ka1UW38axubzAT7CnMgrLpilFk/bXTaGIFmtTntzmhjxMIacGe0MZZacbAxZxwsjhPQbMqk sJgSEBafOFhCmpVSrqbpeV4CDADc6oXUqYFHZgAAAABJRU5ErkJggg=="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "eq",
    d: "M61.811 82.658l1.661-9.119-1.876-11.35-1.761 8.522 1.976 11.947z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "er"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#eq"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#er)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "es",
    d: "M59.835 62.189h3.637v20.469h-3.637z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "et"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#es"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#et)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 16,
    height: 46,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 58.46 83.74)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABMAAAAwCAYAAADzaEFUAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAKtJREFUeNrslzEOwjAMRe20cJQO XIDjAcfjAgxcolRUELWJw9oOiCLeYKl4sxQ/PftPEfnXt6XT5tzsjp8G9tfL2zf1tCmVHhYILIPl bfhpzTlsoyCsRs2ENCPXrMIqYAGEWSADUHRN0MxUnQaQUTNRt2biNU1ZCUycmiXHMPBmqXiFjaiZ kWZWSDMDzTIIG5JXsziMHKx/RA52u/ccrO068GbxeXLzd3oJMAAoYUdB5ECQvgAAAABJRU5ErkJg gg=="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "eu",
    d: "M66.655 64.239l1.419-8.197 5.815 6.147-1.114 8.522-6.12-6.472z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "ev"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#eu"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#ev)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ew",
    d: "M66.655 56.042h7.234v14.669h-7.234z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "ex"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ew"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#ex)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 20,
    height: 34,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 65.341 71.836)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABUAAAAmCAYAAAAr+dCVAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAKpJREFUeNpiYBgF1AaMMMZJdW0B IGVAgVkfzG9evQBisMBE/jMxggzcT4GhB4DYEcXQ3xxMVPM+3NA/bIxDxVBWWnifhXmoGMrMNFQM ZRoyhjLSIp0yMA4Vl9LC0L+08P5vhiETUQw0SKe/aBKm/xlo4FJaGPrzLy1c+vc/LVz6l/qG/vhD C0N//aG+oZ+/fae+oa/efqC+oW/fv/8AbWSRCy6MNqLBACDAAL7pOAwnlMqwAAAAAElFTkSuQmCC"
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "ey",
    d: "M72.775 70.711l1.114-8.522.933 11.35-1.064 9.119-.983-11.947z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "ez"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#ey"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#ez)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "eA",
    d: "M72.775 62.189h2.047v20.469h-2.047z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "eB"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#eA"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#eB)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 12,
    height: 46,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 71.496 83.74)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA8AAAAwCAYAAADO+iAyAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAKZJREFUeNrklsENgzAMRe1AGYUD CzBe6XgswKFLUASCCBKHa1q1Upsv1ULkZslP7/ufQnS+x/HQllXzulDfu+YTnMdDyPj6Zuc72Bfm p9jP8IUBOIfMhJiR2Jk5JGwAWAxSGEOxAbMwKxXmITOxmpm02qaDwqRkdoowcLMLWvAGmQUxS0DM Apg9AK9Oy2zXLR2eZpsOP8YpHe6HAbjZLre//T13AQYASOZHQWZaBqQAAAAASUVORK5CYII="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "eC",
    d: "M62.606 87.47l1.622-9.36 1.434 8.669-1.547 9.817-1.509-9.126z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "eD"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#eC"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#eD)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "eE",
    d: "M62.606 78.11h3.056v18.486h-3.056z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "eF"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#eE"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#eF)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 12,
    height: 42,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 61.19 97.743)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA0AAAAsCAYAAAC+GzLvAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAKhJREFUeNrc1TEOwiAUBmAeVI/i 4AVcezOvxtoLOPQQVk0TjDxoy9AmLrbvH14aWSCEL/8PC8b836B50ZzO9TTVP876S3vzZVHNO4Oj Aq4rId8oHe3megtiBKWKAHQgpSR20J0cgKAkQh7CIkmW9lyPSa2e2XcSglgxySjVg1CE6mUAxQFB UFLOcvRJWigyksRJjvrwlqPu1cvR/fGUoxCC3/JJw2MUYAAAjUK3Nk4SPQAAAABJRU5ErkJggg=="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "eG",
    d: "M65.526 82.658l1.475-9.119h-3.529l-1.661 9.119h3.715z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "eH"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#eG"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#eH)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "eI",
    d: "M61.811 73.539h5.191v9.119h-5.191z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "eJ"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#eI"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#eJ)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 16,
    height: 23,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 60.371 83.811)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABMAAAAZCAYAAADTyxWqAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJZJREFUeNpiYBgFpAJGGOOElrYA kDIgQe8Hi2tXLyALsMAY/5gZQQbtJ8GwA0DsiNWwn9zMFHsTYRgnE/UM+8XOQkXDWKlo2E9marqM hYoR8IuRihHwk5qGUddliJxFDcOo6LLv/6nosm9/Gahn2Ne//6ho2M8/1DPs47cf1DPs2eu31DPs ybPnH6ClJ7HgAk0rFIAAAwDDsCfR6OihPQAAAABJRU5ErkJggg=="
  })))), /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "eK",
    d: "M49.46 64.239l2.279-8.197h16.335l-1.419 8.197H49.46z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "eL"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#eK"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#eL)"
  }, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "eM",
    d: "M49.46 56.042h18.614v8.198H49.46z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "eN"
  }, /*#__PURE__*/React.createElement("use", {
    overflow: "visible",
    xlinkHref: "#eM"
  })), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#eN)"
  }, /*#__PURE__*/React.createElement("image", {
    width: 44,
    height: 21,
    overflow: "visible",
    transform: "matrix(.48 0 0 -.48 48.319 65.353)",
    xlinkHref: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAC4AAAAXCAYAAAB0zH1SAAAACXBIWXMAABcRAAAXEQHKJvM/AAAA GXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAJRJREFUeNpiYBgFo4AowAhjHNPR EQBSBoPYrR+srly5AOOwwBj/mBlBjt4/iB1+AIgdMRz+k4d5SCUVuMN/cA5Rh/9kYx2iDmcdqiHO wjJEHc40VEOckWnU4fQtDhmGrMMZh6bDv/4bqg7/+3+IOvzX36Hp8A/ffg5Nhz999WZoOvzhk6cf oG3ewQoujPb7BhIABBgAIj8kyNa1I/MAAAAASUVORK5CYII="
  })))), /*#__PURE__*/React.createElement("path", {
    fill: colored ? '#f3d83c' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f3d83c') ? 'white' : 'currentColor'),
    fillRule: "evenodd",
    d: "M23.635 70.91l2.897-6.67H38.91l6.014 5.822 1.559 5.627h-7.747l-1.383-4.992h-4.627l2.27 7.149h8.597l4.822 4.812 2.345 8.462-4.062 5.476h-8.569l-6.448-4.943-2.008-5.179h8.063l1.475 4.646h3.802l-1.837-6.629h-7.959l-6.298-5.116-3.284-8.465zm56.87-6.671h9.844l8.26 32.356h-7.828l-1.883-7.377h-5.851l-1.538 7.377h-7.748l6.744-32.356zm7.187 20.252L85.677 76.6l-1.645 7.892h3.66v-.001zm14.32-13.78l6.25-6.472h11.535l3.955 6.472-.971 7.135h-8.662l.621-7.135h-4.146l-1.445 20.409h3.816l.576-6.629h8.334l-.902 6.629-6.014 5.476h-10.027l-4.193-5.476 1.273-20.409zm29.582-6.472h20.686l-1.467 6.472h-12.27l-1.617 7.135h7.121l-1.541 6.803h-7.121l-1.465 6.472h9.715l-1.24 5.476H124.7l6.894-32.358zm-82.134 0h17.195l6.121 6.472.983 11.947-3.463 4.812h-7.689l1.509 9.126H56.57l-7.11-32.357zm10.375 6.472h4.019l1.672 11.947h-3.715l-1.976-11.947z",
    clipRule: "evenodd"
  }));
}
const ForwardRef = React.forwardRef(SpaceInvadersIcon);
module.exports = ForwardRef;