import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function ECharlesIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 243.75 243.75",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: colored ? '#fff' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fff') ? 'white' : 'currentColor'),
    strokeWidth: 2.928,
    transform: "translate(0 -308.268)"
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 121.875,
    cy: 430.143,
    r: 120.411,
    stroke: "#000"
  }), /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    stroke: "#000",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M119.675 477.588l.253-140.166c-73.532 5.11-86.696 84.242-28.25 114.7l.61 25.34z"
  }), /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    stroke: "#000",
    d: "M120.07 482.652H93.813c-2.945 4.667-3.575 8.04 2.748 13.127-6.62.865-6.378 8.548-2.9 10.686-4.242 1.556-5.282 8.727 6.869 7.937l1.625 5.486c.733 2.113 1.746 2.545 2.76 2.973l10.458-.086c1.992-.72 4.299-2.105 4.39-5.015z"
  }), /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    stroke: "#f75c59",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M124.291 477.462l-.469-139.95c73.532 5.11 86.696 84.458 28.25 114.916l-.61 25.34z"
  }), /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    stroke: "#f75c59",
    d: "M125.32 482.957l-.306 32.361c1.317 11.059 11.072 8.629 10.99-.61v-31.751zM139.957 482.957l-.305 32.361c1.317 11.059 11.072 8.629 10.99-.61v-31.751z"
  }), /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    stroke: "#f8d05b",
    d: "M112.412 477.238l-16.948-73.934c-4.23-19.168-16.974-14.783-11.444-.557 6.267 10.896 28.39 21.763 33.582 6.106-4.523-5.743-6.628-12.59 1.333-16.65"
  }), /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    stroke: "#f75c59",
    strokeLinejoin: "round",
    d: "M131.627 399.814c1.778-4.471 12.628-9.482 19.487-14.062 7.117 3.213 17.741 13.145 12.804 25.555-1.265 4.901-28.05 4.544-30.224 2.137-4.481-4.606-3.115-10.024-2.067-13.63zM128.198 428.251c-.91 7.576-.577 13.909-.763 20.76 3.425.788 7.262.337 11.082-.062-2.75-6.95-5.704-13.748-10.319-20.698z"
  })));
}
const ForwardRef = React.forwardRef(ECharlesIcon);
export default ForwardRef;