import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function SpaceInvadersAlien1Icon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 1000 1000",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M899.3 766.6V590.1h-86.4v177.2h-90.1v87.6H513.6v-88.3h209.2v-88.2H277.9v88.2l179 .6v88.2H277.2v-87.6h-90.1V589.5h-86.4V766H10V498.8h88.9V413h88.2v-90.7h90.7v-88.9h88.9v89.1l266.6.7v-89.8h88.9v90.1h90.7v88.3h87.6V500H990v266.6h-90.7zM366.7 411.1h-88.9V500h88.9v-88.9zm355.5 0h-88.9V500h88.9v-88.9zM187.1 144.5h90.7v88.9h-90.7v-88.9zm625.8 0v88.9h-90.7v-88.9h90.7z"
  }));
}
const ForwardRef = React.forwardRef(SpaceInvadersAlien1Icon);
export default ForwardRef;