import * as React from "react";

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function SpaceInvadersAlien3Icon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 32 32",
    fill: colored ? 'currentColor' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('currentColor') ? 'white' : 'currentColor'),
    "aria-hidden": "true",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("linearGradient", {
    id: "a"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#020612"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#204c7d"
  }))), /*#__PURE__*/React.createElement("path", {
    style: {
      marker: "none"
    },
    fill: colored ? '#204a87' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#204a87') ? 'white' : 'currentColor'),
    d: "M12.345 6.243V8.71H6.938v2.385h-1.78v7.327h21.684v-7.327h-1.848V8.71h-5.339V6.243h-7.31zm-1.78 7.41h3.56v2.385h-3.56v-2.385zm7.31 0h3.56v2.385h-3.56v-2.385zm-7.316 4.652v2.593H8.718v2.384h-3.56v2.475H8.78v-2.392h3.559v-2.467h1.847v-2.593H10.56zm3.627 2.593v2.467h3.622v-2.467h-3.622zm3.622 0h1.785v2.384h3.622v-2.468h-1.78v-2.51h-3.627v2.594zm5.407 2.384v2.475h3.627v-2.475h-3.627z",
    overflow: "visible"
  }));
}
const ForwardRef = React.forwardRef(SpaceInvadersAlien3Icon);
export default ForwardRef;