const React = require("react");

const sizeMap = {
  "small": 16,
  "medium": 32,
  "large": 64
};

function LinuxIcon({
  title,
  titleId,
  size,
  colored,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    id: "svg3872",
    fill: colored ? 'none' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('none') ? 'white' : 'currentColor'),
    fillRule: "evenodd",
    width: size ? typeof size === "string" ? sizeMap[size] : size : "16px",
    strokeLinecap: "square",
    strokeMiterlimit: 3,
    colorInterpolationFilters: "sRGB",
    fontSize: 12,
    overflow: "visible",
    viewBox: "0 0 66.197 66.197",
    xmlSpace: "preserve",
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("style", {
    id: "style10",
    type: "text/css"
  }, "\n    .st3,.st4{fill:#000;stroke:none;stroke-linecap:butt;stroke-width:1.75123}.st4{fill:#666}.st10,.st11,.st12,.st13,.st14,.st5,.st6,.st7,.st8,.st9{fill:#6d6d6d;stroke:none;stroke-linecap:butt;stroke-width:1.75123}.st10,.st11,.st12,.st13,.st14,.st6,.st7,.st8,.st9{fill:#757575}.st10,.st11,.st12,.st13,.st14,.st7,.st8,.st9{fill:#7c7c7c}.st10,.st11,.st12,.st13,.st14,.st8,.st9{fill:#848484}.st10,.st11,.st12,.st13,.st14,.st9{fill:#8c8c8c}.st10,.st11,.st12,.st13,.st14{fill:#939393}.st11,.st12,.st13,.st14{fill:#9b9b9b}.st12,.st13,.st14{fill:#a3a3a3}.st13,.st14{fill:#aaa}.st14{fill:#b2b2b2}.st15,.st16,.st17,.st18,.st19,.st20,.st21,.st22,.st23{fill:#bababa;stroke:none;stroke-linecap:butt;stroke-width:1.75123}.st16,.st17,.st18,.st19,.st20,.st21,.st22,.st23{fill:#c1c1c1}.st17,.st18,.st19,.st20,.st21,.st22,.st23{fill:#c9c9c9}.st18,.st19,.st20,.st21,.st22,.st23{fill:#d1d1d1}.st19,.st20,.st21,.st22,.st23{fill:#d8d8d8}.st20,.st21,.st22,.st23{fill:#e0e0e0}.st21,.st22,.st23{fill:#e8e8e8}.st22,.st23{fill:#efefef}.st23{fill:#f7f7f7}.st24,.st25,.st26,.st27,.st28,.st29,.st30,.st31,.st32{fill:#fff;stroke:none;stroke-linecap:butt;stroke-width:1.75123}.st25,.st26,.st27,.st28,.st29,.st30,.st31,.st32{fill:#070707}.st26,.st27,.st28,.st29,.st30,.st31,.st32{fill:#0f0f0f}.st27,.st28,.st29,.st30,.st31,.st32{fill:#161616}.st28,.st29,.st30,.st31,.st32{fill:#1e1e1e}.st29,.st30,.st31,.st32{fill:#262626}.st30,.st31,.st32{fill:#2d2d2d}.st31,.st32{fill:#353535}.st32{fill:#3d3d3d}.st33,.st34,.st35,.st36,.st37,.st38,.st39,.st40,.st41{fill:#444;stroke:none;stroke-linecap:butt;stroke-width:1.75123}.st34,.st35,.st36,.st37,.st38,.st39,.st40,.st41{fill:#4c4c4c}.st35,.st36,.st37,.st38,.st39,.st40,.st41{fill:#545454}.st36,.st37,.st38,.st39,.st40,.st41{fill:#5b5b5b}.st37,.st38,.st39,.st40,.st41{fill:#636363}.st38,.st39,.st40,.st41{fill:#6b6b6b}.st39,.st40,.st41{fill:#727272}.st40,.st41{fill:#7a7a7a}.st41{fill:#828282}.st42,.st43,.st44,.st45,.st46,.st47,.st48,.st49,.st50{fill:#898989;stroke:none;stroke-linecap:butt;stroke-width:1.75123}.st43,.st44,.st45,.st46,.st47,.st48,.st49,.st50{fill:#919191}.st44,.st45,.st46,.st47,.st48,.st49,.st50{fill:#999}.st45,.st46,.st47,.st48,.st49,.st50{fill:#050505}.st46,.st47,.st48,.st49,.st50{fill:#0a0a0a}.st47,.st48,.st49,.st50{fill:#141414}.st48,.st49,.st50{fill:#191919}.st49,.st50{fill:#232323}.st50{fill:#282828}.st51,.st52,.st53,.st54,.st55,.st56,.st57,.st58,.st60{fill:#333;stroke:none;stroke-linecap:butt;stroke-width:1.75123}.st52,.st53,.st54,.st55,.st56,.st57,.st58,.st60{fill:#383838}.st53,.st54,.st55,.st56,.st57,.st58,.st60{fill:#424242}.st54,.st55,.st56,.st57,.st58,.st60{fill:#474747}.st55,.st56,.st57,.st58,.st60{fill:#515151}.st56,.st57,.st58,.st60{fill:#565656}.st57,.st58,.st60{fill:#606060}.st58,.st60{fill:#995900}.st60{fill:#a36400}.st61,.st62,.st64,.st65,.st66,.st68,.st69,.st70,.st71{fill:#a86a00;stroke:none;stroke-linecap:butt;stroke-width:1.75123}.st62,.st64,.st65,.st66,.st68,.st69,.st70,.st71{fill:#ad7000}.st64,.st65,.st66,.st68,.st69,.st70,.st71{fill:#b77b00}.st65,.st66,.st68,.st69,.st70,.st71{fill:#bc8100}.st66,.st68,.st69,.st70,.st71{fill:#c18700}.st68,.st69,.st70,.st71{fill:#cc9200}.st69,.st70,.st71{fill:#d19800}.st70,.st71{fill:#d69e00}.st71{fill:#dba300}.st72,.st73,.st74,.st75,.st76,.st77,.st78,.st79,.st80{fill:#e0a900;stroke:none;stroke-linecap:butt;stroke-width:1.75123}.st73,.st74,.st75,.st76,.st77,.st78,.st79,.st80{fill:#e5af00}.st74,.st75,.st76,.st77,.st78,.st79,.st80{fill:#eab500}.st75,.st76,.st77,.st78,.st79,.st80{fill:#efba00}.st76,.st77,.st78,.st79,.st80{fill:#f4c000}.st77,.st78,.st79,.st80{fill:#f9c600}.st78,.st79,.st80{fill:#fc0}.st79,.st80{fill:#c68c00}.st80{fill:#b27500}.st81,.st82,.st83,.st84,.st85,.st86,.st87,.st88,.st89{fill:#9e5e00;stroke:none;stroke-linecap:butt;stroke-width:1.75123}.st82,.st83,.st84,.st85,.st86,.st87,.st88,.st89{fill:#ffcc02}.st83,.st84,.st85,.st86,.st87,.st88,.st89{fill:#ffcc05}.st84,.st85,.st86,.st87,.st88,.st89{fill:#ffcc07}.st85,.st86,.st87,.st88,.st89{fill:#ffcd0a}.st86,.st87,.st88,.st89{fill:#ffcd0c}.st87,.st88,.st89{fill:#ffcd0f}.st88,.st89{fill:#ffcd11}.st89{fill:#ffce14}.st90,.st91,.st92,.st93,.st94,.st95,.st96,.st97,.st98{fill:#ffce16;stroke:none;stroke-linecap:butt;stroke-width:1.75123}.st91,.st92,.st93,.st94,.st95,.st96,.st97,.st98{fill:#ffce19}.st92,.st93,.st94,.st95,.st96,.st97,.st98{fill:#ffce1c}.st93,.st94,.st95,.st96,.st97,.st98{fill:#ffcf1e}.st94,.st95,.st96,.st97,.st98{fill:#ffcf21}.st95,.st96,.st97,.st98{fill:#ffcf23}.st96,.st97,.st98{fill:#ffcf26}.st97,.st98{fill:#ffd028}.st98{fill:#ffd02b}.st100,.st101,.st102,.st103,.st104,.st105,.st106,.st99{fill:#ffd02d;stroke:none;stroke-linecap:butt;stroke-width:1.75123}.st100,.st101,.st102,.st103,.st104,.st105,.st106{fill:#ffd030}.st101,.st102,.st103,.st104,.st105,.st106{fill:#ffd133}.st102,.st103,.st104,.st105,.st106{fill:#f9f9f9}.st103,.st104,.st105,.st106{fill:#f4f4f4}.st104,.st105,.st106{fill:#eaeaea}.st105,.st106{fill:#e5e5e5}.st106{fill:#dbdbdb}.st107,.st108,.st109,.st110,.st111,.st112,.st113,.st114{fill:#d6d6d6;stroke:none;stroke-linecap:butt;stroke-width:1.75123}.st108,.st109,.st110,.st111,.st112,.st113,.st114{fill:#ccc}.st109,.st110,.st111,.st112,.st113,.st114{fill:#c6c6c6}.st110,.st111,.st112,.st113,.st114{fill:#bcbcbc}.st111,.st112,.st113,.st114{fill:#b7b7b7}.st112,.st113,.st114{fill:#adadad}.st113,.st114{fill:#a8a8a8}.st114{fill:#9e9e9e}.st129,.st130,.st131,.st132,.st133,.st134,.st135,.st136{fill:#060606;stroke:none;stroke-linecap:butt;stroke-width:1.75123}.st130,.st131,.st132,.st133,.st134,.st135,.st136{fill:#0c0c0c}.st131,.st132,.st133,.st134,.st135,.st136{fill:#131313}.st132,.st133,.st134,.st135,.st136{fill:#1f1f1f}.st133,.st134,.st135,.st136{fill:#2c2c2c}.st134,.st135,.st136{fill:#393939}.st135,.st136{fill:#3f3f3f}.st136{fill:#464646}.st137,.st138,.st139,.st140,.st141,.st142,.st143,.st144{fill:#525252;stroke:none;stroke-linecap:butt;stroke-width:1.75123}.st138,.st139,.st140,.st141,.st142,.st143,.st144{fill:#595959}.st139,.st140,.st141,.st142,.st143,.st144{fill:#5f5f5f}.st140,.st141,.st142,.st143,.st144{fill:#6c6c6c}.st141,.st142,.st143,.st144{fill:#797979}.st142,.st143,.st144{fill:#7f7f7f}.st143,.st144{fill:#030303}.st144{fill:#0b0b0b}.st145,.st146,.st147,.st148,.st149,.st150,.st152,.st153{fill:#1a1a1a;stroke:none;stroke-linecap:butt;stroke-width:1.75123}.st146,.st147,.st148,.st149,.st150,.st152,.st153{fill:#222}.st147,.st148,.st149,.st150,.st152,.st153{fill:#2a2a2a}.st148,.st149,.st150,.st152,.st153{fill:#313131}.st149,.st150,.st152,.st153{fill:#414141}.st150,.st152,.st153{fill:#484848}.st152,.st153{fill:#111}.st153{fill:#1c1c1c}\n  "), /*#__PURE__*/React.createElement("defs", {
    id: "Patterns_And_Gradients"
  }, /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1442",
    x1: 0,
    x2: 5.962,
    y1: 113.41,
    y2: 113.41,
    gradientTransform: "scale(1.80618 .55366)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop22",
    offset: 0,
    stopColor: "#fac700",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop24",
    offset: 0.415,
    stopColor: "#f7c400",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop26",
    offset: 1,
    stopColor: "#f7c400",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1446",
    x1: 0,
    x2: 5.96,
    y1: 113.451,
    y2: 113.451,
    gradientTransform: "scale(1.80654 .55355)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop29",
    offset: 0,
    stopColor: "#f6c200",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop31",
    offset: 0.415,
    stopColor: "#efbc00",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop33",
    offset: 1,
    stopColor: "#efbc00",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1450",
    x1: 0,
    x2: 5.96,
    y1: 113.522,
    y2: 113.522,
    gradientTransform: "scale(1.80738 .55329)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop36",
    offset: 0,
    stopColor: "#f1bd00",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop38",
    offset: 0.415,
    stopColor: "#e8b500",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop40",
    offset: 1,
    stopColor: "#e8b500",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1454",
    x1: 0,
    x2: 5.948,
    y1: 113.729,
    y2: 113.729,
    gradientTransform: "scale(1.8101 .55245)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop43",
    offset: 0,
    stopColor: "#edb800",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop45",
    offset: 0.415,
    stopColor: "#e0ad00",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop47",
    offset: 1,
    stopColor: "#e0ad00",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1458",
    x1: 0,
    x2: 5.948,
    y1: 113.792,
    y2: 113.792,
    gradientTransform: "scale(1.81082 .55224)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop50",
    offset: 0,
    stopColor: "#e9b300",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop52",
    offset: 0.415,
    stopColor: "#d8a500",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop54",
    offset: 1,
    stopColor: "#d8a500",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1462",
    x1: 0,
    x2: 5.93,
    y1: 114.177,
    y2: 114.177,
    gradientTransform: "scale(1.81637 .55055)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop57",
    offset: 0,
    stopColor: "#e4ae00",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop59",
    offset: 0.415,
    stopColor: "#d19e00",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop61",
    offset: 1,
    stopColor: "#d19e00",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1466",
    x1: 0,
    x2: 5.929,
    y1: 114.21,
    y2: 114.21,
    gradientTransform: "scale(1.8166 .55048)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop64",
    offset: 0,
    stopColor: "#e0a900",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop66",
    offset: 0.415,
    stopColor: "#c99600",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop68",
    offset: 1,
    stopColor: "#c99600",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1470",
    x1: 0,
    x2: 5.92,
    y1: 114.464,
    y2: 114.464,
    gradientTransform: "scale(1.82007 .54943)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop71",
    offset: 0,
    stopColor: "#dca400",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop73",
    offset: 0.415,
    stopColor: "#c18e00",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop75",
    offset: 1,
    stopColor: "#c18e00",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1474",
    x1: 0,
    x2: 5.919,
    y1: 114.478,
    y2: 114.478,
    gradientTransform: "scale(1.82 .54945)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop78",
    offset: 0,
    stopColor: "#d79f00",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop80",
    offset: 0.415,
    stopColor: "#ba8700",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop82",
    offset: 1,
    stopColor: "#ba8700",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1478",
    x1: 0,
    x2: 5.91,
    y1: 114.713,
    y2: 114.713,
    gradientTransform: "scale(1.82344 .54841)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop85",
    offset: 0,
    stopColor: "#d39b00",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop87",
    offset: 0.415,
    stopColor: "#b27f00",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop89",
    offset: 1,
    stopColor: "#b27f00",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1482",
    x1: 0,
    x2: 5.901,
    y1: 114.899,
    y2: 114.899,
    gradientTransform: "scale(1.8264 .54752)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop92",
    offset: 0,
    stopColor: "#cf9600",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop94",
    offset: 0.415,
    stopColor: "#a70",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop96",
    offset: 1,
    stopColor: "#a70",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1486",
    x1: 0,
    x2: 5.893,
    y1: 115.107,
    y2: 115.107,
    gradientTransform: "scale(1.8297 .54653)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop99",
    offset: 0,
    stopColor: "#ca9100",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop101",
    offset: 0.415,
    stopColor: "#a37000",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop103",
    offset: 1,
    stopColor: "#a37000",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1490",
    x1: 0,
    x2: 5.892,
    y1: 115.115,
    y2: 115.115,
    gradientTransform: "scale(1.82984 .5465)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop106",
    offset: 0,
    stopColor: "#c68c00",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop108",
    offset: 0.415,
    stopColor: "#9b6800",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop110",
    offset: 1,
    stopColor: "#9b6800",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1494",
    x1: 0,
    x2: 5.882,
    y1: 115.277,
    y2: 115.277,
    gradientTransform: "scale(1.83242 .54573)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop113",
    offset: 0,
    stopColor: "#c28700",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop115",
    offset: 0.415,
    stopColor: "#936000",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop117",
    offset: 1,
    stopColor: "#936000",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1498",
    x1: 0,
    x2: 5.875,
    y1: 115.491,
    y2: 115.491,
    gradientTransform: "scale(1.83581 .54472)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop120",
    offset: 0,
    stopColor: "#bd8200",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop122",
    offset: 0.415,
    stopColor: "#8c5900",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop124",
    offset: 1,
    stopColor: "#8c5900",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1502",
    x1: 0,
    x2: 5.874,
    y1: 115.488,
    y2: 115.488,
    gradientTransform: "scale(1.83577 .54473)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop127",
    offset: 0,
    stopColor: "#b97d00",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop129",
    offset: 0.415,
    stopColor: "#845100",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop131",
    offset: 1,
    stopColor: "#845100",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1506",
    x1: 0,
    x2: 5.867,
    y1: 115.706,
    y2: 115.706,
    gradientTransform: "scale(1.83922 .5437)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop134",
    offset: 0,
    stopColor: "#b57800",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop136",
    offset: 0.415,
    stopColor: "#7c4900",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop138",
    offset: 1,
    stopColor: "#7c4900",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1510",
    x1: 0,
    x2: 5.858,
    y1: 115.885,
    y2: 115.885,
    gradientTransform: "scale(1.84208 .54286)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop141",
    offset: 0,
    stopColor: "#b07300",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop143",
    offset: 0.415,
    stopColor: "#754200",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop145",
    offset: 1,
    stopColor: "#754200",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1514",
    x1: 0,
    x2: 5.85,
    y1: 116.09,
    y2: 116.09,
    gradientTransform: "scale(1.84534 .5419)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop148",
    offset: 0,
    stopColor: "#ac6e00",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop150",
    offset: 0.415,
    stopColor: "#6d3a00",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop152",
    offset: 1,
    stopColor: "#6d3a00",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "grad0-1518",
    x1: 0,
    x2: 5.85,
    y1: 116.09,
    y2: 116.09,
    gradientTransform: "scale(1.84534 .5419)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop155",
    offset: 0,
    stopColor: "#a86a00",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop157",
    offset: 0.415,
    stopColor: "#663200",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop159",
    offset: 1,
    stopColor: "#663200",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("radialGradient", {
    id: "grad1-5",
    cx: 21.553,
    cy: 93.621,
    r: 30.174,
    fx: 21.553,
    fy: 93.621,
    gradientTransform: "scale(1.41421 .7071)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop12",
    offset: 0,
    stopColor: "#000",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop14",
    offset: 1,
    stopColor: "#000",
    stopOpacity: 1
  })), /*#__PURE__*/React.createElement("radialGradient", {
    id: "grad2-9",
    cx: 0,
    cy: 94.872,
    r: 30.577,
    fx: 0,
    fy: 94.872,
    gradientTransform: "scale(1.43311 .69778)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    id: "stop17",
    offset: 0,
    stopColor: "#000",
    stopOpacity: 1
  }), /*#__PURE__*/React.createElement("stop", {
    id: "stop19",
    offset: 1,
    stopColor: "#000",
    stopOpacity: 1
  }))), /*#__PURE__*/React.createElement("g", {
    id: "g3870",
    transform: "translate(4.5)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "group2497-1",
    transform: "translate(1.751 -1.751)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2498-2",
    transform: "translate(23.517)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path171",
    fill: "url(#grad1-5)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M30.48 58.58c0 4.2-6.82 7.62-15.24 7.62S0 62.78 0 58.58c0-4.21 6.82-7.62 15.24-7.62s15.24 3.41 15.24 7.62z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2499-6",
    transform: "translate(0 -.082)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path176",
    fill: "url(#grad2-9)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M31.3 58.58c0 4.2-7.01 7.62-15.65 7.62S0 62.78 0 58.58c0-4.21 7.01-7.62 15.65-7.62s15.65 3.41 15.65 7.62z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "group2500-10",
    transform: "translate(3.137 -2.911)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2501-11",
    transform: "translate(6.825 -.903)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path183",
    d: "M39.23 47.39c-.77 3.19-4.69 9.83-6.77 12.76-2.08 2.93-1.83 5.58-5.68 4.55-3.83-1.03-4.91-.84-8.88-.61-3.94.23-3.09-.12-5.56 1C9.89 66.2 1.64 51.61.97 48.89c-.65-2.71-.97-2.39.74-5.32 1.71-2.94 1.95-5.84 4.21-9.4 2.26-3.57 4.87-5.38 4.68-8.11-.74-10.12-1.32-15.17 3.17-17.51 4.28-2.23 7.87-.91 9.28-.14.61.32 1.85.95 2.77 2.07.93 1.08 1.76 2.73 2.23 4.82.96 4.17-.4 2.79.69 7.58 1.07 4.77 3.26 7.11 5.93 10.89 2.67 3.78 5.45 10.02 4.56 13.62z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "group2502-13",
    transform: "translate(18.265 -44.23)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2503-14"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path190",
    d: "M2.4 65.93c.7-.28.58-.32 1.05-1.34.38-.78.7-1.12.69-2.31 0-1.17-.36-1.57-.91-2.33-.53-.73-1.37-.76-1.9-.67-.3.05-.7.43-.97 1.01-.17.38-.31.88-.32 1.39-.04 1.38.08 1.91.39 2.84.38 1.1 1.29 1.68 1.97 1.41z",
    className: "st4"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2504-16",
    transform: "translate(.006 -.006)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path195",
    d: "M2.39 65.93c.7-.28.58-.32 1.05-1.33.37-.78.7-1.11.69-2.3.01-1.16-.35-1.58-.89-2.31-.54-.71-1.36-.73-1.89-.64-.31.04-.7.42-.98.97-.18.37-.32.87-.34 1.39-.03 1.37.09 1.9.4 2.83.37 1.09 1.29 1.66 1.96 1.39z",
    className: "st5"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2505-18",
    transform: "translate(.013 -.012)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path200",
    d: "M2.39 65.93c.69-.28.57-.32 1.03-1.32.37-.77.7-1.11.7-2.29.01-1.15-.34-1.59-.87-2.29-.55-.68-1.36-.7-1.87-.61-.32.04-.72.4-1 .93-.2.36-.33.86-.35 1.38-.03 1.36.1 1.89.41 2.82.36 1.09 1.28 1.65 1.95 1.38z",
    className: "st6"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2506-20",
    transform: "translate(.02 -.018)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path205",
    d: "M2.38 65.93c.69-.27.57-.31 1.03-1.31.37-.77.69-1.1.7-2.28.01-1.15-.33-1.59-.85-2.26-.56-.67-1.35-.68-1.86-.6-.33.05-.72.39-1 .9-.22.35-.36.85-.37 1.38-.03 1.35.11 1.88.41 2.8.35 1.08 1.27 1.64 1.94 1.37z",
    className: "st7"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2507-22",
    transform: "translate(.025 -.024)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path210",
    d: "M2.37 65.93c.69-.27.57-.31 1.02-1.3.37-.77.7-1.1.71-2.27.01-1.14-.32-1.6-.83-2.24-.57-.65-1.34-.65-1.85-.57-.34.04-.73.37-1.01.86-.23.34-.37.85-.38 1.37-.03 1.34.11 1.88.41 2.79.35 1.08 1.27 1.63 1.93 1.36z",
    className: "st8"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2508-24",
    transform: "translate(.032 -.03)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path215",
    d: "M2.37 65.94c.68-.28.56-.32 1.01-1.3.36-.76.69-1.09.7-2.25.03-1.14-.3-1.62-.8-2.23-.58-.63-1.33-.62-1.84-.54-.34.04-.73.35-1.02.82-.24.33-.38.84-.39 1.36-.03 1.34.12 1.88.41 2.78.34 1.07 1.27 1.62 1.93 1.36z",
    className: "st9"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2509-26",
    transform: "translate(.039 -.037)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path220",
    d: "M2.36 65.94c.68-.27.56-.32 1.01-1.3.36-.75.68-1.08.7-2.23.03-1.13-.29-1.62-.79-2.21-.58-.61-1.32-.59-1.82-.52-.35.04-.74.34-1.03.79-.26.32-.39.83-.4 1.36-.03 1.32.13 1.86.41 2.77.34 1.06 1.27 1.6 1.92 1.34z",
    className: "st10"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2510-28",
    transform: "translate(.044 -.043)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path225",
    d: "M2.35 65.94c.68-.27.56-.31 1-1.29.36-.74.69-1.07.71-2.22.03-1.12-.28-1.63-.77-2.19-.58-.59-1.31-.56-1.81-.49-.35.04-.74.32-1.04.75-.27.31-.4.82-.41 1.36-.03 1.31.13 1.85.41 2.75.33 1.06 1.27 1.59 1.91 1.33z",
    className: "st11"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2511-30",
    transform: "translate(.05 -.049)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path230",
    d: "M2.35 65.94c.66-.27.54-.31.99-1.28.35-.74.68-1.07.71-2.21.04-1.11-.27-1.64-.75-2.16-.59-.57-1.3-.54-1.8-.47-.36.04-.75.31-1.05.71-.28.3-.41.82-.42 1.35-.03 1.31.14 1.85.41 2.74.33 1.05 1.26 1.58 1.91 1.32z",
    className: "st12"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2512-32",
    transform: "translate(.057 -.055)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path235",
    d: "M2.34 65.94c.66-.26.54-.31.99-1.27.35-.74.68-1.06.71-2.2.04-1.1-.26-1.64-.73-2.14-.6-.55-1.3-.51-1.79-.45-.37.04-.75.3-1.06.68-.29.29-.42.81-.43 1.35-.03 1.29.14 1.84.41 2.72.32 1.05 1.26 1.57 1.9 1.31z",
    className: "st13"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2513-34",
    transform: "translate(.063 -.06)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path240",
    d: "M2.34 65.94c.65-.26.53-.31.97-1.26.35-.73.68-1.06.72-2.19.04-1.09-.25-1.65-.71-2.12-.61-.53-1.29-.48-1.78-.42-.37.04-.75.28-1.07.64-.3.28-.43.8-.44 1.34-.03 1.29.15 1.84.42 2.72.31 1.03 1.25 1.55 1.89 1.29z",
    className: "st14"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2514-36",
    transform: "translate(.07 -.067)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path245",
    d: "M2.33 65.95c.65-.26.53-.31.97-1.26.34-.73.67-1.05.72-2.17.04-1.09-.24-1.67-.69-2.11-.62-.51-1.28-.45-1.77-.39-.38.04-.76.26-1.08.6-.32.27-.44.8-.45 1.34-.03 1.27.16 1.82.42 2.7.31 1.03 1.25 1.54 1.88 1.29z",
    className: "st15"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2515-38",
    transform: "translate(.076 -.073)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path250",
    d: "M2.32 65.95c.65-.26.53-.31.96-1.25.35-.72.68-1.05.73-2.16.05-1.08-.23-1.68-.67-2.08-.63-.5-1.28-.43-1.75-.38-.4.04-.77.25-1.1.57-.33.26-.45.79-.46 1.33-.03 1.27.16 1.82.42 2.69.3 1.03 1.25 1.53 1.87 1.28z",
    className: "st16"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2516-40",
    transform: "translate(.082 -.079)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path255",
    d: "M2.32 65.95c.64-.26.52-.31.95-1.24.34-.72.67-1.04.72-2.15.06-1.07-.21-1.68-.64-2.06-.64-.48-1.27-.4-1.74-.35-.4.04-.78.23-1.11.53-.34.25-.46.78-.47 1.33-.03 1.25.17 1.81.42 2.67.3 1.02 1.25 1.52 1.87 1.27z",
    className: "st17"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2517-42",
    transform: "translate(.089 -.085)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path260",
    d: "M2.31 65.95c.64-.25.52-.31.94-1.23.35-.72.67-1.04.73-2.14.06-1.06-.2-1.69-.62-2.04-.65-.45-1.26-.37-1.73-.32-.41.03-.78.21-1.11.49-.36.24-.48.77-.5 1.32-.02 1.25.19 1.81.43 2.67.29 1.01 1.24 1.5 1.86 1.25z",
    className: "st18"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2518-44",
    transform: "translate(.095 -.091)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path265",
    d: "M2.3 65.95c.64-.25.52-.3.94-1.22.34-.71.67-1.03.73-2.13.07-1.05-.19-1.7-.6-2.02-.66-.43-1.25-.34-1.72-.3-.41.04-.79.21-1.12.46-.38.23-.5.77-.51 1.32-.02 1.24.19 1.79.43 2.65.29 1.01 1.24 1.49 1.85 1.24z",
    className: "st19"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2519-46",
    transform: "translate(.101 -.097)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path270",
    d: "M2.3 65.96c.63-.26.51-.31.93-1.23.33-.7.66-1.02.73-2.11.07-1.04-.18-1.7-.58-2-.67-.41-1.25-.31-1.71-.27-.42.04-.79.19-1.13.42-.39.22-.51.76-.52 1.31-.02 1.23.2 1.79.43 2.64.28 1 1.24 1.48 1.85 1.24z",
    className: "st20"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2520-48",
    transform: "translate(.107 -.103)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path275",
    d: "M2.29 65.96c.63-.25.51-.31.92-1.22.34-.69.66-1.01.74-2.09.07-1.04-.17-1.72-.56-1.98-.68-.4-1.24-.29-1.7-.25-.43.03-.8.17-1.14.39-.4.2-.52.74-.53 1.3-.02 1.22.21 1.78.44 2.62.27 1 1.23 1.47 1.83 1.23z",
    className: "st21"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2521-50",
    transform: "translate(.114 -.11)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path280",
    d: "M2.29 65.96c.62-.25.5-.31.91-1.21.33-.69.66-1.01.74-2.08.08-1.03-.16-1.73-.55-1.96-.68-.38-1.22-.26-1.68-.22-.43.03-.8.15-1.15.35-.41.19-.53.73-.54 1.29-.02 1.21.21 1.78.44 2.61.26.99 1.23 1.46 1.83 1.22z",
    className: "st22"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2522-52",
    transform: "translate(.12 -.115)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path285",
    d: "M2.28 65.96c.62-.25.49-.31.91-1.2.32-.69.65-1 .74-2.07.08-1.02-.15-1.74-.53-1.94-.69-.35-1.22-.23-1.67-.2-.44.03-.81.14-1.16.32-.42.18-.54.73-.55 1.29-.02 1.2.22 1.77.44 2.6.26.98 1.22 1.44 1.82 1.2z",
    className: "st23"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2523-54",
    transform: "translate(.126 -.122)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path290",
    d: "M2.27 65.96c.61-.24.49-.3.9-1.19.33-.68.65-1 .74-2.06.09-1.02-.13-1.74-.5-1.92-.7-.33-1.21-.2-1.66-.17-.45.03-.81.12-1.17.28-.44.17-.55.72-.56 1.28-.02 1.19.22 1.76.44 2.59.25.98 1.22 1.43 1.81 1.19z",
    className: "st24"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "shape2524-56",
    transform: "translate(18.85 -45.458)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path296",
    d: "M1.16 62.39c.35 0 .79.24 1 .55.23.32.39.76.39 1.27 0 .75-.08 1.58-.53 1.83-.14.09-.44.16-.62.16-.39 0-.43-.26-.8-.65-.13-.14-.52-.82-.52-1.38 0-.35-.08-.85.22-1.3.21-.32.48-.48.86-.48z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "group2525-58",
    transform: "translate(19.778 -46.762)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2526-59"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path303",
    d: "M.14 64.33c.13-.22.68-.12.88.32.2.44.17 1.38.03 1.43-.36.12-.25-.41-.56-.88-.32-.45-.49-.66-.35-.87z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2527-61",
    transform: "translate(.01 -.015)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path308",
    d: "M.14 64.35c.13-.21.67-.11.87.32.2.43.16 1.37.02 1.42-.35.11-.24-.41-.55-.88-.31-.44-.48-.65-.34-.86z",
    className: "st25"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2528-63",
    transform: "translate(.021 -.03)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path313",
    d: "M.13 64.37c.14-.2.67-.11.87.32.19.42.16 1.35.02 1.4-.35.11-.24-.4-.55-.87-.3-.43-.47-.64-.34-.85z",
    className: "st26"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2529-65",
    transform: "translate(.032 -.044)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path318",
    d: "M.13 64.4c.13-.21.66-.11.85.31.2.42.16 1.33.03 1.38-.35.11-.24-.4-.54-.85-.3-.44-.47-.64-.34-.84z",
    className: "st27"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2530-67",
    transform: "translate(.042 -.059)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path323",
    d: "M.13 64.42c.13-.2.65-.11.84.31.19.41.16 1.31.02 1.36-.34.11-.23-.39-.53-.84-.29-.43-.46-.63-.33-.83z",
    className: "st28"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2531-69",
    transform: "translate(.053 -.074)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path328",
    d: "M.13 64.44c.13-.2.64-.1.83.31.19.41.15 1.29.02 1.34-.34.11-.23-.38-.52-.83-.3-.42-.46-.62-.33-.82z",
    className: "st29"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2532-71",
    transform: "translate(.063 -.088)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path333",
    d: "M.13 64.47c.12-.2.63-.11.82.3.18.4.15 1.28.02 1.32-.34.11-.23-.38-.52-.82-.29-.41-.45-.61-.32-.8z",
    className: "st30"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2533-73",
    transform: "translate(.074 -.103)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path338",
    d: "M.13 64.49c.12-.19.62-.1.8.3.18.39.15 1.26.03 1.3-.33.11-.23-.37-.52-.8-.28-.41-.44-.61-.31-.8z",
    className: "st31"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2534-75",
    transform: "translate(.084 -.118)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path343",
    d: "M.12 64.51c.13-.19.62-.1.8.3.18.39.14 1.24.02 1.29-.32.1-.22-.37-.5-.8-.28-.4-.44-.59-.32-.79z",
    className: "st32"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2535-77",
    transform: "translate(.095 -.133)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path348",
    d: "M.12 64.54c.12-.19.61-.1.79.29.17.38.14 1.22.02 1.27-.32.1-.22-.37-.5-.79-.28-.4-.43-.58-.31-.77z",
    className: "st33"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2536-79",
    transform: "translate(.105 -.147)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path353",
    d: "M.12 64.56c.12-.18.6-.1.77.29.18.38.14 1.2.03 1.25-.32.1-.22-.36-.5-.78-.27-.39-.42-.57-.3-.76z",
    className: "st34"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2537-81",
    transform: "translate(.116 -.162)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path358",
    d: "M.12 64.59c.12-.19.59-.1.76.28.17.37.14 1.19.02 1.23-.31.1-.21-.35-.48-.76-.27-.39-.42-.57-.3-.75z",
    className: "st35"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2538-83",
    transform: "translate(.126 -.177)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path363",
    d: "M.12 64.61c.11-.18.58-.1.75.27.17.38.14 1.18.02 1.22-.31.1-.21-.35-.48-.75-.26-.38-.41-.56-.29-.74z",
    className: "st36"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2539-85",
    transform: "translate(.137 -.192)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path368",
    d: "M.11 64.63c.12-.17.58-.09.74.27.17.37.14 1.16.03 1.2-.31.1-.21-.34-.47-.74-.26-.37-.41-.55-.3-.73z",
    className: "st37"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2540-87",
    transform: "translate(.147 -.207)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path373",
    d: "M.11 64.66c.12-.18.57-.1.73.26.17.36.13 1.14.02 1.18-.3.1-.2-.33-.46-.72-.26-.37-.4-.55-.29-.72z",
    className: "st38"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2541-89",
    transform: "translate(.158 -.221)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path378",
    d: "M.11 64.68c.11-.17.56-.09.72.26.16.36.13 1.13.02 1.17-.29.09-.2-.34-.46-.72-.25-.37-.39-.54-.28-.71z",
    className: "st39"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2542-91",
    transform: "translate(.168 -.236)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path383",
    d: "M.11 64.7c.11-.16.55-.08.71.26.15.35.12 1.11.02 1.15-.29.09-.2-.33-.45-.71-.25-.36-.39-.53-.28-.7z",
    className: "st40"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2543-93",
    transform: "translate(.179 -.251)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path388",
    d: "M.11 64.73c.11-.17.54-.09.69.25.16.35.13 1.09.02 1.13-.28.09-.19-.32-.44-.7-.24-.35-.38-.52-.27-.68z",
    className: "st41"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2544-95",
    transform: "translate(.19 -.266)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path393",
    d: "M.11 64.75c.1-.16.53-.08.68.25.15.34.12 1.07.02 1.11-.28.09-.19-.32-.43-.68-.25-.35-.38-.51-.27-.68z",
    className: "st42"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2545-97",
    transform: "translate(.2 -.28)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path398",
    d: "M.1 64.78c.11-.17.53-.09.68.24.15.33.12 1.05.02 1.09-.28.09-.19-.31-.43-.67-.24-.34-.37-.5-.27-.66z",
    className: "st43"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2546-99",
    transform: "translate(.21 -.295)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path403",
    d: "M.1 64.8c.1-.16.51-.08.66.24.15.33.12 1.04.02 1.07-.27.09-.18-.3-.42-.66-.23-.33-.36-.49-.26-.65z",
    className: "st44"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2547-101",
    transform: "translate(24.736 -44.335)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2548-102"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path411",
    d: "M3.18 66.18c1.76-.18 2.38-.86 2.69-2.04.28-1.06.3-2.23-.49-3.6-.73-1.31-1.16-1.52-2.22-1.6C1.52 58.8.75 59.95.39 60.77c-.39.89-.31.76-.28 1.88.02 1.18.69 1.51 1.09 2.25.41.73 1.78 1.3 1.98 1.28z",
    className: "st4"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2549-104",
    transform: "translate(.017 -.007)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path416",
    d: "M3.17 66.18c1.74-.18 2.37-.87 2.68-2.04.28-1.06.29-2.22-.49-3.56-.72-1.27-1.14-1.47-2.19-1.56-1.64-.14-2.43.96-2.8 1.77-.37.86-.3.77-.28 1.88.03 1.18.7 1.5 1.11 2.23.41.73 1.77 1.3 1.97 1.28z",
    className: "st5"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2550-106",
    transform: "translate(.034 -.013)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path421",
    d: "M3.15 66.18c1.74-.18 2.38-.87 2.68-2.03.27-1.07.28-2.23-.49-3.53-.7-1.23-1.13-1.43-2.17-1.51-1.62-.14-2.44.9-2.81 1.7-.36.83-.3.78-.28 1.87.03 1.18.7 1.49 1.11 2.23.41.72 1.76 1.29 1.96 1.27z",
    className: "st6"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2551-108",
    transform: "translate(.052 -.02)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path426",
    d: "M3.13 66.18c1.74-.17 2.38-.87 2.67-2.03.27-1.07.29-2.22-.48-3.5-.69-1.18-1.11-1.38-2.14-1.46-1.62-.14-2.46.85-2.83 1.65-.35.79-.31.78-.28 1.86.03 1.18.7 1.47 1.11 2.21.41.73 1.75 1.29 1.95 1.27z",
    className: "st7"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2552-110",
    transform: "translate(.069 -.026)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path431",
    d: "M3.12 66.18c1.73-.17 2.37-.88 2.66-2.02.26-1.09.28-2.23-.48-3.47-.67-1.14-1.1-1.34-2.11-1.42-1.62-.14-2.48.8-2.85 1.59-.34.77-.31.79-.28 1.85.03 1.18.7 1.46 1.11 2.2.41.73 1.75 1.29 1.95 1.27z",
    className: "st8"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2553-112",
    transform: "translate(.086 -.033)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path436",
    d: "M3.1 66.18c1.72-.17 2.38-.88 2.65-2.02.26-1.09.29-2.23-.47-3.43-.65-1.1-1.08-1.3-2.09-1.38-1.61-.14-2.49.75-2.86 1.54-.33.73-.31.79-.28 1.84.03 1.18.71 1.45 1.11 2.19.41.73 1.74 1.28 1.94 1.26z",
    className: "st9"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2554-114",
    transform: "translate(.103 -.04)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path441",
    d: "M3.08 66.18c1.72-.16 2.38-.89 2.65-2.01.26-1.1.28-2.23-.47-3.41-.64-1.05-1.07-1.25-2.06-1.33-1.61-.13-2.51.7-2.89 1.48-.31.7-.31.8-.27 1.83.04 1.18.71 1.44 1.11 2.18.41.73 1.74 1.28 1.93 1.26z",
    className: "st10"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2555-116",
    transform: "translate(.112 -.046)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path446",
    d: "M3.08 66.18c1.7-.16 2.37-.89 2.64-2.01.25-1.1.27-2.23-.47-3.37-.62-1.01-1.06-1.21-2.03-1.28-1.61-.14-2.54.64-2.91 1.41-.3.68-.31.81-.28 1.83.05 1.18.72 1.42 1.12 2.16.41.74 1.73 1.28 1.93 1.26z",
    className: "st11"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2556-118",
    transform: "translate(.116 -.053)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path451",
    d: "M3.07 66.18c1.7-.16 2.38-.9 2.64-2 .24-1.12.27-2.23-.47-3.35-.6-.96-1.04-1.15-2-1.23-1.6-.14-2.55.59-2.93 1.36-.29.64-.31.81-.27 1.81.04 1.18.71 1.42 1.12 2.16.41.73 1.71 1.27 1.91 1.25z",
    className: "st12"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2557-120",
    transform: "translate(.12 -.06)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path456",
    d: "M3.07 66.18c1.69-.15 2.38-.9 2.62-2 .25-1.12.27-2.23-.46-3.31-.58-.92-1.02-1.11-1.97-1.19-1.6-.13-2.57.54-2.95 1.3-.28.61-.31.82-.27 1.81.04 1.17.72 1.4 1.12 2.14.41.74 1.71 1.27 1.91 1.25z",
    className: "st13"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2558-122",
    transform: "translate(.125 -.066)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path461",
    d: "M3.07 66.18c1.68-.15 2.37-.9 2.61-1.99.24-1.13.27-2.24-.45-3.28-.57-.88-1.01-1.07-1.95-1.15-1.59-.13-2.59.49-2.97 1.25-.26.57-.31.82-.27 1.79.05 1.18.72 1.39 1.13 2.13.41.74 1.7 1.27 1.9 1.25z",
    className: "st14"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2559-124",
    transform: "translate(.13 -.072)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path466",
    d: "M3.06 66.18c1.68-.15 2.38-.91 2.61-1.99.24-1.13.27-2.23-.45-3.25-.55-.83-1-1.02-1.92-1.09-1.59-.14-2.61.43-2.98 1.18-.26.55-.32.83-.28 1.79.05 1.17.73 1.37 1.13 2.11.41.75 1.69 1.27 1.89 1.25z",
    className: "st15"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2560-126",
    transform: "translate(.134 -.08)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path471",
    d: "M3.06 66.18c1.67-.14 2.38-.91 2.6-1.98.23-1.15.26-2.24-.45-3.22-.54-.79-.98-.98-1.89-1.05-1.58-.14-2.63.38-3 1.12-.25.52-.32.84-.28 1.79.06 1.17.73 1.36 1.14 2.1.41.74 1.68 1.26 1.88 1.24z",
    className: "st16"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2561-128",
    transform: "translate(.138 -.086)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path476",
    d: "M3.06 66.18c1.66-.14 2.37-.92 2.59-1.98.22-1.15.26-2.23-.44-3.19-.53-.74-.97-.93-1.87-1-1.58-.13-2.64.33-3.02 1.07-.23.48-.32.84-.28 1.77.06 1.17.74 1.35 1.14 2.09.41.75 1.68 1.26 1.88 1.24z",
    className: "st17"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2562-130",
    transform: "translate(.142 -.092)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path481",
    d: "M3.05 66.18c1.66-.14 2.38-.92 2.59-1.97.22-1.16.26-2.24-.44-3.16-.51-.7-.96-.89-1.84-.96-1.57-.13-2.66.28-3.04 1.01-.22.45-.32.85-.28 1.77.06 1.17.74 1.33 1.15 2.07.41.75 1.66 1.26 1.86 1.24z",
    className: "st18"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2563-132",
    transform: "translate(.147 -.099)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path486",
    d: "M3.05 66.18c1.65-.13 2.38-.93 2.58-1.97.21-1.16.25-2.24-.44-3.12-.49-.66-.94-.84-1.81-.92-1.57-.13-2.68.23-3.06.96-.21.42-.32.85-.27 1.75.06 1.17.74 1.33 1.14 2.07.41.75 1.66 1.25 1.86 1.23z",
    className: "st19"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2564-134",
    transform: "translate(.151 -.105)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path491",
    d: "M3.05 66.18c1.64-.13 2.38-.93 2.57-1.96.21-1.18.25-2.24-.44-3.1-.47-.61-.92-.79-1.78-.86-1.56-.14-2.7.17-3.08.89-.2.39-.32.86-.27 1.75.06 1.17.74 1.31 1.15 2.05.41.75 1.65 1.25 1.85 1.23z",
    className: "st20"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2565-136",
    transform: "translate(.155 -.112)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path496",
    d: "M3.04 66.18c1.64-.13 2.38-.93 2.57-1.96.2-1.18.25-2.24-.43-3.06-.46-.57-.91-.75-1.76-.82-1.55-.13-2.71.12-3.1.83-.18.36-.32.87-.27 1.74.07 1.17.75 1.3 1.15 2.04.41.76 1.64 1.25 1.84 1.23z",
    className: "st21"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2566-138",
    transform: "translate(.16 -.118)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path501",
    d: "M3.04 66.18c1.63-.12 2.38-.94 2.56-1.95.2-1.19.24-2.24-.43-3.04-.44-.53-.9-.7-1.73-.77-1.55-.13-2.73.07-3.12.78-.17.32-.32.87-.27 1.73.07 1.17.75 1.29 1.16 2.03.4.75 1.63 1.24 1.83 1.22z",
    className: "st22"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2567-140",
    transform: "translate(.164 -.125)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path506",
    d: "M3.03 66.18c1.63-.12 2.39-.94 2.55-1.95.2-1.19.25-2.24-.42-3-.42-.49-.88-.66-1.7-.73-1.54-.13-2.75.02-3.14.72-.16.3-.32.88-.27 1.72.08 1.17.76 1.28 1.16 2.02.41.76 1.63 1.24 1.82 1.22z",
    className: "st23"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2568-142",
    transform: "translate(.169 -.132)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path511",
    d: "M3.03 66.18c1.62-.12 2.38-.95 2.54-1.94.2-1.2.25-2.25-.42-2.97-.4-.45-.86-.62-1.67-.69-1.54-.13-2.77-.03-3.16.67-.14.26-.32.88-.27 1.71.08 1.17.76 1.26 1.16 2 .41.76 1.62 1.24 1.82 1.22z",
    className: "st24"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "shape2569-144",
    transform: "translate(26.199 -45.423)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path517",
    d: "M1.58 62.31c.88 0 1.39.79 1.57 1.79.07.46-.04.99-.32 1.35-.31.42-.88.68-1.33.68-.44 0-.93.07-1.18-.28C.06 65.48 0 64.68 0 64.1c0-.64.19-1.1.51-1.46.25-.27.7-.33 1.07-.33z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "group2570-146",
    transform: "translate(27.516 -47.567)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2571-147"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path524",
    d: "M.32 64.82c.16-.11.42 0 .73.34.33.37.48.67.08.88-.31.16-.4-.32-.59-.52-.29-.32-.54-.49-.22-.7z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2572-149",
    transform: "translate(.013 -.01)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path529",
    d: "M.31 64.84c.16-.11.42 0 .72.34.33.36.47.65.08.86-.3.16-.39-.32-.57-.51-.29-.31-.54-.48-.23-.69z",
    className: "st25"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2573-151",
    transform: "translate(.026 -.018)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path534",
    d: "M.31 64.85c.15-.1.41 0 .7.34.32.36.46.64.08.85-.29.16-.38-.31-.56-.5-.29-.31-.53-.48-.22-.69z",
    className: "st26"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2574-153",
    transform: "translate(.04 -.027)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path539",
    d: "M.3 64.87c.15-.1.4 0 .7.33.31.36.44.64.07.84-.28.16-.37-.31-.55-.5-.28-.3-.52-.46-.22-.67z",
    className: "st27"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2575-155",
    transform: "translate(.052 -.036)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path544",
    d: "M.29 64.89c.15-.1.4 0 .69.33.31.35.43.62.07.82-.28.16-.37-.3-.54-.49-.27-.29-.51-.45-.22-.66z",
    className: "st28"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2576-157",
    transform: "translate(.065 -.045)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path549",
    d: "M.29 64.91c.14-.1.39 0 .67.32.31.34.42.61.07.81-.27.16-.36-.29-.53-.48-.27-.29-.5-.45-.21-.65z",
    className: "st29"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2577-159",
    transform: "translate(.078 -.055)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path554",
    d: "M.28 64.93c.14-.1.39 0 .66.31.31.34.41.61.08.8-.27.16-.36-.29-.52-.47-.27-.29-.5-.44-.22-.64z",
    className: "st30"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2578-161",
    transform: "translate(.091 -.064)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path559",
    d: "M.27 64.95c.14-.1.38 0 .66.31.29.33.39.59.07.78-.26.16-.35-.28-.51-.46-.26-.28-.49-.43-.22-.63z",
    className: "st31"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2579-163",
    transform: "translate(.104 -.073)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path564",
    d: "M.27 64.97c.13-.1.37 0 .64.3.29.33.38.58.07.77-.26.16-.34-.28-.5-.45-.26-.28-.48-.43-.21-.62z",
    className: "st32"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2580-165",
    transform: "translate(.118 -.082)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path569",
    d: "M.26 64.98c.13-.1.37 0 .63.3.29.33.37.58.07.76-.25.16-.33-.27-.49-.45-.25-.27-.47-.41-.21-.61z",
    className: "st33"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2581-167",
    transform: "translate(.13 -.09)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path574",
    d: "M.25 65c.13-.1.36 0 .62.3.29.31.36.56.07.74-.24.16-.32-.27-.48-.44-.25-.26-.46-.4-.21-.6z",
    className: "st34"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2582-169",
    transform: "translate(.144 -.1)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path579",
    d: "M.25 65.02c.12-.1.35 0 .61.29.27.31.34.56.06.73-.23.16-.31-.26-.47-.43-.24-.26-.45-.39-.2-.59z",
    className: "st35"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2583-171",
    transform: "translate(.157 -.109)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path584",
    d: "M.24 65.04c.12-.1.35 0 .6.28.27.31.33.55.06.72-.22.16-.31-.26-.45-.42-.24-.26-.45-.39-.21-.58z",
    className: "st36"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2584-173",
    transform: "translate(.17 -.118)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path589",
    d: "M.23 65.06c.12-.1.34 0 .59.28.27.3.33.53.07.7-.23.16-.31-.25-.45-.41-.24-.25-.44-.38-.21-.57z",
    className: "st37"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2585-175",
    transform: "translate(.183 -.127)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path594",
    d: "M.23 65.08c.11-.1.33 0 .57.27.27.3.32.53.07.69-.22.16-.3-.25-.44-.41-.23-.24-.43-.36-.2-.55z",
    className: "st38"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2586-177",
    transform: "translate(.196 -.136)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path599",
    d: "M.22 65.1c.11-.1.33 0 .57.26.25.29.3.52.06.68-.21.16-.29-.24-.43-.4-.22-.24-.42-.36-.2-.54z",
    className: "st39"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2587-179",
    transform: "translate(.21 -.145)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path604",
    d: "M.21 65.11c.11-.09.33 0 .56.27.25.28.29.5.06.67-.2.15-.28-.25-.42-.4-.22-.23-.41-.35-.2-.54z",
    className: "st40"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2588-181",
    transform: "translate(.222 -.154)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path609",
    d: "M.21 65.13c.1-.09.31 0 .54.26.25.28.28.5.06.66-.2.15-.27-.24-.4-.39-.22-.23-.41-.34-.2-.53z",
    className: "st41"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2589-183",
    transform: "translate(.235 -.163)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path614",
    d: "M.2 65.15c.1-.09.31 0 .53.25.25.28.27.49.06.65-.19.15-.26-.24-.39-.38-.22-.23-.4-.34-.2-.52z",
    className: "st42"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2590-185",
    transform: "translate(.248 -.172)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path619",
    d: "M.19 65.17c.1-.09.31 0 .53.25.23.27.25.47.05.63-.18.15-.26-.23-.38-.37-.21-.22-.39-.33-.2-.51z",
    className: "st43"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2591-187",
    transform: "translate(.261 -.181)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path624",
    d: "M.19 65.19c.09-.09.29 0 .51.24.23.26.24.47.06.62-.18.15-.26-.23-.38-.37-.2-.21-.38-.31-.19-.49z",
    className: "st44"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2592-189",
    transform: "translate(22.914 -47.402)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2593-190"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path632",
    d: "M.52 65.18c.27-.11.49-.12.91.16.52.34.28.86-.12.75-.35-.09-.4-.11-.72-.17-.5-.11-.59-.54-.07-.74z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2594-192",
    transform: "translate(.02 -.019)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path637",
    d: "M.51 65.22c.27-.11.48-.11.9.16.5.33.27.82-.13.71-.35-.08-.38-.1-.7-.17-.49-.1-.58-.51-.07-.7z",
    className: "st45"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2595-194",
    transform: "translate(.041 -.038)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path642",
    d: "M.5 65.26c.26-.1.47-.11.89.16.48.31.26.78-.14.68-.34-.09-.37-.11-.68-.17-.48-.1-.57-.49-.07-.67z",
    className: "st46"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2596-196",
    transform: "translate(.061 -.057)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path647",
    d: "M.49 65.29c.26-.09.47-.09.88.17.46.3.25.74-.14.64-.34-.09-.36-.1-.66-.16-.49-.1-.57-.47-.08-.65z",
    className: "st26"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2597-198",
    transform: "translate(.082 -.076)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path652",
    d: "M.48 65.33c.25-.09.46-.09.86.17.45.28.25.7-.14.6-.34-.08-.35-.09-.64-.15-.48-.1-.56-.45-.08-.62z",
    className: "st47"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2598-200",
    transform: "translate(.102 -.095)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path657",
    d: "M.47 65.37c.25-.08.46-.08.85.16.44.28.24.67-.14.57-.34-.08-.34-.09-.63-.15-.47-.09-.55-.41-.08-.58z",
    className: "st48"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2599-202",
    transform: "translate(.123 -.114)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path662",
    d: "M.46 65.41c.24-.08.45-.08.84.16.42.26.23.63-.15.53-.34-.08-.32-.08-.61-.14-.46-.09-.54-.39-.08-.55z",
    className: "st28"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2600-204",
    transform: "translate(.143 -.133)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path667",
    d: "M.45 65.45c.23-.07.44-.07.83.16.4.25.22.59-.16.5-.33-.08-.31-.09-.59-.14-.45-.09-.53-.37-.08-.52z",
    className: "st49"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2601-206",
    transform: "translate(.163 -.152)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path672",
    d: "M.44 65.49c.23-.07.44-.07.82.16.38.23.21.55-.16.46-.33-.08-.3-.08-.58-.13-.44-.09-.52-.35-.08-.49z",
    className: "st50"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2602-208",
    transform: "translate(.184 -.17)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path677",
    d: "M.43 65.53c.22-.07.43-.06.81.16.36.22.2.51-.17.42-.33-.08-.29-.07-.56-.13-.43-.08-.51-.32-.08-.45z",
    className: "st30"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2603-210",
    transform: "translate(.204 -.19)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path682",
    d: "M.42 65.57c.22-.06.43-.05.79.15.36.21.2.48-.16.39-.33-.07-.28-.07-.55-.12-.42-.08-.5-.3-.08-.42z",
    className: "st51"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2604-212",
    transform: "translate(.225 -.209)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path687",
    d: "M.41 65.61c.21-.06.42-.05.78.15.34.2.19.44-.17.35-.33-.07-.26-.06-.52-.11-.43-.08-.5-.27-.09-.39z",
    className: "st52"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2605-214",
    transform: "translate(.245 -.228)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path692",
    d: "M.4 65.65c.21-.06.41-.04.77.15.32.18.18.4-.18.32-.32-.08-.25-.07-.5-.11-.42-.08-.49-.25-.09-.36z",
    className: "st32"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2606-216",
    transform: "translate(.266 -.247)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path697",
    d: "M.39 65.69c.2-.05.41-.04.76.15.3.17.17.36-.18.28-.32-.07-.24-.06-.49-.11-.41-.07-.48-.22-.09-.32z",
    className: "st53"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2607-218",
    transform: "translate(.286 -.266)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path702",
    d: "M.38 65.73c.2-.05.4-.03.75.14.28.16.16.33-.19.25-.32-.07-.23-.05-.47-.1-.4-.07-.47-.2-.09-.29z",
    className: "st54"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2608-220",
    transform: "translate(.307 -.284)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path707",
    d: "M.37 65.77c.19-.05.4-.03.73.14.27.15.16.29-.18.21-.32-.07-.22-.05-.46-.09-.39-.07-.46-.18-.09-.26z",
    className: "st34"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2609-222",
    transform: "translate(.327 -.303)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path712",
    d: "M.36 65.81c.19-.04.39-.02.72.14.26.13.15.25-.19.17-.31-.06-.21-.04-.44-.08-.38-.07-.45-.15-.09-.23z",
    className: "st55"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2610-224",
    transform: "translate(.347 -.322)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path717",
    d: "M.35 65.85c.18-.04.38-.02.71.14.24.12.14.21-.2.14-.31-.07-.19-.04-.42-.09-.37-.06-.44-.12-.09-.19z",
    className: "st56"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2611-226",
    transform: "translate(.368 -.341)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path722",
    d: "M.34 65.89c.17-.03.38-.01.7.14.22.1.13.17-.2.1-.31-.07-.19-.04-.41-.08-.37-.06-.43-.1-.09-.16z",
    className: "st36"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2612-228",
    transform: "translate(.388 -.36)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path727",
    d: "M.33 65.93c.17-.03.37-.01.69.13.2.1.12.14-.21.07-.31-.06-.17-.03-.38-.07-.37-.06-.43-.08-.1-.13z",
    className: "st57"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2613-230",
    transform: "translate(.409 -.38)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path732",
    d: "M.32 65.97c.16-.03.37 0 .68.13.18.08.11.1-.21.03-.31-.06-.16-.03-.37-.06-.36-.06-.42-.06-.1-.1z",
    className: "st4"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2614-232",
    transform: "translate(11.818 -5.347)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2615-233"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path740",
    d: "M10.72 32.6c-1.52.06-3.93-4.2-3.99-2.43-.05 1.5.03 1.47.03 2.92 0 .98-.44 1.05-1.4 2.51-.49.77-.88 1.6-1.18 2.44-.19.51-.37 1.03-.51 1.55-.05.26-.16.52-.22.78-.48 1.77-2.19 3.95-2.58 5.71-.4 1.76-.87 2.88-.81 5.23.06 2.35.08 1.68.79 2.26.71.59 1.43 1.14 2.54 2.12 1.17 1.02 3.61 2.8 3.93 3.35.36.56.34 1.82.13 2.23-.21.4-2.04.62-2.03.62-.01 0 1.6 2.22 1.92 2.54.3.3 1.61 1.77 6.95.77 3-.56 5.33-2.24 7.02-3.87 2.17-2.12 1.07-2.73 1.35-3.79.41-1.54 1.75-2.11 2.05-3.84.04-.25.12-.43.34-.8.34-.51.26-1.53.26-2.46 0-2.44-.28-4.92-.84-6.74-.52-1.71-1.34-2.91-2.04-4.45-1.4-3.08-1.33-4.46-2.58-6.42-1.43-2.27-.73-3.78-2.63-3.69-2.36.13-4.27 3.37-6.5 3.46z",
    className: "st4"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2616-235",
    transform: "translate(.01 -.015)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path745",
    d: "M10.71 32.79c-1.51.06-3.86-4.14-3.94-2.46-.05 1.42.01 1.41 0 2.8-.02.95-.48 1.08-1.42 2.52-.49.77-.85 1.59-1.13 2.41-.16.53-.26 1.05-.4 1.55-.07.27-.24.52-.35.82-.53 1.75-2.2 3.93-2.6 5.67-.4 1.76-.87 2.88-.8 5.22.06 2.28.06 1.66.77 2.25.7.59 1.44 1.15 2.55 2.13 1.16 1.01 3.61 2.8 3.94 3.34.35.56.34 1.84.13 2.25-.2.4-2.04.63-2.03.63-.01 0 1.6 2.2 1.91 2.52.31.3 1.61 1.76 6.94.76 3.01-.56 5.38-2.23 7-3.87 2.08-2.08.99-2.73 1.27-3.79.41-1.53 1.83-2.1 2.14-3.83.03-.25.12-.43.34-.8.34-.52.25-1.53.26-2.46.01-2.45-.28-4.92-.84-6.74-.52-1.7-1.33-2.89-2.04-4.43-1.4-3.08-1.33-4.46-2.58-6.42-1.4-2.21-.75-3.67-2.61-3.57-2.33.13-4.28 3.41-6.51 3.5z",
    className: "st5"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2617-237",
    transform: "translate(.019 -.03)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path750",
    d: "M10.69 32.99c-1.49.05-3.78-4.09-3.89-2.5-.05 1.34 0 1.34-.02 2.68-.05.93-.52 1.11-1.43 2.52-.49.78-.84 1.59-1.09 2.39-.13.56-.15 1.06-.29 1.56-.08.27-.32.51-.49.85-.58 1.74-2.21 3.92-2.6 5.63-.4 1.76-.88 2.87-.81 5.21.06 2.2.05 1.64.76 2.24.69.59 1.45 1.16 2.55 2.14 1.17 1.01 3.63 2.8 3.95 3.34.35.56.35 1.86.15 2.26-.21.39-2.05.64-2.03.64-.02 0 1.58 2.19 1.9 2.5.3.3 1.6 1.75 6.92.76 3.01-.56 5.43-2.23 6.98-3.88 1.98-2.03.91-2.73 1.19-3.78.4-1.53 1.92-2.11 2.22-3.84.04-.24.13-.43.35-.79.34-.52.25-1.53.26-2.46.02-2.45-.28-4.91-.84-6.73-.51-1.7-1.33-2.89-2.03-4.43-1.4-3.07-1.34-4.45-2.59-6.4-1.37-2.16-.77-3.56-2.59-3.47-2.31.14-4.3 3.47-6.53 3.56z",
    className: "st6"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2618-239",
    transform: "translate(.029 -.046)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path755",
    d: "M10.68 33.18c-1.48.05-3.71-4.04-3.84-2.54-.06 1.28-.02 1.29-.05 2.56-.08.92-.55 1.16-1.45 2.54-.49.78-.82 1.58-1.04 2.37-.1.57-.04 1.07-.18 1.55-.09.29-.41.5-.62.89-.63 1.72-2.23 3.9-2.61 5.58C.48 47.89 0 49 .08 51.34c.06 2.13.03 1.62.74 2.22.68.6 1.45 1.18 2.56 2.16 1.16 1.01 3.63 2.8 3.95 3.34.35.56.36 1.87.16 2.27-.21.39-2.04.65-2.03.65-.01 0 1.58 2.17 1.89 2.48.31.3 1.6 1.74 6.91.75 3.02-.56 5.48-2.21 6.96-3.88 1.88-1.99.83-2.73 1.1-3.78.41-1.52 2.01-2.1 2.31-3.83.04-.24.14-.43.36-.78.34-.54.24-1.55.25-2.47.03-2.46-.27-4.91-.83-6.72-.51-1.7-1.33-2.88-2.03-4.42-1.39-3.06-1.34-4.45-2.59-6.4-1.33-2.1-.8-3.45-2.57-3.35-2.28.15-4.31 3.51-6.54 3.6z",
    className: "st7"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2619-241",
    transform: "translate(.038 -.061)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path760",
    d: "M10.67 33.37c-1.47.05-3.64-3.98-3.79-2.57-.06 1.2-.04 1.22-.09 2.44-.09.9-.58 1.19-1.46 2.55a8.87 8.87 0 00-1 2.34c-.06.6.08 1.08-.07 1.55-.09.3-.48.5-.75.93-.67 1.71-2.24 3.89-2.62 5.54-.41 1.76-.89 2.87-.8 5.2.06 2.05.01 1.6.72 2.21.67.6 1.46 1.19 2.56 2.16 1.16 1.01 3.64 2.81 3.96 3.35.35.55.37 1.88.17 2.28-.21.39-2.04.66-2.03.66-.01 0 1.58 2.15 1.89 2.46.3.3 1.59 1.73 6.89.74 3.02-.56 5.53-2.2 6.94-3.89 1.79-1.94.74-2.72 1.02-3.76.4-1.53 2.1-2.11 2.4-3.83.03-.24.14-.43.35-.78.35-.54.25-1.55.26-2.47.04-2.47-.26-4.91-.83-6.71-.51-1.69-1.33-2.88-2.02-4.41-1.4-3.06-1.35-4.45-2.6-6.39-1.3-2.04-.82-3.35-2.55-3.24-2.25.15-4.33 3.55-6.55 3.64z",
    className: "st8"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2620-243",
    transform: "translate(.048 -.077)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path765",
    d: "M10.66 33.56c-1.46.05-3.57-3.93-3.74-2.6-.07 1.13-.06 1.16-.12 2.32-.12.88-.62 1.22-1.47 2.56-.48.78-.78 1.56-.96 2.31-.03.63.19 1.1.04 1.56-.1.3-.56.48-.89.96-.72 1.69-2.25 3.88-2.62 5.5-.41 1.76-.9 2.86-.8 5.19.06 1.97-.01 1.58.69 2.2.68.6 1.48 1.2 2.57 2.17 1.16 1.01 3.66 2.81 3.98 3.35.34.55.37 1.89.17 2.29-.2.39-2.03.67-2.02.67-.01 0 1.56 2.13 1.88 2.44.3.3 1.58 1.72 6.87.73 3.03-.56 5.58-2.18 6.92-3.89 1.69-1.9.66-2.72.93-3.76.41-1.52 2.19-2.11 2.49-3.83.04-.24.15-.42.36-.77.35-.55.24-1.55.26-2.47.05-2.47-.26-4.91-.82-6.71-.52-1.68-1.33-2.87-2.03-4.4-1.39-3.05-1.34-4.44-2.6-6.38-1.27-1.98-.84-3.23-2.53-3.12-2.23.15-4.35 3.59-6.56 3.68z",
    className: "st9"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2621-245",
    transform: "translate(.057 -.092)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path770",
    d: "M10.64 33.75c-1.44.05-3.49-3.87-3.68-2.63-.08 1.05-.08 1.09-.15 2.19-.15.87-.66 1.27-1.49 2.58-.48.78-.75 1.55-.91 2.28-.01.65.3 1.11.15 1.56-.11.32-.64.48-1.02 1-.77 1.68-2.27 3.86-2.63 5.46-.42 1.76-.91 2.86-.8 5.18.06 1.9-.03 1.56.67 2.19.67.6 1.48 1.21 2.58 2.18 1.15 1 3.66 2.81 3.98 3.34.34.55.38 1.91.18 2.31-.2.39-2.03.68-2.02.68-.01 0 1.56 2.11 1.87 2.42.3.3 1.58 1.71 6.86.73 3.03-.56 5.62-2.18 6.91-3.9 1.58-1.85.57-2.72.84-3.76.4-1.51 2.28-2.1 2.58-3.82.03-.24.15-.42.36-.77.35-.55.24-1.55.26-2.47.06-2.48-.26-4.9-.82-6.7-.52-1.68-1.33-2.86-2.02-4.39-1.39-3.05-1.35-4.44-2.61-6.37-1.23-1.93-.86-3.13-2.51-3.02-2.2.17-4.36 3.65-6.58 3.73z",
    className: "st10"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2622-247",
    transform: "translate(.067 -.107)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path775",
    d: "M10.63 33.94c-1.43.05-3.42-3.81-3.64-2.66-.07.97-.09 1.02-.17 2.07-.17.85-.69 1.3-1.5 2.59-.48.78-.74 1.54-.87 2.25.02.68.4 1.12.26 1.57-.13.32-.72.46-1.16 1.03-.82 1.66-2.27 3.85-2.64 5.41-.41 1.77-.91 2.86-.8 5.18.07 1.82-.04 1.54.66 2.17.66.61 1.49 1.23 2.58 2.2 1.15 1 3.68 2.81 3.99 3.34.34.55.39 1.93.19 2.32-.2.39-2.02.69-2.01.69-.01 0 1.54 2.09 1.86 2.4.3.3 1.57 1.7 6.85.72 3.03-.56 5.66-2.17 6.88-3.9 1.49-1.81.49-2.72.76-3.75.4-1.52 2.36-2.11 2.66-3.82.04-.24.16-.42.37-.77.35-.56.23-1.55.25-2.47.08-2.49-.25-4.9-.81-6.69-.52-1.68-1.33-2.86-2.02-4.38-1.39-3.05-1.35-4.44-2.61-6.37-1.2-1.86-.88-3.01-2.49-2.9-2.17.17-4.38 3.69-6.59 3.77z",
    className: "st11"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2623-249",
    transform: "translate(.077 -.122)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path780",
    d: "M10.62 34.14c-1.42.04-3.35-3.77-3.59-2.7-.08.9-.11.96-.2 1.94-.2.84-.73 1.34-1.52 2.6-.48.79-.71 1.54-.82 2.23.05.7.51 1.14.36 1.57-.13.33-.8.46-1.28 1.07-.87 1.64-2.29 3.83-2.65 5.37-.42 1.77-.92 2.86-.8 5.17.07 1.74-.06 1.52.64 2.16.65.61 1.5 1.25 2.59 2.21 1.15 1 3.68 2.81 3.99 3.34.34.55.4 1.94.2 2.33-.19.38-2.02.69-2.01.69-.01 0 1.54 2.08 1.85 2.39.3.3 1.57 1.69 6.84.71 3.03-.56 5.71-2.15 6.86-3.9 1.39-1.77.4-2.73.67-3.75.4-1.51 2.46-2.1 2.76-3.82.03-.23.16-.41.37-.76.35-.56.23-1.56.25-2.46.09-2.5-.25-4.91-.81-6.69-.52-1.67-1.33-2.85-2.02-4.38-1.38-3.04-1.35-4.43-2.61-6.35-1.17-1.81-.9-2.91-2.47-2.79-2.14.17-4.4 3.73-6.6 3.82z",
    className: "st12"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2624-251",
    transform: "translate(.086 -.138)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path785",
    d: "M10.61 34.33c-1.41.05-3.28-3.71-3.54-2.73-.09.82-.13.89-.24 1.82-.22.82-.76 1.38-1.53 2.61-.47.79-.69 1.53-.77 2.2.08.73.62 1.15.47 1.57-.14.34-.88.45-1.42 1.11-.92 1.63-2.3 3.82-2.65 5.33C.5 48.01 0 49.09.13 51.4c.07 1.67-.08 1.5.62 2.15.64.61 1.5 1.26 2.59 2.22 1.15.99 3.69 2.81 4.01 3.34.33.54.4 1.95.2 2.34-.19.38-2.02.7-2 .7-.02 0 1.53 2.06 1.84 2.37.3.3 1.56 1.68 6.82.7 3.04-.56 5.76-2.14 6.84-3.9 1.29-1.73.32-2.73.59-3.74.4-1.51 2.54-2.11 2.84-3.82.03-.24.17-.42.38-.76.35-.57.22-1.56.25-2.46.1-2.51-.25-4.91-.81-6.69-.52-1.66-1.32-2.84-2.01-4.36-1.38-3.04-1.36-4.44-2.62-6.35-1.14-1.75-.92-2.79-2.45-2.67-2.12.17-4.41 3.78-6.61 3.86z",
    className: "st13"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2625-253",
    transform: "translate(.095 -.153)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path790",
    d: "M10.59 34.52c-1.39.05-3.2-3.65-3.48-2.77-.09.75-.15.84-.27 1.71-.24.79-.8 1.41-1.54 2.62-.48.79-.67 1.52-.73 2.17.11.75.73 1.17.58 1.58-.15.35-.96.44-1.55 1.13-.97 1.62-2.32 3.81-2.67 5.29-.42 1.78-.93 2.86-.79 5.16.07 1.59-.1 1.48.59 2.13.65.62 1.52 1.28 2.61 2.24 1.14.99 3.7 2.81 4.01 3.34.33.54.41 1.96.21 2.35-.19.38-2.01.71-2 .71-.01 0 1.52 2.04 1.84 2.35.3.3 1.55 1.67 6.8.7 3.04-.56 5.81-2.13 6.82-3.91 1.2-1.68.24-2.73.5-3.74.4-1.5 2.64-2.1 2.93-3.81.04-.24.18-.42.38-.76.36-.57.22-1.56.26-2.46.11-2.52-.24-4.91-.8-6.68-.52-1.66-1.33-2.84-2.02-4.35-1.38-3.03-1.35-4.44-2.62-6.34-1.1-1.69-.95-2.69-2.43-2.57-2.09.19-4.43 3.83-6.63 3.91z",
    className: "st14"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2626-255",
    transform: "translate(.105 -.168)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path795",
    d: "M10.58 34.71c-1.38.05-3.13-3.6-3.43-2.8-.1.68-.18.77-.3 1.58-.27.78-.83 1.45-1.56 2.64-.47.79-.65 1.51-.68 2.14.14.78.84 1.18.69 1.58-.16.36-1.04.43-1.69 1.17-1.01 1.61-2.33 3.8-2.67 5.25-.43 1.77-.94 2.85-.79 5.15.07 1.51-.12 1.46.57 2.12.64.62 1.53 1.29 2.61 2.24 1.14.99 3.71 2.82 4.02 3.34.34.55.42 1.98.22 2.37-.19.38-2.01.72-2 .72-.01 0 1.52 2.02 1.83 2.33.3.3 1.55 1.66 6.79.69 3.04-.56 5.86-2.12 6.8-3.92 1.1-1.63.16-2.72.42-3.72.4-1.51 2.72-2.11 3.02-3.81.03-.24.18-.42.38-.76.36-.58.22-1.56.26-2.46.11-2.52-.24-4.9-.8-6.67-.52-1.66-1.33-2.83-2.01-4.35-1.38-3.02-1.36-4.43-2.63-6.33-1.07-1.63-.97-2.57-2.41-2.45-2.06.19-4.44 3.87-6.64 3.95z",
    className: "st15"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2627-257",
    transform: "translate(.115 -.183)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path800",
    d: "M10.57 34.9c-1.37.05-3.06-3.54-3.39-2.83-.1.6-.19.71-.32 1.46-.3.76-.87 1.49-1.58 2.65-.47.79-.63 1.5-.63 2.11.17.81.95 1.19.79 1.58-.16.37-1.11.43-1.81 1.21-1.07 1.59-2.35 3.79-2.68 5.21-.43 1.77-.95 2.84-.8 5.14.07 1.44-.13 1.45.56 2.11.63.62 1.53 1.3 2.61 2.25 1.14.99 3.73 2.82 4.03 3.34.34.54.43 2 .23 2.38-.18.38-2 .73-1.99.73-.01 0 1.51 2 1.82 2.31.3.3 1.54 1.65 6.77.68 3.05-.56 5.91-2.11 6.78-3.92 1.01-1.59.07-2.72.34-3.72.39-1.5 2.81-2.1 3.1-3.81.04-.23.19-.41.39-.75.36-.58.21-1.57.25-2.46.13-2.53-.23-4.9-.79-6.66-.52-1.66-1.33-2.83-2.01-4.34-1.37-3.02-1.36-4.43-2.63-6.32-1.04-1.58-.99-2.47-2.39-2.34-2.04.19-4.46 3.91-6.65 3.99z",
    className: "st16"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2628-259",
    transform: "translate(.124 -.199)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path805",
    d: "M10.56 35.09c-1.36.05-2.99-3.49-3.34-2.86-.1.52-.21.64-.36 1.33-.31.75-.9 1.53-1.58 2.66-.47.8-.61 1.5-.59 2.09.2.83 1.05 1.21.9 1.59-.17.38-1.2.41-1.95 1.24-1.11 1.58-2.35 3.77-2.69 5.17-.43 1.77-.95 2.84-.79 5.13.07 1.36-.15 1.43.54 2.1.62.62 1.54 1.31 2.62 2.26 1.13.99 3.73 2.82 4.04 3.34.33.54.43 2.01.23 2.39-.18.37-2 .74-1.99.74-.01 0 1.5 1.98 1.81 2.29.3.3 1.54 1.64 6.76.67 3.05-.55 5.95-2.09 6.77-3.92.9-1.55-.02-2.72.24-3.71.4-1.5 2.91-2.11 3.2-3.81.03-.24.19-.41.39-.75.36-.59.21-1.57.25-2.46.14-2.54-.23-4.9-.79-6.65-.52-1.65-1.32-2.83-2.01-4.34-1.37-3.01-1.36-4.42-2.62-6.3-1.01-1.52-1.02-2.36-2.38-2.23-2.01.2-4.47 3.96-6.66 4.03z",
    className: "st17"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2629-261",
    transform: "translate(.134 -.214)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path810",
    d: "M10.54 35.29c-1.34.04-2.91-3.44-3.28-2.9-.11.45-.23.58-.39 1.21-.34.73-.94 1.56-1.6 2.67-.46.8-.59 1.49-.54 2.06.23.86 1.16 1.22 1.01 1.59-.19.39-1.28.41-2.08 1.28-1.17 1.56-2.37 3.76-2.7 5.12C.52 48.1 0 49.16.17 51.45c.07 1.28-.17 1.41.52 2.08.61.63 1.55 1.33 2.62 2.28 1.13.98 3.74 2.82 4.05 3.34.33.53.44 2.02.25 2.4-.19.37-2 .75-1.99.75-.01 0 1.49 1.96 1.8 2.28.3.29 1.53 1.62 6.75.66 3.05-.56 5.99-2.09 6.74-3.93.8-1.5-.1-2.72.16-3.71.39-1.5 2.99-2.11 3.28-3.8.04-.24.2-.41.4-.75.35-.6.2-1.57.25-2.46.15-2.54-.23-4.9-.79-6.65-.52-1.64-1.32-2.81-2-4.32-1.37-3.01-1.37-4.42-2.63-6.3-.98-1.46-1.04-2.25-2.36-2.12-1.98.21-4.49 4.01-6.68 4.09z",
    className: "st18"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2630-263",
    transform: "translate(.136 -.23)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path815",
    d: "M10.54 35.48c-1.33.04-2.84-3.38-3.23-2.93-.12.37-.25.51-.42 1.09-.37.71-.97 1.6-1.62 2.68-.46.8-.57 1.48-.5 2.03.26.88 1.28 1.24 1.12 1.6-.19.39-1.35.39-2.21 1.31C2.47 42.8 1.3 45 .98 46.34c-.45 1.78-.97 2.84-.8 5.12.08 1.21-.18 1.39.5 2.07.61.63 1.56 1.34 2.63 2.29 1.13.98 3.76 2.82 4.06 3.34.33.53.44 2.03.25 2.41-.18.37-1.99.76-1.98.76-.01 0 1.48 1.95 1.79 2.26.3.29 1.53 1.61 6.73.65 3.06-.56 6.05-2.07 6.73-3.93.7-1.46-.19-2.72.07-3.71.39-1.49 3.08-2.1 3.37-3.8.04-.23.2-.4.4-.74.36-.6.2-1.57.26-2.46.16-2.55-.23-4.89-.79-6.64-.52-1.64-1.32-2.81-2-4.31-1.37-3.01-1.37-4.42-2.63-6.29-.95-1.41-1.07-2.14-2.34-2.01-1.96.21-4.51 4.05-6.69 4.13z",
    className: "st19"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2631-265",
    transform: "translate(.135 -.245)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path820",
    d: "M10.54 35.67c-1.32.04-2.77-3.33-3.19-2.96-.11.3-.26.45-.44.96-.4.7-1.01 1.64-1.63 2.7-.47.8-.55 1.47-.46 2 .29.91 1.39 1.25 1.23 1.6-.2.41-1.43.39-2.35 1.35-1.26 1.53-2.39 3.73-2.71 5.04-.44 1.78-.97 2.83-.79 5.11.08 1.13-.2 1.37.48 2.06.6.63 1.57 1.35 2.64 2.3 1.12.98 3.76 2.82 4.06 3.33.33.54.45 2.05.26 2.43-.17.37-1.99.77-1.98.77-.01 0 1.48 1.93 1.79 2.24.3.29 1.52 1.6 6.71.64 3.06-.56 6.1-2.06 6.71-3.93.61-1.42-.27-2.72-.01-3.7.39-1.49 3.17-2.11 3.46-3.8.03-.23.2-.41.4-.74.36-.61.2-1.57.25-2.45.18-2.57-.22-4.9-.78-6.64-.52-1.64-1.32-2.8-2-4.3-1.36-3.01-1.36-4.42-2.63-6.29-.92-1.34-1.09-2.03-2.32-1.89-1.93.22-4.53 4.1-6.7 4.17z",
    className: "st20"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2632-267",
    transform: "translate(.135 -.26)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path825",
    d: "M10.53 35.86c-1.3.04-2.69-3.27-3.13-3-.12.23-.28.39-.48.85-.41.68-1.04 1.67-1.64 2.71-.46.8-.53 1.46-.41 1.97.32.94 1.5 1.27 1.34 1.6-.21.42-1.52.38-2.48 1.39-1.31 1.51-2.41 3.72-2.72 5-.45 1.78-.98 2.83-.79 5.1.08 1.05-.22 1.35.46 2.05.6.63 1.58 1.37 2.64 2.31 1.13.97 3.77 2.82 4.07 3.33.33.53.46 2.07.28 2.44-.18.37-1.99.78-1.98.78-.01 0 1.47 1.91 1.77 2.22.3.29 1.52 1.59 6.71.63 3.06-.55 6.14-2.04 6.68-3.93.51-1.38-.35-2.72-.1-3.7.39-1.48 3.26-2.1 3.55-3.79.04-.23.21-.41.41-.74.36-.61.19-1.58.25-2.45.19-2.57-.22-4.9-.77-6.63-.53-1.63-1.33-2.8-2-4.3-1.36-2.99-1.37-4.41-2.64-6.27-.89-1.29-1.11-1.92-2.3-1.78-1.9.22-4.54 4.14-6.72 4.21z",
    className: "st21"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2633-269",
    transform: "translate(.135 -.275)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path830",
    d: "M10.53 36.05c-1.29.04-2.62-3.21-3.08-3.03-.13.15-.3.32-.51.73-.44.66-1.08 1.71-1.66 2.71-.45.81-.5 1.46-.36 1.95.35.96 1.6 1.28 1.45 1.61-.22.42-1.6.37-2.62 1.42-1.36 1.5-2.42 3.7-2.72 4.95-.45 1.79-.99 2.83-.79 5.1.08.98-.24 1.33.44 2.03.59.64 1.58 1.39 2.65 2.33 1.12.97 3.78 2.82 4.08 3.33.32.53.46 2.08.28 2.45-.18.36-1.99.79-1.98.79-.01 0 1.46 1.89 1.77 2.2.3.29 1.51 1.58 6.69.63 3.06-.56 6.18-2.04 6.66-3.94.41-1.33-.43-2.73-.18-3.69.39-1.49 3.35-2.11 3.63-3.8.04-.23.22-.4.42-.73.36-.62.19-1.58.25-2.45.19-2.58-.21-4.9-.77-6.63-.52-1.62-1.32-2.79-2-4.28-1.36-2.99-1.37-4.41-2.64-6.27-.85-1.23-1.13-1.81-2.28-1.67-1.88.23-4.56 4.19-6.73 4.26z",
    className: "st22"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2634-271",
    transform: "translate(.135 -.29)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path835",
    d: "M10.53 36.24c-1.28.04-2.55-3.16-3.03-3.06-.13.08-.33.26-.54.6-.47.64-1.12 1.75-1.67 2.73-.46.81-.49 1.45-.32 1.92.38.99 1.71 1.29 1.55 1.61-.23.44-1.67.36-2.74 1.46-1.41 1.48-2.44 3.69-2.74 4.91-.45 1.79-.99 2.83-.78 5.1.07.89-.26 1.3.41 2.01.59.64 1.6 1.4 2.66 2.33 1.12.97 3.79 2.83 4.09 3.34.32.52.47 2.09.29 2.46-.18.36-1.99.8-1.98.8-.01 0 1.46 1.87 1.77 2.18.29.29 1.5 1.57 6.67.62 3.07-.56 6.23-2.03 6.64-3.95.32-1.28-.52-2.72-.27-3.68.39-1.48 3.44-2.1 3.73-3.79.03-.23.22-.4.42-.73.36-.62.18-1.58.25-2.45.2-2.59-.21-4.89-.77-6.62-.52-1.62-1.32-2.78-1.99-4.28-1.36-2.98-1.38-4.4-2.65-6.25-.82-1.18-1.15-1.71-2.26-1.56-1.85.23-4.57 4.23-6.74 4.3z",
    className: "st23"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2635-273",
    transform: "translate(.134 -.305)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path840",
    d: "M10.53 36.43c-1.27.04-2.48-3.1-2.98-3.09-.14 0-.35.19-.57.48-.49.62-1.15 1.78-1.69 2.74-.45.81-.46 1.43-.27 1.89.41 1.01 1.82 1.31 1.66 1.62-.24.44-1.75.35-2.88 1.49-1.46 1.46-2.45 3.67-2.74 4.87-.46 1.78-1 2.82-.79 5.08.08.82-.27 1.29.4 2.01.58.64 1.61 1.41 2.66 2.34 1.12.97 3.81 2.82 4.1 3.34.32.52.48 2.1.3 2.47-.17.36-1.98.8-1.97.8-.01 0 1.44 1.86 1.75 2.17.3.29 1.5 1.56 6.66.61 3.07-.56 6.28-2.01 6.62-3.95.22-1.24-.6-2.72-.35-3.67.39-1.48 3.53-2.11 3.81-3.79.04-.23.23-.4.42-.73.37-.63.19-1.58.25-2.45.22-2.59-.2-4.89-.76-6.61-.52-1.62-1.32-2.78-1.99-4.27-1.35-2.98-1.38-4.4-2.65-6.25-.79-1.11-1.17-1.59-2.24-1.44-1.82.24-4.59 4.28-6.75 4.34z",
    className: "st24"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "shape2636-275",
    transform: "translate(18.09 -38.52)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path846",
    d: "M5.25 57.75c.86-.11 2.03.1 2.57.5.5.38.85.58 1.31.73 1.53.5 3.54.73 3.45 2.12-.11 1.64-.59 2.38-1.96 2.81-1.1.34-3.06 2.25-4.58 2.25-.68 0-1.63.04-2.18-.16-.53-.19-1.26-1.08-2.13-1.79-.86-.7-1.67-1.45-1.69-2.44-.04-1.04.64-1.38 1.6-2.21.5-.44 1.41-1.18 2.05-1.51.58-.29.96-.23 1.56-.3z",
    className: "st58"
  })), /*#__PURE__*/React.createElement("g", {
    id: "group2637-277",
    transform: "translate(18.154 -38.569)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2638-278"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path853",
    fill: colored ? '#9e5f00' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#9e5f00') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M5.21 57.81c.85-.1 2.01.11 2.55.5.5.38.84.57 1.3.72 1.52.5 3.53.74 3.44 2.11-.11 1.64-.6 2.37-1.96 2.8-1.09.34-3.05 2.21-4.56 2.22-.69 0-1.61.04-2.16-.16-.52-.19-1.26-1.07-2.12-1.78-.86-.7-1.67-1.43-1.68-2.4-.02-1.02.64-1.37 1.59-2.19.5-.44 1.4-1.19 2.03-1.52.58-.29.96-.23 1.57-.3z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2639-280",
    transform: "translate(.063 -.05)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path858",
    d: "M5.16 57.88c.85-.11 2 .1 2.54.5.49.37.84.56 1.29.71 1.52.5 3.52.74 3.43 2.1-.11 1.63-.61 2.35-1.96 2.78-1.09.33-3.04 2.17-4.54 2.19-.69.01-1.6.04-2.14-.16-.52-.18-1.25-1.07-2.11-1.77-.85-.7-1.66-1.4-1.65-2.37-.02-.99.62-1.35 1.57-2.17.49-.44 1.38-1.19 2-1.52.57-.3.97-.22 1.57-.29z",
    className: "st60"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2640-282",
    transform: "translate(.113 -.099)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path863",
    d: "M5.13 57.94c.84-.1 1.99.11 2.52.5.49.36.84.56 1.29.71 1.5.49 3.5.73 3.41 2.09-.1 1.62-.62 2.33-1.96 2.76-1.08.33-3.02 2.13-4.52 2.15-.69.02-1.58.05-2.12-.15-.51-.18-1.25-1.06-2.09-1.76C.81 63.55 0 62.86.02 61.91c-.01-.97.62-1.34 1.56-2.16.49-.43 1.36-1.19 1.98-1.53.57-.29.97-.21 1.57-.28z",
    className: "st61"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2641-284",
    transform: "translate(.152 -.149)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path868",
    d: "M5.11 58.01c.83-.11 1.98.1 2.5.49.49.36.84.56 1.28.71 1.5.49 3.49.73 3.4 2.08-.1 1.61-.63 2.31-1.96 2.73-1.07.33-3.01 2.1-4.49 2.13-.7.02-1.57.05-2.11-.14-.51-.18-1.24-1.07-2.08-1.76C.81 63.56 0 62.9.03 61.95c.01-.94.62-1.33 1.55-2.13.48-.43 1.34-1.21 1.96-1.54.56-.3.97-.2 1.57-.27z",
    className: "st62"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2642-286",
    transform: "translate(.192 -.198)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path873",
    fill: colored ? '#b27600' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#b27600') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M5.09 58.07c.83-.1 1.96.1 2.49.49.48.36.83.56 1.27.71 1.48.48 3.47.73 3.38 2.07-.09 1.59-.64 2.3-1.96 2.71-1.07.33-2.99 2.06-4.47 2.1-.7.02-1.55.05-2.09-.14-.5-.18-1.23-1.07-2.07-1.75C.81 63.58 0 62.93.05 61.99c.01-.91.6-1.31 1.53-2.11.48-.42 1.32-1.21 1.93-1.55.56-.29.99-.19 1.58-.26z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2643-288",
    transform: "translate(.231 -.248)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path878",
    d: "M5.07 58.14c.82-.11 1.95.1 2.47.48.49.36.82.56 1.26.7 1.48.49 3.47.73 3.38 2.06-.1 1.59-.65 2.29-1.97 2.7-1.06.32-2.97 2.01-4.44 2.06-.71.04-1.55.06-2.07-.13-.51-.18-1.23-1.06-2.06-1.74-.83-.68-1.64-1.3-1.58-2.23.03-.89.6-1.3 1.51-2.1.48-.42 1.31-1.21 1.92-1.55.55-.29.99-.19 1.58-.25z",
    className: "st64"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2644-290",
    transform: "translate(.27 -.297)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path883",
    d: "M5.04 58.2c.82-.1 1.95.1 2.46.48.49.36.82.56 1.26.7 1.47.48 3.45.73 3.36 2.05-.1 1.58-.66 2.27-1.97 2.67-1.05.33-2.96 1.98-4.42 2.04-.71.04-1.53.06-2.05-.13-.5-.17-1.22-1.06-2.05-1.73C.81 63.61 0 63 .08 62.08c.03-.86.58-1.28 1.49-2.07.48-.42 1.29-1.22 1.9-1.56.54-.3.99-.18 1.57-.25z",
    className: "st65"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2645-292",
    transform: "translate(.31 -.346)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path888",
    d: "M5.02 58.27c.82-.1 1.93.1 2.45.48.48.35.81.55 1.25.69 1.46.48 3.43.73 3.34 2.04-.09 1.57-.67 2.25-1.97 2.65-1.04.32-2.94 1.94-4.39 2.01-.72.04-1.52.06-2.04-.12-.49-.18-1.21-1.06-2.03-1.73C.81 63.62 0 63.04.09 62.13c.04-.84.58-1.28 1.48-2.06.47-.41 1.27-1.22 1.87-1.57.54-.29 1-.17 1.58-.23z",
    className: "st66"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2646-294",
    transform: "translate(.35 -.396)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path893",
    fill: colored ? '#c68d00' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#c68d00') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M5 58.33c.81-.1 1.92.1 2.43.48.48.35.81.55 1.24.69 1.45.47 3.42.72 3.34 2.03-.1 1.56-.69 2.23-1.98 2.63-1.04.32-2.93 1.9-4.36 1.98-.73.04-1.51.06-2.03-.12-.49-.18-1.2-1.06-2.02-1.72C.81 63.64 0 63.07.1 62.17c.06-.81.58-1.26 1.47-2.04.47-.4 1.25-1.22 1.85-1.57.53-.3 1-.16 1.58-.23z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2647-296",
    transform: "translate(.389 -.446)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path898",
    d: "M4.98 58.4c.8-.1 1.91.09 2.41.47.48.35.81.54 1.24.68 1.44.48 3.4.73 3.32 2.03-.09 1.54-.7 2.21-1.98 2.61-1.03.31-2.91 1.86-4.34 1.94-.73.05-1.49.07-2-.11-.49-.17-1.21-1.05-2.02-1.71-.8-.66-1.61-1.21-1.49-2.1.06-.79.56-1.24 1.45-2.01.47-.41 1.23-1.24 1.83-1.59.52-.29 1.01-.15 1.58-.21z",
    className: "st68"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2648-298",
    transform: "translate(.428 -.495)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path903",
    d: "M4.96 58.46c.8-.1 1.89.1 2.4.47.47.35.8.54 1.23.68 1.43.47 3.38.73 3.3 2.01-.09 1.54-.7 2.2-1.98 2.59-1.02.32-2.9 1.83-4.31 1.92-.74.06-1.48.07-1.99-.11-.48-.17-1.2-1.05-2-1.7-.8-.66-1.61-1.18-1.48-2.06.08-.77.56-1.23 1.44-2 .46-.4 1.21-1.24 1.81-1.59.51-.3 1.01-.14 1.58-.21z",
    className: "st69"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2649-300",
    transform: "translate(.467 -.544)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path908",
    d: "M4.94 58.52c.79-.09 1.88.1 2.38.47.47.35.8.54 1.22.68 1.42.47 3.38.72 3.3 2-.1 1.53-.72 2.18-1.99 2.57-1.01.31-2.88 1.79-4.29 1.89-.74.06-1.46.07-1.97-.11-.48-.16-1.19-1.04-1.99-1.69C.81 63.68 0 63.17.15 62.3c.08-.74.55-1.21 1.42-1.98.46-.39 1.19-1.24 1.78-1.59.52-.3 1.02-.14 1.59-.21z",
    className: "st70"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2650-302",
    transform: "translate(.507 -.594)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path913",
    d: "M4.91 58.59c.79-.1 1.88.1 2.38.46.46.35.79.54 1.21.68 1.41.46 3.36.72 3.28 1.99-.09 1.52-.73 2.16-1.99 2.55-1.01.3-2.86 1.75-4.26 1.85-.75.07-1.46.08-1.96-.09-.47-.17-1.18-1.05-1.97-1.69-.79-.65-1.6-1.13-1.44-1.99.1-.72.54-1.21 1.41-1.96.45-.39 1.17-1.25 1.76-1.61.51-.29 1.02-.13 1.58-.19z",
    className: "st71"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2651-304",
    transform: "translate(.546 -.643)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path918",
    d: "M4.89 58.65c.79-.09 1.86.1 2.36.47.46.34.78.53 1.2.66 1.41.47 3.35.72 3.27 1.99-.09 1.51-.74 2.14-1.99 2.52-1 .31-2.85 1.71-4.24 1.83-.75.07-1.44.08-1.94-.09-.47-.17-1.17-1.04-1.96-1.68C.81 63.71 0 63.24.17 62.39c.11-.69.54-1.19 1.4-1.94.45-.39 1.15-1.25 1.74-1.61.5-.3 1.02-.12 1.58-.19z",
    className: "st72"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2652-306",
    transform: "translate(.586 -.693)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path923",
    d: "M4.87 58.72c.78-.1 1.85.09 2.34.46.46.34.78.53 1.2.66 1.39.46 3.33.72 3.26 1.97-.09 1.5-.76 2.13-2 2.51-.99.3-2.83 1.67-4.21 1.8-.76.08-1.43.08-1.92-.09-.47-.16-1.17-1.04-1.96-1.67C.81 63.72 0 63.28.19 62.43c.11-.66.52-1.17 1.38-1.91.44-.39 1.13-1.26 1.71-1.62.5-.3 1.04-.12 1.59-.18z",
    className: "st73"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2653-308",
    transform: "translate(.625 -.741)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path928",
    d: "M4.85 58.78c.78-.09 1.84.1 2.33.46.45.34.77.53 1.19.66 1.38.45 3.31.72 3.24 1.96-.09 1.49-.76 2.11-2 2.49-.98.3-2.82 1.63-4.19 1.76-.76.09-1.41.09-1.9-.08-.46-.16-1.16-1.03-1.94-1.67C.81 63.74 0 63.31.2 62.48c.13-.64.52-1.16 1.37-1.9.44-.38 1.11-1.27 1.69-1.63.49-.3 1.04-.1 1.59-.17z",
    className: "st74"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2654-310",
    transform: "translate(.664 -.788)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path933",
    d: "M4.83 58.84c.77-.09 1.82.1 2.31.46.45.34.77.52 1.18.65 1.38.46 3.31.72 3.23 1.96-.08 1.48-.77 2.09-2 2.46-.97.3-2.8 1.6-4.16 1.74-.77.09-1.4.08-1.89-.08-.46-.16-1.16-1.03-1.93-1.66C.81 63.75 0 63.34.22 62.52c.13-.61.51-1.15 1.35-1.88.43-.38 1.09-1.27 1.67-1.64.48-.3 1.04-.09 1.59-.16z",
    className: "st75"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2655-312",
    transform: "translate(.704 -.835)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path938",
    d: "M4.81 58.91c.76-.1 1.81.09 2.29.45.45.33.77.52 1.18.65 1.36.45 3.29.71 3.21 1.94-.08 1.47-.78 2.08-2 2.45-.97.29-2.78 1.55-4.14 1.7-.78.1-1.38.09-1.87-.07-.45-.16-1.15-1.03-1.91-1.65-.76-.62-1.57-1-1.34-1.82.15-.59.5-1.13 1.34-1.86.43-.37 1.07-1.27 1.64-1.64.48-.3 1.05-.09 1.6-.15z",
    className: "st76"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2656-314",
    transform: "translate(.743 -.883)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path943",
    d: "M4.78 58.97c.77-.1 1.81.09 2.29.45.45.33.76.52 1.16.64 1.36.45 3.28.72 3.21 1.94-.09 1.46-.8 2.06-2.01 2.42-.96.29-2.77 1.52-4.11 1.68-.79.1-1.37.09-1.85-.07-.45-.16-1.15-1.03-1.91-1.64C.81 63.77 0 63.41.24 62.6c.16-.56.5-1.12 1.32-1.84.43-.37 1.06-1.28 1.63-1.65.47-.3 1.05-.08 1.59-.14z",
    className: "st77"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "shape2657-316",
    transform: "translate(18.936 -39.499)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path949",
    d: "M4.76 59.03c.76-.09 1.79.09 2.27.45.45.33.76.51 1.16.64 1.35.44 3.26.71 3.19 1.92-.08 1.45-.81 2.04-2.01 2.41-.95.29-2.75 1.48-4.09 1.64-.79.11-1.36.1-1.83-.06-.45-.15-1.14-1.02-1.9-1.64-.74-.61-1.55-.95-1.29-1.75.16-.53.49-1.1 1.3-1.82.43-.36 1.04-1.28 1.61-1.65.46-.3 1.05-.08 1.59-.14z",
    className: "st78"
  })), /*#__PURE__*/React.createElement("g", {
    id: "group2658-318",
    transform: "translate(23.741 -45.47)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2659-319"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path956",
    d: "M.09 65.47c.17.34.59.39.87.54.27.15.42.19.53.13.23-.13.05-.55-.18-.7-.22-.16-1.31-.19-1.22.03z",
    className: "st78"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2660-321",
    transform: "translate(.026 -.015)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path961",
    d: "M.09 65.49c.16.33.57.38.85.52.26.15.41.19.51.13.23-.13.06-.54-.17-.68-.22-.15-1.28-.19-1.19.03z",
    className: "st77"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2661-323",
    transform: "translate(.051 -.03)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path966",
    d: "M.09 65.51c.15.32.55.36.82.51.26.14.4.18.5.12.22-.12.06-.52-.17-.67-.21-.14-1.24-.17-1.15.04z",
    className: "st76"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2662-325",
    transform: "translate(.077 -.045)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path971",
    d: "M.09 65.53c.15.31.54.35.8.49.25.14.39.18.48.12.22-.12.06-.51-.16-.65-.2-.14-1.21-.17-1.12.04z",
    className: "st75"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2663-327",
    transform: "translate(.102 -.06)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path976",
    d: "M.08 65.54c.15.31.53.35.78.49.24.14.38.17.48.11.21-.11.05-.49-.16-.63-.2-.13-1.18-.17-1.1.03z",
    className: "st74"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2664-329",
    transform: "translate(.128 -.074)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path981",
    d: "M.08 65.56c.14.3.51.34.76.47.23.14.37.17.46.12.2-.12.05-.48-.16-.62-.19-.13-1.14-.16-1.06.03z",
    className: "st73"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2665-331",
    transform: "translate(.153 -.09)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path986",
    d: "M.08 65.58c.14.29.5.33.73.46.23.13.36.16.45.11.2-.11.05-.47-.15-.6-.19-.13-1.11-.16-1.03.03z",
    className: "st72"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2666-333",
    transform: "translate(.179 -.104)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path991",
    d: "M.08 65.6c.13.28.48.32.71.44.22.13.35.16.43.11.2-.11.05-.45-.14-.58-.18-.12-1.08-.15-1 .03z",
    className: "st71"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2667-335",
    transform: "translate(.204 -.119)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path996",
    d: "M.07 65.62c.14.27.47.31.7.43.21.12.33.15.41.1.19-.1.05-.44-.14-.56-.17-.12-1.04-.15-.97.03z",
    className: "st70"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2668-337",
    transform: "translate(.23 -.134)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1001",
    d: "M.07 65.64c.13.26.45.29.67.41.21.12.33.15.41.1.18-.1.04-.42-.14-.54-.17-.12-1.01-.15-.94.03z",
    className: "st69"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2669-339",
    transform: "translate(.255 -.149)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1006",
    d: "M.07 65.65c.12.26.44.29.65.41.2.11.31.14.39.09.17-.09.04-.41-.13-.52-.17-.11-.98-.14-.91.02z",
    className: "st68"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2670-341",
    transform: "translate(.28 -.163)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1011",
    d: "M.07 65.67c.12.25.42.28.62.39.2.11.31.14.38.09.17-.09.04-.39-.12-.5-.17-.11-.95-.14-.88.02z",
    className: "st79"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2671-343",
    transform: "translate(.306 -.178)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1016",
    d: "M.07 65.69c.11.24.4.27.6.38.19.1.29.13.36.09.17-.09.05-.39-.12-.49-.15-.11-.91-.13-.84.02z",
    className: "st66"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2672-345",
    transform: "translate(.332 -.193)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1021",
    d: "M.06 65.71c.11.23.4.26.58.36.18.1.29.13.36.09.15-.09.04-.37-.12-.47-.15-.11-.88-.13-.82.02z",
    className: "st65"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2673-347",
    transform: "translate(.357 -.208)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1026",
    d: "M.06 65.73c.11.22.38.25.56.35.17.09.27.12.34.08.15-.08.04-.36-.11-.45-.15-.1-.85-.12-.79.02z",
    className: "st64"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2674-349",
    transform: "translate(.383 -.223)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1031",
    d: "M.06 65.75c.1.21.36.24.53.33.17.09.27.12.33.08.15-.08.04-.34-.11-.43-.14-.1-.81-.12-.75.02z",
    className: "st80"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2675-351",
    transform: "translate(.408 -.238)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1036",
    d: "M.06 65.77c.09.2.34.22.51.32.16.09.25.11.31.07.14-.07.04-.33-.1-.42-.13-.09-.78-.11-.72.03z",
    className: "st62"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2676-353",
    transform: "translate(.434 -.253)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1041",
    d: "M.05 65.78c.1.2.34.22.5.31.15.09.24.11.3.07.13-.07.03-.31-.1-.4-.13-.08-.75-.1-.7.02z",
    className: "st61"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2677-355",
    transform: "translate(.46 -.268)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1046",
    d: "M.05 65.8c.09.19.32.21.47.29.15.09.23.11.29.07.13-.07.03-.29-.1-.38-.12-.08-.71-.1-.66.02z",
    className: "st60"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2678-357",
    transform: "translate(.485 -.282)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1051",
    d: "M.05 65.82c.08.18.3.2.45.28.14.08.22.1.27.07.12-.07.03-.29-.09-.37-.12-.08-.68-.09-.63.02z",
    className: "st81"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2679-359",
    transform: "translate(.51 -.297)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1056",
    d: "M.05 65.84c.08.17.28.19.42.26.14.08.21.1.26.07.12-.07.03-.27-.08-.35-.11-.07-.65-.09-.6.02z",
    className: "st58"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2680-361",
    transform: "translate(21.327 -45.376)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2681-362"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1064",
    d: "M.05 65.81c-.05.14.32.39.51.21.19-.17.43-.33.51-.38.36-.24.23-.41-.37-.3-.59.1-.59.34-.65.47z",
    className: "st78"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2682-364",
    transform: "translate(.01 -.01)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1069",
    d: "M.05 65.82c-.05.13.31.38.49.21.2-.17.43-.32.51-.38.35-.23.22-.4-.37-.29-.58.1-.58.33-.63.46z",
    className: "st77"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2683-366",
    transform: "translate(.022 -.021)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1074",
    d: "M.05 65.83c-.05.13.3.37.48.2.19-.16.42-.31.49-.36.34-.23.22-.39-.35-.29-.57.1-.57.32-.62.45z",
    className: "st76"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2684-368",
    transform: "translate(.032 -.032)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1079",
    d: "M.05 65.84c-.05.12.29.36.47.2.18-.16.4-.31.48-.36.33-.22.21-.38-.35-.28-.55.1-.55.32-.6.44z",
    className: "st75"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2685-370",
    transform: "translate(.043 -.042)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1084",
    d: "M.05 65.85c-.05.12.29.35.45.19.18-.16.4-.3.47-.35.33-.21.21-.37-.33-.27-.54.09-.54.31-.59.43z",
    className: "st74"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2686-372",
    transform: "translate(.054 -.053)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1089",
    d: "M.05 65.86c-.05.11.28.34.44.18.18-.15.39-.29.46-.33.31-.21.2-.37-.33-.27-.53.09-.53.3-.57.42z",
    className: "st73"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2687-374",
    transform: "translate(.065 -.063)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1094",
    d: "M.05 65.87c-.05.11.27.33.43.18.17-.15.37-.29.44-.33.31-.21.2-.35-.32-.26-.51.09-.51.29-.55.41z",
    className: "st72"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2688-376",
    transform: "translate(.076 -.074)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1099",
    d: "M.04 65.88c-.04.11.27.32.43.17.16-.14.36-.27.43-.32.3-.2.19-.34-.31-.25-.5.09-.5.28-.55.4z",
    className: "st71"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2689-378",
    transform: "translate(.086 -.085)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1104",
    d: "M.04 65.88c-.04.11.26.32.41.18.16-.14.36-.27.42-.32.29-.19.19-.33-.3-.24-.48.08-.48.28-.53.38z",
    className: "st70"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2690-380",
    transform: "translate(.097 -.095)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1109",
    d: "M.04 65.89c-.04.11.25.31.4.17.16-.14.34-.26.41-.3.28-.19.18-.33-.3-.24-.47.08-.47.27-.51.37z",
    className: "st69"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2691-382",
    transform: "translate(.108 -.105)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1114",
    d: "M.04 65.9c-.04.1.24.3.39.16.15-.13.33-.25.39-.29.28-.18.18-.32-.28-.23-.46.08-.46.26-.5.36z",
    className: "st68"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2692-384",
    transform: "translate(.118 -.116)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1119",
    d: "M.04 65.91c-.04.1.24.29.37.16.15-.13.33-.25.39-.29.26-.17.17-.3-.28-.22-.44.08-.44.25-.48.35z",
    className: "st79"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2693-386",
    transform: "translate(.13 -.127)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1124",
    d: "M.04 65.92c-.04.1.23.28.36.15.14-.12.32-.24.37-.27.26-.18.17-.3-.26-.22-.43.07-.43.24-.47.34z",
    className: "st66"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2694-388",
    transform: "translate(.14 -.137)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1129",
    d: "M.04 65.93c-.04.09.22.27.35.15.14-.12.3-.23.36-.27.25-.17.16-.29-.26-.21-.42.07-.42.24-.45.33z",
    className: "st65"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2695-390",
    transform: "translate(.15 -.148)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1134",
    d: "M.04 65.94c-.04.09.21.26.34.14.13-.12.29-.22.34-.26.25-.16.16-.28-.25-.2-.4.07-.4.23-.43.32z",
    className: "st64"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2696-392",
    transform: "translate(.162 -.158)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1139",
    d: "M.03 65.95c-.03.08.21.25.33.13.13-.11.29-.21.34-.25.23-.15.15-.26-.24-.19-.39.06-.39.22-.43.31z",
    className: "st80"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2697-394",
    transform: "translate(.172 -.169)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1144",
    d: "M.03 65.96c-.03.08.2.24.32.13.12-.11.27-.21.32-.24.23-.15.15-.26-.23-.19-.37.06-.37.21-.41.3z",
    className: "st62"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2698-396",
    transform: "translate(.183 -.18)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1149",
    d: "M.03 65.96c-.03.08.19.24.31.13.12-.1.26-.2.31-.23.22-.14.14-.25-.23-.18-.36.06-.36.2-.39.28z",
    className: "st61"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2699-398",
    transform: "translate(.194 -.19)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1154",
    d: "M.03 65.97c-.03.08.19.23.29.13.12-.1.26-.2.3-.23.21-.14.14-.24-.21-.17-.35.06-.35.2-.38.27z",
    className: "st60"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2700-400",
    transform: "translate(.205 -.2)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1159",
    d: "M.03 65.98c-.03.08.18.22.28.12.11-.1.25-.19.29-.21.2-.14.13-.23-.21-.17-.33.05-.33.19-.36.26z",
    className: "st81"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2701-402",
    transform: "translate(.215 -.211)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1164",
    d: "M.03 65.99c-.03.07.17.21.27.11.1-.09.23-.17.27-.2.2-.13.13-.22-.19-.16-.32.05-.32.18-.35.25z",
    className: "st58"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2702-404",
    transform: "translate(22.005 -41.785)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2703-405"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1172",
    d: "M.04 65.73c-.04.47 1.03-.69 1.09-.8.14-.25.61-.95.68-1.25.14-.52.39-.9.23-1.45-.05-.18-.44-.22-.62-.11-.5.3-.43.66-.48.99-.19.95-.84 1.91-.9 2.62z",
    className: "st78"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2704-407",
    transform: "translate(.045 -.084)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1177",
    d: "M.04 65.74c-.04.46 1-.68 1.06-.78.14-.24.59-.93.66-1.22.14-.51.38-.88.23-1.41-.06-.18-.44-.22-.61-.11-.49.29-.42.64-.47.97-.18.92-.81 1.86-.87 2.55z",
    className: "st82"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2705-409",
    transform: "translate(.09 -.168)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1182",
    d: "M.03 65.76c-.03.44.98-.67 1.04-.77.13-.24.57-.91.64-1.19.13-.49.37-.86.22-1.38-.05-.16-.42-.21-.59-.1-.48.28-.41.63-.46.94-.17.9-.79 1.82-.85 2.5z",
    className: "st83"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2706-411",
    transform: "translate(.136 -.252)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1187",
    d: "M.03 65.77c-.03.43.95-.65 1.01-.75.13-.23.56-.88.62-1.16.13-.48.36-.84.21-1.34-.05-.16-.41-.21-.57-.1-.47.28-.4.61-.45.92-.16.88-.76 1.77-.82 2.43z",
    className: "st84"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2707-413",
    transform: "translate(.181 -.336)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1192",
    d: "M.03 65.78c-.03.42.92-.63.98-.73.13-.22.54-.86.61-1.13.12-.47.34-.81.2-1.31-.06-.15-.41-.19-.57-.09-.45.27-.38.59-.42.9-.17.85-.75 1.71-.8 2.36z",
    className: "st85"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2708-415",
    transform: "translate(.226 -.42)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1197",
    d: "M.03 65.79c-.03.41.9-.62.95-.71.12-.22.52-.84.59-1.1.11-.46.33-.79.19-1.27-.05-.15-.39-.19-.55-.09-.43.26-.37.58-.41.87-.16.83-.72 1.67-.77 2.3z",
    className: "st86"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2709-417",
    transform: "translate(.272 -.505)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1202",
    d: "M.03 65.8c-.03.4.87-.6.92-.69.12-.21.51-.82.57-1.07.11-.44.32-.77.18-1.23-.05-.15-.38-.19-.53-.09-.42.25-.36.56-.4.85-.15.8-.69 1.62-.74 2.23z",
    className: "st87"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2710-419",
    transform: "translate(.317 -.589)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1207",
    d: "M.03 65.81c-.03.39.84-.58.89-.67.11-.21.49-.79.55-1.04.11-.43.31-.75.17-1.2-.04-.14-.37-.18-.51-.08-.41.25-.35.55-.39.82-.14.79-.67 1.58-.71 2.17z",
    className: "st88"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2711-421",
    transform: "translate(.362 -.673)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1212",
    d: "M.02 65.82c-.02.38.82-.56.87-.65.11-.2.47-.77.53-1.01.1-.42.3-.72.17-1.16-.05-.14-.36-.17-.5-.08-.4.24-.34.53-.38.8-.13.76-.64 1.53-.69 2.1z",
    className: "st89"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2712-423",
    transform: "translate(.408 -.757)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1217",
    d: "M.02 65.84c-.02.36.79-.56.84-.64.11-.19.46-.75.51-.98.1-.4.29-.7.16-1.13-.04-.13-.35-.16-.48-.07-.39.23-.33.51-.36.77-.14.74-.63 1.49-.67 2.05z",
    className: "st90"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2713-425",
    transform: "translate(.453 -.841)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1222",
    d: "M.02 65.85c-.02.35.76-.54.81-.62.1-.19.44-.72.49-.95.1-.39.28-.68.15-1.09-.04-.13-.33-.16-.46-.07-.38.23-.32.5-.35.75-.13.71-.6 1.44-.64 1.98z",
    className: "st91"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2714-427",
    transform: "translate(.498 -.925)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1227",
    d: "M.02 65.86c-.02.34.74-.52.78-.6.1-.18.42-.7.47-.92.09-.38.27-.66.15-1.05-.05-.13-.33-.16-.46-.07-.35.22-.3.48-.33.72-.12.69-.58 1.4-.61 1.92z",
    className: "st92"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2715-429",
    transform: "translate(.543 -1.01)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1232",
    d: "M.02 65.87c-.02.33.71-.51.75-.58.09-.18.41-.68.45-.89.09-.37.26-.64.14-1.02-.04-.12-.32-.15-.44-.06-.34.21-.29.47-.32.7-.11.67-.55 1.35-.58 1.85z",
    className: "st93"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2716-431",
    transform: "translate(.589 -1.093)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1237",
    d: "M.02 65.88c-.02.32.68-.49.72-.56.09-.17.39-.66.43-.86.09-.35.25-.61.13-.98-.04-.12-.3-.14-.42-.06-.33.21-.27.45-.31.68-.1.64-.52 1.3-.55 1.78z",
    className: "st94"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2717-433",
    transform: "translate(.634 -1.177)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1242",
    d: "M.01 65.89c-.01.31.66-.47.7-.54.09-.16.37-.63.42-.83.08-.34.23-.59.12-.95-.04-.11-.3-.13-.41-.05-.32.2-.26.43-.29.65-.11.62-.51 1.26-.54 1.72z",
    className: "st95"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2718-435",
    transform: "translate(.68 -1.261)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1247",
    d: "M.01 65.91c-.01.29.63-.46.67-.53.08-.16.36-.61.4-.8.07-.33.22-.57.11-.91-.04-.11-.28-.13-.39-.06-.31.2-.26.43-.28.64-.1.59-.48 1.21-.51 1.66z",
    className: "st96"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2719-437",
    transform: "translate(.725 -1.346)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1252",
    d: "M.01 65.92c-.01.28.6-.45.64-.51.08-.15.34-.59.38-.77.07-.31.21-.55.1-.87-.04-.11-.27-.13-.37-.06-.3.2-.24.41-.27.61-.09.58-.46 1.17-.48 1.6z",
    className: "st97"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2720-439",
    transform: "translate(.77 -1.43)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1257",
    d: "M.01 65.93c-.01.27.58-.43.61-.49.07-.15.32-.56.36-.74.07-.3.2-.53.1-.84-.04-.1-.27-.11-.37-.05-.28.19-.22.39-.25.59-.08.55-.43 1.12-.45 1.53z",
    className: "st98"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2721-441",
    transform: "translate(.815 -1.514)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1262",
    d: "M.01 65.94c-.01.26.55-.41.58-.47.07-.14.31-.54.34-.71.06-.29.19-.5.09-.8-.04-.1-.25-.11-.35-.05-.26.18-.21.38-.24.56-.07.53-.41 1.07-.42 1.47z",
    className: "st99"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2722-443",
    transform: "translate(.86 -1.598)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1267",
    d: "M.01 65.95c-.01.25.52-.39.55-.45.07-.13.29-.52.32-.68.06-.27.18-.48.08-.77-.03-.09-.24-.1-.33-.04-.25.17-.2.36-.22.54-.08.5-.39 1.02-.4 1.4z",
    className: "st100"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2723-445",
    transform: "translate(.906 -1.682)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1272",
    d: "M0 65.96c0 .24.5-.38.53-.43.06-.13.27-.5.3-.65.06-.26.17-.46.07-.73-.03-.09-.23-.1-.31-.04-.24.17-.19.35-.21.52-.07.48-.36.97-.38 1.33z",
    className: "st101"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2724-447",
    transform: "translate(23.507 -41.082)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2725-448"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1280",
    d: "M2.22 63.1c-.51.56-.87 1.1-1.17 1.46-.3.37-1.05.82-.68 1.25.32.39 1.62-.32 2.63-1.06.99-.75 2.55-1.42 1.79-2.27-.4-.44-1.34-.34-1.7-.11-.28.18-.45.27-.87.73z",
    className: "st78"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2726-450",
    transform: "translate(.058 -.045)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1285",
    d: "M2.19 63.17c-.51.54-.87 1.07-1.15 1.43-.3.36-1.04.8-.68 1.22.31.38 1.59-.31 2.57-1.05.98-.74 2.5-1.39 1.76-2.22-.39-.42-1.3-.33-1.66-.1-.27.17-.43.27-.84.72z",
    className: "st82"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2727-452",
    transform: "translate(.115 -.09)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1290",
    d: "M2.15 63.23c-.5.54-.85 1.06-1.13 1.41-.3.35-1.02.78-.66 1.19.29.37 1.54-.31 2.51-1.04.95-.72 2.45-1.37 1.72-2.17-.37-.41-1.27-.31-1.62-.09-.27.17-.42.28-.82.7z",
    className: "st83"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2728-454",
    transform: "translate(.173 -.133)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1295",
    d: "M2.12 63.3c-.49.53-.84 1.04-1.12 1.37-.29.35-1 .78-.65 1.17.29.36 1.51-.31 2.45-1.02.94-.71 2.4-1.35 1.7-2.13-.37-.4-1.24-.3-1.58-.08-.27.17-.41.28-.8.69z",
    className: "st84"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2729-456",
    transform: "translate(.23 -.178)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1300",
    d: "M2.08 63.37c-.48.51-.82 1.01-1.09 1.34-.29.34-.99.76-.65 1.14.28.35 1.47-.31 2.4-1.01.92-.69 2.35-1.32 1.66-2.08-.35-.38-1.21-.28-1.54-.06-.26.16-.4.27-.78.67z",
    className: "st85"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2730-458",
    transform: "translate(.288 -.222)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1305",
    d: "M2.05 63.44c-.48.5-.81.99-1.08 1.31-.28.33-.97.74-.64 1.11.27.34 1.44-.31 2.35-.99.89-.68 2.29-1.31 1.63-2.04-.35-.37-1.18-.27-1.51-.05-.25.16-.39.28-.75.66z",
    className: "st86"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2731-460",
    transform: "translate(.346 -.267)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1310",
    d: "M2.01 63.51c-.47.49-.79.97-1.06 1.28-.27.32-.95.73-.63 1.09.26.32 1.41-.32 2.29-.99.88-.67 2.25-1.28 1.6-1.99-.33-.36-1.15-.25-1.47-.04-.24.16-.37.28-.73.65z",
    className: "st87"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2732-462",
    transform: "translate(.403 -.311)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1315",
    d: "M1.97 63.58c-.45.47-.77.94-1.04 1.25-.27.31-.93.71-.62 1.06.26.31 1.37-.32 2.24-.97.86-.66 2.19-1.26 1.57-1.95-.33-.35-1.12-.24-1.44-.03-.24.15-.36.28-.71.64z",
    className: "st88"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2733-464",
    transform: "translate(.46 -.356)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1320",
    d: "M1.94 63.65c-.45.46-.77.92-1.02 1.22-.27.3-.92.69-.62 1.03.25.3 1.34-.32 2.19-.96.84-.64 2.14-1.24 1.53-1.9-.32-.33-1.09-.22-1.39-.02-.24.15-.36.29-.69.63z",
    className: "st89"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2734-466",
    transform: "translate(.519 -.4)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1325",
    d: "M1.9 63.72c-.44.45-.75.89-1 1.18-.26.3-.9.68-.61 1.01.24.29 1.3-.32 2.13-.95.82-.62 2.09-1.21 1.51-1.85-.31-.32-1.07-.2-1.36-.01-.23.15-.34.29-.67.62z",
    className: "st90"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2735-468",
    transform: "translate(.576 -.445)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1330",
    d: "M1.87 63.79c-.44.43-.74.87-.99 1.15-.25.29-.88.67-.6.98.23.28 1.27-.32 2.08-.93.8-.62 2.04-1.19 1.47-1.81-.3-.31-1.03-.19-1.32 0-.22.15-.33.29-.64.61z",
    className: "st91"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2736-470",
    transform: "translate(.634 -.49)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1335",
    d: "M1.83 63.86c-.42.42-.72.85-.96 1.12-.25.28-.87.65-.6.95.22.27 1.24-.32 2.03-.92.78-.6 1.98-1.17 1.43-1.76-.28-.29-1-.17-1.28.01-.21.15-.32.3-.62.6z",
    className: "st92"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2737-472",
    transform: "translate(.691 -.534)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1340",
    d: "M1.8 63.93c-.42.41-.71.82-.95 1.09-.24.27-.85.63-.59.92.22.26 1.2-.31 1.97-.9.76-.59 1.94-1.15 1.41-1.71-.28-.29-.97-.17-1.25.01-.21.14-.3.3-.59.59z",
    className: "st93"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2738-474",
    transform: "translate(.749 -.578)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1345",
    d: "M1.76 64c-.41.39-.69.8-.93 1.06-.24.26-.83.62-.58.89.21.25 1.17-.31 1.92-.89.74-.57 1.88-1.12 1.37-1.66-.26-.28-.94-.15-1.21.03-.2.13-.29.29-.57.57z",
    className: "st94"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2739-476",
    transform: "translate(.807 -.623)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1350",
    d: "M1.73 64.07c-.41.38-.68.78-.91 1.03-.24.25-.82.6-.58.86.2.24 1.13-.31 1.86-.87.73-.56 1.84-1.11 1.35-1.62-.26-.26-.91-.14-1.17.04-.2.13-.29.3-.55.56z",
    className: "st95"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2740-478",
    transform: "translate(.864 -.667)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1355",
    d: "M1.69 64.14c-.39.37-.66.75-.89 1-.23.23-.8.58-.57.83.19.23 1.1-.31 1.81-.86.7-.55 1.78-1.08 1.31-1.57-.24-.25-.88-.12-1.13.05-.19.13-.27.3-.53.55z",
    className: "st96"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2741-480",
    transform: "translate(.922 -.712)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1360",
    d: "M1.66 64.21c-.39.35-.66.73-.88.96-.22.23-.78.57-.56.81.19.22 1.07-.31 1.76-.85.68-.53 1.73-1.05 1.28-1.52-.24-.24-.85-.11-1.1.06-.19.13-.26.3-.5.54z",
    className: "st97"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2742-482",
    transform: "translate(.98 -.756)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1365",
    d: "M1.62 64.28c-.38.34-.64.71-.86.93-.21.22-.76.56-.55.78.18.21 1.03-.31 1.7-.83.67-.52 1.68-1.04 1.25-1.48-.22-.22-.82-.09-1.06.07-.18.13-.24.31-.48.53z",
    className: "st98"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2743-484",
    transform: "translate(1.037 -.8)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1370",
    d: "M1.58 64.35c-.37.33-.62.68-.83.9-.22.21-.75.54-.55.75.17.2 1-.31 1.65-.82.65-.5 1.63-1.01 1.22-1.43-.22-.21-.79-.08-1.02.08-.18.12-.24.31-.47.52z",
    className: "st99"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2744-486",
    transform: "translate(1.095 -.845)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1375",
    d: "M1.55 64.41c-.36.32-.61.67-.82.88-.21.2-.73.52-.54.73.16.18.96-.32 1.6-.81.62-.5 1.57-.99 1.18-1.39-.21-.2-.76-.06-.98.09-.17.12-.23.31-.44.5z",
    className: "st100"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2745-488",
    transform: "translate(1.152 -.89)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1380",
    d: "M1.51 64.48c-.35.31-.59.65-.8.85-.2.19-.71.51-.53.7.15.17.93-.32 1.54-.8.61-.48 1.53-.97 1.15-1.34-.19-.19-.72-.04-.94.1-.16.12-.21.32-.42.49z",
    className: "st101"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2746-490",
    transform: "translate(26.69 -27.532)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2747-491"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1388",
    d: "M.14 61.34c.14-.46 4.69-1.53 5.44-1.18.74.35 4.27 5.49 3.64 5.77-.63.27-1.99-1.71-3.97-2.62-1.97-.92-5.25-1.5-5.11-1.97z",
    className: "st24"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2748-493",
    transform: "translate(.137 -.098)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1393",
    d: "M.14 61.45c.14-.45 4.57-1.48 5.31-1.14.73.34 4.19 5.35 3.57 5.62-.63.27-1.95-1.68-3.89-2.58-1.95-.9-5.13-1.44-4.99-1.9z",
    className: "st102"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2749-495",
    transform: "translate(.273 -.196)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1398",
    d: "M.14 61.56c.13-.45 4.45-1.42 5.18-1.1.72.33 4.1 5.21 3.49 5.48-.61.26-1.9-1.66-3.81-2.54-1.92-.88-5-1.39-4.86-1.84z",
    className: "st103"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2750-497",
    transform: "translate(.41 -.295)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1403",
    d: "M.13 61.66c.13-.43 4.34-1.36 5.06-1.04.71.31 4.02 5.06 3.42 5.32-.6.26-1.86-1.62-3.74-2.49C2.99 62.58 0 62.11.13 61.66z",
    className: "st22"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2751-499",
    transform: "translate(.547 -.393)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1408",
    d: "M.13 61.77c.13-.43 4.22-1.3 4.93-1 .7.3 3.94 4.92 3.35 5.18-.59.25-1.82-1.6-3.67-2.46C2.89 62.64 0 62.21.13 61.77z",
    className: "st104"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2752-501",
    transform: "translate(.683 -.492)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1413",
    d: "M.13 61.88c.12-.42 4.1-1.25 4.8-.96.69.29 3.85 4.78 3.27 5.03-.58.25-1.76-1.57-3.59-2.41C2.79 62.7 0 62.31.13 61.88z",
    className: "st105"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2753-503",
    transform: "translate(.82 -.59)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1418",
    d: "M.12 61.99c.13-.41 3.99-1.19 4.68-.92.67.27 3.77 4.64 3.2 4.89-.57.24-1.72-1.55-3.51-2.37C2.7 62.76 0 62.4.12 61.99z",
    className: "st20"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2754-505",
    transform: "translate(.956 -.688)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1423",
    d: "M.12 62.09c.12-.4 3.87-1.12 4.54-.87.67.26 3.69 4.5 3.13 4.74-.55.24-1.67-1.52-3.43-2.33C2.6 62.82 0 62.5.12 62.09z",
    className: "st106"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2755-507",
    transform: "translate(1.093 -.787)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1428",
    d: "M.12 62.2c.12-.39 3.75-1.07 4.41-.82.66.24 3.61 4.35 3.06 4.59-.55.23-1.63-1.49-3.36-2.29S0 62.6.12 62.2z",
    className: "st107"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2756-509",
    transform: "translate(1.23 -.885)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1433",
    d: "M.12 62.31c.11-.39 3.63-1.01 4.28-.78.65.23 3.53 4.21 2.99 4.44-.54.23-1.59-1.46-3.29-2.25C2.41 62.94 0 62.7.12 62.31z",
    className: "st18"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2757-511",
    transform: "translate(1.366 -.983)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1438",
    d: "M.11 62.42c.12-.38 3.52-.96 4.16-.74.64.22 3.44 4.07 2.91 4.3-.52.22-1.54-1.44-3.2-2.21C2.31 63 0 62.8.11 62.42z",
    className: "st108"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2758-513",
    transform: "translate(1.503 -1.081)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1443",
    d: "M.11 62.52c.11-.37 3.39-.89 4.03-.69.63.21 3.36 3.93 2.84 4.15-.52.22-1.5-1.41-3.13-2.16-1.64-.76-3.85-.92-3.74-1.3z",
    className: "st109"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2759-515",
    transform: "translate(1.64 -1.18)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1448",
    d: "M.11 62.63c.11-.36 3.27-.84 3.9-.64.62.19 3.27 3.78 2.77 4-.51.21-1.46-1.39-3.06-2.13S0 63 .11 62.63z",
    className: "st16"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2760-517",
    transform: "translate(1.776 -1.278)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1453",
    d: "M.11 62.74c.1-.36 3.15-.78 3.77-.6.61.18 3.19 3.65 2.69 3.85-.49.21-1.41-1.35-2.98-2.08C2.02 63.19 0 63.1.11 62.74z",
    className: "st110"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2761-519",
    transform: "translate(1.913 -1.376)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1458",
    d: "M.1 62.85c.11-.35 3.04-.73 3.65-.56.6.17 3.1 3.51 2.62 3.71-.49.2-1.37-1.33-2.91-2.04S0 63.2.1 62.85z",
    className: "st111"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2762-521",
    transform: "translate(2.05 -1.475)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1463",
    d: "M.1 62.95c.1-.34 2.92-.66 3.52-.51.59.16 3.02 3.37 2.54 3.56-.47.2-1.31-1.3-2.82-2C1.83 63.31 0 63.3.1 62.95z",
    className: "st14"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2763-523",
    transform: "translate(2.186 -1.573)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1468",
    d: "M.1 63.06c.1-.33 2.8-.61 3.39-.47.58.15 2.94 3.23 2.47 3.42-.46.19-1.27-1.28-2.75-1.96C1.73 63.37 0 63.4.1 63.06z",
    className: "st112"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2764-525",
    transform: "translate(2.322 -1.671)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1473",
    d: "M.1 63.17c.09-.33 2.68-.55 3.25-.42.58.12 2.86 3.08 2.41 3.26-.46.19-1.23-1.25-2.68-1.91-1.45-.67-3.08-.6-2.98-.93z",
    className: "st113"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2765-527",
    transform: "translate(2.459 -1.77)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1478",
    d: "M.09 63.28c.1-.32 2.57-.5 3.13-.38.57.11 2.78 2.94 2.33 3.12-.44.18-1.18-1.22-2.6-1.88-1.41-.65-2.95-.54-2.86-.86z",
    className: "st12"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2766-529",
    transform: "translate(2.596 -1.868)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1483",
    d: "M.09 63.38c.09-.31 2.45-.43 3-.33.56.1 2.69 2.8 2.26 2.97-.43.18-1.14-1.19-2.53-1.83-1.38-.64-2.82-.49-2.73-.81z",
    className: "st114"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2767-531",
    transform: "translate(2.732 -1.966)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1488",
    d: "M.09 63.49c.09-.3 2.33-.37 2.87-.29.55.09 2.61 2.66 2.19 2.83-.43.17-1.1-1.17-2.45-1.79-1.36-.63-2.7-.44-2.61-.75z",
    className: "st44"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2768-533",
    transform: "translate(20.22 -15.715)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2769-534"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1496",
    d: "M.88 56.52c.47.02.02 2.64.02 5.35 0 2.7.36 3.65.02 3.99-.33.34-.92-.88-.92-3.58 0-2.71.41-5.78.88-5.76z",
    className: "st24"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2770-536",
    transform: "translate(.012 -.076)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1501",
    d: "M.86 56.66c.45.03.02 2.61.02 5.27 0 2.66.35 3.61.02 3.94-.32.33-.9-.88-.9-3.54s.41-5.7.86-5.67z",
    className: "st102"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2771-538",
    transform: "translate(.023 -.152)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1506",
    d: "M.84 56.8c.44.03.02 2.57.01 5.19 0 2.62.35 3.57.03 3.89C.57 66.2 0 65 0 62.39c.01-2.62.41-5.62.84-5.59z",
    className: "st103"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2772-540",
    transform: "translate(.034 -.228)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1511",
    d: "M.83 56.94c.42.03.01 2.54 0 5.11-.01 2.57.34 3.53.03 3.84-.3.31-.86-.87-.85-3.45 0-2.57.4-5.53.82-5.5z",
    className: "st22"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2773-542",
    transform: "translate(.046 -.304)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1516",
    d: "M.81 57.08c.41.03 0 2.5 0 5.03-.01 2.53.33 3.48.03 3.79-.29.3-.84-.87-.83-3.4.01-2.53.4-5.46.8-5.42z",
    className: "st104"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2774-544",
    transform: "translate(.057 -.38)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1521",
    d: "M.8 57.22c.39.04-.01 2.46-.02 4.95s.33 3.44.04 3.74c-.28.29-.82-.87-.81-3.36.01-2.49.4-5.37.79-5.33z",
    className: "st105"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2775-546",
    transform: "translate(.069 -.457)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1526",
    d: "M.78 57.36c.37.04-.01 2.43-.02 4.87-.01 2.45.32 3.4.04 3.69-.27.28-.8-.87-.79-3.31.02-2.45.4-5.29.77-5.25z",
    className: "st20"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2776-548",
    transform: "translate(.08 -.533)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1531",
    d: "M.76 57.5c.36.04-.01 2.39-.03 4.79-.01 2.4.32 3.36.05 3.64-.26.27-.78-.86-.76-3.27.01-2.4.39-5.21.74-5.16z",
    className: "st106"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2777-550",
    transform: "translate(.092 -.61)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1536",
    d: "M.75 57.64c.34.04-.02 2.36-.04 4.71-.02 2.36.3 3.32.05 3.59-.25.26-.76-.86-.74-3.22.02-2.36.39-5.13.73-5.08z",
    className: "st107"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2778-552",
    transform: "translate(.103 -.685)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1541",
    d: "M.73 57.78c.33.05-.03 2.32-.04 4.63-.02 2.32.29 3.28.05 3.54-.24.25-.74-.86-.72-3.18.02-2.31.39-5.04.71-4.99z",
    className: "st18"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2779-554",
    transform: "translate(.115 -.761)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1546",
    d: "M.71 57.92c.31.05-.03 2.28-.05 4.56-.02 2.27.29 3.23.06 3.48-.23.24-.72-.86-.7-3.13.02-2.27.38-4.97.69-4.91z",
    className: "st108"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2780-556",
    transform: "translate(.126 -.838)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1551",
    d: "M.7 58.06c.29.05-.04 2.25-.06 4.48-.02 2.22.28 3.19.06 3.42-.22.24-.7-.84-.67-3.08.02-2.23.37-4.88.67-4.82z",
    className: "st109"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2781-558",
    transform: "translate(.138 -.914)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1556",
    d: "M.68 58.2c.28.05-.04 2.21-.07 4.4-.02 2.18.28 3.15.07 3.37-.21.23-.68-.84-.65-3.03.02-2.19.37-4.8.65-4.74z",
    className: "st16"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2782-560",
    transform: "translate(.15 -.99)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1561",
    d: "M.67 58.34c.26.06-.05 2.18-.08 4.32-.02 2.14.27 3.11.07 3.32-.2.22-.66-.84-.63-2.99.03-2.14.37-4.71.64-4.65z",
    className: "st110"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2783-562",
    transform: "translate(.16 -1.066)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1566",
    d: "M.65 58.48c.25.06-.05 2.14-.08 4.24s.26 3.07.07 3.27c-.19.21-.64-.84-.61-2.94.03-2.1.37-4.64.62-4.57z",
    className: "st111"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2784-564",
    transform: "translate(.172 -1.142)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1571",
    d: "M.63 58.62c.23.06-.06 2.1-.09 4.16S.8 65.8.62 66c-.18.2-.62-.83-.58-2.9.03-2.05.36-4.55.59-4.48z",
    className: "st14"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2785-566",
    transform: "translate(.184 -1.219)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1576",
    d: "M.62 58.76c.21.06-.07 2.07-.1 4.08-.03 2.01.25 2.98.07 3.17-.16.19-.59-.83-.55-2.85.03-2.01.36-4.47.58-4.4z",
    className: "st112"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2786-568",
    transform: "translate(.196 -1.295)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1581",
    d: "M.6 58.9c.2.07-.07 2.03-.1 4-.04 1.97.23 2.94.07 3.12-.15.18-.57-.83-.53-2.81.03-1.97.36-4.39.56-4.31z",
    className: "st113"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2787-570",
    transform: "translate(.207 -1.37)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1586",
    d: "M.58 59.03c.19.08-.07 2-.11 3.93-.03 1.93.23 2.9.08 3.07-.14.17-.55-.83-.51-2.76.04-1.93.36-4.31.54-4.24z",
    className: "st12"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2788-572",
    transform: "translate(.218 -1.447)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1591",
    d: "M.57 59.17c.17.08-.08 1.97-.12 3.85-.04 1.89.22 2.86.08 3.02-.13.16-.53-.82-.48-2.72.03-1.88.35-4.22.52-4.15z",
    className: "st114"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2789-574",
    transform: "translate(.23 -1.523)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1596",
    d: "M.55 59.31c.15.08-.09 1.93-.13 3.77-.04 1.84.22 2.82.09 2.97-.12.15-.51-.82-.46-2.67.04-1.84.35-4.15.5-4.07z",
    className: "st44"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2790-576",
    transform: "translate(20.68 -31.536)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2791-577"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1604",
    d: "M1.44 65.12c.28.03 2.02-.36 2.09-.21.06.13-1.09.47-1.46.86-.13.13-.46.43-.66.4-.16-.02-.25-.35-.49-.6-.56-.56-.92-.52-.81-.74.09-.17.85.24 1.33.29z",
    className: "st24"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2792-579",
    transform: "translate(.038 -.016)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1609",
    fill: colored ? '#fbfbfb' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#fbfbfb') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M1.41 65.14c.28.03 1.98-.35 2.04-.2.06.12-1.06.46-1.43.84-.12.13-.44.42-.64.39-.15-.02-.25-.34-.48-.59-.55-.55-.9-.5-.79-.72.09-.17.83.23 1.3.28z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2793-581",
    transform: "translate(.075 -.032)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1614",
    fill: colored ? '#f8f8f8' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f8f8f8') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M1.38 65.16c.27.03 1.94-.34 2-.19.06.12-1.04.45-1.4.82-.12.12-.43.41-.63.38-.15-.02-.24-.33-.46-.57-.54-.54-.89-.5-.79-.71.1-.16.82.23 1.28.27z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2794-583",
    transform: "translate(.113 -.049)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1619",
    fill: colored ? '#f5f5f5' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f5f5f5') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M1.35 65.18c.26.03 1.89-.33 1.95-.19.06.12-1.01.44-1.36.81-.12.12-.43.4-.62.37-.15-.02-.23-.33-.45-.56-.53-.53-.87-.49-.77-.69.09-.16.8.22 1.25.26z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2795-585",
    transform: "translate(.15 -.065)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1624",
    fill: colored ? '#f2f2f2' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#f2f2f2') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M1.32 65.21c.26.03 1.85-.33 1.91-.19.06.11-.99.43-1.34.79-.11.11-.41.39-.6.36-.14-.02-.23-.32-.44-.55-.52-.51-.85-.47-.75-.67.09-.16.78.21 1.22.26z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2796-587",
    transform: "translate(.189 -.081)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1629",
    d: "M1.29 65.23c.25.03 1.81-.32 1.86-.18.06.11-.96.42-1.3.77-.11.11-.41.38-.59.35-.14-.02-.22-.31-.43-.53-.51-.51-.83-.47-.73-.66.08-.16.76.21 1.19.25z",
    className: "st22"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2797-589",
    transform: "translate(.226 -.097)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1634",
    fill: colored ? '#ebebeb' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#ebebeb') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M1.26 65.25c.25.03 1.77-.31 1.82-.18.06.11-.94.41-1.27.76-.11.11-.4.37-.58.34-.13-.01-.22-.3-.42-.52-.5-.49-.81-.45-.71-.64.08-.16.74.2 1.16.24z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2798-591",
    transform: "translate(.264 -.114)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1639",
    d: "M1.23 65.27c.24.03 1.72-.3 1.78-.17.05.11-.93.4-1.25.74-.1.1-.38.36-.56.33-.13-.01-.21-.29-.41-.51-.48-.48-.79-.44-.7-.63.08-.14.72.2 1.14.24z",
    className: "st21"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2799-593",
    transform: "translate(.301 -.13)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1644",
    d: "M1.2 65.3c.23.02 1.68-.3 1.73-.17.05.1-.9.39-1.21.71-.1.11-.38.36-.55.33-.13-.01-.21-.29-.4-.49-.47-.47-.77-.43-.68-.62.08-.14.7.2 1.11.24z",
    className: "st105"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2800-595",
    transform: "translate(.339 -.146)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1649",
    fill: colored ? '#e2e2e2' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#e2e2e2') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M1.17 65.32c.23.03 1.64-.29 1.69-.17.05.11-.88.39-1.18.7-.1.11-.37.35-.54.32-.12-.01-.2-.28-.39-.48-.46-.46-.75-.42-.66-.6.08-.14.68.19 1.08.23z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2801-597",
    transform: "translate(.377 -.162)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1654",
    fill: colored ? '#dfdfdf' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#dfdfdf') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M1.14 65.34c.22.03 1.59-.28 1.64-.16.05.1-.85.37-1.15.68-.1.1-.36.34-.52.31-.12-.01-.19-.27-.38-.47-.45-.44-.73-.41-.64-.58.07-.14.66.19 1.05.22z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2802-599",
    transform: "translate(.414 -.179)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1659",
    d: "M1.11 65.37c.22.02 1.55-.28 1.6-.16.05.1-.83.36-1.12.66-.1.1-.35.33-.51.3-.12-.01-.19-.26-.37-.46-.43-.43-.71-.39-.63-.56.08-.13.65.18 1.03.22z",
    className: "st106"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2803-601",
    transform: "translate(.452 -.195)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1664",
    d: "M1.08 65.39c.21.02 1.51-.27 1.56-.15.04.09-.81.35-1.09.64-.1.09-.34.32-.5.29-.11-.01-.18-.25-.36-.44-.42-.42-.69-.39-.61-.55.07-.13.63.17 1 .21z",
    className: "st19"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2804-603",
    transform: "translate(.49 -.211)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1669",
    fill: colored ? '#d5d5d5' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#d5d5d5') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M1.05 65.41c.2.02 1.47-.26 1.51-.15.05.09-.78.34-1.06.63-.09.09-.33.31-.48.28-.11-.01-.18-.25-.35-.43-.41-.41-.67-.37-.59-.53.07-.13.61.17.97.2z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2805-605",
    transform: "translate(.527 -.227)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1674",
    fill: colored ? '#d2d2d2' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#d2d2d2') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M1.02 65.43c.2.03 1.42-.25 1.47-.14.04.09-.77.33-1.03.61-.09.09-.32.3-.46.27-.12-.01-.18-.24-.35-.42-.4-.39-.65-.36-.57-.52.06-.12.59.17.94.2z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2806-607",
    transform: "translate(.565 -.244)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1679",
    fill: colored ? '#cfcfcf' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#cfcfcf') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.99 65.46c.19.02 1.38-.25 1.42-.14.05.08-.74.32-.99.59-.09.08-.32.29-.45.27-.11-.02-.18-.24-.34-.41-.38-.39-.63-.36-.55-.51.06-.11.57.16.91.2z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2807-609",
    transform: "translate(.603 -.26)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1684",
    d: "M.96 65.48c.18.02 1.34-.24 1.38-.14.04.09-.72.32-.97.58-.08.08-.3.28-.43.26-.11-.01-.17-.23-.33-.4-.37-.37-.61-.34-.54-.49.06-.11.56.16.89.19z",
    className: "st108"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2808-611",
    transform: "translate(.64 -.276)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1689",
    fill: colored ? '#c8c8c8' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#c8c8c8') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.93 65.5c.18.02 1.3-.23 1.34-.13.04.08-.7.3-.94.55-.08.09-.29.28-.42.26-.1-.01-.17-.23-.32-.39-.36-.36-.59-.33-.52-.47.06-.11.54.15.86.18z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2809-613",
    transform: "translate(.678 -.292)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1694",
    fill: colored ? '#c5c5c5' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#c5c5c5') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.9 65.52c.17.02 1.25-.22 1.29-.12.04.08-.67.29-.9.53-.08.08-.29.27-.41.25-.1-.01-.16-.22-.31-.37-.35-.35-.57-.32-.5-.46.06-.11.52.15.83.17z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2810-615",
    transform: "translate(.715 -.309)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1699",
    fill: colored ? '#c2c2c2' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#c2c2c2') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.87 65.55c.17.02 1.21-.22 1.25-.12.03.07-.65.28-.88.51-.07.08-.27.26-.39.24-.1-.01-.15-.21-.3-.36-.33-.34-.55-.31-.48-.44.05-.11.5.14.8.17z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2811-617",
    transform: "translate(.753 -.325)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1704",
    fill: colored ? '#bfbfbf' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#bfbfbf') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.84 65.57c.16.02 1.17-.21 1.2-.12.04.07-.62.27-.84.5-.07.07-.26.25-.38.23-.09-.01-.15-.2-.28-.35-.33-.32-.54-.3-.48-.42.06-.1.49.13.78.16z"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2812-619",
    transform: "translate(27.485 -54.073)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2813-620"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1712",
    d: "M.62 62.42c-.2.43-.62 3.78-.04 3.4.58-.38 2.2-.86 3.23-1.14 1.14-.31-2.79-3.16-3.19-2.26z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2814-622",
    transform: "translate(.055 -.093)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1717",
    d: "M.6 62.58C.41 63 0 66.2.56 65.83c.57-.37 2.13-.83 3.1-1.1C4.73 64.42.99 61.7.6 62.58z",
    className: "st129"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2815-624",
    transform: "translate(.11 -.187)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1722",
    d: "M.58 62.74c-.19.41-.58 3.46-.03 3.1.55-.35 2.04-.79 2.96-1.06 1-.31-2.55-2.89-2.93-2.04z",
    className: "st130"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2816-626",
    transform: "translate(.166 -.28)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1727",
    d: "M.57 62.89c-.2.41-.57 3.31-.04 2.97.54-.35 1.97-.76 2.82-1.03.94-.32-2.42-2.75-2.78-1.94z",
    className: "st131"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2817-628",
    transform: "translate(.221 -.373)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1732",
    d: "M.55 63.05c-.19.4-.55 3.15-.03 2.82.52-.33 1.88-.73 2.68-.99.87-.32-2.31-2.61-2.65-1.83z",
    className: "st48"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2818-630",
    transform: "translate(.277 -.467)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1737",
    d: "M.53 63.2c-.19.4-.53 3-.03 2.68.5-.32 1.81-.69 2.55-.95.8-.32-2.19-2.47-2.52-1.73z",
    className: "st132"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2819-632",
    transform: "translate(.332 -.56)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1742",
    d: "M.51 63.36c-.18.39-.51 2.84-.02 2.53.48-.3 1.72-.65 2.4-.91.74-.33-2.06-2.33-2.38-1.62z",
    className: "st29"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2820-634",
    transform: "translate(.387 -.653)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1747",
    d: "M.5 63.51C.31 63.9 0 66.2.47 65.9c.47-.29 1.65-.62 2.27-.87.67-.33-1.94-2.2-2.24-1.52z",
    className: "st133"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2821-636",
    transform: "translate(.443 -.747)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1752",
    d: "M.48 63.67c-.19.38-.48 2.53-.02 2.25.45-.28 1.56-.59 2.13-.84.6-.33-1.82-2.06-2.11-1.41z",
    className: "st51"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2822-638",
    transform: "translate(.498 -.84)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1757",
    d: "M.46 63.83c-.18.37-.46 2.37-.02 2.1s1.49-.55 2-.8c.53-.34-1.7-1.92-1.98-1.3z",
    className: "st134"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2823-640",
    transform: "translate(.553 -.933)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1762",
    d: "M.44 63.98c-.18.37-.44 2.22-.01 1.96.41-.25 1.4-.52 1.85-.76.47-.34-1.57-1.78-1.84-1.2z",
    className: "st135"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2824-642",
    transform: "translate(.608 -1.027)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1767",
    d: "M.43 64.14C.25 64.5 0 66.2.41 65.95c.4-.24 1.32-.48 1.72-.72.4-.34-1.45-1.64-1.7-1.09z",
    className: "st136"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2825-644",
    transform: "translate(.664 -1.12)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1772",
    d: "M.41 64.29c-.18.36-.41 1.91-.02 1.67.39-.22 1.25-.44 1.59-.68.33-.35-1.33-1.5-1.57-.99z",
    className: "st34"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2826-646",
    transform: "translate(.719 -1.214)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1777",
    d: "M.39 64.45C.22 64.8 0 66.2.38 65.98c.37-.22 1.16-.42 1.44-.66.27-.34-1.2-1.36-1.43-.87z",
    className: "st137"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2827-648",
    transform: "translate(.774 -1.307)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1782",
    d: "M.37 64.61C.2 64.95 0 66.2.36 65.99c.36-.2 1.09-.38 1.31-.62.2-.34-1.08-1.22-1.3-.76z",
    className: "st138"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2828-650",
    transform: "translate(.83 -1.4)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1787",
    d: "M.36 64.76C.18 65.1 0 66.2.35 66c.33-.19 1-.35 1.17-.58.13-.35-.96-1.08-1.16-.66z",
    className: "st139"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2829-652",
    transform: "translate(.885 -1.494)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1792",
    d: "M.34 64.92c-.17.33-.34 1.28-.01 1.09.32-.17.93-.31 1.04-.54.06-.35-.84-.94-1.03-.55z",
    className: "st4"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2830-654",
    transform: "translate(.94 -1.587)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1797",
    d: "M.32 65.07c-.17.33-.32 1.13 0 .96.3-.17.84-.28.89-.51 0-.35-.71-.8-.89-.45z",
    className: "st140"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2831-656",
    transform: "translate(.996 -1.68)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1802",
    d: "M.3 65.23c-.16.32-.3.97 0 .81.29-.15.77-.25.76-.47-.07-.36-.6-.66-.76-.34z",
    className: "st39"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2832-658",
    transform: "translate(1.05 -1.774)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1807",
    d: "M.29 65.39c-.17.31-.29.81 0 .66.27-.14.68-.21.62-.43-.14-.36-.48-.53-.62-.23z",
    className: "st141"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2833-660",
    transform: "translate(1.106 -1.867)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1812",
    d: "M.27 65.54c-.16.31-.27.66 0 .52.26-.12.61-.17.48-.39-.2-.36-.35-.39-.48-.13z",
    className: "st142"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2834-662",
    transform: "translate(19.74 -49.893)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2835-663"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1820",
    d: "M.12 63.84c-.12.36 1.41.84 1.75 1.14.46.41.49 1.22 1.03.89.35-.21.08-.68-.56-1.39-.95-1.06-2.12-.93-2.22-.64z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2836-665",
    transform: "translate(.08 -.046)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1825",
    d: "M.12 63.92c-.12.34 1.34.8 1.68 1.1.44.4.48 1.18.99.86.35-.2.08-.66-.54-1.34-.9-1.01-2.03-.9-2.13-.62z",
    className: "st45"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2837-667",
    transform: "translate(.16 -.093)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1830",
    d: "M.12 64c-.12.32 1.27.76 1.6 1.06.44.39.47 1.14.97.84.33-.2.06-.65-.53-1.3-.86-.97-1.94-.87-2.04-.6z",
    className: "st46"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2838-669",
    transform: "translate(.24 -.14)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1835",
    d: "M.11 64.08c-.11.31 1.21.73 1.53 1.02.43.38.46 1.1.94.81.32-.19.06-.63-.51-1.25-.82-.92-1.85-.84-1.96-.58z",
    className: "st26"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2839-671",
    transform: "translate(.32 -.186)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1840",
    d: "M.11 64.16c-.11.29 1.14.69 1.46.98.41.36.45 1.06.9.78.31-.18.05-.61-.48-1.2-.78-.88-1.77-.81-1.88-.56z",
    className: "st47"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2840-673",
    transform: "translate(.4 -.232)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1845",
    d: "M.11 64.24c-.11.28 1.06.66 1.38.93.41.36.44 1.03.88.76.29-.17.03-.59-.47-1.15-.74-.83-1.68-.78-1.79-.54z",
    className: "st48"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2841-675",
    transform: "translate(.48 -.279)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1850",
    d: "M.11 64.32c-.11.26.99.62 1.31.89.39.35.43.99.84.74.29-.17.03-.58-.45-1.11-.7-.79-1.59-.75-1.7-.52z",
    className: "st28"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2842-677",
    transform: "translate(.561 -.325)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1855",
    d: "M.11 64.39c-.11.26.92.59 1.23.86.38.34.42.95.81.71.28-.16.02-.56-.43-1.07-.66-.73-1.5-.71-1.61-.5z",
    className: "st49"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2843-679",
    transform: "translate(.641 -.372)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1860",
    d: "M.11 64.47c-.11.24.85.56 1.15.82.38.33.41.91.79.68.26-.15.01-.54-.42-1.02-.61-.69-1.41-.68-1.52-.48z",
    className: "st50"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2844-681",
    transform: "translate(.721 -.418)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1865",
    d: "M.11 64.55c-.11.22.78.52 1.08.78.36.32.4.87.75.66.25-.15 0-.53-.4-.98-.57-.64-1.32-.65-1.43-.46z",
    className: "st30"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2845-683",
    transform: "translate(.801 -.464)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1870",
    d: "M.11 64.63c-.11.21.71.48 1 .74.36.31.39.83.72.63.25-.14 0-.51-.37-.93-.53-.6-1.24-.62-1.35-.44z",
    className: "st51"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2846-685",
    transform: "translate(.882 -.511)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1875",
    d: "M.11 64.71c-.11.19.63.45.93.7.34.29.37.79.68.6.24-.13-.01-.49-.35-.88-.49-.55-1.16-.59-1.26-.42z",
    className: "st52"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2847-687",
    transform: "translate(.962 -.558)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1880",
    d: "M.11 64.79c-.11.18.56.41.85.66.33.28.37.75.66.58.22-.13-.03-.48-.34-.84-.45-.51-1.07-.56-1.17-.4z",
    className: "st32"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2848-689",
    transform: "translate(1.042 -.604)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1885",
    d: "M.11 64.86c-.11.17.49.39.77.63.33.27.36.71.63.55.21-.12-.03-.46-.32-.79-.41-.46-.98-.53-1.08-.39z",
    className: "st53"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2849-691",
    transform: "translate(1.122 -.65)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1890",
    d: "M.11 64.94c-.11.16.42.35.7.58.31.27.35.68.59.53.21-.11-.04-.44-.3-.74-.36-.42-.89-.5-.99-.37z",
    className: "st54"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2850-693",
    transform: "translate(1.202 -.697)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1895",
    d: "M.11 65.02c-.11.14.35.31.62.54.3.26.34.64.57.5.19-.1-.05-.42-.29-.69-.32-.37-.8-.47-.9-.35z",
    className: "st34"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2851-695",
    transform: "translate(1.282 -.743)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1900",
    d: "M.1 65.1c-.1.12.29.28.56.5.29.25.32.6.53.48.18-.1-.06-.41-.26-.65-.29-.33-.72-.44-.83-.33z",
    className: "st55"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2852-697",
    transform: "translate(1.363 -.79)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1905",
    d: "M.1 65.18c-.1.11.21.24.48.46.28.24.32.56.5.45.17-.09-.07-.39-.24-.6-.24-.28-.63-.41-.74-.31z",
    className: "st56"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2853-699",
    transform: "translate(1.443 -.836)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1910",
    d: "M.1 65.26c-.1.09.14.21.4.42.28.22.31.52.48.42.16-.09-.08-.37-.23-.55-.2-.24-.54-.38-.65-.29z",
    className: "st36"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2854-701",
    transform: "translate(1.523 -.883)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1915",
    d: "M.1 65.33c-.1.09.07.18.33.39.26.21.29.48.44.4.15-.09-.09-.36-.21-.51-.16-.19-.45-.35-.56-.28z",
    className: "st57"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2855-703",
    transform: "translate(1.603 -.93)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1920",
    d: "M.1 65.41c-.1.07 0 .14.25.35.25.2.29.44.41.37.14-.08-.09-.34-.19-.46-.11-.15-.36-.33-.47-.26z",
    className: "st4"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2856-705",
    transform: "translate(27.965 -49.87)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2857-706"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1928",
    d: "M.01 63.69c-.01.18.48.28.8.4.31.11.93.53 1.23.85.29.32.92 1.26 1.06 1.01.14-.22-.33-.86-.46-1.13-.12-.27-.52-.86-1.15-1.06-.55-.16-1.47-.21-1.48-.07z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2858-708",
    transform: "translate(.05 -.054)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1933",
    d: "M.01 63.76c-.01.17.47.27.77.39.31.1.91.51 1.2.83.28.31.9 1.22 1.03.98.14-.22-.31-.84-.44-1.11-.13-.26-.52-.82-1.13-1.02-.53-.16-1.42-.21-1.43-.07z",
    className: "st129"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2859-710",
    transform: "translate(.1 -.107)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1938",
    d: "M.01 63.82c-.01.17.45.27.75.38.3.1.89.5 1.16.81.28.3.88 1.19 1.01.96.13-.21-.3-.82-.44-1.08-.13-.26-.5-.8-1.1-.99-.51-.16-1.37-.21-1.38-.08z",
    className: "st130"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2860-712",
    transform: "translate(.15 -.16)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1943",
    d: "M.01 63.89c-.01.16.44.26.73.37.29.1.86.49 1.12.79.27.29.85 1.15.98.92.13-.2-.29-.79-.42-1.04s-.5-.77-1.07-.97c-.5-.15-1.33-.2-1.34-.07z",
    className: "st131"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2861-714",
    transform: "translate(.201 -.214)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1948",
    d: "M.01 63.96c-.01.15.43.25.71.35.28.1.83.48 1.09.77.25.28.82 1.12.95.9.12-.2-.28-.76-.42-1.01-.13-.25-.48-.75-1.04-.94-.48-.15-1.28-.2-1.29-.07z",
    className: "st48"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2862-716",
    transform: "translate(.251 -.267)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1953",
    d: "M.01 64.02c-.01.15.41.25.69.35.27.09.8.46 1.05.75.25.27.8 1.08.92.87.12-.19-.26-.74-.4-.98s-.47-.72-1.02-.91c-.46-.16-1.23-.2-1.24-.08z",
    className: "st132"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2863-718",
    transform: "translate(.302 -.32)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1958",
    d: "M.01 64.09c-.01.14.4.24.66.34.27.09.78.45 1.02.72.24.27.78 1.05.89.85.12-.19-.25-.72-.39-.96-.13-.23-.46-.69-.98-.87-.45-.16-1.19-.2-1.2-.08z",
    className: "st29"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2864-720",
    transform: "translate(.352 -.374)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1963",
    d: "M.01 64.15c-.01.15.39.24.64.33.25.09.75.44.98.7.24.26.75 1.02.87.82.11-.17-.24-.69-.38-.92-.14-.23-.45-.66-.96-.85-.43-.15-1.14-.19-1.15-.08z",
    className: "st133"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2865-722",
    transform: "translate(.402 -.427)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1968",
    d: "M.01 64.22c-.01.14.37.22.62.32.24.08.72.42.95.68.22.25.72.98.83.79.11-.17-.22-.66-.36-.89-.14-.22-.45-.64-.93-.82-.42-.15-1.1-.19-1.11-.08z",
    className: "st51"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2866-724",
    transform: "translate(.453 -.48)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1973",
    d: "M.01 64.29c-.01.13.36.21.59.3.24.09.7.42.92.66.21.24.7.95.81.77.1-.17-.22-.64-.36-.86-.14-.22-.43-.61-.9-.79-.4-.15-1.05-.19-1.06-.08z",
    className: "st134"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2867-726",
    transform: "translate(.503 -.534)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1978",
    d: "M.01 64.35c-.01.13.35.21.57.3.23.08.67.4.88.64.21.23.68.91.78.74.1-.16-.2-.62-.34-.83-.15-.22-.43-.59-.88-.77-.38-.14-1-.18-1.01-.08z",
    className: "st135"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2868-728",
    transform: "translate(.553 -.588)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1983",
    d: "M.01 64.42c-.01.12.33.2.55.29.22.08.65.38.84.61.2.23.65.88.75.71.1-.15-.18-.59-.33-.8-.14-.2-.41-.55-.84-.73-.37-.14-.96-.18-.97-.08z",
    className: "st136"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2869-730",
    transform: "translate(.603 -.641)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1988",
    d: "M.01 64.48c-.01.12.32.2.53.28.21.08.62.37.81.6.18.21.62.84.72.68.09-.14-.17-.56-.32-.77-.15-.2-.4-.53-.82-.7-.35-.14-.91-.18-.92-.09z",
    className: "st34"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2870-732",
    transform: "translate(.654 -.694)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1993",
    d: "M.01 64.55c-.01.11.3.19.51.27.2.07.59.36.77.57.18.21.6.81.69.66.09-.14-.16-.54-.31-.74-.14-.2-.39-.5-.79-.67-.33-.14-.86-.18-.87-.09z",
    className: "st137"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2871-734",
    transform: "translate(.704 -.748)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path1998",
    d: "M.01 64.61c-.01.11.29.19.48.27.2.07.57.34.74.54.17.2.58.78.67.64.08-.14-.15-.52-.3-.71-.15-.19-.38-.48-.76-.65-.32-.13-.82-.17-.83-.09z",
    className: "st138"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2872-736",
    transform: "translate(.754 -.801)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2003",
    d: "M.01 64.68c-.01.1.28.18.46.25s.54.33.71.53c.16.19.55.74.63.6.08-.12-.13-.49-.29-.67-.15-.19-.37-.45-.73-.62-.3-.13-.77-.17-.78-.09z",
    className: "st139"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2873-738",
    transform: "translate(.805 -.855)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2008",
    d: "M.01 64.75c-.01.09.26.16.44.24.17.06.51.32.67.5.15.19.52.71.6.58.08-.12-.12-.46-.27-.64-.15-.18-.36-.43-.7-.59-.29-.13-.73-.17-.74-.09z",
    className: "st4"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2874-740",
    transform: "translate(.855 -.908)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2013",
    d: "M.01 64.81c-.01.1.25.16.42.23.16.07.48.31.63.49.14.17.5.67.58.55.07-.11-.11-.44-.27-.62-.15-.17-.35-.39-.67-.55-.27-.13-.68-.17-.69-.1z",
    className: "st140"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2875-742",
    transform: "translate(.905 -.961)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2018",
    d: "M.01 64.88c-.01.09.24.15.39.22.16.06.46.29.6.46.14.17.48.64.55.52.07-.1-.09-.41-.25-.58-.16-.17-.34-.37-.65-.53-.25-.13-.63-.16-.64-.09z",
    className: "st39"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2876-744",
    transform: "translate(.955 -1.015)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2023",
    d: "M.01 64.94c-.01.09.22.15.37.22.15.05.43.28.57.44.12.15.45.6.51.49.07-.1-.08-.39-.24-.55-.15-.16-.32-.34-.61-.5-.24-.13-.59-.16-.6-.1z",
    className: "st141"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2877-746",
    transform: "translate(1.005 -1.068)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2028",
    d: "M.01 65.01c-.01.08.21.14.35.2.14.06.41.27.53.42.12.15.42.57.49.47.06-.09-.07-.36-.23-.52-.16-.16-.32-.32-.59-.47-.21-.13-.54-.16-.55-.1z",
    className: "st142"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2878-748",
    transform: "translate(32.985 -.14)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2879-749"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2036",
    d: "M12.89 49.22c.73 1.05-.02 2.42.51 3.26.86 1.38 2.61 2.78 3.27 3.16.48.3 1.16.58 1.14 1.43-.04.97-.52 1.23-.79 1.5-.53.54-3.25 1.88-5.05 3.11-2.27 1.56-3.05 2.25-3.79 2.98-1.15 1.15-2.24 1.54-3.98 1.54-1.74 0-2.53-.37-3.07-.85C.6 64.89 0 63.69.06 61.91c.05-1.76.61-3.38.88-6.13.11-1.18.1-2.64.1-3.94 0-1.64.02-3.03.38-3.24.63-.4.77-.42 1.52-.42s1.08.04 1.33.29c.23.23.14.77.06 1.53-.07.76.29 1.01.65 1.32.37.31.69.7 1.84.79 1.15.08 1.57-.11 2.11-.45.54-.34 1.3-.94 1.58-1.29.27-.34.93-1.51 1.06-1.51.12 0 .89-.27 1.32.36z",
    className: "st58"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2880-751",
    transform: "translate(.117 -.154)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2041",
    d: "M12.78 49.37c.72 1.06-.03 2.42.5 3.27.87 1.38 2.61 2.77 3.28 3.16.48.29 1.16.57 1.13 1.42-.03.98-.51 1.23-.78 1.5-.54.54-3.27 1.88-5.08 3.09-2.26 1.52-3.07 2.2-3.82 2.91-1.13 1.1-2.18 1.48-3.89 1.47-1.69-.01-2.46-.36-2.99-.84C.59 64.89 0 63.73.05 62.01c.03-1.76.6-3.36.86-6.06.1-1.2.06-2.65.05-3.96-.01-1.64-.01-3.03.34-3.24.63-.39.77-.42 1.52-.42s1.09.05 1.33.29c.25.25.13.8.04 1.53-.11.76.23 1.06.61 1.4.38.34.73.73 1.88.82 1.17.08 1.63-.14 2.17-.51.54-.36 1.26-.96 1.55-1.32.26-.35.93-1.53 1.06-1.53.11 0 .88-.27 1.32.36z",
    className: "st81"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2881-753",
    transform: "translate(.234 -.309)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2046",
    d: "M12.66 49.53c.73 1.05-.02 2.42.5 3.26.87 1.38 2.61 2.78 3.28 3.16.48.29 1.16.57 1.13 1.43-.03.97-.51 1.23-.78 1.5-.54.53-3.29 1.87-5.1 3.06-2.25 1.49-3.09 2.16-3.86 2.84-1.1 1.04-2.12 1.42-3.79 1.4-1.64-.02-2.39-.35-2.92-.83C.58 64.89 0 63.78.04 62.11c.02-1.76.6-3.34.84-5.99.09-1.22.02-2.65 0-3.98-.03-1.63-.05-3.02.3-3.23.63-.4.77-.42 1.52-.42s1.09.04 1.34.29c.25.25.11.81 0 1.52-.13.76.19 1.11.58 1.48.4.36.77.76 1.91.85 1.21.07 1.69-.17 2.24-.57.54-.38 1.23-.97 1.51-1.35.27-.36.93-1.55 1.06-1.55.12 0 .89-.26 1.32.37z",
    className: "st60"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2882-755",
    transform: "translate(.35 -.463)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2051",
    d: "M12.54 49.68c.73 1.05-.02 2.42.51 3.27.86 1.38 2.61 2.77 3.27 3.16.48.29 1.16.57 1.14 1.42-.04.97-.52 1.23-.79 1.5-.53.54-3.3 1.87-5.13 3.04-2.23 1.46-3.1 2.11-3.88 2.76-1.08 1-2.07 1.37-3.71 1.33-1.58-.02-2.31-.33-2.84-.81C.58 64.89 0 63.82.04 62.2c0-1.75.58-3.32.8-5.91.1-1.23-.01-2.66-.04-4-.04-1.63-.08-3.02.26-3.23.64-.39.78-.42 1.53-.42.74 0 1.09.05 1.33.29.26.26.09.84-.02 1.52-.16.75.13 1.15.54 1.56.42.39.81.79 1.95.88 1.23.07 1.75-.2 2.3-.63.54-.4 1.2-.98 1.48-1.38.26-.36.92-1.56 1.05-1.56.12 0 .89-.27 1.32.36z",
    className: "st61"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2883-757",
    transform: "translate(.468 -.618)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2056",
    d: "M12.43 49.84c.72 1.05-.03 2.42.5 3.26.87 1.38 2.61 2.77 3.28 3.16.48.29 1.15.57 1.13 1.43-.03.97-.51 1.23-.78 1.5-.54.53-3.32 1.86-5.16 3.01-2.21 1.43-3.12 2.07-3.92 2.69-1.05.94-2.01 1.31-3.61 1.26-1.53-.03-2.24-.33-2.77-.8C.57 64.9 0 63.86.03 62.3c-.01-1.75.58-3.3.78-5.84.09-1.25-.05-2.67-.09-4.02-.05-1.63-.12-3.01.23-3.22.63-.4.77-.43 1.52-.43s1.09.05 1.33.3c.27.26.08.86-.04 1.51-.2.75.07 1.2.5 1.63.43.43.85.84 1.99.92 1.26.06 1.81-.23 2.37-.69.53-.42 1.15-1 1.44-1.41.26-.37.92-1.58 1.04-1.58s.89-.27 1.33.37z",
    className: "st62"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2884-759",
    transform: "translate(.585 -.772)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2061",
    d: "M12.31 49.99c.72 1.05-.02 2.42.5 3.27.87 1.38 2.61 2.77 3.28 3.15.48.3 1.16.58 1.13 1.43-.03.97-.51 1.23-.78 1.5-.54.54-3.34 1.85-5.18 3-2.2 1.38-3.15 2.01-3.95 2.61-1.03.89-1.96 1.25-3.52 1.19-1.49-.03-2.17-.32-2.7-.79C.56 64.9 0 63.9.02 62.39 0 60.64.6 59.11.78 56.63c.08-1.27-.09-2.67-.15-4.04-.06-1.63-.15-3.01.2-3.22.63-.39.77-.42 1.52-.42s1.09.05 1.34.29c.27.28.06.88-.07 1.51-.23.75.01 1.25.46 1.71.45.46.89.87 2.02.94 1.3.07 1.87-.25 2.44-.74.53-.44 1.12-1.01 1.41-1.44.26-.38.91-1.59 1.04-1.59.11 0 .89-.27 1.32.36z",
    className: "st80"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2885-761",
    transform: "translate(.684 -.926)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2066",
    d: "M12.21 50.15c.73 1.05-.02 2.42.5 3.26.87 1.38 2.61 2.77 3.28 3.16.48.29 1.16.57 1.13 1.43-.03.97-.51 1.23-.78 1.49-.54.54-3.35 1.85-5.21 2.98-2.18 1.35-3.16 1.97-3.98 2.53-1 .84-1.9 1.2-3.42 1.13-1.44-.04-2.11-.31-2.63-.78-.52-.45-1.08-1.4-1.07-2.86C0 60.74.6 59.23.77 56.8c.07-1.29-.13-2.68-.2-4.05-.07-1.63-.19-3.01.16-3.23.63-.39.77-.42 1.52-.42s1.09.05 1.34.3c.28.28.04.9-.1 1.5-.26.74-.04 1.3.43 1.79.47.48.92.9 2.06.97 1.32.06 1.93-.28 2.5-.8.53-.46 1.08-1.02 1.37-1.47.26-.38.91-1.61 1.04-1.61.11 0 .89-.27 1.32.37z",
    className: "st64"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2886-763",
    transform: "translate(.78 -1.08)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2071",
    d: "M12.11 50.3c.73 1.05-.02 2.42.51 3.26.86 1.38 2.61 2.78 3.27 3.16.48.3 1.16.58 1.14 1.43-.04.97-.52 1.23-.79 1.5-.53.54-3.37 1.84-5.23 2.95-2.17 1.32-3.18 1.92-4.01 2.46-.98.79-1.85 1.14-3.33 1.06-1.39-.05-2.04-.3-2.56-.77C.59 64.9.04 63.99.05 62.59c-.05-1.75.56-3.24.71-5.62.06-1.31-.17-2.68-.25-4.07-.09-1.63-.22-3.01.12-3.22.64-.39.78-.42 1.53-.42.74 0 1.09.05 1.33.29.29.29.03.92-.12 1.5-.29.74-.09 1.35.39 1.86.48.52.96.95 2.1 1.01 1.34.06 1.98-.31 2.56-.86.53-.48 1.05-1.03 1.34-1.5.26-.39.9-1.62 1.03-1.62.12 0 .89-.27 1.32.36z",
    className: "st65"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2887-765",
    transform: "translate(.877 -1.235)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2076",
    d: "M12.02 50.45c.72 1.06-.03 2.43.5 3.27.87 1.38 2.61 2.77 3.28 3.16.48.29 1.15.57 1.13 1.43-.03.97-.51 1.22-.78 1.49-.54.54-3.39 1.84-5.26 2.93-2.16 1.29-3.2 1.88-4.04 2.39-.96.73-1.8 1.08-3.25.99-1.33-.06-1.96-.29-2.48-.76C.6 64.9.06 64.03.06 62.68c-.06-1.74.55-3.22.69-5.54.05-1.33-.21-2.69-.3-4.09-.1-1.63-.26-3.01.09-3.22.63-.39.77-.42 1.52-.42s1.09.05 1.33.3c.3.3.02.94-.14 1.5-.33.73-.15 1.39.35 1.93.5.55 1 .98 2.13 1.04 1.38.06 2.05-.34 2.63-.92.53-.5 1.02-1.05 1.31-1.53.25-.4.9-1.64 1.02-1.64s.89-.27 1.33.36z",
    className: "st66"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2888-767",
    transform: "translate(.974 -1.39)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2081",
    d: "M11.92 50.61c.73 1.05-.02 2.42.5 3.26.87 1.38 2.61 2.78 3.28 3.16.48.29 1.16.58 1.13 1.43-.03.97-.51 1.23-.78 1.5-.54.54-3.4 1.83-5.28 2.9-2.15 1.26-3.22 1.83-4.08 2.31-.93.69-1.74 1.03-3.15.93-1.28-.07-1.89-.29-2.41-.75-.51-.44-1.05-1.28-1.06-2.57-.07-1.74.55-3.2.67-5.48.04-1.34-.25-2.69-.35-4.1-.11-1.62-.29-3 .05-3.21.63-.39.77-.42 1.52-.42s1.1.05 1.34.29c.3.31-.01.97-.17 1.5-.36.72-.21 1.43.31 2.01.52.58 1.04 1.01 2.17 1.07 1.41.05 2.11-.37 2.7-.99.52-.51.97-1.05 1.27-1.55.25-.41.89-1.65 1.02-1.65.12 0 .89-.27 1.32.36z",
    className: "st79"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2889-769",
    transform: "translate(1.07 -1.545)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2086",
    d: "M11.82 50.76c.73 1.06-.02 2.43.51 3.27.86 1.38 2.61 2.77 3.27 3.16.48.29 1.16.57 1.14 1.42-.04.98-.52 1.23-.79 1.5-.53.54-3.42 1.83-5.3 2.88-2.14 1.22-3.24 1.78-4.11 2.24-.91.63-1.68.97-3.06.86-1.23-.07-1.82-.28-2.33-.74C.63 64.91.1 64.11.09 62.87c-.09-1.73.54-3.17.64-5.4.03-1.35-.29-2.69-.4-4.12-.13-1.62-.33-3 .02-3.21.63-.39.77-.42 1.52-.42s1.09.05 1.33.29c.32.32-.02.99-.19 1.5-.39.72-.27 1.48.27 2.08.53.61 1.08 1.06 2.21 1.11 1.43.05 2.16-.4 2.76-1.05.52-.53.94-1.06 1.24-1.58.25-.41.88-1.67 1.01-1.67.12 0 .89-.27 1.32.36z",
    className: "st68"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2890-771",
    transform: "translate(1.07 -1.699)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2091",
    d: "M11.82 50.92c.73 1.05-.02 2.42.51 3.26.86 1.38 2.61 2.78 3.27 3.16.48.29 1.16.57 1.14 1.43-.04.97-.52 1.23-.79 1.5-.53.53-3.44 1.82-5.33 2.85-2.12 1.19-3.25 1.74-4.14 2.17-.89.58-1.63.91-2.96.79-1.18-.08-1.75-.27-2.27-.73C.74 64.91.22 64.16.2 62.97c-.1-1.73.53-3.16.62-5.33.02-1.37-.33-2.7-.46-4.14-.13-1.62-.36-2.99-.02-3.2.64-.39.78-.42 1.53-.42.74 0 1.09.05 1.33.29.32.32-.03 1.01-.22 1.49-.42.72-.32 1.53.23 2.16.56.64 1.12 1.09 2.25 1.14 1.46.04 2.23-.43 2.83-1.11.52-.55.9-1.07 1.2-1.61.25-.42.88-1.69 1.01-1.69.12 0 .89-.26 1.32.37z",
    className: "st69"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2891-773",
    transform: "translate(1.072 -1.853)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2096",
    d: "M11.82 51.07c.73 1.05-.02 2.42.51 3.27.86 1.38 2.61 2.77 3.27 3.16.48.29 1.16.57 1.14 1.42-.04.97-.52 1.23-.79 1.5-.54.54-3.45 1.81-5.35 2.83-2.11 1.16-3.28 1.69-4.17 2.09-.87.53-1.58.86-2.88.73-1.13-.09-1.68-.26-2.19-.72C.85 64.91.33 64.2.31 63.07c-.12-1.73.52-3.14.59-5.26.02-1.39-.36-2.71-.5-4.16-.15-1.62-.4-2.99-.06-3.2.64-.39.78-.42 1.53-.42.74 0 1.09.05 1.33.29.33.34-.05 1.04-.24 1.49-.46.72-.38 1.58.19 2.24.57.67 1.16 1.12 2.28 1.17 1.49.04 2.29-.46 2.9-1.17.51-.57.87-1.09 1.17-1.64.24-.43.87-1.7 1-1.7.12 0 .89-.27 1.32.36z",
    className: "st70"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2892-775",
    transform: "translate(1.072 -2.008)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2101",
    d: "M11.82 51.23c.73 1.05-.02 2.42.51 3.26.86 1.38 2.6 2.77 3.27 3.16.48.29 1.16.57 1.14 1.43-.04.97-.52 1.23-.79 1.5-.54.53-3.47 1.8-5.38 2.8-2.09 1.13-3.29 1.65-4.2 2.02-.84.48-1.52.8-2.79.66-1.07-.1-1.6-.26-2.11-.71a2.854 2.854 0 01-1.05-2.19c-.13-1.72.51-3.11.57-5.18 0-1.41-.4-2.71-.56-4.18-.16-1.61-.43-2.98-.09-3.19.64-.39.78-.43 1.52-.43.75 0 1.1.06 1.34.3.34.34-.07 1.05-.27 1.48-.49.71-.43 1.63.15 2.32.59.7 1.2 1.16 2.33 1.2 1.52.03 2.34-.5 2.96-1.23.51-.59.83-1.1 1.13-1.67.24-.43.87-1.72 1-1.72.12 0 .89-.27 1.32.37z",
    className: "st71"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2893-777",
    transform: "translate(1.073 -2.162)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2106",
    d: "M11.82 51.38c.73 1.05-.02 2.42.5 3.27.87 1.38 2.61 2.77 3.28 3.15.48.3 1.16.58 1.14 1.43-.04.97-.52 1.23-.79 1.5-.54.54-3.49 1.8-5.41 2.78-2.08 1.09-3.3 1.6-4.23 1.95-.82.42-1.46.74-2.69.59-1.02-.11-1.54-.25-2.04-.7-.51-.43-1.02-1.07-1.05-2.09-.15-1.72.51-3.1.55-5.11-.01-1.43-.45-2.72-.61-4.2C.3 52.34 0 50.97.34 50.76c.63-.39.78-.42 1.52-.42.75 0 1.1.05 1.34.29.35.35-.08 1.08-.3 1.48-.52.71-.48 1.68.12 2.39.61.73 1.24 1.2 2.36 1.24 1.55.03 2.4-.53 3.02-1.29.52-.61.8-1.11 1.11-1.7.23-.44.86-1.73.99-1.73.12 0 .89-.27 1.32.36z",
    className: "st72"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2894-779",
    transform: "translate(1.073 -2.317)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2111",
    d: "M11.82 51.54c.73 1.05-.02 2.42.5 3.26.87 1.38 2.61 2.77 3.28 3.16.48.29 1.16.57 1.14 1.43-.04.97-.52 1.23-.79 1.49-.54.54-3.51 1.8-5.43 2.77-2.07 1.05-3.33 1.55-4.27 1.87-.79.37-1.41.68-2.6.52-.97-.12-1.46-.24-1.97-.69-.5-.43-1-1.03-1.05-2-.15-1.71.51-3.07.53-5.03C1.15 56.87.68 55.6.5 54.1c-.18-1.61-.5-2.97-.16-3.18.63-.39.77-.43 1.52-.43s1.1.06 1.34.3c.35.35-.1 1.09-.32 1.47-.55.71-.54 1.72.07 2.47.63.76 1.28 1.23 2.4 1.27 1.58.03 2.47-.56 3.09-1.35.51-.63.77-1.13 1.07-1.73.24-.45.86-1.75.99-1.75.12 0 .89-.27 1.32.37z",
    className: "st73"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2895-781",
    transform: "translate(1.074 -2.47)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2116",
    d: "M11.82 51.69c.73 1.05-.02 2.42.5 3.26.87 1.38 2.61 2.78 3.28 3.16.48.3 1.16.58 1.13 1.43-.03.97-.51 1.23-.78 1.5-.54.54-3.52 1.79-5.46 2.74-2.05 1.02-3.34 1.5-4.29 1.79-.78.32-1.36.63-2.51.46-.92-.12-1.4-.23-1.9-.68-.5-.43-.99-.98-1.05-1.9-.16-1.71.5-3.05.51-4.96-.03-1.46-.52-2.73-.71-4.24-.2-1.61-.54-2.97-.2-3.18.63-.39.77-.42 1.52-.42s1.1.05 1.34.29c.36.37-.12 1.12-.35 1.47-.58.7-.59 1.77.04 2.55.64.79 1.32 1.27 2.44 1.3 1.6.02 2.52-.59 3.15-1.41.51-.65.73-1.14 1.04-1.76.23-.45.85-1.76.98-1.76.12 0 .89-.27 1.32.36z",
    className: "st74"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2896-783",
    transform: "translate(1.075 -2.625)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2121",
    d: "M11.82 51.84c.73 1.06-.02 2.43.5 3.27.87 1.38 2.61 2.77 3.28 3.16.48.29 1.16.57 1.13 1.43-.03.97-.51 1.22-.78 1.49-.54.54-3.54 1.79-5.48 2.72-2.04.99-3.36 1.46-4.33 1.72-.75.27-1.3.57-2.42.39-.87-.13-1.32-.23-1.82-.67-.5-.42-.99-.94-1.05-1.8-.18-1.71.49-3.04.48-4.89-.03-1.48-.56-2.74-.76-4.25C.36 52.8 0 51.43.34 51.22c.63-.38.77-.42 1.52-.42s1.1.06 1.34.3c.37.37-.13 1.14-.37 1.46-.62.7-.66 1.82 0 2.62.66.83 1.35 1.31 2.47 1.33 1.63.03 2.58-.61 3.22-1.46.51-.67.69-1.15 1-1.79.23-.46.85-1.78.98-1.78.11 0 .89-.27 1.32.36z",
    className: "st75"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2897-785",
    transform: "translate(1.075 -2.78)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2126",
    d: "M11.82 52c.72 1.05-.02 2.42.5 3.26.87 1.38 2.61 2.78 3.28 3.16.48.29 1.16.58 1.13 1.43-.03.97-.51 1.23-.78 1.5-.54.54-3.56 1.78-5.51 2.69-2.03.95-3.38 1.41-4.36 1.65-.72.22-1.24.51-2.32.32-.82-.14-1.26-.22-1.75-.66-.5-.42-.98-.9-1.05-1.71-.19-1.7.48-3.01.46-4.81-.04-1.5-.6-2.74-.81-4.27-.22-1.61-.61-2.97-.27-3.18.63-.39.77-.42 1.52-.42s1.1.05 1.34.29c.38.38-.15 1.16-.4 1.46-.65.7-.71 1.87-.04 2.7.68.85 1.4 1.34 2.51 1.36 1.66.02 2.64-.64 3.29-1.53.5-.68.65-1.15.97-1.81.22-.47.84-1.79.97-1.79.11 0 .89-.27 1.32.36z",
    className: "st76"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2898-787",
    transform: "translate(1.076 -2.934)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2131",
    d: "M11.82 52.15c.72 1.06-.03 2.43.5 3.27.87 1.38 2.61 2.77 3.28 3.16.48.29 1.16.57 1.13 1.42-.03.98-.51 1.23-.78 1.5-.54.54-3.58 1.77-5.53 2.67-2.02.92-3.4 1.37-4.4 1.57-.7.17-1.19.46-2.23.26-.76-.15-1.18-.21-1.67-.65-.5-.42-.97-.86-1.05-1.61-.21-1.7.48-3 .44-4.74-.05-1.52-.64-2.75-.87-4.29-.23-1.61-.64-2.97-.3-3.18.63-.38.77-.42 1.52-.42s1.1.06 1.33.29c.39.39-.15 1.19-.41 1.46-.69.69-.77 1.92-.08 2.78.69.88 1.43 1.38 2.55 1.39 1.69.02 2.7-.67 3.35-1.59.5-.7.62-1.17.93-1.84.23-.47.84-1.81.97-1.81.11 0 .89-.27 1.32.36z",
    className: "st77"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2899-789",
    transform: "translate(1.076 -3.09)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2136",
    d: "M11.82 52.31c.72 1.05-.03 2.42.5 3.26.87 1.38 2.61 2.78 3.28 3.16.48.29 1.16.57 1.13 1.43-.03.97-.51 1.23-.78 1.5-.54.54-3.59 1.76-5.56 2.64-2 .89-3.42 1.32-4.42 1.5-.68.12-1.14.4-2.14.19-.72-.16-1.12-.2-1.61-.64-.49-.42-.96-.81-1.04-1.52-.22-1.69.47-2.97.41-4.67-.06-1.53-.68-2.75-.91-4.3-.25-1.6-.68-2.96-.34-3.17.63-.39.77-.42 1.52-.42s1.1.05 1.33.29c.4.4-.17 1.2-.44 1.45-.71.69-.82 1.97-.12 2.85.72.92 1.48 1.42 2.59 1.43 1.72.01 2.76-.7 3.42-1.65.5-.72.58-1.18.9-1.87.22-.48.83-1.83.96-1.83.11 0 .89-.26 1.32.37z",
    className: "st78"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2900-791",
    transform: "translate(34.292 -14.926)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2901-792"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2144",
    d: "M.64 66.15c-.12-.04-.64-2.47-.36-2.63.55-.33.69-.38 1.36-.38.67 0 .99.05 1.2.26.34.35-.19 1.09-.4 1.3-.61.6-1.69 1.5-1.8 1.45z",
    className: "st78"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2902-794",
    transform: "translate(.01 -.069)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2149",
    d: "M.67 66.15c-.13-.06-.67-2.4-.39-2.56.55-.33.7-.36 1.35-.36.67 0 .98.04 1.19.26.34.35-.18 1.07-.39 1.27-.61.6-1.64 1.44-1.76 1.39z",
    className: "st82"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2903-796",
    transform: "translate(.019 -.137)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2154",
    d: "M.69 66.14c-.13-.07-.69-2.32-.41-2.48.54-.32.7-.34 1.34-.34.67 0 .96.03 1.18.26.34.35-.18 1.04-.38 1.25-.61.59-1.59 1.37-1.73 1.31z",
    className: "st83"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2904-798",
    transform: "translate(.028 -.206)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2159",
    d: "M.72 66.13c-.14-.08-.72-2.23-.44-2.4.54-.32.7-.32 1.33-.32.67 0 .95.02 1.17.25.33.35-.17 1.03-.38 1.24-.6.59-1.54 1.3-1.68 1.23z",
    className: "st84"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2905-800",
    transform: "translate(.038 -.274)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2164",
    d: "M.75 66.12C.59 66.03 0 63.97.28 63.8c.54-.32.71-.3 1.32-.3.67 0 .94.01 1.16.25.33.35-.16 1.01-.37 1.21-.6.59-1.49 1.24-1.64 1.16z",
    className: "st85"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2906-802",
    transform: "translate(.047 -.343)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2169",
    d: "M.78 66.11c-.17-.1-.78-2.07-.5-2.24.54-.32.71-.28 1.31-.28.67 0 .92 0 1.15.25.33.35-.16.98-.36 1.19-.6.59-1.45 1.17-1.6 1.08z",
    className: "st86"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2907-804",
    transform: "translate(.057 -.411)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2174",
    d: "M.81 66.1c-.18-.11-.81-1.99-.53-2.15.53-.32.71-.27 1.3-.27.67 0 .91-.01 1.14.25.32.35-.15.96-.35 1.16-.6.59-1.4 1.11-1.56 1.01z",
    className: "st87"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2908-806",
    transform: "translate(.066 -.48)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2179",
    d: "M.83 66.09c-.18-.12-.83-1.91-.55-2.07.53-.32.72-.25 1.29-.25.67 0 .9-.01 1.13.25.32.35-.15.94-.34 1.14-.6.58-1.36 1.04-1.53.93z",
    className: "st88"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2909-808",
    transform: "translate(.076 -.549)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2184",
    d: "M.86 66.08c-.19-.13-.86-1.83-.59-1.99.54-.32.73-.24 1.29-.24.67 0 .88-.01 1.11.25.33.36-.13.93-.33 1.12-.59.59-1.3.98-1.48.86z",
    className: "st89"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2910-810",
    transform: "translate(.085 -.617)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2189",
    d: "M.89 66.07c-.21-.14-.89-1.75-.62-1.91.54-.31.73-.22 1.28-.22.67 0 .87-.02 1.1.25.32.36-.12.9-.32 1.1-.59.58-1.26.91-1.44.78z",
    className: "st90"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2911-812",
    transform: "translate(.094 -.686)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2194",
    d: "M.92 66.07C.7 65.91 0 64.39.27 64.23c.54-.31.74-.2 1.27-.2.67 0 .86-.03 1.09.25.32.36-.12.88-.31 1.07-.59.58-1.21.85-1.4.72z",
    className: "st91"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2912-814",
    transform: "translate(.104 -.755)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2199",
    d: "M.94 66.06c-.22-.17-.94-1.6-.67-1.76.53-.31.74-.18 1.26-.18.67 0 .84-.04 1.08.25.31.36-.11.86-.3 1.05-.59.58-1.16.78-1.37.64z",
    className: "st92"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2913-816",
    transform: "translate(.113 -.823)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2204",
    d: "M.97 66.05c-.23-.18-.97-1.52-.7-1.67.53-.32.74-.17 1.25-.17.68 0 .83-.05 1.07.25.31.36-.1.83-.29 1.02-.59.58-1.12.72-1.33.57z",
    className: "st93"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2914-818",
    transform: "translate(.123 -.892)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2209",
    d: "M1 66.04c-.24-.19-1-1.44-.73-1.59.53-.31.74-.15 1.24-.15.68 0 .82-.06 1.06.24.31.37-.1.82-.29 1.01-.58.58-1.06.65-1.28.49z",
    className: "st94"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2915-820",
    transform: "translate(.132 -.96)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2214",
    d: "M1.03 66.03c-.26-.2-1.03-1.36-.76-1.51.53-.31.75-.13 1.23-.13.67 0 .81-.07 1.05.24.3.37-.09.8-.28.99-.58.57-1.02.58-1.24.41z",
    className: "st95"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2916-822",
    transform: "translate(.142 -.971)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2219",
    d: "M1.06 65.96c-.27-.2-1.06-1.27-.79-1.43.53-.3.75-.11 1.22-.11.68 0 .79-.08 1.04.24.3.37-.08.78-.27.96-.58.58-.97.52-1.2.34z",
    className: "st96"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2917-824",
    transform: "translate(.151 -.976)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2224",
    d: "M1.08 65.89c-.27-.22-1.08-1.2-.81-1.35.52-.31.75-.09 1.22-.09.67 0 .77-.09 1.02.24.3.37-.08.75-.26.93-.58.58-.93.46-1.17.27z",
    className: "st97"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2918-826",
    transform: "translate(.16 -.98)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2229",
    d: "M1.11 65.82C.83 65.59 0 64.7.27 64.55c.52-.31.76-.07 1.21-.07.67 0 .76-.1 1.01.23.29.37-.07.73-.25.92-.59.57-.88.38-1.13.19z",
    className: "st98"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2919-828",
    transform: "translate(.17 -.985)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2234",
    d: "M1.14 65.74c-.3-.23-1.14-1.03-.88-1.18.53-.31.77-.06 1.21-.06.67 0 .74-.11 1 .23.29.38-.07.72-.25.9-.58.57-.83.32-1.08.11z",
    className: "st99"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2920-830",
    transform: "translate(.18 -.99)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2239",
    d: "M1.17 65.67c-.31-.25-1.17-.96-.91-1.1.53-.31.77-.04 1.2-.04.67 0 .73-.12.99.23.29.37-.06.69-.24.87-.58.57-.78.25-1.04.04z",
    className: "st100"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2921-832",
    transform: "translate(.189 -.995)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2244",
    d: "M1.19 65.6c-.31-.26-1.19-.88-.93-1.03.53-.3.78-.02 1.19-.02.67 0 .72-.12.98.23.28.38-.05.67-.23.85-.58.57-.73.19-1.01-.03z",
    className: "st101"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2922-834",
    transform: "translate(43.028 -14.14)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2923-835"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2252",
    d: "M2.71 63.36c.61.88-.01 2.07.43 2.78-1.11-1.02-1.61-1.44-3.14.06.42-.61.51-1.02.77-1.6.18-.4.71-1.55.82-1.55.09 0 .76-.22 1.12.31z",
    className: "st78"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2924-837",
    transform: "translate(.052 -.065)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2257",
    d: "M2.65 63.43c.6.86.01 2.04.42 2.71-1.08-.99-1.58-1.4-3.07.06.39-.58.49-.99.75-1.56.18-.4.69-1.51.8-1.52.11 0 .75-.21 1.1.31z",
    className: "st82"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2925-839",
    transform: "translate(.103 -.13)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2262",
    d: "M2.6 63.5c.58.84.02 2.02.41 2.65-1.07-.96-1.55-1.38-3.01.05.37-.54.48-.97.73-1.53.18-.4.67-1.46.79-1.47.11 0 .73-.21 1.08.3z",
    className: "st83"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2926-841",
    transform: "translate(.154 -.195)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2267",
    d: "M2.54 63.57c.56.83.04 1.99.4 2.59-1.04-.94-1.52-1.36-2.94.04.34-.51.46-.94.71-1.49.19-.4.65-1.42.78-1.43.11 0 .71-.2 1.05.29z",
    className: "st84"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2927-843",
    transform: "translate(.206 -.26)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2272",
    d: "M2.48 63.64c.55.81.05 1.97.39 2.53-1.01-.92-1.48-1.33-2.87.03.32-.47.44-.92.69-1.45.19-.41.64-1.39.77-1.39.11-.01.69-.2 1.02.28z",
    className: "st85"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2928-845",
    transform: "translate(.257 -.325)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2277",
    d: "M2.42 63.71c.54.79.07 1.94.38 2.46-.99-.88-1.44-1.3-2.8.03.29-.44.42-.89.67-1.42.2-.4.62-1.34.76-1.34.11-.01.68-.2.99.27z",
    className: "st86"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2929-847",
    transform: "translate(.309 -.39)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2282",
    d: "M2.37 63.78c.52.77.08 1.92.36 2.4-.96-.86-1.41-1.27-2.73.02.27-.4.41-.86.65-1.38.2-.41.6-1.3.74-1.31.12 0 .67-.18.98.27z",
    className: "st87"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2930-849",
    transform: "translate(.36 -.455)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2287",
    d: "M2.31 63.85c.51.75.1 1.89.36 2.34-.95-.84-1.38-1.25-2.67.01.24-.37.39-.84.63-1.35.2-.4.58-1.25.73-1.26.12 0 .65-.18.95.26z",
    className: "st88"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2931-851",
    transform: "translate(.412 -.52)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2292",
    d: "M2.25 63.92c.49.73.11 1.87.35 2.28-.92-.81-1.34-1.22-2.6 0 .22-.33.37-.81.61-1.31.21-.41.57-1.21.72-1.22.12-.01.63-.18.92.25z",
    className: "st89"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2932-853",
    transform: "translate(.463 -.578)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2297",
    d: "M2.19 63.99c.48.7.13 1.84.34 2.21-.9-.79-1.31-1.19-2.53-.01.19-.29.36-.78.59-1.27.21-.41.55-1.16.71-1.18.12-.01.61-.17.89.25z",
    className: "st90"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2933-855",
    transform: "translate(.515 -.636)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2302",
    d: "M2.13 64.05c.47.69.15 1.82.33 2.15-.87-.76-1.27-1.17-2.46-.02.17-.26.34-.75.58-1.23.2-.41.52-1.12.69-1.14.12-.01.59-.16.86.24z",
    className: "st91"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2934-857",
    transform: "translate(.566 -.693)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2307",
    d: "M2.08 64.12c.45.66.16 1.78.32 2.08-.86-.73-1.24-1.14-2.4-.02.14-.23.32-.73.56-1.2.21-.41.51-1.08.67-1.1.13-.01.58-.16.85.24z",
    className: "st92"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2935-859",
    transform: "translate(.617 -.751)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2312",
    d: "M2.02 64.18c.44.64.18 1.76.31 2.02-.83-.71-1.21-1.11-2.33-.03.12-.19.31-.7.54-1.16.21-.42.49-1.04.66-1.05.13-.02.56-.16.82.22z",
    className: "st93"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2936-861",
    transform: "translate(.67 -.809)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2317",
    d: "M1.96 64.24c.42.63.19 1.74.3 1.96-.81-.68-1.17-1.09-2.26-.04.09-.16.29-.67.52-1.13.22-.41.47-.98.65-1 .13-.02.54-.15.79.21z",
    className: "st94"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2937-863",
    transform: "translate(.72 -.866)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2322",
    d: "M1.9 64.31c.41.6.21 1.71.29 1.89-.78-.66-1.13-1.06-2.19-.05.07-.12.27-.65.5-1.09.22-.41.45-.94.64-.96.13-.02.52-.15.76.21z",
    className: "st95"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2938-865",
    transform: "translate(.772 -.924)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2327",
    d: "M1.85 64.37c.39.58.22 1.69.28 1.83-.77-.63-1.11-1.03-2.13-.05.04-.09.26-.63.48-1.06.22-.41.44-.9.63-.92.13-.02.5-.14.74.2z",
    className: "st96"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2939-867",
    transform: "translate(.823 -.981)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2332",
    d: "M1.79 64.43c.38.57.24 1.66.27 1.77-.74-.6-1.07-1-2.06-.06.01-.05.24-.6.46-1.02.23-.42.42-.86.61-.88.14-.02.49-.14.72.19z",
    className: "st97"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2940-869",
    transform: "translate(.864 -1.04)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2337",
    d: "M1.74 64.5c.37.54.26 1.63.26 1.7-.72-.58-1.04-.98-1.99-.07-.01-.02.22-.57.44-.98.23-.42.4-.81.6-.84.14-.02.47-.13.69.19z",
    className: "st98"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2941-871",
    transform: "translate(.89 -1.097)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2342",
    d: "M1.71 64.56c.35.52.27 1.61.25 1.64-.69-.55-1-.95-1.92-.08-.04.02.2-.54.42-.94.23-.42.38-.77.59-.8.14-.02.45-.12.66.18z",
    className: "st99"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2942-873",
    transform: "translate(.917 -1.143)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2347",
    d: "M1.68 64.61c.33.51.28 1.59.24 1.58-.67-.53-.97-.92-1.86-.08-.06.05.19-.52.4-.91.24-.42.37-.73.58-.76.14-.02.43-.12.64.17z",
    className: "st100"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2943-875",
    transform: "translate(.943 -1.163)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2352",
    d: "M1.64 64.64c.33.48.31 1.56.23 1.51-.64-.5-.93-.89-1.78-.09-.09.09.17-.49.38-.87.24-.43.35-.68.56-.72.15-.02.42-.11.61.17z",
    className: "st101"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2944-877",
    transform: "translate(35.044 -3.241)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2945-878"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2360",
    d: "M11.2 55.72c.97 1.28 2.77 2.65 3.41 3.02.47.27 1.15.59 1.14 1.43-.02.96-.52 1.23-.78 1.5-.54.54-3.61 1.78-5.56 2.64-1.99.88-3.43 1.34-4.43 1.5-.66.11-1.14.39-2.14.19-.7-.14-1.12-.21-1.6-.63-.48-.41-.97-.85-1.04-1.53-.2-1.68.6-2.75 1.37-4.21.63-1.17 1.91-1.4 2.7-1.3 2.86.39 2.67-1.4 3.45-2.18.73-.73 2.8-1.32 3.48-.43z",
    className: "st78"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2946-880",
    transform: "translate(.094 -.07)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2365",
    d: "M11.1 55.81c.96 1.27 2.76 2.63 3.4 3.01.47.27 1.15.58 1.14 1.42-.03.96-.52 1.23-.79 1.5-.53.53-3.63 1.78-5.56 2.61-1.99.84-3.36 1.28-4.36 1.46-.66.11-1.16.39-2.15.19-.7-.14-1.1-.2-1.58-.62-.48-.41-.93-.81-1-1.48-.2-1.68.54-2.71 1.3-4.17.64-1.2 1.92-1.37 2.71-1.26 2.85.39 2.64-1.46 3.42-2.24.72-.73 2.79-1.31 3.47-.42z",
    className: "st82"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2947-882",
    transform: "translate(.189 -.141)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2370",
    d: "M10.99 55.89c.97 1.27 2.76 2.63 3.4 3 .47.27 1.14.59 1.13 1.42-.02.96-.51 1.23-.78 1.5-.53.53-3.65 1.79-5.57 2.58-1.99.81-3.28 1.23-4.29 1.41-.66.12-1.18.4-2.16.2-.7-.14-1.08-.19-1.56-.61-.47-.4-.9-.77-.97-1.44-.19-1.68.5-2.66 1.25-4.12.63-1.23 1.93-1.34 2.71-1.23 2.84.4 2.6-1.51 3.38-2.29.73-.72 2.79-1.31 3.46-.42z",
    className: "st83"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2948-884",
    transform: "translate(.283 -.212)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2375",
    d: "M10.89 55.97c.96 1.27 2.75 2.63 3.39 3 .47.27 1.14.58 1.13 1.42-.02.95-.51 1.22-.78 1.48-.53.54-3.68 1.81-5.58 2.56-1.99.77-3.21 1.17-4.22 1.37-.65.12-1.19.4-2.18.2-.69-.14-1.05-.18-1.53-.59C.65 65 .26 64.67.19 64c-.19-1.67.45-2.62 1.19-4.08.63-1.25 1.93-1.3 2.72-1.19 2.82.4 2.56-1.56 3.34-2.34.72-.72 2.78-1.3 3.45-.42z",
    className: "st84"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2949-886",
    transform: "translate(.377 -.283)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2380",
    d: "M10.79 56.05c.96 1.27 2.74 2.62 3.38 2.99.47.27 1.14.58 1.13 1.42-.03.95-.51 1.22-.78 1.48-.53.54-3.71 1.81-5.58 2.53-2.01.73-3.14 1.11-4.16 1.33-.65.13-1.21.4-2.19.2-.69-.13-1.03-.17-1.5-.58-.47-.4-.83-.7-.9-1.36-.19-1.67.4-2.58 1.12-4.04.63-1.28 1.95-1.27 2.73-1.16 2.82.41 2.53-1.61 3.3-2.39.72-.72 2.77-1.3 3.45-.42z",
    className: "st85"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2950-888",
    transform: "translate(.471 -.353)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2385",
    d: "M10.68 56.14c.96 1.26 2.75 2.61 3.38 2.98.46.27 1.13.58 1.12 1.41-.02.95-.51 1.22-.77 1.48-.53.53-3.74 1.82-5.59 2.5-2.01.69-3.07 1.06-4.09 1.29-.64.13-1.23.4-2.21.2-.69-.13-1-.16-1.47-.57-.47-.4-.8-.66-.86-1.32-.19-1.66.35-2.54 1.06-3.99.63-1.32 1.95-1.24 2.73-1.13 2.81.42 2.5-1.66 3.27-2.44.72-.71 2.76-1.29 3.43-.41z",
    className: "st86"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2951-890",
    transform: "translate(.566 -.424)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2390",
    d: "M10.58 56.22c.96 1.26 2.74 2.61 3.37 2.98.46.26 1.13.57 1.12 1.4-.02.95-.51 1.21-.77 1.48-.53.53-3.77 1.83-5.6 2.47-2.01.65-2.99 1-4.02 1.24-.64.14-1.24.41-2.22.21-.69-.13-.98-.14-1.45-.55-.47-.4-.76-.63-.82-1.29-.19-1.66.29-2.49.99-3.95.64-1.34 1.97-1.2 2.74-1.09 2.8.43 2.46-1.71 3.24-2.49.71-.71 2.75-1.29 3.42-.41z",
    className: "st87"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2952-892",
    transform: "translate(.66 -.495)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2395",
    d: "M10.48 56.3c.95 1.26 2.73 2.6 3.36 2.97.46.27 1.13.58 1.12 1.41-.03.94-.51 1.2-.78 1.47-.52.53-3.79 1.83-5.6 2.44-2.01.62-2.92.95-3.95 1.2-.64.15-1.26.41-2.24.21-.68-.13-.95-.13-1.42-.54-.46-.4-.72-.59-.79-1.24-.18-1.66.25-2.46.94-3.91.63-1.37 1.97-1.17 2.74-1.05 2.79.43 2.43-1.77 3.2-2.54.71-.72 2.75-1.29 3.42-.42z",
    className: "st88"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2953-894",
    transform: "translate(.755 -.565)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2400",
    d: "M10.38 56.38c.95 1.26 2.72 2.6 3.35 2.97.46.26 1.12.57 1.11 1.4-.02.94-.5 1.2-.77 1.47-.52.53-3.81 1.84-5.61 2.4-2.01.59-2.84.9-3.88 1.17-.63.15-1.28.41-2.25.22-.68-.13-.93-.13-1.4-.53-.46-.4-.68-.56-.75-1.21-.18-1.65.2-2.41.88-3.86.63-1.4 1.98-1.14 2.74-1.02 2.79.43 2.4-1.82 3.17-2.59.71-.71 2.74-1.29 3.41-.42z",
    className: "st89"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2954-896",
    transform: "translate(.848 -.636)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2405",
    d: "M10.27 56.47c.95 1.25 2.72 2.59 3.35 2.95.46.27 1.12.57 1.11 1.4-.02.94-.5 1.2-.77 1.47-.53.52-3.84 1.85-5.61 2.37-2.02.55-2.78.85-3.82 1.12-.63.16-1.3.42-2.26.23-.68-.13-.91-.12-1.38-.52-.46-.4-.65-.52-.71-1.17-.18-1.64.15-2.36.81-3.82.64-1.42 1.99-1.1 2.75-.98 2.78.44 2.36-1.87 3.13-2.64.71-.71 2.74-1.28 3.4-.41z",
    className: "st90"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2955-898",
    transform: "translate(.942 -.707)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2410",
    d: "M10.17 56.55c.95 1.25 2.71 2.58 3.34 2.95.45.26 1.12.57 1.11 1.39-.03.94-.51 1.2-.77 1.46-.53.53-3.87 1.86-5.62 2.35-2.02.51-2.7.79-3.75 1.08-.63.16-1.31.42-2.28.23-.67-.13-.88-.11-1.35-.51-.45-.39-.61-.48-.67-1.13-.18-1.64.1-2.32.75-3.77.63-1.45 2-1.07 2.76-.95 2.76.45 2.32-1.92 3.09-2.69.71-.71 2.73-1.28 3.39-.41z",
    className: "st91"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2956-900",
    transform: "translate(1.037 -.777)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2415",
    d: "M10.07 56.63c.94 1.25 2.7 2.58 3.33 2.94.45.27 1.11.57 1.1 1.39-.02.94-.5 1.2-.76 1.46-.53.53-3.9 1.87-5.63 2.32-2.02.48-2.63.74-3.68 1.04-.62.17-1.33.42-2.29.23-.67-.13-.86-.1-1.32-.49-.46-.4-.58-.45-.64-1.09-.18-1.64.04-2.28.69-3.73.63-1.49 2-1.04 2.76-.92 2.75.46 2.29-1.97 3.05-2.74.71-.7 2.73-1.27 3.39-.41z",
    className: "st92"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2957-902",
    transform: "translate(1.131 -.848)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2420",
    d: "M9.97 56.71c.94 1.24 2.69 2.57 3.32 2.94.45.26 1.11.57 1.1 1.39-.02.93-.5 1.19-.76 1.45-.53.52-3.93 1.88-5.64 2.29-2.03.44-2.55.68-3.61.99-.62.18-1.35.43-2.31.24-.66-.12-.83-.08-1.29-.48-.46-.39-.55-.41-.61-1.05-.17-1.63 0-2.24.63-3.69.64-1.51 2.02-1 2.77-.88 2.75.47 2.26-2.02 3.02-2.79.7-.7 2.72-1.27 3.38-.41z",
    className: "st93"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2958-904",
    transform: "translate(1.226 -.919)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2425",
    d: "M9.86 56.8c.94 1.23 2.69 2.56 3.32 2.92.45.27 1.11.57 1.1 1.39-.03.93-.5 1.19-.76 1.45-.53.52-3.95 1.88-5.65 2.26-2.03.4-2.48.63-3.54.95-.62.18-1.36.43-2.32.24-.67-.12-.81-.07-1.27-.47-.45-.39-.51-.37-.57-1.01-.17-1.62-.05-2.19.57-3.64.63-1.54 2.02-.97 2.77-.85 2.74.47 2.22-2.07 2.98-2.83.71-.71 2.72-1.27 3.37-.41z",
    className: "st94"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2959-906",
    transform: "translate(1.32 -.99)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2430",
    d: "M9.76 56.88c.94 1.23 2.68 2.56 3.3 2.92.46.26 1.11.57 1.1 1.38-.02.93-.5 1.19-.76 1.45-.52.52-3.97 1.89-5.64 2.23-2.04.36-2.41.57-3.49.91-.6.19-1.37.43-2.32.24-.67-.12-.79-.06-1.25-.45-.45-.39-.47-.34-.53-.97-.17-1.63-.1-2.16.5-3.6.64-1.57 2.04-.94 2.78-.81 2.73.47 2.19-2.13 2.95-2.89.7-.7 2.7-1.27 3.36-.41z",
    className: "st95"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2960-908",
    transform: "translate(1.414 -1.06)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2435",
    d: "M9.66 56.96c.93 1.23 2.67 2.55 3.29 2.92.46.26 1.11.56 1.1 1.37-.02.93-.5 1.19-.76 1.45-.52.52-4 1.9-5.65 2.2-2.04.33-2.34.52-3.42.87-.6.19-1.39.43-2.34.24-.66-.12-.76-.05-1.22-.44-.44-.39-.43-.3-.49-.93-.17-1.62-.16-2.11.44-3.56.63-1.59 2.04-.9 2.78-.77 2.72.48 2.16-2.18 2.91-2.94.7-.7 2.7-1.27 3.36-.41z",
    className: "st96"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2961-910",
    transform: "translate(1.471 -1.131)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2440",
    d: "M9.59 57.05c.94 1.22 2.67 2.54 3.29 2.9.45.26 1.1.56 1.09 1.38-.02.92-.49 1.18-.75 1.44-.52.51-4.03 1.9-5.66 2.17-2.04.29-2.27.46-3.35.82-.6.2-1.41.44-2.36.25-.65-.11-.74-.04-1.19-.43-.44-.38-.4-.26-.46-.89-.16-1.61-.2-2.07.38-3.51.64-1.62 2.05-.87 2.79-.74 2.71.49 2.12-2.23 2.88-2.99.7-.7 2.69-1.26 3.34-.4z",
    className: "st97"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2962-912",
    transform: "translate(1.513 -1.202)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2445",
    d: "M9.54 57.13c.93 1.22 2.66 2.54 3.28 2.9.45.25 1.1.56 1.09 1.37-.02.92-.49 1.18-.75 1.44-.52.51-4.06 1.91-5.67 2.14-2.04.25-2.19.4-3.28.78-.59.21-1.42.44-2.37.26-.65-.12-.72-.04-1.17-.42-.44-.39-.36-.23-.42-.86-.16-1.6-.25-2.02.32-3.46.64-1.66 2.06-.84 2.79-.71 2.71.5 2.09-2.28 2.84-3.04.7-.69 2.69-1.26 3.34-.4z",
    className: "st98"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2963-914",
    transform: "translate(1.556 -1.273)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2450",
    d: "M9.49 57.21c.93 1.22 2.66 2.53 3.27 2.89.45.26 1.1.56 1.09 1.37-.02.92-.49 1.18-.75 1.43-.52.52-4.08 1.93-5.68 2.11-2.04.22-2.11.36-3.21.75-.59.21-1.44.44-2.38.26-.65-.12-.69-.02-1.14-.41-.44-.38-.33-.19-.39-.81-.16-1.61-.3-1.98.26-3.42.63-1.69 2.07-.81 2.8-.68 2.69.5 2.05-2.34 2.8-3.09.7-.69 2.68-1.25 3.33-.4z",
    className: "st99"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2964-916",
    transform: "translate(1.598 -1.343)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2455",
    d: "M9.44 57.29c.93 1.22 2.65 2.53 3.26 2.89.45.25 1.1.56 1.09 1.36-.02.92-.49 1.17-.75 1.43-.51.52-4.11 1.93-5.68 2.08-2.05.19-2.05.3-3.15.7-.58.22-1.45.45-2.39.27-.65-.12-.67-.01-1.12-.39-.44-.39-.29-.16-.35-.78-.16-1.6-.35-1.94.2-3.38.63-1.71 2.07-.77 2.8-.64 2.69.51 2.02-2.39 2.77-3.13.69-.7 2.67-1.26 3.32-.41z",
    className: "st100"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2965-918",
    transform: "translate(1.64 -1.414)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2460",
    d: "M9.39 57.38c.93 1.21 2.64 2.52 3.26 2.87.44.26 1.09.56 1.08 1.36-.02.92-.49 1.17-.75 1.43-.51.51-4.14 1.94-5.69 2.05-2.05.15-1.97.25-3.07.66-.58.22-1.48.45-2.41.27-.65-.11-.65 0-1.1-.38-.43-.38-.25-.12-.31-.74-.15-1.59-.4-1.89.14-3.33.63-1.74 2.08-.74 2.81-.6 2.67.51 1.98-2.45 2.73-3.19.69-.69 2.66-1.25 3.31-.4z",
    className: "st101"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2966-920"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2967-921"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2468",
    d: "M5.07 50.88c-1.06.76-3.72.69-4.4 1.58-.67.89.02 2.18.01 4.56 0 1.02-.18 1.79-.29 2.41-.17.79-.27 1.34.05 1.9.6.99 1.56 1.24 7.05 2.39 2.94.6 5.71 2.18 7.57 2.34 1.86.14 2.26-.48 3.39-1.49 1.13-1.01 1.49-.69 1.45-2.9-.03-2.2-1.45-2.86-3.05-5.4-1.6-2.53-1.86-3-2.93-4.69-1.06-1.66-3.17-4.68-4.37-4.71-.96-.03-1.5.49-2.1 1.1-.59.61-1.33 2.15-2.38 2.91z",
    className: "st58"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2968-923",
    transform: "translate(.01 -.15)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2473",
    d: "M5.07 51.08c-1.04.76-3.65.61-4.39 1.54-.68.88.03 2.16.01 4.55 0 1.01-.19 1.76-.31 2.41-.17.8-.28 1.34.05 1.89.62 1 1.58 1.16 7.07 2.3 2.93.61 5.61 2.17 7.53 2.3 1.81.13 2.2-.46 3.32-1.46 1.12-1 1.47-.69 1.44-2.83-.01-2.19-1.35-2.82-2.95-5.36-1.6-2.53-1.86-3-2.93-4.69-1.06-1.66-3.17-4.68-4.37-4.71-.96-.03-1.5.49-2.1 1.1-.59.61-1.32 2.19-2.37 2.96z",
    className: "st81"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2969-925",
    transform: "translate(.021 -.3)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2478",
    d: "M5.08 51.27c-1.03.77-3.58.54-4.4 1.52-.68.87.05 2.13.02 4.52-.01 1.01-.2 1.75-.33 2.42-.18.8-.28 1.34.05 1.88.64 1.01 1.6 1.08 7.08 2.22 2.93.61 5.52 2.14 7.49 2.25 1.78.12 2.15-.44 3.26-1.43 1.12-1 1.45-.7 1.43-2.75.01-2.2-1.25-2.79-2.85-5.33-1.6-2.53-1.86-3-2.93-4.69-1.06-1.66-3.17-4.68-4.37-4.71-.96-.03-1.5.49-2.1 1.1-.59.61-1.31 2.23-2.35 3z",
    className: "st60"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2970-927",
    transform: "translate(.032 -.451)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2483",
    d: "M5.09 51.47c-1.02.77-3.52.47-4.4 1.48-.69.86.07 2.12.03 4.5-.02 1-.22 1.73-.36 2.43-.18.81-.28 1.34.05 1.88.65 1.01 1.61.99 7.1 2.13 2.93.61 5.42 2.11 7.45 2.2 1.73.11 2.1-.42 3.19-1.4 1.12-1 1.43-.7 1.42-2.68.03-2.19-1.15-2.75-2.75-5.28-1.61-2.54-1.86-3.01-2.93-4.7-1.06-1.66-3.17-4.68-4.37-4.71-.96-.03-1.5.49-2.1 1.1-.59.61-1.31 2.26-2.33 3.05z",
    className: "st61"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2971-929",
    transform: "translate(.042 -.601)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2488",
    d: "M5.09 51.67c-1 .77-3.44.39-4.39 1.44-.7.85.08 2.1.03 4.48-.02 1-.22 1.71-.38 2.44-.19.82-.29 1.33.05 1.87.67 1.02 1.63.91 7.11 2.05 2.93.6 5.33 2.09 7.42 2.15 1.69.1 2.04-.4 3.12-1.36 1.11-1.01 1.41-.71 1.41-2.61.05-2.19-1.05-2.72-2.65-5.25-1.61-2.54-1.86-3.01-2.93-4.7-1.06-1.66-3.17-4.68-4.37-4.71-.96-.03-1.5.49-2.1 1.1-.6.61-1.3 2.3-2.32 3.1z",
    className: "st62"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2972-931",
    transform: "translate(.053 -.752)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2493",
    d: "M5.1 51.87c-.99.77-3.38.31-4.39 1.41-.71.84.09 2.08.03 4.46-.02.99-.23 1.68-.4 2.45-.19.82-.29 1.32.05 1.85.69 1.03 1.65.83 7.13 1.97 2.93.6 5.23 2.06 7.38 2.1 1.64.09 1.98-.38 3.05-1.33 1.11-1.01 1.39-.72 1.39-2.54.08-2.19-.94-2.67-2.54-5.21-1.61-2.54-1.86-3.01-2.93-4.7-1.06-1.66-3.17-4.68-4.37-4.71-.96-.03-1.5.49-2.1 1.1-.6.61-1.29 2.34-2.3 3.15z",
    className: "st80"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2973-933",
    transform: "translate(.063 -.902)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2498",
    d: "M5.11 52.06c-.98.78-3.32.24-4.39 1.38-.72.83.1 2.06.03 4.44-.02.99-.24 1.66-.42 2.46-.2.83-.29 1.32.04 1.85.71 1.03 1.68.74 7.16 1.88 2.92.6 5.13 2.03 7.33 2.06 1.61.07 1.94-.36 2.99-1.31 1.11-1.01 1.37-.72 1.38-2.46.11-2.19-.84-2.64-2.44-5.18-1.61-2.54-1.86-3.01-2.93-4.7-1.06-1.66-3.17-4.68-4.38-4.71-.95-.02-1.49.49-2.09 1.1-.6.61-1.28 2.38-2.28 3.19z",
    className: "st64"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2974-935",
    transform: "translate(.074 -1.052)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2503",
    d: "M5.11 52.26c-.96.79-3.24.17-4.39 1.34-.72.83.12 2.05.04 4.42-.02.98-.25 1.64-.44 2.47-.2.83-.3 1.32.04 1.84.73 1.04 1.69.66 7.17 1.8 2.93.6 5.04 2 7.3 2.01 1.56.06 1.88-.34 2.92-1.28 1.11-1.01 1.35-.72 1.37-2.39.13-2.18-.74-2.6-2.34-5.14-1.61-2.54-1.86-3.01-2.93-4.7-1.06-1.66-3.17-4.68-4.38-4.71-.96-.02-1.49.49-2.09 1.1-.6.61-1.27 2.41-2.27 3.24z",
    className: "st65"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2975-937",
    transform: "translate(.084 -1.203)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2508",
    d: "M5.12 52.46c-.95.79-3.18.09-4.39 1.31-.73.81.13 2.02.05 4.4-.04.97-.27 1.61-.47 2.47-.2.84-.3 1.32.04 1.83.75 1.05 1.71.58 7.19 1.71 2.92.6 4.94 1.99 7.26 1.97 1.52.05 1.82-.32 2.85-1.25 1.1-1.01 1.33-.73 1.36-2.31.15-2.19-.64-2.57-2.25-5.11-1.6-2.54-1.86-3.01-2.92-4.7-1.07-1.66-3.17-4.68-4.38-4.71-.96-.02-1.49.49-2.09 1.1-.6.61-1.26 2.45-2.25 3.29z",
    className: "st66"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2976-939",
    transform: "translate(.09 -1.351)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2513",
    d: "M5.13 52.65c-.93.79-3.11.02-4.39 1.28-.74.8.15 2 .05 4.38-.03.97-.28 1.59-.49 2.47-.21.86-.3 1.33.04 1.83.77 1.06 1.73.5 7.21 1.63 2.92.6 4.84 1.96 7.22 1.92 1.47.03 1.77-.3 2.78-1.22 1.1-1.01 1.31-.73 1.35-2.24.17-2.18-.54-2.54-2.14-5.08-1.6-2.53-1.86-3-2.93-4.69-1.06-1.66-3.17-4.68-4.37-4.71-.96-.03-1.5.49-2.1 1.1-.59.61-1.25 2.49-2.23 3.33z",
    className: "st79"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2977-941",
    transform: "translate(.088 -1.468)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2518",
    d: "M5.15 52.82c-.92.79-3.04-.06-4.38 1.24-.75.79.15 1.99.05 4.36-.04.96-.29 1.57-.52 2.48-.21.86-.3 1.32.05 1.82.78 1.07 1.74.42 7.22 1.55 2.92.59 4.75 1.93 7.18 1.87 1.43.02 1.72-.28 2.71-1.19 1.1-1.01 1.3-.74 1.34-2.17.2-2.18-.44-2.5-2.04-5.04s-1.86-3-2.92-4.69c-1.07-1.66-3.17-4.68-4.38-4.71-.96-.03-1.5.49-2.09 1.1-.6.6-1.25 2.52-2.22 3.38z",
    className: "st68"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2978-943",
    transform: "translate(.085 -1.586)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2523",
    d: "M5.17 52.98c-.91.8-2.97-.13-4.38 1.21-.76.78.17 1.97.05 4.34-.04.96-.3 1.55-.53 2.49-.22.87-.31 1.32.04 1.81.8 1.07 1.77.33 7.24 1.46 2.92.6 4.65 1.91 7.14 1.83 1.39.01 1.67-.26 2.65-1.16 1.09-1.01 1.27-.74 1.33-2.1.21-2.17-.34-2.46-1.95-5-1.6-2.54-1.86-3.01-2.92-4.69-1.07-1.66-3.17-4.68-4.38-4.72-.96-.02-1.49.49-2.09 1.1-.6.61-1.24 2.57-2.2 3.43z",
    className: "st69"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2979-945",
    transform: "translate(.082 -1.703)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2528",
    d: "M5.19 53.15c-.89.8-2.9-.21-4.38 1.17-.77.77.18 1.95.06 4.32-.05.95-.32 1.53-.56 2.5-.22.87-.31 1.32.04 1.8.82 1.08 1.79.25 7.26 1.38 2.92.59 4.55 1.88 7.1 1.78 1.35 0 1.61-.24 2.58-1.13 1.09-1.02 1.25-.75 1.32-2.03.24-2.17-.24-2.42-1.84-4.96-1.61-2.54-1.86-3.01-2.93-4.69-1.06-1.67-3.17-4.68-4.37-4.72-.96-.02-1.5.49-2.1 1.1-.6.61-1.23 2.6-2.18 3.48z",
    className: "st70"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2980-947",
    transform: "translate(.079 -1.821)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2533",
    d: "M5.21 53.31c-.88.81-2.83-.28-4.38 1.14-.77.77.2 1.93.07 4.3-.06.95-.33 1.5-.59 2.5-.22.89-.31 1.32.04 1.8.84 1.09 1.81.17 7.28 1.29 2.91.6 4.46 1.86 7.06 1.74 1.31-.02 1.56-.23 2.51-1.1 1.1-1.02 1.24-.75 1.31-1.95.26-2.17-.14-2.4-1.74-4.93-1.6-2.54-1.86-3.01-2.92-4.7-1.07-1.66-3.18-4.68-4.38-4.71-.96-.03-1.5.49-2.1 1.1-.59.61-1.21 2.64-2.16 3.52z",
    className: "st71"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2981-949",
    transform: "translate(.076 -1.939)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2538",
    d: "M5.23 53.47c-.87.81-2.76-.35-4.38 1.11-.78.76.21 1.91.07 4.28-.06.94-.34 1.48-.6 2.51-.23.89-.32 1.32.03 1.79.86 1.09 1.83.09 7.3 1.21 2.91.59 4.36 1.83 7.02 1.68 1.26-.02 1.51-.2 2.45-1.06 1.09-1.02 1.21-.76 1.29-1.88.28-2.17-.03-2.36-1.64-4.9-1.6-2.54-1.86-3-2.92-4.69-1.07-1.66-3.17-4.68-4.38-4.71-.96-.03-1.5.49-2.09 1.1-.6.6-1.21 2.67-2.15 3.56z",
    className: "st72"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2982-951",
    transform: "translate(.073 -2.056)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2543",
    d: "M5.25 53.64c-.85.81-2.7-.43-4.38 1.07-.79.75.23 1.89.08 4.26-.06.93-.35 1.46-.63 2.52-.23.9-.32 1.32.03 1.78.88 1.1 1.85 0 7.32 1.12 2.91.6 4.26 1.81 6.98 1.64 1.22-.03 1.45-.18 2.38-1.04 1.09-1.01 1.19-.76 1.28-1.8.31-2.17.07-2.32-1.53-4.86-1.61-2.54-1.86-3.01-2.93-4.69-1.06-1.66-3.17-4.68-4.38-4.72-.95-.02-1.49.49-2.09 1.1-.6.61-1.2 2.72-2.13 3.62z",
    className: "st73"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2983-953",
    transform: "translate(.07 -2.174)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2548",
    d: "M5.27 53.8c-.84.82-2.63-.5-4.37 1.04-.8.74.23 1.88.07 4.24-.06.93-.36 1.44-.64 2.53-.24.9-.33 1.31.03 1.77.89 1.11 1.86-.08 7.33 1.04 2.91.59 4.17 1.78 6.94 1.59 1.18-.05 1.4-.16 2.31-1.01 1.09-1.01 1.18-.76 1.27-1.73.33-2.16.17-2.28-1.43-4.82-1.6-2.54-1.86-3.01-2.93-4.69-1.06-1.67-3.17-4.68-4.37-4.72-.96-.02-1.5.49-2.1 1.1-.59.61-1.19 2.75-2.11 3.66z",
    className: "st74"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2984-955",
    transform: "translate(.067 -2.292)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2553",
    d: "M5.29 53.97c-.83.82-2.56-.59-4.37 1-.81.73.25 1.86.08 4.22-.07.92-.38 1.42-.67 2.54-.24.91-.33 1.31.03 1.76.91 1.12 1.88-.16 7.35.96 2.91.58 4.07 1.75 6.9 1.54 1.14-.06 1.35-.14 2.24-.98 1.09-1.01 1.16-.77 1.27-1.66.35-2.16.26-2.24-1.34-4.78s-1.86-3.01-2.92-4.7c-1.07-1.66-3.17-4.68-4.38-4.71-.96-.03-1.5.49-2.09 1.1-.6.61-1.19 2.79-2.1 3.71z",
    className: "st75"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2985-957",
    transform: "translate(.064 -2.41)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2558",
    d: "M5.31 54.13c-.81.83-2.49-.66-4.37.97-.81.72.27 1.84.09 4.2-.08.92-.39 1.4-.7 2.54-.25.92-.33 1.32.03 1.76.93 1.12 1.9-.24 7.37.87 2.91.59 3.97 1.73 6.86 1.5 1.1-.07 1.29-.12 2.18-.95 1.08-1.02 1.14-.77 1.25-1.58.37-2.16.37-2.22-1.23-4.76-1.61-2.54-1.87-3-2.93-4.69-1.06-1.66-3.17-4.68-4.38-4.71-.96-.03-1.49.49-2.09 1.1-.6.6-1.18 2.82-2.08 3.75z",
    className: "st76"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2986-959",
    transform: "translate(.062 -2.527)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2563",
    d: "M5.33 54.3c-.8.82-2.42-.74-4.37.93-.82.71.28 1.82.09 4.18-.08.91-.4 1.37-.71 2.55-.26.93-.34 1.31.02 1.75.95 1.13 1.92-.33 7.39.79 2.9.58 3.88 1.7 6.83 1.45 1.04-.08 1.23-.1 2.1-.92 1.08-1.02 1.12-.78 1.24-1.51.4-2.16.47-2.18-1.13-4.72-1.61-2.54-1.86-3.01-2.93-4.69-1.06-1.66-3.17-4.68-4.37-4.72-.96-.02-1.5.49-2.1 1.1-.59.61-1.17 2.87-2.06 3.81z",
    className: "st77"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2987-961",
    transform: "translate(.059 -2.644)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2568",
    d: "M5.35 54.46c-.79.83-2.35-.81-4.37.9-.83.7.3 1.8.1 4.16-.09.91-.41 1.35-.74 2.56-.26.93-.34 1.31.02 1.74.97 1.14 1.95-.41 7.41.7 2.9.59 3.78 1.68 6.79 1.41 1-.1 1.18-.08 2.03-.89 1.08-1.02 1.1-.79 1.23-1.44.42-2.15.57-2.14-1.03-4.68-1.6-2.54-1.86-3.01-2.92-4.69-1.07-1.66-3.18-4.68-4.38-4.72-.96-.02-1.5.49-2.09 1.1-.6.61-1.16 2.9-2.05 3.85z",
    className: "st78"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group2988-963",
    transform: "translate(1.098 -3.469)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape2989-964"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2576",
    d: "M4.81 56.2c-.69.74-2.97-.22-4.04.59-.77.57.39 1.28.23 3.39-.06.8-.62.95-.39 2.06.18.83.37.81.69 1.19.86 1.01.66.27 5.58 1.26 2.6.53 3.4 1.51 6.11 1.26.9-.08 1.07-.07 1.83-.8.97-.9.48-.71.58-1.29.37-1.93.07-2.27-1.37-4.55-1.44-2.29-1.32-2.42-2.26-3.92-.95-1.49-2.26-4.19-3.34-4.22-.86-.02-1.35.45-1.89.99-.54.55-.94 3.2-1.73 4.04z",
    className: "st78"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2990-966",
    transform: "translate(.026 -.04)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2581",
    d: "M4.84 56.25c-.73.77-3.03-.19-4.08.61-.76.57.42 1.3.27 3.36-.07.79-.61.95-.4 2.05.16.83.38.8.7 1.17.92 1 .76.3 5.54 1.26 2.59.52 3.39 1.5 6.08 1.26.9-.09 1.05-.08 1.81-.79.95-.88.47-.7.56-1.31.33-1.92.07-2.27-1.33-4.5-1.44-2.27-1.33-2.38-2.27-3.88-.94-1.48-2.23-4.2-3.31-4.22-.84-.02-1.34.44-1.87.99-.53.54-.92 3.17-1.7 4z",
    className: "st82"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2991-968",
    transform: "translate(.051 -.08)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2586",
    d: "M4.86 56.31c-.76.79-3.08-.17-4.1.61-.76.58.45 1.33.29 3.33-.07.79-.59.97-.41 2.06.14.82.4.79.72 1.15.99.98.86.32 5.51 1.25 2.57.51 3.36 1.49 6.04 1.25.89-.09 1.03-.08 1.79-.78.94-.85.46-.68.53-1.32.3-1.91.07-2.28-1.29-4.44-1.43-2.26-1.33-2.36-2.27-3.85-.93-1.47-2.2-4.2-3.27-4.22-.84-.02-1.33.44-1.86.98s-.9 3.15-1.68 3.98z",
    className: "st83"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2992-970",
    transform: "translate(.077 -.12)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2591",
    d: "M4.88 56.36c-.78.82-3.13-.14-4.13.63-.75.58.48 1.35.32 3.3-.06.79-.57.97-.41 2.05.12.82.41.79.74 1.13 1.04.97.95.34 5.47 1.25 2.55.51 3.34 1.48 6 1.24.89-.08 1.01-.08 1.77-.76.92-.83.45-.66.51-1.34.27-1.89.06-2.29-1.26-4.38-1.42-2.24-1.33-2.34-2.27-3.82-.93-1.46-2.17-4.2-3.23-4.22-.84-.02-1.33.44-1.85.98-.53.53-.88 3.12-1.66 3.94z",
    className: "st84"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2993-972",
    transform: "translate(.102 -.16)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2596",
    d: "M4.9 56.42c-.81.84-3.18-.11-4.15.64-.75.58.51 1.38.35 3.26-.07.79-.56.98-.43 2.05.1.82.43.78.76 1.11 1.11.96 1.05.37 5.43 1.25 2.54.5 3.33 1.47 5.97 1.23.88-.08.98-.08 1.75-.75.9-.8.44-.64.48-1.35.24-1.88.07-2.29-1.21-4.32-1.42-2.23-1.35-2.32-2.27-3.79-.93-1.45-2.15-4.2-3.21-4.22-.83-.02-1.31.43-1.84.97-.52.53-.85 3.1-1.63 3.92z",
    className: "st85"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2994-974",
    transform: "translate(.128 -.2)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2601",
    d: "M4.93 56.47c-.85.87-3.24-.08-4.19.66-.74.57.54 1.4.38 3.23-.07.78-.54.98-.43 2.05.08.81.44.77.78 1.09 1.16.94 1.14.39 5.39 1.23 2.53.51 3.3 1.47 5.93 1.23.88-.08.96-.08 1.73-.74.89-.77.43-.61.45-1.36.21-1.87.07-2.3-1.17-4.26-1.4-2.22-1.35-2.3-2.27-3.76-.92-1.44-2.12-4.2-3.17-4.22-.83-.02-1.31.43-1.83.96s-.83 3.08-1.6 3.89z",
    className: "st86"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2995-976",
    transform: "translate(.153 -.241)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2606",
    d: "M4.95 56.53c-.88.9-3.29-.06-4.21.66-.74.58.56 1.43.41 3.21-.08.77-.53.99-.45 2.04.07.81.46.76.8 1.07 1.23.93 1.24.42 5.36 1.23 2.51.5 3.28 1.46 5.89 1.22.87-.08.94-.08 1.71-.72.87-.74.42-.6.43-1.38.17-1.86.06-2.31-1.14-4.21-1.39-2.2-1.35-2.27-2.27-3.72-.91-1.43-2.09-4.2-3.13-4.22-.82-.02-1.3.43-1.82.96-.52.52-.81 3.05-1.58 3.86z",
    className: "st87"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2996-978",
    transform: "translate(.178 -.281)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2611",
    d: "M4.97 56.58c-.9.93-3.34-.03-4.24.68-.73.58.6 1.45.44 3.17-.07.77-.51 1-.45 2.05.04.8.47.75.82 1.05 1.28.91 1.33.43 5.31 1.22 2.5.49 3.27 1.45 5.86 1.21.87-.07.92-.08 1.69-.71.86-.71.41-.58.4-1.39.14-1.84.07-2.32-1.09-4.15-1.39-2.19-1.37-2.25-2.27-3.69-.91-1.42-2.06-4.2-3.1-4.22-.82-.02-1.3.42-1.81.95-.52.52-.8 3.04-1.56 3.83z",
    className: "st88"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2997-980",
    transform: "translate(.204 -.321)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2616",
    d: "M4.99 56.64c-.93.95-3.39-.01-4.26.69-.73.58.62 1.47.47 3.14-.08.76-.5 1-.47 2.04.03.8.48.75.84 1.03 1.35.9 1.43.46 5.28 1.22 2.48.49 3.24 1.44 5.82 1.21.86-.08.9-.09 1.67-.7.84-.69.4-.56.38-1.41.11-1.83.06-2.32-1.06-4.09-1.38-2.18-1.37-2.22-2.27-3.66-.91-1.41-2.03-4.2-3.07-4.22-.81-.02-1.28.42-1.79.94-.51.53-.78 3.02-1.54 3.81z",
    className: "st89"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2998-982",
    transform: "translate(.23 -.362)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2621",
    d: "M5.02 56.69c-.97.98-3.45.02-4.3.7-.72.59.66 1.5.5 3.11-.08.76-.49 1.01-.47 2.05.01.79.49.73.86 1.01 1.4.88 1.52.48 5.23 1.21 2.47.48 3.23 1.43 5.79 1.2.85-.08.88-.09 1.65-.69.82-.66.39-.54.35-1.42.08-1.82.06-2.33-1.02-4.03-1.37-2.17-1.37-2.2-2.27-3.63-.9-1.4-2-4.2-3.03-4.22-.81-.02-1.28.42-1.78.94-.51.52-.76 2.99-1.51 3.77z",
    className: "st90"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape2999-984",
    transform: "translate(.255 -.402)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2626",
    d: "M5.04 56.75c-.99 1-3.5.05-4.32.71-.72.59.68 1.52.53 3.08-.09.75-.48 1.02-.49 2.04-.01.79.51.73.88.99 1.47.87 1.62.51 5.2 1.21 2.45.48 3.2 1.42 5.75 1.19.85-.08.85-.09 1.63-.68.81-.63.38-.52.33-1.43.04-1.81.05-2.34-.98-3.98-1.37-2.15-1.39-2.17-2.28-3.59-.89-1.39-1.97-4.2-2.99-4.22-.81-.02-1.27.42-1.78.93-.5.52-.73 2.97-1.48 3.75z",
    className: "st91"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3000-986",
    transform: "translate(.28 -.442)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2631",
    d: "M5.06 56.8c-1.02 1.03-3.55.08-4.35.73-.71.59.71 1.54.56 3.05-.08.74-.46 1.02-.49 2.04-.03.78.52.71.9.97 1.52.85 1.71.52 5.16 1.2 2.43.47 3.18 1.41 5.71 1.18.84-.07.83-.09 1.61-.66.79-.61.37-.5.3-1.45.01-1.79.06-2.34-.94-3.92-1.35-2.13-1.39-2.15-2.27-3.56-.89-1.39-1.95-4.2-2.97-4.22-.79-.02-1.26.41-1.76.92-.5.52-.71 2.95-1.46 3.72z",
    className: "st92"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3001-988",
    transform: "translate(.306 -.482)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2636",
    d: "M5.08 56.86c-1.05 1.06-3.6.1-4.37.74-.71.59.74 1.56.59 3.01-.09.74-.45 1.03-.51 2.04-.05.78.54.71.92.95 1.59.84 1.81.55 5.12 1.2 2.42.46 3.17 1.4 5.68 1.17.84-.07.81-.09 1.59-.65.77-.58.36-.48.28-1.46-.03-1.78.05-2.35-.91-3.86-1.34-2.12-1.39-2.13-2.27-3.53-.88-1.38-1.92-4.2-2.93-4.22-.79-.02-1.25.41-1.75.92s-.69 2.92-1.44 3.69z",
    className: "st93"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3002-990",
    transform: "translate(.331 -.522)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2641",
    d: "M5.1 56.91c-1.08 1.09-3.65.13-4.4.75-.7.6.77 1.59.62 2.99-.09.74-.43 1.03-.52 2.04-.06.77.56.7.94.93 1.65.81 1.91.57 5.09 1.19 2.4.46 3.14 1.39 5.64 1.16.83-.07.79-.09 1.57-.63.76-.56.35-.46.25-1.48-.06-1.77.05-2.36-.86-3.8-1.34-2.11-1.4-2.11-2.28-3.5-.87-1.37-1.89-4.2-2.89-4.22-.79-.02-1.25.41-1.74.91-.5.51-.67 2.9-1.42 3.66z",
    className: "st94"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3003-992",
    transform: "translate(.357 -.562)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2646",
    d: "M5.13 56.97c-1.11 1.11-3.71.15-4.43.76-.7.6.8 1.61.65 2.95-.09.74-.42 1.05-.53 2.04-.08.77.57.69.96.91 1.71.8 2 .6 5.04 1.19 2.4.45 3.13 1.38 5.6 1.15.84-.07.78-.09 1.56-.62.74-.52.34-.44.23-1.49-.09-1.76.05-2.36-.83-3.74-1.33-2.1-1.41-2.09-2.28-3.47-.87-1.36-1.86-4.2-2.86-4.22-.78-.02-1.23.4-1.72.91-.5.5-.66 2.88-1.39 3.63z",
    className: "st95"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3004-994",
    transform: "translate(.382 -.602)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2651",
    d: "M5.15 57.02c-1.14 1.14-3.76.18-4.46.78-.69.6.83 1.63.68 2.92-.09.73-.4 1.05-.54 2.04-.1.76.59.68.98.89 1.77.78 2.1.61 5.01 1.17 2.38.46 3.11 1.38 5.56 1.16.83-.07.75-.1 1.53-.61.73-.5.34-.43.21-1.5-.12-1.75.05-2.38-.79-3.7-1.32-2.08-1.41-2.05-2.27-3.43-.87-1.35-1.84-4.2-2.83-4.22-.78-.02-1.23.4-1.72.9s-.63 2.86-1.36 3.6z",
    className: "st96"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3005-996",
    transform: "translate(.408 -.643)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2656",
    d: "M5.17 57.08c-1.17 1.16-3.81.21-4.48.78-.69.61.86 1.66.71 2.9-.1.72-.39 1.05-.55 2.03-.12.76.6.68 1 .87 1.83.77 2.19.64 4.97 1.17 2.36.45 3.08 1.37 5.52 1.15.82-.07.73-.1 1.51-.6.72-.47.33-.4.19-1.51-.16-1.74.04-2.39-.75-3.64-1.31-2.07-1.42-2.03-2.28-3.4-.86-1.34-1.81-4.2-2.79-4.22-.77-.02-1.22.4-1.71.89-.48.5-.61 2.84-1.34 3.58z",
    className: "st97"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3006-998",
    transform: "translate(.433 -.683)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2661",
    d: "M5.19 57.13c-1.2 1.19-3.86.24-4.51.8-.68.61.89 1.68.74 2.86-.1.72-.37 1.07-.56 2.04-.13.75.62.66 1.02.85 1.89.75 2.29.66 4.93 1.16 2.35.44 3.07 1.36 5.49 1.14.82-.07.71-.1 1.49-.59.7-.44.32-.38.16-1.52-.19-1.73.04-2.39-.71-3.58-1.3-2.06-1.43-2.01-2.28-3.36-.85-1.34-1.78-4.21-2.76-4.23-.76-.02-1.21.39-1.69.89-.48.49-.59 2.81-1.32 3.54z",
    className: "st98"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3007-1000",
    transform: "translate(.459 -.723)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2666",
    d: "M5.22 57.19c-1.23 1.22-3.92.26-4.54.81-.68.61.91 1.7.76 2.83-.09.71-.35 1.07-.56 2.03-.16.75.63.66 1.04.83 1.95.74 2.38.69 4.89 1.16 2.33.44 3.05 1.35 5.45 1.13.81-.07.69-.1 1.47-.57.68-.42.31-.37.14-1.54-.23-1.72.04-2.4-.68-3.52-1.29-2.04-1.43-1.99-2.28-3.33-.84-1.33-1.75-4.21-2.72-4.23-.76-.02-1.2.39-1.68.88s-.57 2.79-1.29 3.52z",
    className: "st99"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3008-1002",
    transform: "translate(.484 -.763)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2671",
    d: "M5.24 57.24c-1.26 1.25-3.98.29-4.57.83-.67.61.95 1.72.8 2.79-.1.71-.34 1.08-.58 2.04-.17.74.65.64 1.06.8 2.01.73 2.48.71 4.86 1.16 2.31.43 3.02 1.34 5.41 1.12.81-.06.67-.1 1.45-.56.67-.39.3-.34.11-1.55-.25-1.7.04-2.41-.63-3.47-1.29-2.02-1.44-1.96-2.28-3.29-.84-1.32-1.73-4.22-2.69-4.23-.76-.02-1.2.39-1.67.87-.48.49-.55 2.77-1.27 3.49z",
    className: "st100"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3009-1004",
    transform: "translate(.51 -.803)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2676",
    d: "M5.26 57.3c-1.29 1.27-4.03.31-4.59.83-.67.62.97 1.75.82 2.77-.1.7-.32 1.08-.58 2.03-.2.74.66.64 1.08.79 2.06.71 2.58.73 4.81 1.15 2.3.43 3.01 1.33 5.38 1.11.8-.06.64-.1 1.43-.54.65-.37.29-.33.09-1.57-.29-1.69.03-2.41-.6-3.41-1.28-2.01-1.45-1.94-2.28-3.26-.84-1.31-1.7-4.22-2.65-4.24-.76-.01-1.19.39-1.67.88-.47.48-.52 2.74-1.24 3.46z",
    className: "st101"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group3010-1006",
    transform: "translate(9.677 -18.09)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape3011-1007"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2684",
    d: "M1.29 60.04c-.16.34-.28 3.25.48 4.39.76 1.12.54 1.77-.31.91C.59 64.51.01 63.26 0 62.39c0-.5.39-2.57.54-2.79.16-.24.86.18.75.44z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3012-1009",
    transform: "translate(.035 -.059)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2689",
    d: "M1.24 60.16c-.15.38-.27 3.2.49 4.33.75 1.12.51 1.71-.3.87-.85-.81-1.4-2.02-1.42-2.89-.01-.5.36-2.5.51-2.73.15-.22.83.16.72.42z",
    className: "st143"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3013-1011",
    transform: "translate(.07 -.118)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2694",
    d: "M1.19 60.27c-.14.42-.26 3.15.5 4.28.75 1.12.49 1.65-.3.83-.82-.79-1.34-1.97-1.38-2.83-.01-.51.34-2.44.48-2.66.15-.22.8.13.7.38z",
    className: "st25"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3014-1013",
    transform: "translate(.105 -.177)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2699",
    d: "M1.14 60.39c-.14.46-.25 3.1.51 4.23.75 1.11.47 1.58-.29.78-.8-.77-1.3-1.91-1.34-2.77-.02-.51.32-2.37.45-2.6.14-.21.77.11.67.36z",
    className: "st144"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3015-1015",
    transform: "translate(.14 -.236)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2704",
    d: "M1.09 60.51c-.13.5-.24 3.04.52 4.17.75 1.11.45 1.52-.29.74C.55 64.67.08 63.56.03 62.7c-.03-.51.29-2.3.42-2.52.13-.2.73.08.64.33z",
    className: "st26"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3016-1017",
    transform: "translate(.176 -.295)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2709",
    d: "M1.04 60.62c-.13.55-.22 3 .53 4.12.74 1.11.43 1.46-.28.7C.55 64.7.1 63.64.04 62.78c-.04-.51.27-2.23.39-2.45.12-.2.7.05.61.29z",
    className: "st131"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3017-1019",
    transform: "translate(.21 -.354)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2714",
    d: "M.99 60.74c-.12.58-.21 2.94.53 4.06.75 1.11.42 1.4-.27.66-.71-.72-1.14-1.74-1.21-2.6-.04-.52.25-2.16.36-2.39.12-.19.67.03.59.27z",
    className: "st27"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3018-1021",
    transform: "translate(.245 -.414)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2719",
    d: "M.94 60.85c-.12.63-.2 2.9.54 4.01.75 1.11.4 1.34-.26.62-.69-.7-1.09-1.69-1.17-2.54-.05-.52.23-2.1.33-2.32.11-.18.64 0 .56.23z",
    className: "st145"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3019-1023",
    transform: "translate(.28 -.473)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2724",
    d: "M.89 60.97c-.11.67-.19 2.84.55 3.96.75 1.11.38 1.27-.26.57-.66-.68-1.03-1.63-1.12-2.48-.06-.53.2-2.03.3-2.26.1-.17.6-.02.53.21z",
    className: "st28"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3020-1025",
    transform: "translate(.316 -.532)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2729",
    d: "M.84 61.08c-.11.71-.18 2.79.56 3.91.74 1.11.36 1.21-.25.53-.63-.66-.99-1.58-1.09-2.43-.06-.53.18-1.95.28-2.18.09-.17.57-.05.5.17z",
    className: "st146"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3021-1027",
    transform: "translate(.351 -.591)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2734",
    d: "M.79 61.2c-.1.75-.16 2.74.57 3.85.74 1.11.34 1.15-.25.49-.6-.64-.93-1.52-1.04-2.37-.07-.53.16-1.89.25-2.12.08-.15.53-.07.47.15z",
    className: "st29"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3022-1029",
    transform: "translate(.386 -.63)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2739",
    d: "M.74 61.3c-.09.79-.15 2.68.58 3.79.74 1.11.32 1.09-.24.45-.58-.62-.88-1.46-1-2.31-.08-.53.13-1.82.21-2.05.08-.15.51-.1.45.12z",
    className: "st147"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3023-1031",
    transform: "translate(.421 -.63)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2744",
    d: "M.69 61.35c-.09.83-.14 2.64.59 3.74.74 1.11.3 1.03-.24.41-.55-.6-.82-1.41-.96-2.25-.08-.54.12-1.75.19-1.98.07-.15.47-.13.42.08z",
    className: "st30"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3024-1033",
    transform: "translate(.456 -.628)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2749",
    d: "M.64 61.41c-.08.87-.13 2.58.6 3.69.73 1.1.27.96-.23.36-.52-.59-.78-1.35-.92-2.19-.09-.55.09-1.69.16-1.92.06-.13.44-.15.39.06z",
    className: "st148"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3025-1035",
    transform: "translate(.492 -.627)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2754",
    d: "M.59 61.46c-.08.92-.12 2.54.61 3.64s.25.9-.23.32c-.49-.57-.72-1.3-.87-2.14-.1-.54.06-1.61.13-1.84.05-.13.4-.18.36.02z",
    className: "st31"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3026-1037",
    transform: "translate(.527 -.626)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2759",
    d: "M.54 61.52c-.07.95-.1 2.48.62 3.58.73 1.1.23.84-.22.28-.47-.55-.67-1.24-.83-2.08-.11-.55.04-1.55.09-1.78.05-.12.38-.21.34 0z",
    className: "st134"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3027-1039",
    transform: "translate(.562 -.625)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2764",
    d: "M.49 61.57c-.07 1-.09 2.43.63 3.53.72 1.1.21.78-.22.24-.44-.53-.62-1.18-.79-2.02-.11-.55.02-1.48.07-1.71.04-.11.34-.24.31-.04z",
    className: "st32"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3028-1041",
    transform: "translate(.597 -.624)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2769",
    d: "M.44 61.63c-.06 1.04-.08 2.38.64 3.47.72 1.1.19.72-.21.2-.41-.51-.57-1.13-.75-1.96-.12-.56 0-1.41.04-1.65.03-.1.31-.26.28-.06z",
    className: "st149"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3029-1043",
    transform: "translate(.632 -.622)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2774",
    d: "M.39 61.69c-.06 1.07-.07 2.32.65 3.41.72 1.1.17.66-.21.16-.38-.49-.51-1.07-.7-1.91C0 62.8.1 62.01.14 61.78c.02-.1.27-.29.25-.09z",
    className: "st33"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3030-1045",
    transform: "translate(.667 -.621)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2779",
    d: "M.34 61.74c-.05 1.12-.06 2.28.66 3.37.72 1.09.15.59-.2.11-.36-.48-.47-1.02-.67-1.85C0 62.81.09 62.1.12 61.86c.02-.09.24-.31.22-.12z",
    className: "st150"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3031-1047",
    transform: "translate(.702 -.62)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2784",
    d: "M.29 61.8c-.04 1.16-.04 2.22.67 3.31.71 1.09.13.53-.2.07s-.41-.96-.62-1.79C0 62.83.07 62.18.09 61.95c.02-.08.21-.34.2-.15z",
    className: "st34"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group3032-1049",
    transform: "translate(10.18 -23.999)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape3033-1050"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2792",
    d: "M.78 65.95c.71-1.53 1.09-3.18 2.1-4.78.99-1.6.6-2.22-.14-1.41-.74.81-1.55 2.52-1.55 2.52S.25 63.77.04 65.51c-.04.29.63.69.74.44z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3034-1052",
    transform: "translate(.061 -.103)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2797",
    fill: colored ? '#020202' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#020202') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.75 65.95c.7-1.54 1.08-3.12 2.05-4.68.96-1.54.58-2.15-.13-1.37-.71.78-1.51 2.47-1.52 2.5 0 0-.91 1.46-1.12 3.12-.03.29.61.68.72.43z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3035-1054",
    transform: "translate(.123 -.205)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2802",
    d: "M.72 65.96c.69-1.56 1.06-3.08 2-4.58.92-1.49.57-2.1-.11-1.35-.69.77-1.48 2.44-1.5 2.49 0 0-.88 1.42-1.08 3.02-.03.28.58.66.69.42z",
    className: "st45"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3036-1056",
    transform: "translate(.184 -.308)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2807",
    d: "M.69 65.96c.68-1.56 1.05-3.02 1.95-4.47.89-1.44.56-2.05-.09-1.32-.68.75-1.45 2.4-1.48 2.47 0 0-.86 1.38-1.04 2.92-.03.28.55.64.66.4z",
    className: "st25"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3037-1058",
    transform: "translate(.246 -.41)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2812",
    d: "M.66 65.96c.67-1.57 1.03-2.96 1.9-4.36.85-1.39.55-2-.08-1.3-.65.73-1.41 2.36-1.45 2.46 0 0-.83 1.35-1 2.81-.03.28.52.63.63.39z",
    className: "st46"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3038-1060",
    transform: "translate(.307 -.513)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2817",
    d: "M.63 65.97c.67-1.59 1.02-2.91 1.85-4.26.81-1.35.54-1.95-.06-1.27-.63.71-1.38 2.32-1.44 2.44 0 0-.79 1.31-.95 2.71-.03.27.49.61.6.38z",
    className: "st130"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3039-1062",
    transform: "translate(.368 -.616)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2822",
    d: "M.6 65.97c.66-1.6 1.01-2.85 1.8-4.15.78-1.3.53-1.89-.05-1.24-.6.68-1.34 2.27-1.41 2.42 0 0-.76 1.27-.91 2.61-.03.26.47.59.57.36z",
    className: "st26"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3040-1064",
    transform: "translate(.43 -.719)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2827",
    d: "M.56 65.98c.66-1.61 1-2.8 1.76-4.06.74-1.24.52-1.83-.03-1.21-.59.67-1.31 2.24-1.39 2.4 0 0-.73 1.25-.87 2.51-.03.26.44.58.53.36z",
    className: "st152"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3041-1066",
    transform: "translate(.491 -.822)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2832",
    d: "M.53 65.98c.65-1.62.99-2.75 1.7-3.95.72-1.19.52-1.78 0-1.18-.57.65-1.29 2.2-1.37 2.38 0 0-.7 1.21-.83 2.41-.03.25.41.56.5.34z",
    className: "st47"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3042-1068",
    transform: "translate(.553 -.924)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2837",
    d: "M.5 65.98c.65-1.63.97-2.69 1.65-3.84.68-1.14.51-1.73.01-1.16-.54.63-1.25 2.16-1.34 2.37 0 0-.67 1.17-.8 2.31-.02.25.39.54.48.32z",
    className: "st27"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3043-1070",
    transform: "translate(.614 -1.027)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2842",
    d: "M.47 65.99c.64-1.65.96-2.64 1.6-3.74.64-1.1.5-1.68.03-1.13-.52.61-1.22 2.12-1.33 2.35 0 0-.63 1.14-.75 2.2-.02.25.36.53.45.32z",
    className: "st48"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3044-1072",
    transform: "translate(.676 -1.13)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2847",
    d: "M.44 65.99c.63-1.65.94-2.58 1.55-3.63.61-1.05.49-1.63.04-1.11-.5.6-1.18 2.08-1.3 2.34 0 0-.6 1.1-.71 2.1-.02.24.33.51.42.3z",
    className: "st153"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3045-1074",
    transform: "translate(.737 -1.232)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2852",
    d: "M.41 65.99c.62-1.66.93-2.52 1.5-3.52s.48-1.57.06-1.08c-.48.57-1.15 2.04-1.28 2.32 0 0-.57 1.06-.67 2-.02.23.31.49.39.28z",
    className: "st28"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3046-1076",
    transform: "translate(.798 -1.335)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2857",
    fill: colored ? '#212121' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#212121') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.38 66c.61-1.68.91-2.47 1.45-3.43.54-.94.47-1.51.07-1.04-.45.55-1.11 2-1.25 2.3 0 0-.54 1.03-.63 1.89-.02.24.28.48.36.28z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3047-1078",
    transform: "translate(.86 -1.438)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2862",
    d: "M.35 66c.61-1.69.9-2.42 1.4-3.32.5-.89.46-1.46.09-1.02-.43.53-1.08 1.96-1.23 2.29 0 0-.51.99-.59 1.79-.02.23.25.46.33.26z",
    className: "st49"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3048-1080",
    transform: "translate(.921 -1.54)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2867",
    d: "M.31 66c.61-1.69.9-2.36 1.36-3.21.46-.85.45-1.41.11-.99-.42.51-1.05 1.92-1.22 2.27 0 0-.47.95-.54 1.69-.02.22.22.44.29.24z",
    className: "st29"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3049-1082",
    transform: "translate(.983 -1.643)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2872",
    d: "M.28 66.01c.6-1.71.88-2.31 1.31-3.11.43-.8.44-1.36.12-.97-.39.5-1.01 1.88-1.19 2.26 0 0-.44.92-.51 1.58-.01.22.2.43.27.24z",
    className: "st50"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3050-1084",
    transform: "translate(1.044 -1.746)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2877",
    fill: colored ? '#2b2b2b' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#2b2b2b') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.25 66.01c.59-1.72.87-2.25 1.26-3s.42-1.3.14-.94c-.37.47-.99 1.84-1.17 2.24 0 0-.41.88-.47 1.48-.01.21.17.41.24.22z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3051-1086",
    transform: "translate(1.105 -1.848)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2882",
    d: "M.22 66.01c.58-1.73.85-2.19 1.21-2.89.36-.7.41-1.25.15-.91-.34.45-.95 1.8-1.14 2.22 0 0-.38.84-.43 1.38-.01.21.15.39.21.2z",
    className: "st30"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3052-1088",
    transform: "translate(1.167 -1.951)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2887",
    fill: colored ? '#303030' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#303030') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.19 66.02c.58-1.74.84-2.14 1.16-2.8.32-.65.4-1.19.17-.88-.33.43-.92 1.76-1.12 2.21 0 0-.35.81-.39 1.28-.01.2.12.37.18.19z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3053-1090",
    transform: "translate(1.228 -2.054)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2892",
    d: "M.16 66.02c.57-1.75.82-2.09 1.11-2.69.28-.6.39-1.14.19-.85-.31.41-.89 1.72-1.11 2.19 0 0-.31.77-.34 1.17-.01.2.09.36.15.18z",
    className: "st51"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group3054-1092",
    transform: "translate(39.046 -22.899)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape3055-1093"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2900",
    d: "M1.86 65.97c.34-.96.3-3.4-.56-4.98-.31-.57-.6-1.24-.77-1.28-.19-.03-.53.34-.49.4.04.1 1.62 2.32 1.29 5.34-.02.24.45.75.53.52z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3056-1095",
    transform: "translate(.047 -.131)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2905",
    d: "M1.8 65.98c.33-.93.28-3.31-.55-4.82-.29-.55-.57-1.2-.74-1.23-.18-.04-.51.33-.48.38.04.09 1.56 2.24 1.26 5.16-.02.24.43.73.51.51z",
    className: "st143"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3057-1097",
    transform: "translate(.095 -.262)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2910",
    d: "M1.74 65.99c.31-.9.26-3.22-.53-4.66-.29-.53-.55-1.15-.72-1.19-.18-.03-.49.32-.46.37.04.09 1.5 2.16 1.21 4.99-.02.23.42.7.5.49z",
    className: "st25"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3058-1099",
    transform: "translate(.142 -.394)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2915",
    d: "M1.67 66c.31-.87.25-3.13-.5-4.5-.28-.51-.53-1.11-.7-1.15-.17-.03-.47.31-.44.36.03.09 1.43 2.09 1.17 4.81-.02.24.4.68.47.48z",
    className: "st144"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3059-1101",
    transform: "translate(.189 -.525)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2920",
    d: "M1.61 66c.3-.84.23-3.03-.49-4.33-.27-.49-.51-1.07-.67-1.1-.17-.04-.45.29-.43.34.03.09 1.37 2.01 1.13 4.64-.01.23.39.65.46.45z",
    className: "st26"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3060-1103",
    transform: "translate(.236 -.656)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2925",
    d: "M1.55 66.01c.29-.81.21-2.94-.47-4.16-.26-.48-.49-1.03-.65-1.07-.16-.03-.43.29-.41.33.02.09 1.3 1.93 1.09 4.46-.01.23.37.63.44.44z",
    className: "st131"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3061-1105",
    transform: "translate(.284 -.788)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2930",
    d: "M1.48 66.02c.28-.78.19-2.85-.45-4-.25-.46-.46-.99-.62-1.03-.15-.03-.41.28-.39.32.02.08 1.23 1.85 1.04 4.29-.01.22.36.6.42.42z",
    className: "st27"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3062-1107",
    transform: "translate(.33 -.919)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2935",
    d: "M1.42 66.03c.27-.75.17-2.76-.43-3.84-.24-.44-.44-.95-.59-.98-.16-.04-.4.26-.38.3.01.08 1.17 1.78 1 4.11-.01.22.34.58.4.41z",
    className: "st145"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3063-1109",
    transform: "translate(.378 -1.05)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2940",
    d: "M1.36 66.03c.26-.72.15-2.66-.41-3.67-.24-.42-.42-.9-.57-.94-.15-.03-.38.25-.37.29.01.08 1.11 1.7.96 3.93 0 .22.33.56.39.39z",
    className: "st28"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3064-1111",
    transform: "translate(.425 -1.182)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2945",
    d: "M1.3 66.04c.25-.69.13-2.57-.4-3.51-.22-.39-.4-.86-.54-.9-.14-.03-.36.25-.35.28 0 .08 1.04 1.62.92 3.76-.01.21.31.53.37.37z",
    className: "st146"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3065-1113",
    transform: "translate(.473 -1.313)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2950",
    d: "M1.23 66.05c.24-.66.12-2.48-.37-3.35-.22-.37-.38-.82-.52-.85-.14-.03-.34.23-.33.26 0 .07.97 1.54.87 3.58 0 .21.3.51.35.36z",
    className: "st29"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3066-1115",
    transform: "translate(.52 -1.444)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2955",
    d: "M1.17 66.05c.23-.62.1-2.38-.36-3.18-.2-.35-.35-.77-.49-.81-.13-.03-.32.22-.31.25-.01.07.9 1.46.83 3.41 0 .2.28.48.33.33z",
    className: "st147"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3067-1117",
    transform: "translate(.559 -1.575)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2960",
    d: "M1.12 66.06c.22-.6.07-2.29-.34-3.01-.2-.34-.34-.74-.47-.78-.13-.03-.3.21-.3.24-.01.07.84 1.39.79 3.23 0 .2.27.46.32.32z",
    className: "st30"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3068-1119",
    transform: "translate(.599 -1.707)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2965",
    d: "M1.06 66.07c.21-.57.06-2.2-.32-2.85-.19-.32-.31-.7-.44-.73-.12-.03-.28.2-.28.22-.02.07.77 1.31.74 3.06.01.19.26.43.3.3z",
    className: "st148"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3069-1121",
    transform: "translate(.639 -1.838)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2970",
    d: "M1.01 66.08c.2-.54.03-2.11-.31-2.69-.17-.3-.28-.65-.41-.69-.12-.03-.27.19-.27.21-.02.07.71 1.23.7 2.88.01.19.24.41.29.29z",
    className: "st31"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3070-1123",
    transform: "translate(.678 -1.97)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2975",
    d: "M.95 66.08c.19-.5.02-2.01-.28-2.52-.17-.28-.27-.61-.39-.65-.12-.03-.25.18-.25.21-.03.05.64 1.14.66 2.7 0 .19.22.38.26.26z",
    className: "st134"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3071-1125",
    transform: "translate(.718 -2.1)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2980",
    d: "M.9 66.09c.18-.48-.01-1.92-.27-2.36-.16-.26-.24-.57-.37-.6-.1-.03-.22.16-.23.18-.03.06.58 1.08.62 2.53.01.19.21.36.25.25z",
    className: "st32"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3072-1127",
    transform: "translate(.758 -2.232)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2985",
    d: "M.84 66.1c.17-.45-.02-1.83-.25-2.2-.15-.24-.22-.52-.34-.56-.1-.03-.2.16-.21.18-.04.05.51.99.57 2.35.01.18.2.33.23.23z",
    className: "st149"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3073-1129",
    transform: "translate(.798 -2.363)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2990",
    d: "M.79 66.11c.16-.42-.05-1.73-.23-2.04-.14-.22-.2-.48-.32-.52-.1-.03-.19.15-.2.17-.04.05.45.91.53 2.17.02.18.18.31.22.22z",
    className: "st33"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3074-1131",
    transform: "translate(.837 -2.495)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path2995",
    d: "M.73 66.11c.15-.38-.06-1.63-.21-1.87-.13-.2-.18-.44-.29-.47-.09-.03-.17.13-.18.15-.05.05.38.83.48 2 .02.17.17.28.2.19z",
    className: "st150"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3075-1133",
    transform: "translate(.877 -2.626)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3000",
    d: "M.68 66.12c.14-.36-.08-1.54-.2-1.7-.12-.18-.15-.4-.26-.44-.09-.03-.15.12-.17.14-.05.04.32.76.45 1.82.02.17.15.26.18.18z",
    className: "st34"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group3076-1135",
    transform: "translate(35.758 -28.644)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape3077-1136"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3008",
    d: "M3.81 65.46C2.15 63.19 0 62.45.22 63.17c0 0 1.65.93 3.1 2.69.28.34.75-.05.49-.4z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3078-1138",
    transform: "translate(.02 -.087)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3013",
    d: "M3.72 65.48C2.11 63.29 0 62.57.22 63.26c0 0 1.61.91 3.02 2.61.28.33.73-.05.48-.39z",
    className: "st143"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3079-1140",
    transform: "translate(.042 -.174)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3018",
    d: "M3.63 65.51C2.06 63.39 0 62.69.22 63.35c0 0 1.57.89 2.95 2.53.26.32.7-.05.46-.37z",
    className: "st25"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3080-1142",
    transform: "translate(.062 -.261)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3023",
    d: "M3.53 65.53C2.02 63.49 0 62.81.22 63.44c0 .01 1.52.86 2.87 2.45.25.31.68-.04.44-.36z",
    className: "st144"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3081-1144",
    transform: "translate(.083 -.348)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3028",
    d: "M3.44 65.56C1.97 63.59 0 62.93.21 63.53c.02.01 1.49.84 2.8 2.37.25.3.66-.04.43-.34z",
    className: "st26"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3082-1146",
    transform: "translate(.104 -.435)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3033",
    d: "M3.35 65.58C1.93 63.69 0 63.05.21 63.62c.02.01 1.45.82 2.72 2.3.24.28.63-.05.42-.34z",
    className: "st131"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3083-1148",
    transform: "translate(.124 -.522)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3038",
    d: "M3.25 65.6C1.88 63.8 0 63.18.21 63.71c.02.01 1.41.8 2.64 2.22.23.27.61-.05.4-.33z",
    className: "st27"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3084-1150",
    transform: "translate(.145 -.61)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3043",
    d: "M3.16 65.63C1.84 63.9 0 63.3.21 63.8c.02.02 1.36.77 2.56 2.14.23.26.59-.04.39-.31z",
    className: "st145"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3085-1152",
    transform: "translate(.166 -.696)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3048",
    d: "M3.06 65.65C1.79 64 0 63.42.21 63.9c.02.01 1.32.74 2.48 2.05.22.25.57-.04.37-.3z",
    className: "st28"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3086-1154",
    transform: "translate(.187 -.783)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3053",
    d: "M2.97 65.68C1.75 64.1 0 63.54.2 63.99c.03.01 1.29.72 2.42 1.97.2.24.54-.04.35-.28z",
    className: "st146"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3087-1156",
    transform: "translate(.207 -.87)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3058",
    d: "M2.88 65.7C1.7 64.2 0 63.66.2 64.08c.03.02 1.24.7 2.34 1.89.2.23.52-.04.34-.27z",
    className: "st29"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3088-1158",
    transform: "translate(.228 -.958)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3063",
    d: "M2.78 65.73C1.66 64.3 0 63.78.2 64.17c.03.02 1.2.67 2.26 1.82.19.21.49-.05.32-.26z",
    className: "st147"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3089-1160",
    transform: "translate(.249 -1.044)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3068",
    d: "M2.69 65.75C1.61 64.4 0 63.9.2 64.26c.03.02 1.16.65 2.18 1.74.18.2.47-.04.31-.25z",
    className: "st30"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3090-1162",
    transform: "translate(.27 -1.132)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3073",
    d: "M2.59 65.77C1.57 64.5 0 64.02.19 64.35c.04.03 1.13.63 2.11 1.66.18.19.45-.04.29-.24z",
    className: "st148"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3091-1164",
    transform: "translate(.29 -1.219)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3078",
    d: "M2.5 65.8C1.52 64.6 0 64.14.19 64.44c.04.03 1.08.61 2.03 1.58.17.18.43-.04.28-.22z",
    className: "st31"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3092-1166",
    transform: "translate(.31 -1.306)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3083",
    d: "M2.41 65.82C1.48 64.71 0 64.26.19 64.54c.04.02 1.04.57 1.95 1.49.16.17.41-.04.27-.21z",
    className: "st134"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3093-1168",
    transform: "translate(.332 -1.393)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3088",
    d: "M2.31 65.85C1.43 64.81 0 64.38.19 64.63c.04.03 1 .55 1.88 1.42.15.15.38-.04.24-.2z",
    className: "st32"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3094-1170",
    transform: "translate(.353 -1.48)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3093",
    d: "M2.22 65.87C1.39 64.91 0 64.5.19 64.72c.04.03.95.53 1.8 1.34.14.14.35-.04.23-.19z",
    className: "st149"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3095-1172",
    transform: "translate(.373 -1.567)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3098",
    d: "M2.12 65.9C1.34 65.01 0 64.62.18 64.81c.06.03.92.51 1.73 1.26.13.13.33-.04.21-.17z",
    className: "st33"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3096-1174",
    transform: "translate(.394 -1.654)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3103",
    d: "M2.03 65.92C1.3 65.11 0 64.74.18 64.9c.06.03.88.48 1.65 1.18.13.12.31-.04.2-.16z",
    className: "st150"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3097-1176",
    transform: "translate(.415 -1.741)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3108",
    d: "M1.94 65.94c-.69-.73-1.94-1.08-1.76-.95.06.04.84.46 1.57 1.1.12.11.29-.04.19-.15z",
    className: "st34"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group3098-1178",
    transform: "translate(39.198 -19.506)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape3099-1179"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3116",
    d: "M1.71 62.58C1.73 63.6.77 66.2.41 66.1c-.41-.09.08-.85.46-2.14.15-.54.26-1.86.31-1.91.15-.15.53.29.53.53z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3100-1181",
    transform: "translate(.018 -.021)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3121",
    d: "M1.66 62.69c.02.99-.92 3.51-1.27 3.41-.39-.09.09-.83.46-2.1.15-.51.26-1.78.31-1.83.15-.15.51.25.5.52z",
    className: "st45"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3101-1183",
    transform: "translate(.036 -.043)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3126",
    d: "M1.61 62.79c.01.96-.89 3.41-1.23 3.31-.38-.09.09-.82.46-2.06.14-.49.25-1.7.29-1.75.15-.15.5.22.48.5z",
    className: "st46"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3102-1185",
    transform: "translate(.054 -.065)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3131",
    d: "M1.56 62.9c.01.93-.87 3.3-1.2 3.2-.36-.09.1-.8.46-2.02.13-.47.24-1.61.29-1.67.14-.14.48.19.45.49z",
    className: "st26"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3103-1187",
    transform: "translate(.072 -.086)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3136",
    d: "M1.52 63.01c-.01.9-.86 3.19-1.17 3.09-.35-.08.11-.78.46-1.98.12-.45.23-1.53.28-1.59.13-.14.46.15.43.48z",
    className: "st47"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3104-1189",
    transform: "translate(.09 -.107)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3141",
    d: "M1.47 63.11c-.01.87-.84 3.09-1.14 2.99-.33-.08.12-.76.46-1.94.12-.43.22-1.45.27-1.51.13-.14.45.12.41.46z",
    className: "st48"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3105-1191",
    transform: "translate(.108 -.13)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3146",
    d: "M1.42 63.22C1.4 64.06.61 66.2.31 66.1c-.31-.08.13-.74.47-1.9.11-.4.21-1.37.26-1.43.13-.14.43.09.38.45z",
    className: "st28"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3106-1193",
    transform: "translate(.125 -.15)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3151",
    d: "M1.37 63.33C1.35 64.14.58 66.2.3 66.1c-.3-.08.13-.73.46-1.86.11-.38.2-1.29.25-1.35.13-.14.42.05.36.44z",
    className: "st49"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3107-1195",
    transform: "translate(.143 -.172)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3156",
    d: "M1.33 63.43C1.3 64.21.55 66.2.28 66.1c-.28-.08.14-.71.47-1.82.1-.36.19-1.21.24-1.27.12-.14.4.02.34.42z",
    className: "st50"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3108-1197",
    transform: "translate(.161 -.194)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3161",
    d: "M1.28 63.54c-.04.75-.76 2.66-1.01 2.56-.27-.08.14-.69.46-1.78.1-.34.18-1.12.23-1.19.12-.14.39-.01.32.41z",
    className: "st30"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3109-1199",
    transform: "translate(.18 -.215)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3166",
    d: "M1.23 63.64c-.04.73-.74 2.56-.98 2.46-.25-.08.15-.67.47-1.73.09-.32.17-1.05.22-1.12.11-.14.37-.05.29.39z",
    className: "st51"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3110-1201",
    transform: "translate(.197 -.237)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3171",
    d: "M1.18 63.75c-.05.7-.71 2.45-.95 2.35-.23-.07.16-.65.47-1.69.09-.3.16-.97.22-1.04.11-.14.35-.08.26.38z",
    className: "st52"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3111-1203",
    transform: "translate(.215 -.259)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3176",
    d: "M1.13 63.86c-.05.66-.69 2.34-.91 2.24-.22-.07.16-.64.47-1.65.08-.28.15-.89.2-.96.11-.14.34-.11.24.37z",
    className: "st32"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3112-1205",
    transform: "translate(.233 -.28)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3181",
    d: "M1.09 63.96C1.02 64.6.41 66.2.2 66.1c-.2-.07.18-.62.47-1.61.07-.26.14-.81.2-.88.1-.14.33-.15.22.35z",
    className: "st53"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3113-1207",
    transform: "translate(.25 -.302)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3186",
    d: "M1.04 64.07c-.07.61-.66 2.13-.85 2.03-.19-.07.18-.6.47-1.57.06-.23.13-.72.18-.8.1-.13.32-.18.2.34z",
    className: "st54"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3114-1209",
    transform: "translate(.268 -.323)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3191",
    d: "M.99 64.18c-.08.57-.63 2.02-.82 1.92-.17-.07.19-.58.47-1.53.06-.21.12-.64.18-.72.09-.13.3-.21.17.33z",
    className: "st34"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3115-1211",
    transform: "translate(.287 -.345)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3196",
    d: "M.94 64.28c-.08.55-.61 1.92-.79 1.82-.15-.07.2-.56.48-1.49.05-.19.11-.56.16-.64.09-.13.29-.24.15.31z",
    className: "st55"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3116-1213",
    transform: "translate(.304 -.367)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3201",
    d: "M.9 64.39c-.09.52-.6 1.81-.76 1.72-.14-.07.2-.56.47-1.46.05-.17.1-.48.16-.56.09-.13.27-.28.13.3z",
    className: "st56"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3117-1215",
    transform: "translate(.322 -.388)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3206",
    d: "M.85 64.5c-.1.48-.58 1.7-.73 1.61-.12-.07.21-.54.48-1.42.04-.15.09-.4.15-.48.08-.13.25-.31.1.29z",
    className: "st36"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3118-1217",
    transform: "translate(.34 -.41)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3211",
    d: "M.8 64.6c-.1.46-.56 1.6-.7 1.51-.1-.07.22-.52.48-1.38.04-.12.08-.32.14-.4.08-.13.24-.34.08.27z",
    className: "st57"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3119-1219",
    transform: "translate(.358 -.431)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3216",
    d: "M.75 64.71c-.11.43-.53 1.49-.66 1.4-.09-.07.22-.5.48-1.34.03-.1.07-.24.13-.32.07-.13.22-.38.05.26z",
    className: "st4"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group3120-1221",
    transform: "translate(36.866 -26.7)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape3121-1222"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3224",
    d: "M.47 63.64c-.25.27-.47 1.63.15 2.1.63.46 1.73-.39 1.73-.88-.02-1.09-1.63-1.49-1.88-1.22z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3122-1224",
    transform: "translate(.027 -.023)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3229",
    fill: colored ? '#010101' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#010101') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.47 63.69c-.26.26-.47 1.6.14 2.06.6.45 1.68-.37 1.68-.86 0-1.07-1.57-1.48-1.82-1.2z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3123-1226",
    transform: "translate(.053 -.046)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3234",
    d: "M.46 63.74C.21 64 0 65.3.59 65.76c.59.44 1.64-.35 1.65-.84 0-1.05-1.52-1.46-1.78-1.18z",
    className: "st143"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3124-1228",
    transform: "translate(.08 -.07)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3239",
    d: "M.46 63.78c-.26.26-.46 1.54.11 1.99.57.43 1.6-.34 1.62-.83.01-1.01-1.47-1.43-1.73-1.16z",
    className: "st45"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3125-1230",
    transform: "translate(.106 -.092)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3244",
    d: "M.45 63.83c-.26.25-.45 1.51.1 1.94.56.43 1.57-.31 1.59-.8.01-.99-1.42-1.41-1.69-1.14z",
    className: "st25"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3126-1232",
    transform: "translate(.133 -.115)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3249",
    fill: colored ? '#090909' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#090909') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.45 63.87c-.27.26-.45 1.49.09 1.91.53.42 1.52-.29 1.55-.79.02-.96-1.37-1.38-1.64-1.12z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3127-1234",
    transform: "translate(.16 -.138)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3254",
    d: "M.45 63.92c-.28.25-.45 1.46.07 1.87.51.41 1.48-.27 1.52-.77.02-.93-1.32-1.37-1.59-1.1z",
    className: "st144"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3128-1236",
    transform: "translate(.186 -.161)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3259",
    fill: colored ? '#0d0d0d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#0d0d0d') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.44 63.96C.17 64.22 0 65.4.5 65.8c.5.4 1.45-.25 1.49-.76.03-.9-1.27-1.34-1.55-1.08z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3129-1238",
    transform: "translate(.213 -.184)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3264",
    d: "M.44 64.01c-.28.25-.44 1.4.04 1.8.48.39 1.41-.24 1.46-.74.03-.88-1.22-1.32-1.5-1.06z",
    className: "st26"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3130-1240",
    transform: "translate(.24 -.207)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3269",
    d: "M.43 64.06c-.28.24-.43 1.37.03 1.76.47.38 1.37-.22 1.43-.73.04-.84-1.17-1.29-1.46-1.03z",
    className: "st152"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3131-1242",
    transform: "translate(.266 -.23)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3274",
    d: "M.43 64.1c-.29.25-.43 1.35.02 1.73.44.37 1.33-.2 1.38-.71.05-.82-1.12-1.27-1.4-1.02z",
    className: "st131"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3132-1244",
    transform: "translate(.293 -.253)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3279",
    fill: colored ? '#151515' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#151515') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.42 64.15c-.29.24-.42 1.32.01 1.69.43.36 1.29-.18 1.35-.7.06-.79-1.07-1.25-1.36-.99z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3133-1246",
    transform: "translate(.32 -.276)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3284",
    d: "M.42 64.19c-.29.25-.42 1.3-.01 1.66.41.35 1.25-.16 1.32-.68.06-.76-1.02-1.23-1.31-.98z",
    className: "st27"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3134-1248",
    transform: "translate(.346 -.3)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3289",
    fill: colored ? '#181818' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#181818') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.42 64.24c-.3.24-.42 1.27-.03 1.61.39.35 1.22-.13 1.29-.66.07-.73-.97-1.2-1.26-.95z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3135-1250",
    transform: "translate(.373 -.322)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3294",
    d: "M.41 64.29c-.3.23-.41 1.23-.03 1.57.37.34 1.17-.12 1.25-.64.08-.71-.92-1.18-1.22-.93z",
    className: "st145"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3136-1252",
    transform: "translate(.4 -.346)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3299",
    d: "M.41 64.33c-.31.24-.41 1.21-.05 1.54.35.33 1.13-.1 1.22-.63.08-.68-.87-1.15-1.17-.91z",
    className: "st153"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3137-1254",
    transform: "translate(.426 -.369)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3304",
    d: "M.4 64.38c-.31.23-.4 1.18-.06 1.5.34.32 1.1-.08 1.19-.61.09-.65-.82-1.14-1.13-.89z",
    className: "st28"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3138-1256",
    transform: "translate(.452 -.391)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3309",
    fill: colored ? '#202020' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#202020') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.4 64.42c-.31.24-.4 1.16-.08 1.47.32.31 1.06-.06 1.16-.6.09-.62-.77-1.11-1.08-.87z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3139-1258",
    transform: "translate(.48 -.415)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3314",
    d: "M.39 64.47C.08 64.7 0 65.6.31 65.9c.29.3 1.01-.04 1.12-.58.1-.6-.72-1.09-1.04-.85z",
    className: "st146"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3140-1260",
    transform: "translate(.506 -.438)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3319",
    fill: colored ? '#242424' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#242424') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.39 64.51c-.32.24-.39 1.11-.1 1.4.28.29.98-.03 1.09-.56.1-.57-.67-1.07-.99-.84z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3141-1262",
    transform: "translate(.532 -.46)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3324",
    d: "M.38 64.56c-.32.23-.38 1.08-.11 1.36.26.28.94-.01 1.05-.55.12-.54-.61-1.04-.94-.81z",
    className: "st29"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group3142-1264",
    transform: "translate(37.139 -17.82)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape3143-1265"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3332",
    d: "M.14 65.95c.25.25.46-.36.7-.56.25-.2.65-.63 1.44-.63.8 0 .74-.03.7-.33-.02-.29-.25-.27-.96-.16-.7.09-1.17.45-1.45.78-.27.32-.57.76-.43.9z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3144-1267",
    transform: "translate(.057 -.07)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3337",
    d: "M.14 65.96c.23.24.44-.34.68-.54.24-.19.64-.6 1.4-.6.77 0 .72-.02.69-.32-.02-.28-.25-.26-.94-.16a2.2 2.2 0 00-1.41.76c-.26.3-.56.73-.42.86z",
    className: "st45"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3145-1269",
    transform: "translate(.114 -.14)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3342",
    d: "M.13 65.97c.23.23.43-.33.67-.51.24-.19.63-.58 1.37-.58.73 0 .7-.02.66-.31-.02-.27-.24-.24-.91-.15-.66.08-1.11.42-1.38.73-.25.29-.54.69-.41.82z",
    className: "st46"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3146-1271",
    transform: "translate(.171 -.21)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3347",
    d: "M.13 65.98c.22.22.41-.31.65-.49.24-.18.63-.55 1.33-.55.71 0 .68-.02.65-.29-.02-.27-.24-.24-.89-.15-.64.07-1.08.4-1.34.69-.25.29-.53.67-.4.79z",
    className: "st26"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3147-1273",
    transform: "translate(.228 -.28)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3352",
    d: "M.13 65.99c.21.21.39-.29.63-.46.23-.18.62-.53 1.29-.53.68 0 .66-.02.63-.28-.02-.26-.23-.23-.86-.15-.62.07-1.05.39-1.31.67-.24.28-.51.63-.38.75z",
    className: "st47"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3148-1275",
    transform: "translate(.286 -.35)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3357",
    d: "M.13 66c.2.2.37-.27.6-.44.24-.17.62-.5 1.27-.5.64-.01.64-.01.61-.27-.02-.25-.23-.22-.84-.14-.6.07-1.03.37-1.27.64-.24.26-.5.59-.37.71z",
    className: "st48"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3149-1277",
    transform: "translate(.343 -.419)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3362",
    d: "M.12 66.01c.2.19.36-.25.59-.41.24-.17.62-.48 1.23-.49.61 0 .62 0 .59-.25-.01-.24-.21-.21-.81-.13-.59.06-1 .35-1.24.61-.22.25-.48.56-.36.67z",
    className: "st28"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3150-1279",
    transform: "translate(.4 -.489)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3367",
    d: "M.12 66.02c.19.18.34-.23.57-.39.23-.16.61-.45 1.19-.46.59 0 .6 0 .58-.24-.02-.22-.21-.19-.78-.13-.58.06-.98.34-1.21.59-.22.24-.47.52-.35.63z",
    className: "st49"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3151-1281",
    transform: "translate(.457 -.559)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3372",
    d: "M.12 66.03c.17.17.32-.22.55-.37.23-.15.6-.43 1.16-.43.55 0 .58 0 .55-.22-.01-.22-.2-.19-.75-.13-.56.05-.95.32-1.17.55-.22.23-.46.5-.34.6z",
    className: "st50"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3152-1283",
    transform: "translate(.514 -.629)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3377",
    d: "M.11 66.04c.17.16.31-.2.54-.34.23-.15.6-.41 1.12-.41.52 0 .56.01.54-.21-.02-.21-.2-.18-.73-.12-.54.04-.92.3-1.14.52-.21.22-.44.46-.33.56z",
    className: "st30"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3153-1285",
    transform: "translate(.571 -.698)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3382",
    d: "M.11 66.05c.16.15.29-.18.52-.32.22-.14.59-.38 1.08-.38.49 0 .54.01.52-.2-.01-.2-.19-.17-.7-.12-.52.04-.9.29-1.1.5-.21.21-.43.43-.32.52z",
    className: "st51"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3154-1287",
    transform: "translate(.628 -.768)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3387",
    d: "M.11 66.06c.15.14.27-.16.49-.29.23-.13.59-.36 1.06-.36.46 0 .52.01.5-.19-.01-.19-.19-.15-.68-.11-.5.03-.87.27-1.07.47-.19.2-.41.39-.3.48z",
    className: "st52"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3155-1289",
    transform: "translate(.685 -.838)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3392",
    d: "M.1 66.07c.15.13.26-.14.48-.27.23-.12.59-.33 1.02-.33.43 0 .5.01.48-.18-.01-.18-.17-.14-.65-.1-.48.03-.84.25-1.03.44-.19.18-.4.36-.3.44z",
    className: "st32"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3156-1291",
    transform: "translate(.742 -.908)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3397",
    d: "M.1 66.08c.14.12.24-.12.46-.24.22-.12.58-.31.98-.31s.48.01.47-.16c-.01-.18-.17-.14-.63-.11-.47.03-.81.24-1 .42-.18.17-.38.32-.28.4z",
    className: "st53"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3157-1293",
    transform: "translate(.8 -.978)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3402",
    d: "M.1 66.09c.12.11.22-.11.44-.22s.57-.28.95-.28c.37 0 .46.02.44-.15-.01-.17-.16-.13-.6-.1-.45.02-.78.22-.96.38-.18.17-.37.3-.27.37z",
    className: "st54"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3158-1295",
    transform: "translate(.857 -1.047)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3407",
    d: "M.1 66.1c.11.1.2-.09.42-.2.22-.1.57-.25.91-.25.34 0 .44.02.43-.14-.01-.15-.16-.11-.58-.09-.43.01-.76.19-.93.35-.17.16-.35.26-.25.33z",
    className: "st34"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3159-1297",
    transform: "translate(.914 -1.117)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3412",
    d: "M.09 66.11c.11.09.19-.07.4-.17.22-.1.57-.23.88-.23.31 0 .42.02.41-.13 0-.14-.15-.1-.55-.09-.41.01-.73.18-.89.33-.16.14-.34.23-.25.29z",
    className: "st55"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3160-1299",
    transform: "translate(.97 -1.187)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3417",
    d: "M.09 66.12c.1.08.17-.05.38-.15.22-.09.56-.2.84-.2.28 0 .41.02.4-.11-.01-.14-.15-.1-.53-.09-.39 0-.7.16-.86.3-.15.13-.32.19-.23.25z",
    className: "st56"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3161-1301",
    transform: "translate(1.028 -1.257)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3422",
    d: "M.09 66.13c.09.07.15-.03.36-.12.22-.09.56-.18.81-.18s.38.03.37-.1c0-.13-.13-.09-.5-.08-.37-.01-.67.14-.82.27-.15.12-.31.16-.22.21z",
    className: "st36"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3162-1303",
    transform: "translate(1.085 -1.327)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3427",
    d: "M.08 66.14c.09.06.14-.01.35-.1.21-.08.55-.15.77-.15.22 0 .36.03.36-.09-.01-.12-.13-.07-.48-.08-.35 0-.64.13-.79.24-.14.12-.29.13-.21.18z",
    className: "st57"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3163-1305",
    transform: "translate(1.142 -1.397)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3432",
    d: "M.08 66.15c.07.05.12 0 .33-.07.21-.08.54-.13.73-.13.19 0 .35.03.34-.08 0-.11-.12-.06-.45-.07-.34-.01-.62.11-.75.21-.14.1-.28.1-.2.14z",
    className: "st4"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group3164-1307",
    transform: "translate(40.38 -16.733)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape3165-1308"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3440",
    d: "M.07 63.33c0 .37.76.5 1.49.61.71.1 1.28.24 1.32.99.03.74-.15 1.27.17 1.21.71-.13.96-.89.95-1.24 0-.35-.51-.98-1.44-1.34-.68-.25-1.17-.37-1.76-.39-.8-.04-.73.16-.73.16z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3166-1310",
    transform: "translate(.038 -.072)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3445",
    d: "M.05 63.41c0 .36.76.48 1.47.59.71.11 1.26.25 1.32.98.06.71-.14 1.22.19 1.16.67-.12.92-.84.91-1.19-.01-.35-.51-.96-1.42-1.3-.67-.26-1.16-.38-1.75-.4-.77-.04-.72.15-.72.16z",
    className: "st143"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3167-1312",
    transform: "translate(.076 -.145)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3450",
    d: "M.04 63.49c0 .35.74.46 1.45.57.7.12 1.23.25 1.31.96.08.7-.12 1.18.2 1.13.64-.11.89-.8.87-1.14 0-.35-.5-.94-1.4-1.28-.66-.25-1.14-.37-1.72-.4-.75-.04-.72.14-.71.16z",
    className: "st25"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3168-1314",
    transform: "translate(.114 -.218)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3455",
    d: "M.02 63.57c0 .34.74.44 1.44.55.69.12 1.2.25 1.31.94.1.68-.11 1.14.2 1.1.62-.11.85-.76.84-1.1-.01-.35-.49-.91-1.38-1.25-.66-.25-1.13-.37-1.7-.4-.73-.04-.72.14-.71.16z",
    className: "st144"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3169-1316",
    transform: "translate(.146 -.29)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3460",
    d: "M.01 63.64c0 .34.73.43 1.42.55.69.12 1.18.24 1.31.91.11.66-.1 1.1.21 1.06.59-.09.82-.71.8-1.04-.01-.35-.48-.9-1.36-1.23-.65-.24-1.11-.37-1.68-.4-.7-.03-.71.13-.7.15z",
    className: "st26"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3170-1318",
    transform: "translate(.165 -.363)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3465",
    d: "M.01 63.72c.01.33.73.41 1.41.53.68.12 1.14.24 1.3.9.14.63-.09 1.05.22 1.02.56-.09.78-.67.76-1-.01-.34-.47-.87-1.34-1.2-.64-.24-1.09-.37-1.66-.4-.68-.03-.7.12-.69.15z",
    className: "st131"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3171-1320",
    transform: "translate(.184 -.435)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3470",
    d: "M.01 63.8c.01.31.72.38 1.39.51.68.13 1.12.24 1.3.88.16.62-.07 1.01.23.98.53-.08.75-.62.73-.95-.02-.34-.47-.84-1.32-1.16-.63-.24-1.08-.37-1.64-.41-.66-.03-.7.11-.69.15z",
    className: "st27"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3172-1322",
    transform: "translate(.203 -.508)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3475",
    d: "M.01 63.88c.01.3.72.36 1.38.49.67.14 1.09.24 1.29.86.18.6-.06.97.24.95.5-.07.71-.58.69-.9-.01-.34-.46-.83-1.3-1.14-.62-.24-1.07-.37-1.61-.4-.64-.04-.7.09-.69.14z",
    className: "st145"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3173-1324",
    transform: "translate(.222 -.58)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3480",
    d: "M.01 63.96c.02.29.71.34 1.36.47.66.14 1.07.25 1.29.84.2.58-.04.93.25.91.48-.06.68-.53.66-.85-.02-.34-.45-.8-1.28-1.11-.62-.23-1.06-.37-1.6-.4-.61-.04-.69.09-.68.14z",
    className: "st28"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3174-1326",
    transform: "translate(.242 -.653)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3485",
    d: "M.01 64.04c.02.28.71.32 1.35.45.65.15 1.04.25 1.29.83.22.56-.04.88.25.87.45-.05.65-.49.62-.8-.02-.34-.44-.78-1.26-1.09-.61-.23-1.04-.36-1.57-.4-.59-.04-.69.08-.68.14z",
    className: "st146"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3175-1328",
    transform: "translate(.26 -.726)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3490",
    d: "M.01 64.12c.02.27.7.3 1.34.44.64.14 1.01.24 1.28.8.24.54-.02.84.26.84.42-.05.61-.45.59-.76-.03-.34-.44-.76-1.24-1.06-.61-.22-1.03-.36-1.56-.4-.56-.04-.68.07-.67.14z",
    className: "st29"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3176-1330",
    transform: "translate(.28 -.793)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3495",
    d: "M.02 64.19c.02.26.69.28 1.31.42.64.16.99.24 1.28.79.26.52-.01.79.27.8.39-.04.58-.41.55-.71-.03-.34-.43-.74-1.22-1.03-.59-.22-1.01-.36-1.53-.41-.54-.03-.68.07-.66.14z",
    className: "st147"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3177-1332",
    transform: "translate(.299 -.86)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3500",
    d: "M.02 64.26c.02.25.69.26 1.3.41.63.16.95.24 1.27.76.29.5.01.76.28.77.37-.03.54-.36.52-.66-.03-.34-.42-.71-1.21-1-.58-.22-.99-.37-1.51-.41-.51-.04-.67.05-.65.13z",
    className: "st30"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3178-1334",
    transform: "translate(.318 -.927)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3505",
    d: "M.02 64.34c.02.23.68.24 1.28.38.63.17.93.25 1.27.75.31.48.02.71.29.73.34-.02.51-.32.48-.61-.03-.34-.41-.69-1.18-.98-.58-.21-.98-.36-1.49-.4-.5-.04-.67.04-.65.13z",
    className: "st148"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3179-1336",
    transform: "translate(.337 -.993)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3510",
    d: "M.02 64.41c.03.23.68.22 1.27.37.62.17.9.24 1.27.73.32.46.03.66.3.69.3-.02.46-.28.43-.56-.03-.34-.4-.67-1.16-.95-.57-.21-.96-.36-1.46-.41-.48-.04-.67.04-.65.13z",
    className: "st31"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3180-1338",
    transform: "translate(.356 -1.06)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3515",
    d: "M.02 64.48c.03.22.67.2 1.25.36.62.17.88.24 1.27.7.34.45.05.63.31.66.27-.01.43-.23.4-.51-.04-.34-.4-.65-1.14-.93-.57-.2-.95-.35-1.45-.4-.45-.04-.66.02-.64.12z",
    className: "st134"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3181-1340",
    transform: "translate(.375 -1.122)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3520",
    d: "M.02 64.55c.03.21.67.18 1.24.34.61.17.85.24 1.26.69.37.42.06.58.32.61.24.01.4-.18.36-.46-.04-.33-.38-.63-1.12-.89-.55-.21-.94-.36-1.42-.41-.43-.04-.66.02-.64.12z",
    className: "st32"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3182-1342",
    transform: "translate(.394 -1.18)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3525",
    d: "M.02 64.62c.04.19.66.15 1.23.32.6.17.82.24 1.25.66.39.41.08.54.33.58.22.02.36-.14.33-.41-.04-.33-.38-.6-1.1-.87-.55-.2-.93-.35-1.41-.41-.4-.03-.65.01-.63.13z",
    className: "st149"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3183-1344",
    transform: "translate(.413 -1.239)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3530",
    d: "M.03 64.68c.03.18.65.14 1.2.3.6.19.79.24 1.25.65.41.39.09.5.34.54.19.03.33-.09.29-.36-.04-.33-.37-.58-1.08-.84-.54-.2-.91-.35-1.38-.41-.38-.04-.65 0-.62.12z",
    className: "st33"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3184-1346",
    transform: "translate(.432 -1.297)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3535",
    d: "M.03 64.75c.03.17.64.11 1.19.28.59.19.76.24 1.25.63.42.37.1.46.34.51.16.03.29-.06.26-.32-.05-.33-.37-.56-1.07-.81-.53-.2-.89-.36-1.36-.41-.35-.04-.64-.01-.61.12z",
    className: "st150"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3185-1348",
    transform: "translate(.451 -1.356)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3540",
    d: "M.03 64.81c.04.16.64.1 1.17.27.59.19.74.24 1.25.61.45.34.11.41.35.47.13.04.26-.01.22-.27-.05-.32-.35-.53-1.04-.78-.53-.19-.88-.36-1.34-.41-.33-.04-.64-.02-.61.11z",
    className: "st34"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group3186-1350",
    transform: "translate(42.619 -18.184)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape3187-1351"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3548",
    d: "M.65 65.69c.27.16.22.33.39.45.09.06.23.06.15-.16-.12-.26-.21-.4-.81-.64-.38-.16-.3.01.27.35z",
    className: "st34"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3188-1353",
    transform: "translate(.023 -.01)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3553",
    fill: colored ? '#505050' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#505050') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.63 65.7c.26.16.22.33.39.44.08.06.22.06.14-.16-.12-.25-.21-.39-.79-.62-.37-.15-.3.01.26.34z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3189-1355",
    transform: "translate(.046 -.021)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3558",
    d: "M.62 65.72c.25.15.21.31.37.42.08.06.22.06.14-.15-.11-.25-.2-.38-.77-.61-.36-.15-.29.01.26.34z",
    className: "st35"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3190-1357",
    transform: "translate(.07 -.031)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3563",
    fill: colored ? '#575757' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#575757') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.6 65.73c.25.15.21.31.37.41.07.06.21.06.13-.15-.11-.24-.2-.37-.75-.59-.35-.14-.28.01.25.33z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3191-1359",
    transform: "translate(.092 -.042)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3568",
    d: "M.59 65.74c.24.15.19.3.35.4.08.06.21.06.13-.14-.1-.23-.19-.36-.73-.58-.34-.14-.27.01.25.32z",
    className: "st36"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3192-1361",
    transform: "translate(.115 -.052)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3573",
    d: "M.57 65.75c.24.14.19.3.34.4.08.05.21.05.13-.15-.1-.22-.18-.35-.7-.56-.34-.13-.27.01.23.31z",
    className: "st139"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3193-1363",
    transform: "translate(.138 -.063)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3578",
    d: "M.55 65.76c.23.14.19.29.34.39.07.05.19.05.12-.14-.1-.22-.18-.34-.68-.55-.33-.13-.26.01.22.3z",
    className: "st37"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3194-1365",
    transform: "translate(.161 -.073)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3583",
    fill: colored ? '#676767' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#676767') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.54 65.78c.22.13.18.27.32.37.07.05.19.05.12-.14-.09-.21-.17-.33-.66-.53-.32-.12-.26.01.22.3z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3195-1367",
    transform: "translate(.184 -.084)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3588",
    d: "M.52 65.79c.22.13.18.27.32.36.07.05.18.05.11-.13-.09-.21-.17-.32-.64-.52-.31-.12-.25.01.21.29z",
    className: "st38"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3196-1369",
    transform: "translate(.207 -.094)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3593",
    fill: colored ? '#6e6e6e' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#6e6e6e') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.51 65.8c.21.13.17.26.3.35.07.05.18.05.11-.12-.09-.21-.16-.32-.62-.5-.3-.12-.24 0 .21.27z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3197-1371",
    transform: "translate(.23 -.104)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3598",
    d: "M.49 65.81c.2.13.17.26.3.34.06.05.17.05.1-.12-.08-.19-.15-.3-.6-.48-.29-.12-.23 0 .2.26z",
    className: "st39"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3198-1373",
    transform: "translate(.253 -.115)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3603",
    fill: colored ? '#767676' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#767676') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.47 65.83c.2.12.17.24.29.32.06.05.17.05.11-.11-.09-.19-.16-.3-.59-.47-.28-.11-.22 0 .19.26z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3199-1375",
    transform: "translate(.276 -.125)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3608",
    d: "M.46 65.84c.19.11.15.24.28.32.06.04.16.04.1-.12-.08-.18-.15-.28-.57-.45-.27-.11-.22.01.19.25z",
    className: "st40"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3200-1377",
    transform: "translate(.3 -.136)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3613",
    fill: colored ? '#7e7e7e' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#7e7e7e') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.44 65.85c.19.11.15.23.27.31.06.04.16.04.1-.11-.08-.18-.15-.28-.55-.44-.26-.1-.21.01.18.24z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3201-1379",
    transform: "translate(.322 -.146)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3618",
    d: "M.43 65.86c.17.11.14.22.25.3.06.04.16.04.1-.11-.08-.17-.14-.26-.53-.42-.25-.1-.2.01.18.23z",
    className: "st41"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3202-1381",
    transform: "translate(.345 -.157)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3623",
    fill: colored ? '#858585' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#858585') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.41 65.88c.17.1.14.21.25.28.05.04.14.04.09-.1-.07-.17-.13-.26-.51-.41-.24-.09-.19.01.17.23z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3203-1383",
    transform: "translate(.368 -.167)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3628",
    d: "M.4 65.89c.16.1.13.2.23.27.06.04.14.04.09-.1-.07-.15-.13-.24-.49-.39-.23-.09-.18.01.17.22z",
    className: "st42"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3204-1385",
    transform: "translate(.391 -.178)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3633",
    fill: colored ? '#8d8d8d' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#8d8d8d') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.38 65.9c.16.1.13.2.23.26.05.04.13.04.08-.09-.07-.15-.12-.24-.47-.38-.22-.08-.18.01.16.21z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3205-1387",
    transform: "translate(.414 -.188)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3638",
    d: "M.36 65.91c.15.09.13.19.22.25.05.04.13.04.08-.09-.06-.14-.11-.22-.45-.35-.21-.09-.17 0 .15.19z",
    className: "st43"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3206-1389",
    transform: "translate(.437 -.198)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3643",
    fill: colored ? '#959595' : (['#fff', '#fffff', 'white', '#FFF', '#FFFFFF'].includes('#959595') ? 'white' : 'currentColor'),
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M.35 65.93c.14.08.11.17.21.24.04.03.12.03.07-.09-.06-.14-.11-.22-.43-.34-.2-.09-.16 0 .15.19z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3207-1391",
    transform: "translate(.46 -.209)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3648",
    d: "M.33 65.94c.14.08.11.17.2.23.05.03.12.03.07-.09-.05-.13-.1-.2-.41-.32-.19-.08-.15 0 .14.18z",
    className: "st44"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group3208-1393",
    transform: "translate(32.538 -39.38)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape3209-1394"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3656",
    d: "M.12 63.25c-.12.15.09 1.36.88 2.16.79.79 1.27.79 1.59.44.61-.65.12-1.27-.26-1.69-.37-.43-.85-.28-1.29-.71-.44-.43-.75-.4-.92-.2z",
    className: "st3"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3210-1396",
    transform: "translate(.012 -.012)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3661",
    d: "M.12 63.27c-.12.15.09 1.35.87 2.15.78.78 1.26.78 1.58.43.6-.65.11-1.25-.26-1.68-.37-.42-.84-.27-1.28-.7-.43-.42-.74-.39-.91-.2z",
    className: "st45"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3211-1398",
    transform: "translate(.025 -.024)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3666",
    d: "M.12 63.3c-.12.14.09 1.34.86 2.12.78.78 1.25.78 1.57.44.6-.65.11-1.25-.25-1.67-.37-.42-.84-.28-1.28-.7-.43-.42-.73-.39-.9-.19z",
    className: "st46"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3212-1400",
    transform: "translate(.037 -.036)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3671",
    d: "M.12 63.32c-.12.14.09 1.33.86 2.11.76.77 1.23.77 1.55.43.59-.64.11-1.24-.25-1.65-.37-.42-.84-.28-1.26-.69-.43-.42-.73-.4-.9-.2z",
    className: "st26"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3213-1402",
    transform: "translate(.05 -.048)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3676",
    d: "M.12 63.34c-.12.14.09 1.32.85 2.09.76.77 1.23.77 1.54.43.59-.63.11-1.23-.25-1.64-.36-.41-.83-.27-1.25-.68-.43-.42-.73-.39-.89-.2z",
    className: "st47"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3214-1404",
    transform: "translate(.062 -.06)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3681",
    d: "M.12 63.37c-.12.14.09 1.3.84 2.07.76.76 1.22.76 1.52.42.59-.62.12-1.21-.24-1.62-.36-.41-.82-.27-1.24-.68-.42-.41-.72-.39-.88-.19z",
    className: "st48"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3215-1406",
    transform: "translate(.074 -.072)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3686",
    d: "M.11 63.39c-.11.14.09 1.29.84 2.06.75.75 1.21.75 1.52.42.58-.63.11-1.21-.25-1.62-.35-.4-.81-.26-1.23-.67-.42-.41-.71-.38-.88-.19z",
    className: "st28"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3216-1408",
    transform: "translate(.087 -.084)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3691",
    d: "M.11 63.41c-.11.14.09 1.29.83 2.04.75.75 1.2.75 1.5.42.58-.62.12-1.2-.23-1.6-.36-.4-.81-.27-1.23-.67-.41-.4-.7-.38-.87-.19z",
    className: "st49"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3217-1410",
    transform: "translate(.1 -.096)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3696",
    d: "M.11 63.43c-.11.14.09 1.28.83 2.03.73.74 1.18.74 1.48.41.58-.61.12-1.19-.23-1.59-.35-.4-.8-.26-1.22-.66-.41-.4-.7-.37-.86-.19z",
    className: "st50"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3218-1412",
    transform: "translate(.111 -.108)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3701",
    d: "M.11 63.46c-.11.13.09 1.26.82 2.01.73.73 1.18.73 1.47.4.57-.6.12-1.17-.23-1.57-.35-.4-.79-.26-1.2-.66-.41-.39-.7-.37-.86-.18z",
    className: "st30"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3219-1414",
    transform: "translate(.124 -.12)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3706",
    d: "M.11 63.48c-.11.14.09 1.25.81 1.99.73.73 1.17.73 1.46.41.57-.61.12-1.17-.23-1.56-.34-.4-.79-.26-1.19-.66-.41-.39-.69-.36-.85-.18z",
    className: "st51"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3220-1416",
    transform: "translate(.136 -.132)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3711",
    d: "M.11 63.5c-.11.14.09 1.25.8 1.98.72.72 1.16.72 1.45.4.57-.6.11-1.16-.23-1.55-.34-.39-.78-.25-1.18-.64-.4-.39-.68-.37-.84-.19z",
    className: "st52"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3221-1418",
    transform: "translate(.148 -.144)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3716",
    d: "M.11 63.53c-.11.13.08 1.23.8 1.95.71.72 1.14.72 1.43.4.56-.59.11-1.15-.23-1.53-.33-.39-.77-.26-1.17-.64-.4-.39-.67-.37-.83-.18z",
    className: "st32"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3222-1420",
    transform: "translate(.16 -.156)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3721",
    d: "M.11 63.55c-.11.13.08 1.22.79 1.94.71.71 1.14.71 1.42.4.56-.59.11-1.14-.22-1.53-.34-.38-.77-.25-1.17-.63-.39-.38-.67-.36-.82-.18z",
    className: "st53"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3223-1422",
    transform: "translate(.173 -.168)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3726",
    d: "M.11 63.57c-.11.13.08 1.21.78 1.93.7.7 1.13.7 1.41.39.55-.58.11-1.13-.22-1.51-.33-.38-.76-.25-1.15-.63-.4-.38-.67-.36-.82-.18z",
    className: "st54"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3224-1424",
    transform: "translate(.186 -.18)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3731",
    d: "M.11 63.59c-.11.13.08 1.21.77 1.91.7.7 1.12.7 1.4.39.55-.58.11-1.12-.22-1.49-.33-.38-.75-.25-1.14-.63-.39-.38-.66-.35-.81-.18z",
    className: "st34"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3225-1426",
    transform: "translate(.198 -.192)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3736",
    d: "M.1 63.62c-.1.13.09 1.19.78 1.89.68.69 1.1.69 1.38.38.54-.57.11-1.11-.22-1.48-.32-.37-.74-.24-1.13-.62-.38-.37-.65-.35-.81-.17z",
    className: "st55"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3226-1428",
    transform: "translate(.21 -.204)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3741",
    d: "M.1 63.64c-.1.13.09 1.18.77 1.87.68.69 1.1.69 1.37.39.54-.57.11-1.1-.22-1.47-.32-.37-.74-.25-1.12-.62-.38-.37-.65-.34-.8-.17z",
    className: "st56"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3227-1430",
    transform: "translate(.222 -.216)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3746",
    d: "M.1 63.66c-.1.13.08 1.17.76 1.86.68.68 1.09.68 1.36.38.53-.56.11-1.09-.21-1.46-.32-.36-.74-.24-1.12-.6-.37-.37-.64-.35-.79-.18z",
    className: "st36"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3228-1432",
    transform: "translate(.235 -.228)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3751",
    d: "M.1 63.69c-.1.12.08 1.15.75 1.84.67.67 1.08.67 1.35.37.53-.56.11-1.08-.21-1.44-.32-.36-.73-.24-1.1-.6-.38-.37-.64-.34-.79-.17z",
    className: "st57"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3229-1434",
    transform: "translate(.247 -.24)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3756",
    d: "M.1 63.71c-.1.12.08 1.15.74 1.82.67.67 1.07.67 1.34.37.52-.55.1-1.07-.21-1.43-.32-.36-.72-.23-1.09-.59-.37-.36-.63-.34-.78-.17z",
    className: "st4"
  }))), /*#__PURE__*/React.createElement("g", {
    id: "group3230-1436",
    transform: "translate(18.77 -40.301)"
  }, /*#__PURE__*/React.createElement("g", {
    id: "shape3231-1437",
    transform: "translate(.157)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3764",
    d: "M0 64.47c.32.23.33.27.8.58.76.61 2.1.75 2.75.77 1.5.24 4.19-1.17 5.25-1.81.53-.4 1.52-1.23 1.89-1.24.23.24-.1.29-.58.61-.63.46-1.18.84-2.14 1.39-1.03.54-2.61 1.43-4.64 1.31-1.06-.16-1.07-.17-1.72-.51-.39-.28-1.29-.74-1.61-1.1z",
    className: "st78"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3232-1439",
    transform: "translate(.15 -.012)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3769",
    fill: "url(#grad0-1442)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.48c.31.21.35.27.83.58.75.61 2.06.75 2.73.77 1.52.24 4.23-1.18 5.25-1.81.55-.41 1.52-1.22 1.89-1.23.22.23-.12.28-.6.61-.63.45-1.16.83-2.11 1.37-1.02.53-2.61 1.43-4.64 1.31-1.06-.15-1.11-.17-1.75-.5-.4-.28-1.27-.74-1.6-1.1z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3233-1443",
    transform: "translate(.142 -.023)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3774",
    fill: "url(#grad0-1446)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.49c.3.19.37.27.85.59.74.6 2.04.75 2.71.77 1.54.24 4.28-1.21 5.27-1.82.56-.41 1.51-1.21 1.87-1.23.22.24-.13.28-.61.63-.63.44-1.14.8-2.08 1.34C7 65.3 5.4 66.2 3.38 66.09c-1.07-.15-1.16-.18-1.78-.5-.41-.29-1.27-.74-1.6-1.1z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3234-1447",
    transform: "translate(.134 -.035)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3779",
    fill: "url(#grad0-1450)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.5c.3.18.4.28.87.59.74.6 2.01.75 2.69.78 1.56.23 4.33-1.23 5.28-1.83.57-.42 1.51-1.2 1.87-1.23.21.24-.14.28-.64.64-.62.44-1.11.79-2.04 1.32-1 .52-2.61 1.43-4.63 1.33-1.07-.15-1.21-.19-1.8-.5-.42-.29-1.27-.74-1.6-1.1z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3235-1451",
    transform: "translate(.126 -.047)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3784",
    fill: "url(#grad0-1454)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.51c.29.16.42.28.89.6.74.59 1.99.75 2.67.78 1.59.23 4.39-1.25 5.3-1.84.58-.43 1.5-1.19 1.85-1.22.2.23-.15.27-.65.64-.62.43-1.09.78-2.01 1.3-1 .52-2.61 1.43-4.63 1.34-1.07-.15-1.25-.2-1.82-.5-.44-.3-1.27-.73-1.6-1.1z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3236-1455",
    transform: "translate(.118 -.058)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3789",
    fill: "url(#grad0-1458)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.52c.28.14.44.29.91.6.74.59 1.96.75 2.65.78 1.61.23 4.44-1.27 5.31-1.84.59-.44 1.5-1.19 1.85-1.22.19.23-.17.28-.67.65-.62.43-1.07.76-1.98 1.28-.99.52-2.61 1.43-4.63 1.35-1.08-.15-1.29-.21-1.84-.5-.45-.3-1.27-.73-1.6-1.1z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3237-1459",
    transform: "translate(.11 -.07)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3794",
    fill: "url(#grad0-1462)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.53c.27.13.46.29.94.61.73.58 1.93.75 2.62.78 1.63.22 4.49-1.29 5.33-1.85.6-.44 1.49-1.18 1.83-1.21.19.23-.17.27-.68.65-.62.43-1.05.75-1.95 1.26-.98.51-2.61 1.43-4.62 1.35-1.09-.14-1.35-.21-1.87-.49-.46-.31-1.27-.73-1.6-1.1z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3238-1463",
    transform: "translate(.102 -.082)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3799",
    fill: "url(#grad0-1466)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.53c.26.12.48.31.96.62.72.58 1.9.75 2.6.79 1.66.22 4.54-1.32 5.34-1.86.61-.45 1.49-1.17 1.82-1.21.19.23-.18.27-.69.66-.62.42-1.03.74-1.92 1.24-.97.51-2.61 1.43-4.62 1.36-1.09-.14-1.39-.22-1.9-.49-.46-.31-1.25-.73-1.59-1.11z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3239-1467",
    transform: "translate(.095 -.094)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3804",
    fill: "url(#grad0-1470)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.54c.26.11.5.31.98.63.72.57 1.87.75 2.59.79 1.67.21 4.58-1.34 5.35-1.87.62-.46 1.48-1.16 1.81-1.2.18.22-.2.26-.72.66-.61.42-1 .72-1.88 1.22-.96.5-2.61 1.43-4.62 1.37-1.09-.14-1.44-.23-1.92-.49-.48-.31-1.25-.72-1.59-1.11z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3240-1471",
    transform: "translate(.087 -.105)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3809",
    fill: "url(#grad0-1474)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.55c.25.09.53.32 1 .63.72.56 1.85.75 2.57.79 1.69.22 4.64-1.36 5.36-1.87.64-.47 1.48-1.15 1.8-1.2.17.22-.2.26-.73.68-.61.41-.99.7-1.84 1.19-.97.5-2.62 1.43-4.63 1.38-1.09-.14-1.48-.24-1.94-.49-.49-.32-1.25-.72-1.59-1.11z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3241-1475",
    transform: "translate(.079 -.109)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3814",
    fill: "url(#grad0-1478)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.55c.24.08.55.32 1.02.64.72.56 1.82.75 2.55.79 1.71.22 4.69-1.38 5.38-1.88.64-.47 1.47-1.14 1.79-1.19.16.22-.22.25-.75.68-.6.41-.97.69-1.81 1.17-.96.5-2.62 1.43-4.62 1.39-1.1-.14-1.53-.24-1.97-.49-.5-.32-1.25-.72-1.59-1.11z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3242-1479",
    transform: "translate(.07 -.106)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3819",
    fill: "url(#grad0-1482)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.55c.23.05.57.32 1.05.64.71.55 1.79.75 2.52.79 1.74.22 4.74-1.4 5.39-1.89.66-.47 1.46-1.13 1.78-1.18.16.22-.22.25-.76.68-.6.41-.95.68-1.78 1.15-.95.5-2.62 1.43-4.62 1.4-1.1-.13-1.58-.25-2-.49-.51-.32-1.24-.71-1.58-1.1z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3243-1483",
    transform: "translate(.063 -.102)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3824",
    fill: "url(#grad0-1486)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.54c.22.04.59.33 1.07.65.7.55 1.76.75 2.5.8 1.76.21 4.79-1.43 5.41-1.9.66-.49 1.45-1.13 1.77-1.18.15.21-.24.24-.78.69-.6.4-.93.66-1.75 1.13-.94.49-2.62 1.43-4.62 1.4-1.1-.12-1.62-.25-2.02-.49-.52-.32-1.23-.7-1.58-1.1z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3244-1487",
    transform: "translate(.055 -.1)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3829",
    fill: "url(#grad0-1490)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.53c.21.03.61.34 1.09.66.7.54 1.74.75 2.48.8 1.78.21 4.85-1.45 5.42-1.91.68-.49 1.45-1.11 1.76-1.17.15.21-.25.24-.8.7-.59.39-.9.64-1.71 1.1-.93.49-2.61 1.43-4.62 1.42-1.1-.13-1.66-.27-2.04-.49-.53-.33-1.23-.71-1.58-1.11z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3245-1491",
    transform: "translate(.047 -.096)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3834",
    fill: "url(#grad0-1494)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.53c.21.01.64.34 1.11.66.7.54 1.71.75 2.46.8 1.81.21 4.9-1.47 5.44-1.91.69-.5 1.44-1.11 1.74-1.17.14.21-.25.24-.81.7-.59.39-.88.63-1.68 1.09-.92.48-2.61 1.43-4.61 1.42-1.11-.12-1.72-.27-2.07-.49-.55-.33-1.23-.7-1.58-1.1z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3246-1495",
    transform: "translate(.04 -.093)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3839",
    fill: "url(#grad0-1498)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.52c.2 0 .66.35 1.13.67.7.53 1.69.75 2.45.8 1.82.21 4.94-1.48 5.44-1.92.7-.5 1.44-1.1 1.74-1.16.13.21-.27.23-.83.71-.59.39-.86.62-1.65 1.06-.92.48-2.61 1.43-4.61 1.43-1.11-.12-1.76-.28-2.09-.48-.56-.34-1.23-.7-1.58-1.11z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3247-1499",
    transform: "translate(.032 -.09)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3844",
    fill: "url(#grad0-1502)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.52c.19-.02.68.35 1.15.67.7.52 1.66.75 2.43.81 1.84.2 4.99-1.51 5.46-1.93.71-.52 1.43-1.09 1.72-1.16.13.2-.28.23-.84.72-.59.38-.84.6-1.62 1.04-.91.47-2.61 1.43-4.61 1.44-1.11-.12-1.8-.29-2.12-.49-.56-.34-1.22-.69-1.57-1.1z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3248-1503",
    transform: "translate(.024 -.086)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3849",
    fill: "url(#grad0-1506)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.51c.18-.03.7.36 1.18.68.69.52 1.62.75 2.4.81 1.87.2 5.05-1.53 5.47-1.94.72-.52 1.43-1.08 1.72-1.15.12.2-.29.22-.86.72-.59.38-.82.59-1.59 1.02-.9.47-2.61 1.43-4.61 1.45-1.11-.12-1.85-.3-2.14-.48-.58-.35-1.21-.7-1.57-1.11z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3249-1507",
    transform: "translate(.016 -.083)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3854",
    fill: "url(#grad0-1510)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.5c.17-.04.72.37 1.2.69.68.51 1.6.75 2.38.81 1.89.2 5.1-1.55 5.49-1.94.73-.53 1.42-1.08 1.7-1.15.12.2-.3.22-.88.73-.58.37-.79.57-1.55 1-.89.46-2.61 1.43-4.6 1.45-1.12-.11-1.9-.3-2.17-.48C.98 65.26.36 64.92 0 64.5z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3250-1511",
    transform: "translate(.008 -.08)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3859",
    fill: "url(#grad0-1514)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.5c.16-.06.74.37 1.22.69.68.51 1.57.75 2.36.81 1.91.2 5.15-1.57 5.5-1.95.75-.53 1.42-1.06 1.7-1.14.1.2-.32.22-.9.74-.58.36-.77.55-1.52.97-.88.46-2.61 1.43-4.6 1.46-1.12-.11-1.95-.31-2.19-.48-.6-.35-1.21-.68-1.57-1.1z"
  })), /*#__PURE__*/React.createElement("g", {
    id: "shape3251-1515",
    transform: "translate(0 -.077)"
  }, /*#__PURE__*/React.createElement("path", {
    id: "path3864",
    fill: "url(#grad0-1518)",
    stroke: "none",
    strokeLinecap: "butt",
    strokeWidth: 1.751,
    d: "M0 64.49c.16-.08.77.38 1.24.7.68.5 1.55.75 2.34.82 1.93.19 5.2-1.6 5.52-1.96.75-.55 1.41-1.06 1.68-1.14.1.19-.32.21-.91.74-.57.37-.75.54-1.49.96-.87.45-2.61 1.43-4.6 1.47-1.12-.11-1.99-.32-2.21-.48-.61-.36-1.21-.68-1.57-1.11z"
  })))))));
}
const ForwardRef = React.forwardRef(LinuxIcon);
module.exports = ForwardRef;